!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2019-10-09 13:25             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 203

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(1578)
  integer, parameter :: nGC_5431 = 1
  integer, parameter :: nGC_5223 = 2
  integer, parameter :: nGC_233 = 3
  integer, parameter :: nGC_231 = 4
  integer, parameter :: nGC_237 = 5
  integer, parameter :: nGC_235 = 6
  integer, parameter :: nGC_239 = 7
  integer, parameter :: nGC_4666 = 8
  integer, parameter :: nGC_4667 = 9
  integer, parameter :: nGC_4664 = 10
  integer, parameter :: nGC_4665 = 11
  integer, parameter :: nGC_4662 = 12
  integer, parameter :: nGC_4663 = 13
  integer, parameter :: nGC_4660 = 14
  integer, parameter :: nGC_4661 = 15
  integer, parameter :: nGC_4668 = 16
  integer, parameter :: nGC_4669 = 17
  integer, parameter :: nGC_4592 = 18
  integer, parameter :: nGC_4593 = 19
  integer, parameter :: nGC_4594 = 20
  integer, parameter :: nGC_4595 = 21
  integer, parameter :: nGC_4596 = 22
  integer, parameter :: nGC_4597 = 23
  integer, parameter :: nGC_4598 = 24
  integer, parameter :: nGC_4599 = 25
  integer, parameter :: nGC_MHL = 26
  integer, parameter :: nGC_4729 = 27
  integer, parameter :: nGC_4728 = 28
  integer, parameter :: nGC_4727 = 29
  integer, parameter :: nGC_4726 = 30
  integer, parameter :: nGC_4725 = 31
  integer, parameter :: nGC_4724 = 32
  integer, parameter :: nGC_4723 = 33
  integer, parameter :: nGC_4722 = 34
  integer, parameter :: nGC_4721 = 35
  integer, parameter :: nGC_4720 = 36
  integer, parameter :: nGC_221 = 37
  integer, parameter :: nGC_223 = 38
  integer, parameter :: nGC_225 = 39
  integer, parameter :: nGC_227 = 40
  integer, parameter :: nGC_4613 = 41
  integer, parameter :: nGC_4612 = 42
  integer, parameter :: nGC_4611 = 43
  integer, parameter :: nGC_4610 = 44
  integer, parameter :: nGC_4617 = 45
  integer, parameter :: nGC_4616 = 46
  integer, parameter :: nGC_4615 = 47
  integer, parameter :: nGC_4614 = 48
  integer, parameter :: nGC_4619 = 49
  integer, parameter :: nGC_4618 = 50
  integer, parameter :: nGC_29 = 51
  integer, parameter :: nGC_99 = 52
  integer, parameter :: nGC_98 = 53
  integer, parameter :: nGC_97 = 54
  integer, parameter :: nGC_96 = 55
  integer, parameter :: nGC_95 = 56
  integer, parameter :: nGC_94 = 57
  integer, parameter :: nGC_93 = 58
  integer, parameter :: nGC_92 = 59
  integer, parameter :: nGC_91 = 60
  integer, parameter :: nGC_90 = 61
  integer, parameter :: nGC_75 = 62
  integer, parameter :: nGC_74 = 63
  integer, parameter :: nGC_77 = 64
  integer, parameter :: nGC_76 = 65
  integer, parameter :: nGC_71 = 66
  integer, parameter :: nGC_70 = 67
  integer, parameter :: nGC_73 = 68
  integer, parameter :: nGC_72 = 69
  integer, parameter :: nGC_79 = 70
  integer, parameter :: nGC_78 = 71
  integer, parameter :: nGC_4738 = 72
  integer, parameter :: nGC_4739 = 73
  integer, parameter :: nGC_4734 = 74
  integer, parameter :: nGC_4735 = 75
  integer, parameter :: nGC_4736 = 76
  integer, parameter :: nGC_4737 = 77
  integer, parameter :: nGC_4730 = 78
  integer, parameter :: nGC_4731 = 79
  integer, parameter :: nGC_4732 = 80
  integer, parameter :: nGC_4733 = 81
  integer, parameter :: nGC_219 = 82
  integer, parameter :: nGC_217 = 83
  integer, parameter :: nGC_211 = 84
  integer, parameter :: nGC_213 = 85
  integer, parameter :: nGC_4600 = 86
  integer, parameter :: nGC_4601 = 87
  integer, parameter :: nGC_4602 = 88
  integer, parameter :: nGC_4603 = 89
  integer, parameter :: nGC_4604 = 90
  integer, parameter :: nGC_4605 = 91
  integer, parameter :: nGC_4606 = 92
  integer, parameter :: nGC_4607 = 93
  integer, parameter :: nGC_4608 = 94
  integer, parameter :: nGC_4609 = 95
  integer, parameter :: nGC_MI = 96
  integer, parameter :: nGC_MM = 97
  integer, parameter :: nGC_MC = 98
  integer, parameter :: nGC_MB = 99
  integer, parameter :: nGC_ME = 100
  integer, parameter :: nGC_MD = 101
  integer, parameter :: nGC_MZ = 102
  integer, parameter :: nGC_TS_GC_78_Hl = 103
  integer, parameter :: nGC_MS = 104
  integer, parameter :: nGC_MW = 105
  integer, parameter :: nGC_MU = 106
  integer, parameter :: nGC_MT = 107
  integer, parameter :: nGC_88 = 108
  integer, parameter :: nGC_89 = 109
  integer, parameter :: nGC_80 = 110
  integer, parameter :: nGC_81 = 111
  integer, parameter :: nGC_82 = 112
  integer, parameter :: nGC_83 = 113
  integer, parameter :: nGC_84 = 114
  integer, parameter :: nGC_85 = 115
  integer, parameter :: nGC_86 = 116
  integer, parameter :: nGC_87 = 117
  integer, parameter :: nGC_66 = 118
  integer, parameter :: nGC_67 = 119
  integer, parameter :: nGC_64 = 120
  integer, parameter :: nGC_65 = 121
  integer, parameter :: nGC_62 = 122
  integer, parameter :: nGC_63 = 123
  integer, parameter :: nGC_60 = 124
  integer, parameter :: nGC_61 = 125
  integer, parameter :: nGC_TS_GC_70_Hh = 126
  integer, parameter :: nGC_68 = 127
  integer, parameter :: nGC_69 = 128
  integer, parameter :: nGC_4709 = 129
  integer, parameter :: nGC_4708 = 130
  integer, parameter :: nGC_4701 = 131
  integer, parameter :: nGC_4700 = 132
  integer, parameter :: nGC_4703 = 133
  integer, parameter :: nGC_4702 = 134
  integer, parameter :: nGC_4705 = 135
  integer, parameter :: nGC_4704 = 136
  integer, parameter :: nGC_4707 = 137
  integer, parameter :: nGC_4706 = 138
  integer, parameter :: nGC_209 = 139
  integer, parameter :: nGC_203 = 140
  integer, parameter :: nGC_207 = 141
  integer, parameter :: nGC_205 = 142
  integer, parameter :: nGC_4639 = 143
  integer, parameter :: nGC_4638 = 144
  integer, parameter :: nGC_4635 = 145
  integer, parameter :: nGC_4634 = 146
  integer, parameter :: nGC_4637 = 147
  integer, parameter :: nGC_4636 = 148
  integer, parameter :: nGC_4631 = 149
  integer, parameter :: nGC_4630 = 150
  integer, parameter :: nGC_4633 = 151
  integer, parameter :: nGC_4632 = 152
  integer, parameter :: nGC_10869 = 153
  integer, parameter :: nGC_TS_GC_79_Hl = 154
  integer, parameter :: nGC_TS_GC_67_Hh = 155
  integer, parameter :: nGC_53 = 156
  integer, parameter :: nGC_52 = 157
  integer, parameter :: nGC_51 = 158
  integer, parameter :: nGC_50 = 159
  integer, parameter :: nGC_57 = 160
  integer, parameter :: nGC_56 = 161
  integer, parameter :: nGC_55 = 162
  integer, parameter :: nGC_54 = 163
  integer, parameter :: nGC_59 = 164
  integer, parameter :: nGC_58 = 165
  integer, parameter :: nGC_5289 = 166
  integer, parameter :: nGC_5288 = 167
  integer, parameter :: nGC_5283 = 168
  integer, parameter :: nGC_5282 = 169
  integer, parameter :: nGC_5281 = 170
  integer, parameter :: nGC_5280 = 171
  integer, parameter :: nGC_5287 = 172
  integer, parameter :: nGC_5286 = 173
  integer, parameter :: nGC_5285 = 174
  integer, parameter :: nGC_5284 = 175
  integer, parameter :: nGC_9867 = 176
  integer, parameter :: nGC_7285 = 177
  integer, parameter :: nGC_7284 = 178
  integer, parameter :: nGC_4628 = 179
  integer, parameter :: nGC_4629 = 180
  integer, parameter :: nGC_4622 = 181
  integer, parameter :: nGC_4623 = 182
  integer, parameter :: nGC_4620 = 183
  integer, parameter :: nGC_4621 = 184
  integer, parameter :: nGC_4626 = 185
  integer, parameter :: nGC_4627 = 186
  integer, parameter :: nGC_4624 = 187
  integer, parameter :: nGC_4625 = 188
  integer, parameter :: nGC_10870 = 189
  integer, parameter :: nGC_7191 = 190
  integer, parameter :: nGC_4716 = 191
  integer, parameter :: nGC_4717 = 192
  integer, parameter :: nGC_4714 = 193
  integer, parameter :: nGC_4715 = 194
  integer, parameter :: nGC_4712 = 195
  integer, parameter :: nGC_4713 = 196
  integer, parameter :: nGC_4710 = 197
  integer, parameter :: nGC_4711 = 198
  integer, parameter :: nGC_4718 = 199
  integer, parameter :: nGC_4719 = 200
  integer, parameter :: nGC_4578 = 201
  integer, parameter :: nGC_4579 = 202
  integer, parameter :: nGC_4576 = 203
  integer, parameter :: nGC_4577 = 204
  integer, parameter :: nGC_4574 = 205
  integer, parameter :: nGC_4575 = 206
  integer, parameter :: nGC_4572 = 207
  integer, parameter :: nGC_4573 = 208
  integer, parameter :: nGC_4571 = 209
  integer, parameter :: nGC_7260 = 210
  integer, parameter :: nGC_413 = 211
  integer, parameter :: nGC_4590 = 212
  integer, parameter :: nGC_4591 = 213
  integer, parameter :: nGC_7843 = 214
  integer, parameter :: nGC_7846 = 215
  integer, parameter :: nGC_13506 = 216
  integer, parameter :: nGC_13500 = 217
  integer, parameter :: nGC_TS_GC_93_Hl = 218
  integer, parameter :: nGC_TS_GC_66_Hh = 219
  integer, parameter :: nGC_TS_GC_66_Hl = 220
  integer, parameter :: nGC_7990 = 221
  integer, parameter :: nGC_TS_GC_79_Hh = 222
  integer, parameter :: nGC_5361 = 223
  integer, parameter :: nGC_5363 = 224
  integer, parameter :: nGC_8439 = 225
  integer, parameter :: nGC_48 = 226
  integer, parameter :: nGC_49 = 227
  integer, parameter :: nGC_44 = 228
  integer, parameter :: nGC_45 = 229
  integer, parameter :: nGC_46 = 230
  integer, parameter :: nGC_47 = 231
  integer, parameter :: nGC_40 = 232
  integer, parameter :: nGC_41 = 233
  integer, parameter :: nGC_42 = 234
  integer, parameter :: nGC_43 = 235
  integer, parameter :: nGC_5290 = 236
  integer, parameter :: nGC_5291 = 237
  integer, parameter :: nGC_5292 = 238
  integer, parameter :: nGC_5293 = 239
  integer, parameter :: nGC_5294 = 240
  integer, parameter :: nGC_5295 = 241
  integer, parameter :: nGC_5296 = 242
  integer, parameter :: nGC_7525 = 243
  integer, parameter :: nGC_7528 = 244
  integer, parameter :: nGC_9873 = 245
  integer, parameter :: nGC_7180 = 246
  integer, parameter :: nGC_7189 = 247
  integer, parameter :: nGC_4763 = 248
  integer, parameter :: nGC_4762 = 249
  integer, parameter :: nGC_4761 = 250
  integer, parameter :: nGC_4760 = 251
  integer, parameter :: nGC_4767 = 252
  integer, parameter :: nGC_4766 = 253
  integer, parameter :: nGC_4765 = 254
  integer, parameter :: nGC_4764 = 255
  integer, parameter :: nGC_4769 = 256
  integer, parameter :: nGC_4768 = 257
  integer, parameter :: nGC_7072 = 258
  integer, parameter :: nGC_409 = 259
  integer, parameter :: nGC_405 = 260
  integer, parameter :: nGC_TS_GC_57_Hl = 261
  integer, parameter :: nGC_1933 = 262
  integer, parameter :: nGC_5359 = 263
  integer, parameter :: nGC_5358 = 264
  integer, parameter :: nGC_5353 = 265
  integer, parameter :: nGC_39 = 266
  integer, parameter :: nGC_38 = 267
  integer, parameter :: nGC_31 = 268
  integer, parameter :: nGC_30 = 269
  integer, parameter :: nGC_33 = 270
  integer, parameter :: nGC_32 = 271
  integer, parameter :: nGC_35 = 272
  integer, parameter :: nGC_34 = 273
  integer, parameter :: nGC_37 = 274
  integer, parameter :: nGC_36 = 275
  integer, parameter :: nGC_4770 = 276
  integer, parameter :: nGC_4771 = 277
  integer, parameter :: nGC_4772 = 278
  integer, parameter :: nGC_4773 = 279
  integer, parameter :: nGC_4774 = 280
  integer, parameter :: nGC_4775 = 281
  integer, parameter :: nGC_4776 = 282
  integer, parameter :: nGC_4777 = 283
  integer, parameter :: nGC_4778 = 284
  integer, parameter :: nGC_4779 = 285
  integer, parameter :: nGC_MTA = 286
  integer, parameter :: nGC_4807 = 287
  integer, parameter :: nGC_8244 = 288
  integer, parameter :: nGC_8243 = 289
  integer, parameter :: nGC_5346 = 290
  integer, parameter :: nGC_5347 = 291
  integer, parameter :: nGC_TS_GC_74_Hh = 292
  integer, parameter :: nGC_28 = 293
  integer, parameter :: nGC_22 = 294
  integer, parameter :: nGC_23 = 295
  integer, parameter :: nGC_20 = 296
  integer, parameter :: nGC_21 = 297
  integer, parameter :: nGC_26 = 298
  integer, parameter :: nGC_27 = 299
  integer, parameter :: nGC_24 = 300
  integer, parameter :: nGC_25 = 301
  integer, parameter :: nGC_TS_GC_89_Hh = 302
  integer, parameter :: nGC_5337 = 303
  integer, parameter :: nGC_5336 = 304
  integer, parameter :: nGC_5232 = 305
  integer, parameter :: nGC_MHH = 306
  integer, parameter :: nGC_4833 = 307
  integer, parameter :: nGC_4832 = 308
  integer, parameter :: nGC_4831 = 309
  integer, parameter :: nGC_4830 = 310
  integer, parameter :: nGC_4699 = 311
  integer, parameter :: nGC_4698 = 312
  integer, parameter :: nGC_4693 = 313
  integer, parameter :: nGC_4692 = 314
  integer, parameter :: nGC_4691 = 315
  integer, parameter :: nGC_4690 = 316
  integer, parameter :: nGC_4697 = 317
  integer, parameter :: nGC_4696 = 318
  integer, parameter :: nGC_4695 = 319
  integer, parameter :: nGC_4694 = 320
  integer, parameter :: nGC_4749 = 321
  integer, parameter :: nGC_4748 = 322
  integer, parameter :: nGC_4745 = 323
  integer, parameter :: nGC_4744 = 324
  integer, parameter :: nGC_4747 = 325
  integer, parameter :: nGC_4746 = 326
  integer, parameter :: nGC_4741 = 327
  integer, parameter :: nGC_4740 = 328
  integer, parameter :: nGC_4743 = 329
  integer, parameter :: nGC_4742 = 330
  integer, parameter :: nGC_427 = 331
  integer, parameter :: nGC_421 = 332
  integer, parameter :: nGC_7094 = 333
  integer, parameter :: nGC_7259 = 334
  integer, parameter :: nGC_10150 = 335
  integer, parameter :: nGC_10156 = 336
  integer, parameter :: nGC_10710 = 337
  integer, parameter :: nGC_5330 = 338
  integer, parameter :: nGC_9449 = 339
  integer, parameter :: nGC_5339 = 340
  integer, parameter :: nGC_5338 = 341
  integer, parameter :: nGC_9443 = 342
  integer, parameter :: nGC_9442 = 343
  integer, parameter :: nGC_17 = 344
  integer, parameter :: nGC_16 = 345
  integer, parameter :: nGC_15 = 346
  integer, parameter :: nGC_14 = 347
  integer, parameter :: nGC_13 = 348
  integer, parameter :: nGC_12 = 349
  integer, parameter :: nGC_11 = 350
  integer, parameter :: nGC_10 = 351
  integer, parameter :: nGC_19 = 352
  integer, parameter :: nGC_18 = 353
  integer, parameter :: nGC_7653 = 354
  integer, parameter :: nGC_5248 = 355
  integer, parameter :: nGC_5246 = 356
  integer, parameter :: nGC_5245 = 357
  integer, parameter :: nGC_5244 = 358
  integer, parameter :: nGC_5241 = 359
  integer, parameter :: nGC_4824 = 360
  integer, parameter :: nGC_4825 = 361
  integer, parameter :: nGC_4826 = 362
  integer, parameter :: nGC_4827 = 363
  integer, parameter :: nGC_4820 = 364
  integer, parameter :: nGC_4821 = 365
  integer, parameter :: nGC_4822 = 366
  integer, parameter :: nGC_4823 = 367
  integer, parameter :: nGC_4828 = 368
  integer, parameter :: nGC_4829 = 369
  integer, parameter :: nGC_7407 = 370
  integer, parameter :: nGC_7409 = 371
  integer, parameter :: nGC_TS_GC_83_Hl = 372
  integer, parameter :: nGC_4688 = 373
  integer, parameter :: nGC_4689 = 374
  integer, parameter :: nGC_4680 = 375
  integer, parameter :: nGC_4681 = 376
  integer, parameter :: nGC_4682 = 377
  integer, parameter :: nGC_4683 = 378
  integer, parameter :: nGC_4684 = 379
  integer, parameter :: nGC_4685 = 380
  integer, parameter :: nGC_4686 = 381
  integer, parameter :: nGC_4687 = 382
  integer, parameter :: nGC_7317 = 383
  integer, parameter :: nGC_7311 = 384
  integer, parameter :: nGC_4758 = 385
  integer, parameter :: nGC_4759 = 386
  integer, parameter :: nGC_4752 = 387
  integer, parameter :: nGC_4753 = 388
  integer, parameter :: nGC_4750 = 389
  integer, parameter :: nGC_4751 = 390
  integer, parameter :: nGC_4756 = 391
  integer, parameter :: nGC_4757 = 392
  integer, parameter :: nGC_4754 = 393
  integer, parameter :: nGC_4755 = 394
  integer, parameter :: nGC_455 = 395
  integer, parameter :: nGC_TS_GC_25_Hh = 396
  integer, parameter :: nGC_TS_GC_25_Hl = 397
  integer, parameter :: nGC_10631 = 398
  integer, parameter :: nGC_7130 = 399
  integer, parameter :: nGC_TS_GC_19_Hh = 400
  integer, parameter :: nGC_TS_GC_99_Hh = 401
  integer, parameter :: nGC_10705 = 402
  integer, parameter :: nGC_10706 = 403
  integer, parameter :: nGC_5060 = 404
  integer, parameter :: nGC_5065 = 405
  integer, parameter :: nGC_5430 = 406
  integer, parameter :: nGC_8183 = 407
  integer, parameter :: nGC_5321 = 408
  integer, parameter :: nGC_5322 = 409
  integer, parameter :: nGC_5323 = 410
  integer, parameter :: nGC_8187 = 411
  integer, parameter :: nGC_5325 = 412
  integer, parameter :: nGC_5326 = 413
  integer, parameter :: nGC_5327 = 414
  integer, parameter :: nGC_5329 = 415
  integer, parameter :: nGC_9450 = 416
  integer, parameter :: nGC_8188 = 417
  integer, parameter :: nGC_8470 = 418
  integer, parameter :: nGC_TS_GC_65_Hl = 419
  integer, parameter :: nGC_TS_GC_88_Hl = 420
  integer, parameter :: nGC_5258 = 421
  integer, parameter :: nGC_5259 = 422
  integer, parameter :: nGC_5254 = 423
  integer, parameter :: nGC_5255 = 424
  integer, parameter :: nGC_5251 = 425
  integer, parameter :: nGC_5252 = 426
  integer, parameter :: nGC_8051 = 427
  integer, parameter :: nGC_8050 = 428
  integer, parameter :: nGC_8053 = 429
  integer, parameter :: nGC_8052 = 430
  integer, parameter :: nGC_TS_GC_73_Hh = 431
  integer, parameter :: nGC_4811 = 432
  integer, parameter :: nGC_4810 = 433
  integer, parameter :: nGC_4813 = 434
  integer, parameter :: nGC_4812 = 435
  integer, parameter :: nGC_4815 = 436
  integer, parameter :: nGC_4814 = 437
  integer, parameter :: nGC_4817 = 438
  integer, parameter :: nGC_4816 = 439
  integer, parameter :: nGC_4819 = 440
  integer, parameter :: nGC_4818 = 441
  integer, parameter :: nGC_7419 = 442
  integer, parameter :: nGC_TS_GC_17_Hh = 443
  integer, parameter :: nGC_4781 = 444
  integer, parameter :: nGC_4780 = 445
  integer, parameter :: nGC_4783 = 446
  integer, parameter :: nGC_4782 = 447
  integer, parameter :: nGC_4785 = 448
  integer, parameter :: nGC_4784 = 449
  integer, parameter :: nGC_4787 = 450
  integer, parameter :: nGC_4786 = 451
  integer, parameter :: nGC_4789 = 452
  integer, parameter :: nGC_4788 = 453
  integer, parameter :: nGC_443 = 454
  integer, parameter :: nGC_283 = 455
  integer, parameter :: nGC_281 = 456
  integer, parameter :: nGC_7234 = 457
  integer, parameter :: nGC_7237 = 458
  integer, parameter :: nGC_5352 = 459
  integer, parameter :: nGC_7127 = 460
  integer, parameter :: nGC_7128 = 461
  integer, parameter :: nGC_7129 = 462
  integer, parameter :: nGC_10176 = 463
  integer, parameter :: nGC_10175 = 464
  integer, parameter :: nGC_5079 = 465
  integer, parameter :: nGC_MW_GF = 466
  integer, parameter :: nGC_8861 = 467
  integer, parameter :: nGC_5319 = 468
  integer, parameter :: nGC_5318 = 469
  integer, parameter :: nGC_5315 = 470
  integer, parameter :: nGC_5314 = 471
  integer, parameter :: nGC_5317 = 472
  integer, parameter :: nGC_5316 = 473
  integer, parameter :: nGC_5311 = 474
  integer, parameter :: nGC_5310 = 475
  integer, parameter :: nGC_5313 = 476
  integer, parameter :: nGC_5312 = 477
  integer, parameter :: nGC_I = 478
  integer, parameter :: nGC_5269 = 479
  integer, parameter :: nGC_5268 = 480
  integer, parameter :: nGC_5261 = 481
  integer, parameter :: nGC_5260 = 482
  integer, parameter :: nGC_5263 = 483
  integer, parameter :: nGC_5262 = 484
  integer, parameter :: nGC_5265 = 485
  integer, parameter :: nGC_8048 = 486
  integer, parameter :: nGC_8049 = 487
  integer, parameter :: nGC_4808 = 488
  integer, parameter :: nGC_4809 = 489
  integer, parameter :: nGC_4806 = 490
  integer, parameter :: nGC_4804 = 491
  integer, parameter :: nGC_4805 = 492
  integer, parameter :: nGC_4802 = 493
  integer, parameter :: nGC_4803 = 494
  integer, parameter :: nGC_4800 = 495
  integer, parameter :: nGC_4801 = 496
  integer, parameter :: nGC_9805 = 497
  integer, parameter :: nGC_9807 = 498
  integer, parameter :: nGC_9806 = 499
  integer, parameter :: nGC_MMW_GF = 500
  integer, parameter :: nGC_9808 = 501
  integer, parameter :: nGC_7420 = 502
  integer, parameter :: nGC_5441 = 503
  integer, parameter :: nGC_5440 = 504
  integer, parameter :: nGC_5443 = 505
  integer, parameter :: nGC_5442 = 506
  integer, parameter :: nGC_5445 = 507
  integer, parameter :: nGC_5444 = 508
  integer, parameter :: nGC_5447 = 509
  integer, parameter :: nGC_5446 = 510
  integer, parameter :: nGC_5449 = 511
  integer, parameter :: nGC_5448 = 512
  integer, parameter :: nGC_TS_GC_24_Hh = 513
  integer, parameter :: nGC_4798 = 514
  integer, parameter :: nGC_4799 = 515
  integer, parameter :: nGC_4796 = 516
  integer, parameter :: nGC_4797 = 517
  integer, parameter :: nGC_4794 = 518
  integer, parameter :: nGC_4795 = 519
  integer, parameter :: nGC_4792 = 520
  integer, parameter :: nGC_4793 = 521
  integer, parameter :: nGC_4790 = 522
  integer, parameter :: nGC_4791 = 523
  integer, parameter :: nGC_7205 = 524
  integer, parameter :: nGC_7207 = 525
  integer, parameter :: nGC_7206 = 526
  integer, parameter :: nGC_7201 = 527
  integer, parameter :: nGC_7203 = 528
  integer, parameter :: nGC_477 = 529
  integer, parameter :: nGC_277 = 530
  integer, parameter :: nGC_275 = 531
  integer, parameter :: nGC_271 = 532
  integer, parameter :: nGC_MZ_GF = 533
  integer, parameter :: nGC_124 = 534
  integer, parameter :: nGC_122 = 535
  integer, parameter :: nGC_123 = 536
  integer, parameter :: nGC_120 = 537
  integer, parameter :: nGC_121 = 538
  integer, parameter :: nGC_TS_GC_98_Hl = 539
  integer, parameter :: nGC_5046 = 540
  integer, parameter :: nGC_5049 = 541
  integer, parameter :: nGC_13498 = 542
  integer, parameter :: nGC_13499 = 543
  integer, parameter :: nGC_12942 = 544
  integer, parameter :: nGC_13497 = 545
  integer, parameter :: nGC_5308 = 546
  integer, parameter :: nGC_5309 = 547
  integer, parameter :: nGC_5302 = 548
  integer, parameter :: nGC_5303 = 549
  integer, parameter :: nGC_5300 = 550
  integer, parameter :: nGC_873 = 551
  integer, parameter :: nGC_5306 = 552
  integer, parameter :: nGC_5307 = 553
  integer, parameter :: nGC_5304 = 554
  integer, parameter :: nGC_5305 = 555
  integer, parameter :: nGC_5438 = 556
  integer, parameter :: nGC_5301 = 557
  integer, parameter :: nGC_5274 = 558
  integer, parameter :: nGC_5275 = 559
  integer, parameter :: nGC_5272 = 560
  integer, parameter :: nGC_5270 = 561
  integer, parameter :: nGC_5271 = 562
  integer, parameter :: nGC_5278 = 563
  integer, parameter :: nGC_5279 = 564
  integer, parameter :: nGC_3 = 565
  integer, parameter :: nGC_2 = 566
  integer, parameter :: nGC_1 = 567
  integer, parameter :: nGC_7 = 568
  integer, parameter :: nGC_6 = 569
  integer, parameter :: nGC_5 = 570
  integer, parameter :: nGC_4 = 571
  integer, parameter :: nGC_9 = 572
  integer, parameter :: nGC_8 = 573
  integer, parameter :: nGC_8529 = 574
  integer, parameter :: nGC_TS_GC_34_Hl = 575
  integer, parameter :: nGC_4879 = 576
  integer, parameter :: nGC_4878 = 577
  integer, parameter :: nGC_4873 = 578
  integer, parameter :: nGC_4872 = 579
  integer, parameter :: nGC_4871 = 580
  integer, parameter :: nGC_4870 = 581
  integer, parameter :: nGC_4877 = 582
  integer, parameter :: nGC_4876 = 583
  integer, parameter :: nGC_4875 = 584
  integer, parameter :: nGC_4874 = 585
  integer, parameter :: nGC_9813 = 586
  integer, parameter :: nGC_9817 = 587
  integer, parameter :: nGC_9814 = 588
  integer, parameter :: nGC_7431 = 589
  integer, parameter :: nGC_4907 = 590
  integer, parameter :: nGC_4904 = 591
  integer, parameter :: nGC_4903 = 592
  integer, parameter :: nGC_4902 = 593
  integer, parameter :: nGC_4900 = 594
  integer, parameter :: nGC_4659 = 595
  integer, parameter :: nGC_4658 = 596
  integer, parameter :: nGC_4657 = 597
  integer, parameter :: nGC_4656 = 598
  integer, parameter :: nGC_4655 = 599
  integer, parameter :: nGC_4654 = 600
  integer, parameter :: nGC_4653 = 601
  integer, parameter :: nGC_4652 = 602
  integer, parameter :: nGC_4651 = 603
  integer, parameter :: nGC_4650 = 604
  integer, parameter :: nGC_10232 = 605
  integer, parameter :: nGC_469 = 606
  integer, parameter :: nGC_5277 = 607
  integer, parameter :: nGC_269 = 608
  integer, parameter :: nGC_265 = 609
  integer, parameter :: nGC_263 = 610
  integer, parameter :: nGC_7100 = 611
  integer, parameter :: nGC_647 = 612
  integer, parameter :: nGC_5056 = 613
  integer, parameter :: nGC_5054 = 614
  integer, parameter :: nGC_5055 = 615
  integer, parameter :: nGC_TS_GC_23_Hl = 616
  integer, parameter :: nGC_5058 = 617
  integer, parameter :: nGC_5059 = 618
  integer, parameter :: nGC_TS_GC_46_Hh = 619
  integer, parameter :: nGC_8440 = 620
  integer, parameter :: nGC_8534 = 621
  integer, parameter :: nGC_8530 = 622
  integer, parameter :: nGC_8847 = 623
  integer, parameter :: nGC_8843 = 624
  integer, parameter :: nGC_8848 = 625
  integer, parameter :: nGC_8849 = 626
  integer, parameter :: nGC_245 = 627
  integer, parameter :: nGC_241 = 628
  integer, parameter :: nGC_4868 = 629
  integer, parameter :: nGC_4869 = 630
  integer, parameter :: nGC_4860 = 631
  integer, parameter :: nGC_4861 = 632
  integer, parameter :: nGC_4862 = 633
  integer, parameter :: nGC_4863 = 634
  integer, parameter :: nGC_4864 = 635
  integer, parameter :: nGC_4866 = 636
  integer, parameter :: nGC_4867 = 637
  integer, parameter :: nGC_249 = 638
  integer, parameter :: nGC_4916 = 639
  integer, parameter :: nGC_5428 = 640
  integer, parameter :: nGC_5427 = 641
  integer, parameter :: nGC_4648 = 642
  integer, parameter :: nGC_4649 = 643
  integer, parameter :: nGC_4644 = 644
  integer, parameter :: nGC_4645 = 645
  integer, parameter :: nGC_4646 = 646
  integer, parameter :: nGC_4647 = 647
  integer, parameter :: nGC_4640 = 648
  integer, parameter :: nGC_4641 = 649
  integer, parameter :: nGC_4642 = 650
  integer, parameter :: nGC_4643 = 651
  integer, parameter :: nGC_7595 = 652
  integer, parameter :: nGC_7594 = 653
  integer, parameter :: nGC_7596 = 654
  integer, parameter :: nGC_7591 = 655
  integer, parameter :: nGC_259 = 656
  integer, parameter :: nGC_251 = 657
  integer, parameter :: nGC_253 = 658
  integer, parameter :: nGC_255 = 659
  integer, parameter :: nGC_5063 = 660
  integer, parameter :: nGC_7171 = 661
  integer, parameter :: nGC_5193 = 662
  integer, parameter :: nGC_5192 = 663
  integer, parameter :: nGC_5191 = 664
  integer, parameter :: nGC_5190 = 665
  integer, parameter :: nGC_5194 = 666
  integer, parameter :: nGC_100 = 667
  integer, parameter :: nGC_101 = 668
  integer, parameter :: nGC_102 = 669
  integer, parameter :: nGC_103 = 670
  integer, parameter :: nGC_104 = 671
  integer, parameter :: nGC_105 = 672
  integer, parameter :: nGC_106 = 673
  integer, parameter :: nGC_107 = 674
  integer, parameter :: nGC_108 = 675
  integer, parameter :: nGC_109 = 676
  integer, parameter :: nGC_8238 = 677
  integer, parameter :: nGC_8235 = 678
  integer, parameter :: nGC_8237 = 679
  integer, parameter :: nGC_8236 = 680
  integer, parameter :: nGC_1691 = 681
  integer, parameter :: nGC_817 = 682
  integer, parameter :: nGC_10630 = 683
  integer, parameter :: nGC_10635 = 684
  integer, parameter :: nGC_1347 = 685
  integer, parameter :: nGC_7999 = 686
  integer, parameter :: nGC_7168 = 687
  integer, parameter :: nGC_5210 = 688
  integer, parameter :: nGC_5211 = 689
  integer, parameter :: nGC_5212 = 690
  integer, parameter :: nGC_5213 = 691
  integer, parameter :: nGC_5214 = 692
  integer, parameter :: nGC_5215 = 693
  integer, parameter :: nGC_5217 = 694
  integer, parameter :: nGC_5218 = 695
  integer, parameter :: nGC_5219 = 696
  integer, parameter :: nGC_7162 = 697
  integer, parameter :: nGC_5320 = 698
  integer, parameter :: nGC_7163 = 699
  integer, parameter :: nGC_8182 = 700
  integer, parameter :: nGC_8787 = 701
  integer, parameter :: nGC_8836 = 702
  integer, parameter :: nGC_5324 = 703
  integer, parameter :: nGC_8788 = 704
  integer, parameter :: nGC_4857 = 705
  integer, parameter :: nGC_4856 = 706
  integer, parameter :: nGC_4859 = 707
  integer, parameter :: nGC_4858 = 708
  integer, parameter :: nGC_8169 = 709
  integer, parameter :: nGC_9166 = 710
  integer, parameter :: nGC_9167 = 711
  integer, parameter :: nGC_9165 = 712
  integer, parameter :: nGC_9168 = 713
  integer, parameter :: nGC_9169 = 714
  integer, parameter :: nGC_5439 = 715
  integer, parameter :: nGC_4926 = 716
  integer, parameter :: nGC_5432 = 717
  integer, parameter :: nGC_5433 = 718
  integer, parameter :: nGC_5434 = 719
  integer, parameter :: nGC_5435 = 720
  integer, parameter :: nGC_5436 = 721
  integer, parameter :: nGC_5437 = 722
  integer, parameter :: nGC_4679 = 723
  integer, parameter :: nGC_4678 = 724
  integer, parameter :: nGC_4671 = 725
  integer, parameter :: nGC_4670 = 726
  integer, parameter :: nGC_4673 = 727
  integer, parameter :: nGC_4672 = 728
  integer, parameter :: nGC_4675 = 729
  integer, parameter :: nGC_4674 = 730
  integer, parameter :: nGC_4677 = 731
  integer, parameter :: nGC_4676 = 732
  integer, parameter :: nGC_7340 = 733
  integer, parameter :: nGC_7341 = 734
  integer, parameter :: nGC_7342 = 735
  integer, parameter :: nGC_7343 = 736
  integer, parameter :: nGC_7349 = 737
  integer, parameter :: nGC_TS_GC_35_Hl = 738
  integer, parameter :: nGC_7586 = 739
  integer, parameter :: nGC_TS_GC_75_Hl = 740
  integer, parameter :: nGC_247 = 741
  integer, parameter :: nGC_TS_GC_21_Hl = 742
  integer, parameter :: nGC_TS_GC_21_Hh = 743
  integer, parameter :: nGC_TS_GC_76_Hl = 744
  integer, parameter :: nGC_TS_GC_76_Hh = 745
  integer, parameter :: nGC_4583 = 746
  integer, parameter :: nGC_4582 = 747
  integer, parameter :: nGC_4581 = 748
  integer, parameter :: nGC_4580 = 749
  integer, parameter :: nGC_4587 = 750
  integer, parameter :: nGC_4586 = 751
  integer, parameter :: nGC_4585 = 752
  integer, parameter :: nGC_4584 = 753
  integer, parameter :: nGC_4589 = 754
  integer, parameter :: nGC_4588 = 755
  integer, parameter :: nGC_7166 = 756
  integer, parameter :: nGC_7167 = 757
  integer, parameter :: nGC_509 = 758
  integer, parameter :: nGC_119 = 759
  integer, parameter :: nGC_118 = 760
  integer, parameter :: nGC_117 = 761
  integer, parameter :: nGC_116 = 762
  integer, parameter :: nGC_115 = 763
  integer, parameter :: nGC_114 = 764
  integer, parameter :: nGC_113 = 765
  integer, parameter :: nGC_112 = 766
  integer, parameter :: nGC_111 = 767
  integer, parameter :: nGC_110 = 768
  integer, parameter :: nGC_8247 = 769
  integer, parameter :: nGC_5136 = 770
  integer, parameter :: nGC_TS_GC_72_Hl = 771
  integer, parameter :: nGC_7374 = 772
  integer, parameter :: nGC_8223 = 773
  integer, parameter :: nGC_5011 = 774
  integer, parameter :: nGC_8218 = 775
  integer, parameter :: nGC_5045 = 776
  integer, parameter :: nGC_7903 = 777
  integer, parameter :: nGC_TS_GC_47_Hh = 778
  integer, parameter :: nGC_5135 = 779
  integer, parameter :: nGC_5003 = 780
  integer, parameter :: nGC_5002 = 781
  integer, parameter :: nGC_5004 = 782
  integer, parameter :: nGC_5007 = 783
  integer, parameter :: nGC_5009 = 784
  integer, parameter :: nGC_5008 = 785
  integer, parameter :: nGC_5066 = 786
  integer, parameter :: nGC_8895 = 787
  integer, parameter :: nGC_5257 = 788
  integer, parameter :: nGC_5250 = 789
  integer, parameter :: nGC_8484 = 790
  integer, parameter :: nGC_8485 = 791
  integer, parameter :: nGC_8899 = 792
  integer, parameter :: nGC_5344 = 793
  integer, parameter :: nGC_5345 = 794
  integer, parameter :: nGC_5229 = 795
  integer, parameter :: nGC_5228 = 796
  integer, parameter :: nGC_5340 = 797
  integer, parameter :: nGC_5341 = 798
  integer, parameter :: nGC_5225 = 799
  integer, parameter :: nGC_5224 = 800
  integer, parameter :: nGC_5227 = 801
  integer, parameter :: nGC_5226 = 802
  integer, parameter :: nGC_5221 = 803
  integer, parameter :: nGC_5220 = 804
  integer, parameter :: nGC_10862 = 805
  integer, parameter :: nGC_5222 = 806
  integer, parameter :: nGC_7204 = 807
  integer, parameter :: nGC_8000 = 808
  integer, parameter :: nGC_7202 = 809
  integer, parameter :: nGC_5041 = 810
  integer, parameter :: nGC_9259 = 811
  integer, parameter :: nGC_2531 = 812
  integer, parameter :: nGC_TS_GC_22_Hh = 813
  integer, parameter :: nGC_5040 = 814
  integer, parameter :: nGC_TS_GC_22_Hl = 815
  integer, parameter :: nGC_8056 = 816
  integer, parameter :: nGC_551 = 817
  integer, parameter :: nGC_9682 = 818
  integer, parameter :: nGC_9681 = 819
  integer, parameter :: nGC_9680 = 820
  integer, parameter :: nGC_7641 = 821
  integer, parameter :: nGC_4846 = 822
  integer, parameter :: nGC_4847 = 823
  integer, parameter :: nGC_5331 = 824
  integer, parameter :: nGC_7760 = 825
  integer, parameter :: nGC_7888 = 826
  integer, parameter :: nGC_7059 = 827
  integer, parameter :: nGC_7689 = 828
  integer, parameter :: nGC_8073 = 829
  integer, parameter :: nGC_7117 = 830
  integer, parameter :: nGC_7116 = 831
  integer, parameter :: nGC_7050 = 832
  integer, parameter :: nGC_7118 = 833
  integer, parameter :: nGC_7053 = 834
  integer, parameter :: nGC_8172 = 835
  integer, parameter :: nGC_8170 = 836
  integer, parameter :: nGC_8171 = 837
  integer, parameter :: nGC_9294 = 838
  integer, parameter :: nGC_9295 = 839
  integer, parameter :: nGC_9290 = 840
  integer, parameter :: nGC_7501 = 841
  integer, parameter :: nGC_7505 = 842
  integer, parameter :: nGC_5236 = 843
  integer, parameter :: nGC_TS_GC_118_Hl = 844
  integer, parameter :: nGC_4836 = 845
  integer, parameter :: nGC_4835 = 846
  integer, parameter :: nGC_4834 = 847
  integer, parameter :: nGC_10871 = 848
  integer, parameter :: nGC_4936 = 849
  integer, parameter :: nGC_4934 = 850
  integer, parameter :: nGC_4932 = 851
  integer, parameter :: nGC_4930 = 852
  integer, parameter :: nGC_TS_GC_69_Hl = 853
  integer, parameter :: nGC_7474 = 854
  integer, parameter :: nGC_7475 = 855
  integer, parameter :: nGC_7472 = 856
  integer, parameter :: nGC_5043 = 857
  integer, parameter :: nGC_5042 = 858
  integer, parameter :: nGC_8352 = 859
  integer, parameter :: nGC_8350 = 860
  integer, parameter :: nGC_5048 = 861
  integer, parameter :: nGC_5018 = 862
  integer, parameter :: nGC_5166 = 863
  integer, parameter :: nGC_5167 = 864
  integer, parameter :: nGC_5165 = 865
  integer, parameter :: nGC_7830 = 866
  integer, parameter :: nGC_7831 = 867
  integer, parameter :: nGC_8067 = 868
  integer, parameter :: nGC_8754 = 869
  integer, parameter :: nGC_8752 = 870
  integer, parameter :: nGC_8753 = 871
  integer, parameter :: nGC_8751 = 872
  integer, parameter :: nGC_7930 = 873
  integer, parameter :: nGC_8285 = 874
  integer, parameter :: nGC_7485 = 875
  integer, parameter :: nGC_4886 = 876
  integer, parameter :: nGC_4884 = 877
  integer, parameter :: nGC_4885 = 878
  integer, parameter :: nGC_4882 = 879
  integer, parameter :: nGC_4883 = 880
  integer, parameter :: nGC_4880 = 881
  integer, parameter :: nGC_4881 = 882
  integer, parameter :: nGC_7169 = 883
  integer, parameter :: nGC_7729 = 884
  integer, parameter :: nGC_5070 = 885
  integer, parameter :: nGC_589 = 886
  integer, parameter :: nGC_7095 = 887
  integer, parameter :: nGC_7096 = 888
  integer, parameter :: nGC_587 = 889
  integer, parameter :: nGC_583 = 890
  integer, parameter :: nGC_7397 = 891
  integer, parameter :: nGC_7396 = 892
  integer, parameter :: nGC_12725 = 893
  integer, parameter :: nGC_7255 = 894
  integer, parameter :: nGC_7398 = 895
  integer, parameter :: nGC_9398 = 896
  integer, parameter :: nGC_569 = 897
  integer, parameter :: nGC_5133 = 898
  integer, parameter :: nGC_4972 = 899
  integer, parameter :: nGC_4973 = 900
  integer, parameter :: nGC_4970 = 901
  integer, parameter :: nGC_4971 = 902
  integer, parameter :: nGC_4976 = 903
  integer, parameter :: nGC_4977 = 904
  integer, parameter :: nGC_4974 = 905
  integer, parameter :: nGC_4975 = 906
  integer, parameter :: nGC_7616 = 907
  integer, parameter :: nGC_4978 = 908
  integer, parameter :: nGC_4979 = 909
  integer, parameter :: nGC_7610 = 910
  integer, parameter :: nGC_7451 = 911
  integer, parameter :: nGC_5132 = 912
  integer, parameter :: nGC_7028 = 913
  integer, parameter :: nGC_5000 = 914
  integer, parameter :: nGC_2481 = 915
  integer, parameter :: nGC_5089 = 916
  integer, parameter :: nGC_5088 = 917
  integer, parameter :: nGC_7530 = 918
  integer, parameter :: nGC_5126 = 919
  integer, parameter :: nGC_5127 = 920
  integer, parameter :: nGC_5124 = 921
  integer, parameter :: nGC_5125 = 922
  integer, parameter :: nGC_5081 = 923
  integer, parameter :: nGC_5080 = 924
  integer, parameter :: nGC_5083 = 925
  integer, parameter :: nGC_5082 = 926
  integer, parameter :: nGC_5085 = 927
  integer, parameter :: nGC_5084 = 928
  integer, parameter :: nGC_5087 = 929
  integer, parameter :: nGC_5086 = 930
  integer, parameter :: nGC_4988 = 931
  integer, parameter :: nGC_4906 = 932
  integer, parameter :: nGC_4905 = 933
  integer, parameter :: nGC_8286 = 934
  integer, parameter :: nGC_4901 = 935
  integer, parameter :: nGC_TS_GC_20_Hl = 936
  integer, parameter :: nGC_9883 = 937
  integer, parameter :: nGC_4908 = 938
  integer, parameter :: nGC_4928 = 939
  integer, parameter :: nGC_7979 = 940
  integer, parameter :: nGC_10711 = 941
  integer, parameter :: nGC_5157 = 942
  integer, parameter :: nGC_5156 = 943
  integer, parameter :: nGC_5155 = 944
  integer, parameter :: nGC_5154 = 945
  integer, parameter :: nGC_5153 = 946
  integer, parameter :: nGC_5152 = 947
  integer, parameter :: nGC_5151 = 948
  integer, parameter :: nGC_5150 = 949
  integer, parameter :: nGC_5016 = 950
  integer, parameter :: nGC_5017 = 951
  integer, parameter :: nGC_5015 = 952
  integer, parameter :: nGC_5012 = 953
  integer, parameter :: nGC_5013 = 954
  integer, parameter :: nGC_5159 = 955
  integer, parameter :: nGC_5158 = 956
  integer, parameter :: nGC_7598 = 957
  integer, parameter :: nGC_5078 = 958
  integer, parameter :: nGC_5333 = 959
  integer, parameter :: nGC_5332 = 960
  integer, parameter :: nGC_5238 = 961
  integer, parameter :: nGC_5239 = 962
  integer, parameter :: nGC_9448 = 963
  integer, parameter :: nGC_5335 = 964
  integer, parameter :: nGC_5334 = 965
  integer, parameter :: nGC_5233 = 966
  integer, parameter :: nGC_5230 = 967
  integer, parameter :: nGC_5231 = 968
  integer, parameter :: nGC_10873 = 969
  integer, parameter :: nGC_5237 = 970
  integer, parameter :: nGC_5234 = 971
  integer, parameter :: nGC_5235 = 972
  integer, parameter :: nGC_TS_GC_108_Hl = 973
  integer, parameter :: nGC_7216 = 974
  integer, parameter :: nGC_8401 = 975
  integer, parameter :: nGC_7190 = 976
  integer, parameter :: nGC_7192 = 977
  integer, parameter :: nGC_7461 = 978
  integer, parameter :: nGC_5071 = 979
  integer, parameter :: nGC_5297 = 980
  integer, parameter :: nGC_5010 = 981
  integer, parameter :: nGC_7724 = 982
  integer, parameter :: nGC_7650 = 983
  integer, parameter :: nGC_5076 = 984
  integer, parameter :: nGC_7654 = 985
  integer, parameter :: nGC_7655 = 986
  integer, parameter :: nGC_7066 = 987
  integer, parameter :: nGC_5249 = 988
  integer, parameter :: nGC_5247 = 989
  integer, parameter :: nGC_5243 = 990
  integer, parameter :: nGC_5242 = 991
  integer, parameter :: nGC_5240 = 992
  integer, parameter :: nGC_7267 = 993
  integer, parameter :: nGC_TS_GC_104_Hh = 994
  integer, parameter :: nGC_7264 = 995
  integer, parameter :: nGC_7687 = 996
  integer, parameter :: nGC_8405 = 997
  integer, parameter :: nGC_7269 = 998
  integer, parameter :: nGC_5108 = 999
  integer, parameter :: nGC_7099 = 1000
  integer, parameter :: nGC_9856 = 1001
  integer, parameter :: nGC_8129 = 1002
  integer, parameter :: nGC_4949 = 1003
  integer, parameter :: nGC_4948 = 1004
  integer, parameter :: nGC_5101 = 1005
  integer, parameter :: nGC_4943 = 1006
  integer, parameter :: nGC_4942 = 1007
  integer, parameter :: nGC_4941 = 1008
  integer, parameter :: nGC_4940 = 1009
  integer, parameter :: nGC_4947 = 1010
  integer, parameter :: nGC_4946 = 1011
  integer, parameter :: nGC_4945 = 1012
  integer, parameter :: nGC_4944 = 1013
  integer, parameter :: nGC_5052 = 1014
  integer, parameter :: nGC_TS_GC_28_Hl = 1015
  integer, parameter :: nGC_5050 = 1016
  integer, parameter :: nGC_7369 = 1017
  integer, parameter :: nGC_5057 = 1018
  integer, parameter :: nGC_7404 = 1019
  integer, parameter :: nGC_7093 = 1020
  integer, parameter :: nGC_TS_GC_123_Hl = 1021
  integer, parameter :: nGC_5119 = 1022
  integer, parameter :: nGC_5118 = 1023
  integer, parameter :: nGC_5343 = 1024
  integer, parameter :: nGC_5113 = 1025
  integer, parameter :: nGC_5112 = 1026
  integer, parameter :: nGC_5111 = 1027
  integer, parameter :: nGC_5110 = 1028
  integer, parameter :: nGC_7560 = 1029
  integer, parameter :: nGC_7561 = 1030
  integer, parameter :: nGC_7562 = 1031
  integer, parameter :: nGC_5114 = 1032
  integer, parameter :: nGC_9132 = 1033
  integer, parameter :: nGC_13331 = 1034
  integer, parameter :: nGC_10058 = 1035
  integer, parameter :: nGC_5053 = 1036
  integer, parameter :: nGC_5349 = 1037
  integer, parameter :: nGC_7597 = 1038
  integer, parameter :: nGC_13509 = 1039
  integer, parameter :: nGC_13505 = 1040
  integer, parameter :: nGC_TS_GC_77_Hh = 1041
  integer, parameter :: nGC_TS_GC_30_Hl = 1042
  integer, parameter :: nGC_TS_GC_30_Hh = 1043
  integer, parameter :: nGC_7922 = 1044
  integer, parameter :: nGC_7923 = 1045
  integer, parameter :: nGC_5027 = 1046
  integer, parameter :: nGC_5026 = 1047
  integer, parameter :: nGC_5025 = 1048
  integer, parameter :: nGC_5024 = 1049
  integer, parameter :: nGC_5023 = 1050
  integer, parameter :: nGC_5022 = 1051
  integer, parameter :: nGC_5021 = 1052
  integer, parameter :: nGC_5020 = 1053
  integer, parameter :: nGC_TS_GC_94_Hh = 1054
  integer, parameter :: nGC_7312 = 1055
  integer, parameter :: nGC_5029 = 1056
  integer, parameter :: nGC_5028 = 1057
  integer, parameter :: nGC_7490 = 1058
  integer, parameter :: nGC_7492 = 1059
  integer, parameter :: nGC_9857 = 1060
  integer, parameter :: nGC_7494 = 1061
  integer, parameter :: nGC_7691 = 1062
  integer, parameter :: nGC_5203 = 1063
  integer, parameter :: nGC_5202 = 1064
  integer, parameter :: nGC_5201 = 1065
  integer, parameter :: nGC_5200 = 1066
  integer, parameter :: nGC_5207 = 1067
  integer, parameter :: nGC_5206 = 1068
  integer, parameter :: nGC_5205 = 1069
  integer, parameter :: nGC_5204 = 1070
  integer, parameter :: nGC_5209 = 1071
  integer, parameter :: nGC_5208 = 1072
  integer, parameter :: nGC_5256 = 1073
  integer, parameter :: nGC_7991 = 1074
  integer, parameter :: nGC_7143 = 1075
  integer, parameter :: nGC_10804 = 1076
  integer, parameter :: nGC_7992 = 1077
  integer, parameter :: nGC_7146 = 1078
  integer, parameter :: nGC_7147 = 1079
  integer, parameter :: nGC_5364 = 1080
  integer, parameter :: nGC_5365 = 1081
  integer, parameter :: nGC_5360 = 1082
  integer, parameter :: nGC_5362 = 1083
  integer, parameter :: nGC_4837 = 1084
  integer, parameter :: nGC_7385 = 1085
  integer, parameter :: nGC_5276 = 1086
  integer, parameter :: nGC_7223 = 1087
  integer, parameter :: nGC_TS_GC_113_Hl = 1088
  integer, parameter :: nGC_8022 = 1089
  integer, parameter :: nGC_7225 = 1090
  integer, parameter :: nGC_7224 = 1091
  integer, parameter :: nGC_TS_GC_114_Hh = 1092
  integer, parameter :: nGC_9679 = 1093
  integer, parameter :: nGC_7688 = 1094
  integer, parameter :: nGC_7170 = 1095
  integer, parameter :: nGC_TS_GC_124_Hh = 1096
  integer, parameter :: nGC_9254 = 1097
  integer, parameter :: nGC_4989 = 1098
  integer, parameter :: nGC_9257 = 1099
  integer, parameter :: nGC_4987 = 1100
  integer, parameter :: nGC_4986 = 1101
  integer, parameter :: nGC_4985 = 1102
  integer, parameter :: nGC_4984 = 1103
  integer, parameter :: nGC_4983 = 1104
  integer, parameter :: nGC_4982 = 1105
  integer, parameter :: nGC_4981 = 1106
  integer, parameter :: nGC_4980 = 1107
  integer, parameter :: nGC_5298 = 1108
  integer, parameter :: nGC_5299 = 1109
  integer, parameter :: nGC_7039 = 1110
  integer, parameter :: nGC_9313 = 1111
  integer, parameter :: nGC_7035 = 1112
  integer, parameter :: nGC_4865 = 1113
  integer, parameter :: nGC_7031 = 1114
  integer, parameter :: nGC_5096 = 1115
  integer, parameter :: nGC_5097 = 1116
  integer, parameter :: nGC_5094 = 1117
  integer, parameter :: nGC_5095 = 1118
  integer, parameter :: nGC_5092 = 1119
  integer, parameter :: nGC_5093 = 1120
  integer, parameter :: nGC_5090 = 1121
  integer, parameter :: nGC_5091 = 1122
  integer, parameter :: nGC_10143 = 1123
  integer, parameter :: nGC_10142 = 1124
  integer, parameter :: nGC_5098 = 1125
  integer, parameter :: nGC_5099 = 1126
  integer, parameter :: nGC_7521 = 1127
  integer, parameter :: nGC_7529 = 1128
  integer, parameter :: nGC_5006 = 1129
  integer, parameter :: nGC_4909 = 1130
  integer, parameter :: nGC_TS_GC_84_Hh = 1131
  integer, parameter :: nGC_7915 = 1132
  integer, parameter :: nGC_7914 = 1133
  integer, parameter :: nGC_4914 = 1134
  integer, parameter :: nGC_4915 = 1135
  integer, parameter :: nGC_4917 = 1136
  integer, parameter :: nGC_4910 = 1137
  integer, parameter :: nGC_4911 = 1138
  integer, parameter :: nGC_4912 = 1139
  integer, parameter :: nGC_4913 = 1140
  integer, parameter :: nGC_4918 = 1141
  integer, parameter :: nGC_4919 = 1142
  integer, parameter :: nGC_5273 = 1143
  integer, parameter :: nGC_5267 = 1144
  integer, parameter :: nGC_7299 = 1145
  integer, parameter :: nGC_9872 = 1146
  integer, parameter :: nGC_8377 = 1147
  integer, parameter :: nGC_8378 = 1148
  integer, parameter :: nGC_7308 = 1149
  integer, parameter :: nGC_7290 = 1150
  integer, parameter :: nGC_7291 = 1151
  integer, parameter :: nGC_7296 = 1152
  integer, parameter :: nGC_5144 = 1153
  integer, parameter :: nGC_5145 = 1154
  integer, parameter :: nGC_5146 = 1155
  integer, parameter :: nGC_5147 = 1156
  integer, parameter :: nGC_5140 = 1157
  integer, parameter :: nGC_5141 = 1158
  integer, parameter :: nGC_5142 = 1159
  integer, parameter :: nGC_5143 = 1160
  integer, parameter :: nGC_12967 = 1161
  integer, parameter :: nGC_5062 = 1162
  integer, parameter :: nGC_5061 = 1163
  integer, parameter :: nGC_5148 = 1164
  integer, parameter :: nGC_5149 = 1165
  integer, parameter :: nGC_5064 = 1166
  integer, parameter :: nGC_7646 = 1167
  integer, parameter :: nGC_8877 = 1168
  integer, parameter :: nGC_8876 = 1169
  integer, parameter :: nGC_7642 = 1170
  integer, parameter :: nGC_7301 = 1171
  integer, parameter :: nGC_7292 = 1172
  integer, parameter :: nGC_7759 = 1173
  integer, parameter :: nGC_5328 = 1174
  integer, parameter :: nGC_8471 = 1175
  integer, parameter :: nGC_14269 = 1176
  integer, parameter :: nGC_5069 = 1177
  integer, parameter :: nGC_5068 = 1178
  integer, parameter :: nGC_7070 = 1179
  integer, parameter :: nGC_11313 = 1180
  integer, parameter :: nGC_9427 = 1181
  integer, parameter :: nGC_9426 = 1182
  integer, parameter :: nGC_9425 = 1183
  integer, parameter :: nGC_9424 = 1184
  integer, parameter :: nGC_9423 = 1185
  integer, parameter :: nGC_9422 = 1186
  integer, parameter :: nGC_9421 = 1187
  integer, parameter :: nGC_5253 = 1188
  integer, parameter :: nGC_8118 = 1189
  integer, parameter :: nGC_8119 = 1190
  integer, parameter :: nGC_7276 = 1191
  integer, parameter :: nGC_7400 = 1192
  integer, parameter :: nGC_7270 = 1193
  integer, parameter :: nGC_7271 = 1194
  integer, parameter :: nGC_7272 = 1195
  integer, parameter :: nGC_7273 = 1196
  integer, parameter :: nGC_7176 = 1197
  integer, parameter :: nGC_TS_GC_9_Hl = 1198
  integer, parameter :: nGC_5197 = 1199
  integer, parameter :: nGC_5196 = 1200
  integer, parameter :: nGC_5195 = 1201
  integer, parameter :: nGC_5067 = 1202
  integer, parameter :: nGC_5199 = 1203
  integer, parameter :: nGC_5198 = 1204
  integer, parameter :: nGC_TS_GC_40_Hl = 1205
  integer, parameter :: nGC_9954 = 1206
  integer, parameter :: nGC_7408 = 1207
  integer, parameter :: nGC_9815 = 1208
  integer, parameter :: nGC_4958 = 1209
  integer, parameter :: nGC_4959 = 1210
  integer, parameter :: nGC_8600 = 1211
  integer, parameter :: nGC_9174 = 1212
  integer, parameter :: nGC_4950 = 1213
  integer, parameter :: nGC_4951 = 1214
  integer, parameter :: nGC_4952 = 1215
  integer, parameter :: nGC_4953 = 1216
  integer, parameter :: nGC_4954 = 1217
  integer, parameter :: nGC_4955 = 1218
  integer, parameter :: nGC_4956 = 1219
  integer, parameter :: nGC_4957 = 1220
  integer, parameter :: nGC_12943 = 1221
  integer, parameter :: nGC_TS_GC_119_Hh = 1222
  integer, parameter :: nGC_7119 = 1223
  integer, parameter :: nGC_7414 = 1224
  integer, parameter :: nGC_7559 = 1225
  integer, parameter :: nGC_5109 = 1226
  integer, parameter :: nGC_5342 = 1227
  integer, parameter :: nGC_7532 = 1228
  integer, parameter :: nGC_5100 = 1229
  integer, parameter :: nGC_7054 = 1230
  integer, parameter :: nGC_5102 = 1231
  integer, parameter :: nGC_5103 = 1232
  integer, parameter :: nGC_5104 = 1233
  integer, parameter :: nGC_5105 = 1234
  integer, parameter :: nGC_5106 = 1235
  integer, parameter :: nGC_5107 = 1236
  integer, parameter :: nGC_5121 = 1237
  integer, parameter :: nGC_9126 = 1238
  integer, parameter :: nGC_9127 = 1239
  integer, parameter :: nGC_7057 = 1240
  integer, parameter :: nGC_12972 = 1241
  integer, parameter :: nGC_7854 = 1242
  integer, parameter :: nGC_7855 = 1243
  integer, parameter :: nGC_5117 = 1244
  integer, parameter :: nGC_13899 = 1245
  integer, parameter :: nGC_5116 = 1246
  integer, parameter :: nGC_7919 = 1247
  integer, parameter :: nGC_9297 = 1248
  integer, parameter :: nGC_5115 = 1249
  integer, parameter :: nGC_7913 = 1250
  integer, parameter :: nGC_5266 = 1251
  integer, parameter :: nGC_5051 = 1252
  integer, parameter :: nGC_7539 = 1253
  integer, parameter :: nGC_5034 = 1254
  integer, parameter :: nGC_5035 = 1255
  integer, parameter :: nGC_5036 = 1256
  integer, parameter :: nGC_5037 = 1257
  integer, parameter :: nGC_5030 = 1258
  integer, parameter :: nGC_5031 = 1259
  integer, parameter :: nGC_5032 = 1260
  integer, parameter :: nGC_5033 = 1261
  integer, parameter :: nGC_5038 = 1262
  integer, parameter :: nGC_5039 = 1263
  integer, parameter :: nGC_7302 = 1264
  integer, parameter :: nGC_7303 = 1265
  integer, parameter :: nGC_7737 = 1266
  integer, parameter :: nGC_8021 = 1267
  integer, parameter :: nGC_4920 = 1268
  integer, parameter :: nGC_8492 = 1269
  integer, parameter :: nGC_14800 = 1270
  integer, parameter :: nGC_5216 = 1271
  integer, parameter :: nGC_5351 = 1272
  integer, parameter :: nGC_5350 = 1273
  integer, parameter :: nGC_5355 = 1274
  integer, parameter :: nGC_5354 = 1275
  integer, parameter :: nGC_5357 = 1276
  integer, parameter :: nGC_5356 = 1277
  integer, parameter :: nGC_7239 = 1278
  integer, parameter :: nGC_7231 = 1279
  integer, parameter :: nGC_5123 = 1280
  integer, parameter :: nGC_8789 = 1281
  integer, parameter :: nGC_10253 = 1282
  integer, parameter :: nGC_10252 = 1283
  integer, parameter :: nGC_10251 = 1284
  integer, parameter :: nGC_10254 = 1285
  integer, parameter :: nGC_5183 = 1286
  integer, parameter :: nGC_4855 = 1287
  integer, parameter :: nGC_4854 = 1288
  integer, parameter :: nGC_4998 = 1289
  integer, parameter :: nGC_4999 = 1290
  integer, parameter :: nGC_4853 = 1291
  integer, parameter :: nGC_4852 = 1292
  integer, parameter :: nGC_4994 = 1293
  integer, parameter :: nGC_4995 = 1294
  integer, parameter :: nGC_4996 = 1295
  integer, parameter :: nGC_4997 = 1296
  integer, parameter :: nGC_4991 = 1297
  integer, parameter :: nGC_4992 = 1298
  integer, parameter :: nGC_4993 = 1299
  integer, parameter :: nGC_7124 = 1300
  integer, parameter :: nGC_5188 = 1301
  integer, parameter :: nGC_4924 = 1302
  integer, parameter :: nGC_7120 = 1303
  integer, parameter :: nGC_5189 = 1304
  integer, parameter :: nGC_7045 = 1305
  integer, parameter :: nGC_7044 = 1306
  integer, parameter :: nGC_9287 = 1307
  integer, parameter :: nGC_9260 = 1308
  integer, parameter :: nGC_7848 = 1309
  integer, parameter :: nGC_10179 = 1310
  integer, parameter :: nGC_10177 = 1311
  integer, parameter :: nGC_TS_GC_61_Hh = 1312
  integer, parameter :: nGC_7513 = 1313
  integer, parameter :: nGC_10495 = 1314
  integer, parameter :: nGC_10494 = 1315
  integer, parameter :: nGC_10497 = 1316
  integer, parameter :: nGC_10496 = 1317
  integer, parameter :: nGC_4925 = 1318
  integer, parameter :: nGC_10493 = 1319
  integer, parameter :: nGC_10492 = 1320
  integer, parameter :: nGC_5122 = 1321
  integer, parameter :: nGC_TS_GC_31_Hh = 1322
  integer, parameter :: nGC_4929 = 1323
  integer, parameter :: nGC_5348 = 1324
  integer, parameter :: nGC_7083 = 1325
  integer, parameter :: nGC_5171 = 1326
  integer, parameter :: nGC_5170 = 1327
  integer, parameter :: nGC_5173 = 1328
  integer, parameter :: nGC_5172 = 1329
  integer, parameter :: nGC_5175 = 1330
  integer, parameter :: nGC_5174 = 1331
  integer, parameter :: nGC_5177 = 1332
  integer, parameter :: nGC_5176 = 1333
  integer, parameter :: nGC_5179 = 1334
  integer, parameter :: nGC_5178 = 1335
  integer, parameter :: nGC_5072 = 1336
  integer, parameter :: nGC_5073 = 1337
  integer, parameter :: nGC_5074 = 1338
  integer, parameter :: nGC_5075 = 1339
  integer, parameter :: nGC_5077 = 1340
  integer, parameter :: nGC_5120 = 1341
  integer, parameter :: nGC_TS_GC_48_Hh = 1342
  integer, parameter :: nGC_5264 = 1343
  integer, parameter :: nGC_4967 = 1344
  integer, parameter :: nGC_10857 = 1345
  integer, parameter :: nGC_4966 = 1346
  integer, parameter :: nGC_7821 = 1347
  integer, parameter :: nGC_8338 = 1348
  integer, parameter :: nGC_7823 = 1349
  integer, parameter :: nGC_7822 = 1350
  integer, parameter :: nGC_7825 = 1351
  integer, parameter :: nGC_7824 = 1352
  integer, parameter :: nGC_7827 = 1353
  integer, parameter :: nGC_7826 = 1354
  integer, parameter :: nGC_8460 = 1355
  integer, parameter :: nGC_8461 = 1356
  integer, parameter :: nGC_8462 = 1357
  integer, parameter :: nGC_7318 = 1358
  integer, parameter :: nGC_4839 = 1359
  integer, parameter :: nGC_4838 = 1360
  integer, parameter :: nGC_8337 = 1361
  integer, parameter :: nGC_TS_GC_18_Hl = 1362
  integer, parameter :: nGC_7736 = 1363
  integer, parameter :: nGC_TS_GC_18_Hh = 1364
  integer, parameter :: nGC_7732 = 1365
  integer, parameter :: nGC_10155 = 1366
  integer, parameter :: nGC_4899 = 1367
  integer, parameter :: nGC_4898 = 1368
  integer, parameter :: nGC_8121 = 1369
  integer, parameter :: nGC_8120 = 1370
  integer, parameter :: nGC_7088 = 1371
  integer, parameter :: nGC_4891 = 1372
  integer, parameter :: nGC_4890 = 1373
  integer, parameter :: nGC_4893 = 1374
  integer, parameter :: nGC_4892 = 1375
  integer, parameter :: nGC_4895 = 1376
  integer, parameter :: nGC_4894 = 1377
  integer, parameter :: nGC_4897 = 1378
  integer, parameter :: nGC_4896 = 1379
  integer, parameter :: nGC_7241 = 1380
  integer, parameter :: nGC_7240 = 1381
  integer, parameter :: nGC_8900 = 1382
  integer, parameter :: nGC_5180 = 1383
  integer, parameter :: nGC_5181 = 1384
  integer, parameter :: nGC_5182 = 1385
  integer, parameter :: nGC_10500 = 1386
  integer, parameter :: nGC_5184 = 1387
  integer, parameter :: nGC_5185 = 1388
  integer, parameter :: nGC_5186 = 1389
  integer, parameter :: nGC_5187 = 1390
  integer, parameter :: nGC_TS_GC_103_Hl = 1391
  integer, parameter :: nGC_7082 = 1392
  integer, parameter :: nGC_4851 = 1393
  integer, parameter :: nGC_4850 = 1394
  integer, parameter :: nGC_4965 = 1395
  integer, parameter :: nGC_4964 = 1396
  integer, parameter :: nGC_7602 = 1397
  integer, parameter :: nGC_4961 = 1398
  integer, parameter :: nGC_4960 = 1399
  integer, parameter :: nGC_4963 = 1400
  integer, parameter :: nGC_4962 = 1401
  integer, parameter :: nGC_7609 = 1402
  integer, parameter :: nGC_TS_GC_109_Hh = 1403
  integer, parameter :: nGC_5019 = 1404
  integer, parameter :: nGC_4969 = 1405
  integer, parameter :: nGC_4968 = 1406
  integer, parameter :: nGC_8245 = 1407
  integer, parameter :: nGC_8217 = 1408
  integer, parameter :: nGC_7493 = 1409
  integer, parameter :: nGC_5014 = 1410
  integer, parameter :: nGC_7473 = 1411
  integer, parameter :: nGC_7084 = 1412
  integer, parameter :: nGC_7690 = 1413
  integer, parameter :: nGC_9261 = 1414
  integer, parameter :: nGC_7546 = 1415
  integer, parameter :: nGC_5134 = 1416
  integer, parameter :: nGC_5137 = 1417
  integer, parameter :: nGC_5131 = 1418
  integer, parameter :: nGC_5130 = 1419
  integer, parameter :: nGC_7540 = 1420
  integer, parameter :: nGC_10636 = 1421
  integer, parameter :: nGC_7912 = 1422
  integer, parameter :: nGC_5139 = 1423
  integer, parameter :: nGC_5138 = 1424
  integer, parameter :: nGC_8224 = 1425
  integer, parameter :: nGC_8225 = 1426
  integer, parameter :: nGC_8535 = 1427
  integer, parameter :: nGC_7751 = 1428
  integer, parameter :: nGC_7304 = 1429
  integer, parameter :: nGC_7612 = 1430
  integer, parameter :: nGC_7611 = 1431
  integer, parameter :: nGC_8020 = 1432
  integer, parameter :: nGC_8023 = 1433
  integer, parameter :: nGC_7227 = 1434
  integer, parameter :: nGC_7226 = 1435
  integer, parameter :: nGC_8490 = 1436
  integer, parameter :: nGC_9816 = 1437
  integer, parameter :: nGC_7865 = 1438
  integer, parameter :: nGC_7861 = 1439
  integer, parameter :: nGC_7531 = 1440
  integer, parameter :: nGC_5128 = 1441
  integer, parameter :: nGC_5129 = 1442
  integer, parameter :: nGC_5001 = 1443
  integer, parameter :: nGC_5005 = 1444
  integer, parameter :: nGC_9429 = 1445
  integer, parameter :: nGC_9428 = 1446
  integer, parameter :: nGC_9099 = 1447
  integer, parameter :: nGC_5164 = 1448
  integer, parameter :: nGC_7985 = 1449
  integer, parameter :: nGC_8890 = 1450
  integer, parameter :: nGC_14251 = 1451
  integer, parameter :: nGC_10712 = 1452
  integer, parameter :: nGC_14083 = 1453
  integer, parameter :: nGC_8007 = 1454
  integer, parameter :: nGC_14085 = 1455
  integer, parameter :: nGC_7421 = 1456
  integer, parameter :: nGC_8008 = 1457
  integer, parameter :: nGC_4990 = 1458
  integer, parameter :: nGC_12971 = 1459
  integer, parameter :: nGC_9262 = 1460
  integer, parameter :: nGC_8790 = 1461
  integer, parameter :: nGC_14418 = 1462
  integer, parameter :: nGC_7422 = 1463
  integer, parameter :: nGC_7046 = 1464
  integer, parameter :: nGC_12968 = 1465
  integer, parameter :: nGC_8880 = 1466
  integer, parameter :: nGC_10178 = 1467
  integer, parameter :: nGC_7514 = 1468
  integer, parameter :: nGC_10872 = 1469
  integer, parameter :: nGC_4842 = 1470
  integer, parameter :: nGC_4843 = 1471
  integer, parameter :: nGC_4840 = 1472
  integer, parameter :: nGC_4841 = 1473
  integer, parameter :: nGC_4844 = 1474
  integer, parameter :: nGC_7880 = 1475
  integer, parameter :: nGC_4848 = 1476
  integer, parameter :: nGC_4849 = 1477
  integer, parameter :: nGC_9314 = 1478
  integer, parameter :: nGC_4921 = 1479
  integer, parameter :: nGC_4923 = 1480
  integer, parameter :: nGC_4922 = 1481
  integer, parameter :: nGC_13976 = 1482
  integer, parameter :: nGC_4927 = 1483
  integer, parameter :: nGC_15251 = 1484
  integer, parameter :: nGC_10498 = 1485
  integer, parameter :: nGC_9296 = 1486
  integer, parameter :: nGC_13660 = 1487
  integer, parameter :: nGC_8878 = 1488
  integer, parameter :: nGC_7656 = 1489
  integer, parameter :: nGC_7346 = 1490
  integer, parameter :: nGC_7659 = 1491
  integer, parameter :: nGC_7506 = 1492
  integer, parameter :: nGC_7060 = 1493
  integer, parameter :: nGC_11671 = 1494
  integer, parameter :: nGC_7467 = 1495
  integer, parameter :: nGC_4938 = 1496
  integer, parameter :: nGC_4939 = 1497
  integer, parameter :: nGC_4937 = 1498
  integer, parameter :: nGC_4935 = 1499
  integer, parameter :: nGC_4933 = 1500
  integer, parameter :: nGC_4931 = 1501
  integer, parameter :: nGC_8406 = 1502
  integer, parameter :: nGC_5047 = 1503
  integer, parameter :: nGC_7378 = 1504
  integer, parameter :: nGC_8353 = 1505
  integer, parameter :: nGC_8351 = 1506
  integer, parameter :: nGC_7625 = 1507
  integer, parameter :: nGC_7077 = 1508
  integer, parameter :: nGC_5168 = 1509
  integer, parameter :: nGC_5169 = 1510
  integer, parameter :: nGC_7702 = 1511
  integer, parameter :: nGC_4845 = 1512
  integer, parameter :: nGC_5162 = 1513
  integer, parameter :: nGC_5163 = 1514
  integer, parameter :: nGC_5160 = 1515
  integer, parameter :: nGC_5161 = 1516
  integer, parameter :: nGC_8298 = 1517
  integer, parameter :: nGC_8054 = 1518
  integer, parameter :: nGC_7101 = 1519
  integer, parameter :: nGC_7832 = 1520
  integer, parameter :: nGC_7833 = 1521
  integer, parameter :: nGC_10637 = 1522
  integer, parameter :: nGC_8854 = 1523
  integer, parameter :: nGC_7739 = 1524
  integer, parameter :: nGC_7738 = 1525
  integer, parameter :: nGC_8756 = 1526
  integer, parameter :: nGC_7058 = 1527
  integer, parameter :: nGC_8755 = 1528
  integer, parameter :: nGC_7085 = 1529
  integer, parameter :: nGC_8323 = 1530
  integer, parameter :: nGC_8288 = 1531
  integer, parameter :: nGC_7242 = 1532
  integer, parameter :: nGC_8287 = 1533
  integer, parameter :: nGC_7847 = 1534
  integer, parameter :: nGC_13507 = 1535
  integer, parameter :: nGC_7849 = 1536
  integer, parameter :: nGC_14222 = 1537
  integer, parameter :: nGC_10742 = 1538
  integer, parameter :: nGC_4887 = 1539
  integer, parameter :: nGC_4888 = 1540
  integer, parameter :: nGC_4889 = 1541
  integer, parameter :: nGC_7603 = 1542
  integer, parameter :: nGC_9033 = 1543
  integer, parameter :: nGC_9034 = 1544
  integer, parameter :: nGC_5044 = 1545
  integer, parameter :: nGC_7314 = 1546
  integer, parameter :: nGC_7313 = 1547
  integer, parameter :: nGC_7495 = 1548
  integer, parameter :: nGC_13722 = 1549
  integer, parameter :: nGC_7496 = 1550
  integer, parameter :: nGC_8037 = 1551
  integer, parameter :: nGC_8246 = 1552
  integer, parameter :: nGC_7399 = 1553
  integer, parameter :: nGC_7850 = 1554
  integer, parameter :: nGC_8891 = 1555
  integer, parameter :: nGC_8879 = 1556
  integer, parameter :: nGC_12077 = 1557
  integer, parameter :: nGC_14070 = 1558
  integer, parameter :: nGC_8536 = 1559
  integer, parameter :: nGC_7061 = 1560
  integer, parameter :: nGC_8324 = 1561
  integer, parameter :: nGC_13585 = 1562
  integer, parameter :: nGC_13999 = 1563
  integer, parameter :: nGC_7102 = 1564
  integer, parameter :: nGC_7103 = 1565
  integer, parameter :: nGC_8491 = 1566
  integer, parameter :: nGC_13508 = 1567
  integer, parameter :: nGC_7476 = 1568
  integer, parameter :: nGC_7477 = 1569
  integer, parameter :: nGC_9684 = 1570
  integer, parameter :: nGC_7626 = 1571
  integer, parameter :: nGC_14521 = 1572
  integer, parameter :: nGC_8038 = 1573
  integer, parameter :: nGC_8055 = 1574
  integer, parameter :: nGC_7132 = 1575
  integer, parameter :: nGC_7131 = 1576
  integer, parameter :: nGC_10499 = 1577
  integer, parameter :: nGC_9683 = 1578
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
