!******************************************************************************!
!                                                                              !
!    fill_couplings1.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings1.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2019-10-09 13:25             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_couplings_mdl1()
    coupl(nGC_233) = -3d0*ca*cima*sa**2d0*vevs
    coupl(nGC_231) = -cima*sa*(3d0*ca**2d0*l2 - 4d0*ca**2d0*l3 + 2d0*l3*sa**2d0&
                     )/2d0
    coupl(nGC_237) = -ca*cima*(ca**2d0*l3 + 3d0*l1*sa**2d0 - 2d0*l3*sa**2d0)
    coupl(nGC_235) = -3d0*ca**2d0*cima*sa*vev/2d0
    coupl(nGC_239) = -cima*(3d0*ca**3d0*l2*vev - 4d0*ca**3d0*l3*vev + 12d0*ca**&
                     2d0*l1*sa*vevs - 14d0*ca**2d0*l3*sa*vevs - 6d0*ca*l2*sa** &
                     2d0*vev + 14d0*ca*l3*sa**2d0*vev - 6d0*l1*sa**3d0*vevs +  &
                     4d0*l3*sa**3d0*vevs)/2d0
    coupl(nGC_4666) = -cima*ee**2d0/(2d0*cw)
    coupl(nGC_4667) = -cima*ee**2d0*vev/cw
    coupl(nGC_4664) = cima*ee**2d0*(cw - sw)**2d0*(cw + sw)**2d0/(cw**2d0*sw** &
                      2d0)
    coupl(nGC_4665) = cima*ee**2d0*vev/(2d0*cw**2d0)
    coupl(nGC_4662) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                      **2d0*sw**3d0)
    coupl(nGC_4663) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw &
                      **3d0*sw**2d0)
    coupl(nGC_4660) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw &
                      **3d0*sw**2d0)
    coupl(nGC_4661) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**2d0)
    coupl(nGC_4668) = -ca**2d0*cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**&
                      2d0)/(cw**2d0*sw**3d0)
    coupl(nGC_4669) = ca**2d0*cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw** &
                      2d0)/(cw**3d0*sw**2d0)
    coupl(nGC_4592) = 4d0*cima*cw*ee**2d0/sw
    coupl(nGC_4593) = -cMZ*cima*ee/(2d0*sw**2d0)
    coupl(nGC_4594) = cima*ee/(4d0*cMZ*sw)
    coupl(nGC_4595) = cMZ*cima*ee/(2d0*sw)
    coupl(nGC_4596) = cMW*cima*ee*sa/(2d0*sw)
    coupl(nGC_4597) = -ca*cima*ee/(4d0*cMW*sw)
    coupl(nGC_4598) = cMW*ca*cima*ee/(2d0*sw**2d0)
    coupl(nGC_4599) = -cMW*ca*cima*ee/(2d0*sw)
    coupl(nGC_MHL) = -cMHL**2d0*cima
    coupl(nGC_4729) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_4728) = sqrt(2d0)*cima*sa*ydo/2d0
    coupl(nGC_4727) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_4726) = -sqrt(2d0)*ca*cima*ydo/2d0
    coupl(nGC_4725) = -sqrt(2d0)/2d0
    coupl(nGC_4724) = -sqrt(2d0)/2d0
    coupl(nGC_4723) = sqrt(2d0)/2d0
    coupl(nGC_4722) = -sqrt(2d0)*ca*cima*yc/2d0
    coupl(nGC_4721) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_4720) = sqrt(2d0)*cima*sa*yc/2d0
    coupl(nGC_221) = -3d0*ca*cima*sa**2d0*vev/2d0
    coupl(nGC_223) = cima*sa*(3d0*ca**2d0*l1 - 2d0*ca**2d0*l3 + l3*sa**2d0)
    coupl(nGC_225) = cima*(6d0*ca**3d0*l1*vevs - 4d0*ca**3d0*l3*vevs - 6d0*ca**&
                     2d0*l2*sa*vev + 14d0*ca**2d0*l3*sa*vev - 12d0*ca*l1*sa**  &
                     2d0*vevs + 14d0*ca*l3*sa**2d0*vevs + 3d0*l2*sa**3d0*vev - &
                     4d0*l3*sa**3d0*vev)/2d0
    coupl(nGC_227) = -cima*(ca**3d0*vev + 2d0*ca**2d0*sa*vevs - 2d0*ca*sa**2d0*&
                     vev - sa**3d0*vevs)
    coupl(nGC_4613) = cima*ee/(3d0*cw)
    coupl(nGC_4612) = -cima*ee**2d0*sa/sw
    coupl(nGC_4611) = -ca*cima*ee**2d0/(2d0*sw)
    coupl(nGC_4610) = cima*ee**2d0*sa/(2d0*sw**2d0)
    coupl(nGC_4617) = -cima*ee*sw/cw**2d0
    coupl(nGC_4616) = cima*ee/cw
    coupl(nGC_4615) = cima*ee*sw/(3d0*cw)
    coupl(nGC_4614) = -cima*ee*sw/(3d0*cw**2d0)
    coupl(nGC_4619) = -2d0*cima*ee/(3d0*cw)
    coupl(nGC_4618) = cima*ee*sw/cw
    coupl(nGC_29) = cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_99) = -sqrt(2d0)*cima*sa*ye/2d0
    coupl(nGC_98) = -sqrt(2d0)*ca*cima*ye/2d0
    coupl(nGC_97) = sqrt(2d0)*ye/2d0
    coupl(nGC_96) = -sqrt(2d0)*ye/2d0
    coupl(nGC_95) = -cima*ye
    coupl(nGC_94) = -sqrt(2d0)*cima*sa*ydo/2d0
    coupl(nGC_93) = -sqrt(2d0)*ca*cima*ydo/2d0
    coupl(nGC_92) = sqrt(2d0)*ydo/2d0
    coupl(nGC_91) = -sqrt(2d0)*ydo/2d0
    coupl(nGC_90) = -cima*ydo
    coupl(nGC_75) = -ca*cima*l2*vev/2d0 + cima*l3*sa*vevs
    coupl(nGC_74) = -ca*cima*l3*vevs - cima*l2*sa*vev/2d0
    coupl(nGC_77) = -3d0*ca**3d0*cima*l1*vevs - 3d0*ca**2d0*cima*l3*sa*vev -   &
                    3d0*ca*cima*l3*sa**2d0*vevs - 3d0*cima*l2*sa**3d0*vev/2d0
    coupl(nGC_76) = -ca**3d0*cima*l3*vevs - 3d0*ca**2d0*cima*l2*sa*vev/2d0 +   &
                    2d0*ca**2d0*cima*l3*sa*vev - 3d0*ca*cima*l1*sa**2d0*vevs + &
                    2d0*ca*cima*l3*sa**2d0*vevs - cima*l3*sa**3d0*vev
    coupl(nGC_71) = -cima*ee**2d0*vev/(2d0*sw)
    coupl(nGC_70) = cima*ee**2d0*sa*vev/(2d0*sw**2d0)
    coupl(nGC_73) = cima*cw**2d0*ee**2d0*sa*vev/(2d0*sw**2d0) + cima*ee**2d0*sa&
                    *vev + cima*ee**2d0*sa*sw**2d0*vev/(2d0*cw**2d0)
    coupl(nGC_72) = ca*cima*cw**2d0*ee**2d0*vev/(2d0*sw**2d0) + ca*cima*ee**2d0&
                    *vev + ca*cima*ee**2d0*sw**2d0*vev/(2d0*cw**2d0)
    coupl(nGC_79) = -ca**3d0*cima*l3*vev + 3d0*ca**2d0*cima*l1*sa*vevs - 2d0*ca&
                    **2d0*cima*l3*sa*vevs - 3d0*ca*cima*l2*sa**2d0*vev/2d0 +   &
                    2d0*ca*cima*l3*sa**2d0*vev + cima*l3*sa**3d0*vevs
    coupl(nGC_78) = -3d0*ca**3d0*cima*l2*vev/2d0 + 3d0*ca**2d0*cima*l3*sa*vevs &
                     - 3d0*ca*cima*l3*sa**2d0*vev + 3d0*cima*l1*sa**3d0*vevs
    coupl(nGC_4738) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_4739) = -sqrt(2d0)*ca*cima*ym/2d0
    coupl(nGC_4734) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_4735) = sqrt(2d0)/2d0
    coupl(nGC_4736) = -sqrt(2d0)/2d0
    coupl(nGC_4737) = sqrt(2d0)*cima*sa*ym/2d0
    coupl(nGC_4730) = sqrt(2d0)/2d0
    coupl(nGC_4731) = -sqrt(2d0)*ca*cima*ye/2d0
    coupl(nGC_4732) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_4733) = sqrt(2d0)*cima*sa*ye/2d0
    coupl(nGC_219) = 3d0*ca**2d0*cima*sa*vevs
    coupl(nGC_217) = -ca*cima*(2d0*ca**2d0*l3 + 3d0*l2*sa**2d0 - 4d0*l3*sa**2d0&
                     )/2d0
    coupl(nGC_211) = 3d0*cima*(2d0*ca**3d0*l3*vevs + 3d0*ca**2d0*l2*sa*vev -   &
                     4d0*ca**2d0*l3*sa*vev + 6d0*ca*l1*sa**2d0*vevs - 4d0*ca*l3&
                     *sa**2d0*vevs + 2d0*l3*sa**3d0*vev)/2d0
    coupl(nGC_213) = 3d0*ca*cima*sa*(ca*vevs - sa*vev)
    coupl(nGC_4600) = cima*ee*sa/(2d0*sw**2d0)
    coupl(nGC_4601) = -ca*cima*ee/(2d0*sw)
    coupl(nGC_4602) = -cima*ee*sa/(2d0*sw)
    coupl(nGC_4603) = -cima*ee*sa/(2d0*sw**2d0)
    coupl(nGC_4604) = ca*cima*ee/(2d0*sw)
    coupl(nGC_4605) = cima*ee*sa/(2d0*sw)
    coupl(nGC_4606) = -cMW*ca*cima*ee/(2d0*sw)
    coupl(nGC_4607) = -cima*ee*sa/(4d0*cMW*sw)
    coupl(nGC_4608) = cMW*cima*ee*sa/(2d0*sw**2d0)
    coupl(nGC_4609) = -cMW*cima*ee*sa/(2d0*sw)
    coupl(nGC_MI) = -cima
    coupl(nGC_MM) = -cMM*cima
    coupl(nGC_MC) = -cMC*cima
    coupl(nGC_MB) = -cMB*cima
    coupl(nGC_ME) = -cME*cima
    coupl(nGC_MD) = -cMD*cima
    coupl(nGC_MZ) = cMZ**2d0*cima
    coupl(nGC_MS) = -cMS*cima
    coupl(nGC_MW) = cMW**2d0*cima
    coupl(nGC_MU) = -cMU*cima
    coupl(nGC_MT) = -cMT*cima
    coupl(nGC_88) = -sqrt(2d0)*ca*cima*yc/2d0
    coupl(nGC_89) = -sqrt(2d0)*cima*sa*yc/2d0
    coupl(nGC_80) = -cima*yb
    coupl(nGC_81) = -sqrt(2d0)*yb/2d0
    coupl(nGC_82) = sqrt(2d0)*yb/2d0
    coupl(nGC_83) = -sqrt(2d0)*ca*cima*yb/2d0
    coupl(nGC_84) = -sqrt(2d0)*cima*sa*yb/2d0
    coupl(nGC_85) = cima*yc
    coupl(nGC_86) = -sqrt(2d0)*yc/2d0
    coupl(nGC_87) = sqrt(2d0)*yc/2d0
    coupl(nGC_66) = ca*cima*cw**2d0*ee**2d0*sa/(2d0*sw**2d0) + ca*cima*ee**2d0*&
                    sa + ca*cima*ee**2d0*sa*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_67) = cima*cw**2d0*ee**2d0*sa**2d0/(2d0*sw**2d0) + cima*ee**2d0* &
                    sa**2d0 + cima*ee**2d0*sa**2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_64) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0 + cima*ee&
                    **2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_65) = ca**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + ca**2d0*cima* &
                    ee**2d0 + ca**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_62) = -cMZ*cima*cw*ee*sa/(2d0*sw) - cMZ*cima*ee*sa*sw/(2d0*cw)
    coupl(nGC_63) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0 + cima*ee&
                    **2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_60) = -cMZ*ca*cima*cw*ee/(2d0*sw) - cMZ*ca*cima*ee*sw/(2d0*cw)
    coupl(nGC_61) = -cw*ee*sa/(2d0*sw) - ee*sa*sw/(2d0*cw)
    coupl(nGC_68) = -cima*ee**2d0*vev/(2d0*cw)
    coupl(nGC_69) = ca*cima*ee**2d0*vev/(2d0*sw**2d0)
    coupl(nGC_4709) = cima*ee**2d0*sa*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**  &
                      2d0)/(cw**3d0*sw**2d0)
    coupl(nGC_4708) = cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw &
                      **2d0)
    coupl(nGC_4701) = -ca*cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw** &
                      2d0)/(cw**2d0*sw**3d0)
    coupl(nGC_4700) = cima*sa*vevs
    coupl(nGC_4703) = ca*cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**  &
                      2d0)/(cw**3d0*sw**2d0)
    coupl(nGC_4702) = ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw &
                      **2d0)
    coupl(nGC_4705) = ca*cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw &
                      **2d0)
    coupl(nGC_4704) = -cima*ee**2d0*sa*vev*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**  &
                      2d0*sw**2d0)
    coupl(nGC_4707) = -cima*ee**2d0*sa*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw** &
                      2d0)/(cw**2d0*sw**3d0)
    coupl(nGC_4706) = -sqrt(2d0)/2d0
    coupl(nGC_209) = 3d0*cima*sa*(ca**2d0*l3 + l1*sa**2d0)
    coupl(nGC_203) = -3d0*ca*cima*(ca**2d0*l2 + 2d0*l3*sa**2d0)/2d0
    coupl(nGC_207) = -3d0*ca**3d0*cima*vev/2d0
    coupl(nGC_205) = 3d0*cima*sa**3d0*vevs
    coupl(nGC_4639) = ee*sa*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_4638) = -ca*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_4635) = -cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw**2d0*sw)
    coupl(nGC_4634) = cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw*sw**2d0)
    coupl(nGC_4637) = ca*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_4636) = -2d0*cima*ee**2d0*(cw - sw)*(cw + sw)/(cw*sw)
    coupl(nGC_4631) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_4630) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
    coupl(nGC_4633) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_4632) = cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_53) = -cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
    coupl(nGC_52) = cima*ee*sw/cw
    coupl(nGC_51) = -2d0*cima*ee*sw/(3d0*cw)
    coupl(nGC_50) = cima*ee*sw/(3d0*cw)
    coupl(nGC_57) = -ca*cw*ee/(2d0*sw) - ca*ee*sw/(2d0*cw)
    coupl(nGC_56) = cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
    coupl(nGC_55) = -cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
    coupl(nGC_54) = cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
    coupl(nGC_59) = -cMW*cima*cw*ee/(2d0*sw) + cMW*cima*ee*sw/(2d0*cw)
    coupl(nGC_58) = -cima*cw*ee**2d0/sw + cima*ee**2d0*sw/cw
    coupl(nGC_4628) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
    coupl(nGC_4629) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
    coupl(nGC_4622) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw**2d0)
    coupl(nGC_4623) = -cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw**2d0*sw)
    coupl(nGC_4620) = 2d0*cima*ee*sw/(3d0*cw**2d0)
    coupl(nGC_4621) = -2d0*cima*ee*sw/(3d0*cw)
    coupl(nGC_4626) = cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw**2d0*sw)
    coupl(nGC_4627) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw)
    coupl(nGC_4624) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw)
    coupl(nGC_4625) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw**2d0)
    coupl(nGC_4716) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_4717) = -sqrt(2d0)/2d0
    coupl(nGC_4714) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_4715) = -sqrt(2d0)*ca*cima*yb/2d0
    coupl(nGC_4712) = sqrt(2d0)/2d0
    coupl(nGC_4713) = sqrt(2d0)*cima*sa*yb/2d0
    coupl(nGC_4710) = ca*cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0&
                      *sw**2d0)
    coupl(nGC_4711) = cima*ee**2d0*sa*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw &
                      **2d0)
    coupl(nGC_4718) = sqrt(2d0)/2d0
    coupl(nGC_4719) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_4578) = cMW*ee/(2d0*sw**2d0)
    coupl(nGC_4579) = -ee/(4d0*cMW*sw)
    coupl(nGC_4576) = -cima*ee/sw
    coupl(nGC_4577) = -cima*cw*ee/sw
    coupl(nGC_4574) = -ee**2d0/sw
    coupl(nGC_4575) = cima*cw*ee/sw**2d0
    coupl(nGC_4572) = ee**2d0/sw
    coupl(nGC_4573) = ee**2d0/(2d0*sw**2d0)
    coupl(nGC_4571) = -ee**2d0/(2d0*sw**2d0)
    coupl(nGC_413) = 1d0/(2d0*cMZ)
    coupl(nGC_4590) = -2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_4591) = 2d0*cima*ee**2d0/sw
    coupl(nGC_48) = -cima*ee**2d0*sa/(2d0*sw)
    coupl(nGC_49) = -cMW*cima*ee*sa/(2d0*sw)
    coupl(nGC_44) = -cMW*ca*cima*ee/(2d0*sw)
    coupl(nGC_45) = cMZ*cima*ee/(2d0*sw)
    coupl(nGC_46) = -cima*ee*sa/(2d0*sw)
    coupl(nGC_47) = cima*ee*sa/(2d0*sw)
    coupl(nGC_40) = -ca*cima*ee**2d0/(2d0*sw)
    coupl(nGC_41) = 2d0*cima*cw*ee**2d0/sw
    coupl(nGC_42) = -cMW*ee/(2d0*sw)
    coupl(nGC_43) = cMW*ee/(2d0*sw)
    coupl(nGC_4763) = ee**2d0/(2d0*cw**2d0)
    coupl(nGC_4762) = 4d0*cima*ee**2d0
    coupl(nGC_4761) = -cima*ee
    coupl(nGC_4760) = 2d0*cima*ee**2d0
    coupl(nGC_4767) = -gs
    coupl(nGC_4766) = ee**2d0/cw
    coupl(nGC_4765) = -ee**2d0/(2d0*cw**2d0)
    coupl(nGC_4764) = -ee**2d0/cw
    coupl(nGC_4769) = 2d0*cima*gs**2d0
    coupl(nGC_4768) = -cima/2d0
    coupl(nGC_409) = -cima/(2d0*cMW)
    coupl(nGC_405) = cima/(2d0*cMW)
    coupl(nGC_1933) = -coupl(nGC_47)
    coupl(nGC_39) = ee**2d0/(2d0*sw)
    coupl(nGC_38) = -ee**2d0/(2d0*sw)
    coupl(nGC_31) = cima*ee**2d0*sa**2d0/(2d0*sw**2d0)
    coupl(nGC_30) = ca*cima*ee**2d0*sa/(2d0*sw**2d0)
    coupl(nGC_33) = sqrt(2d0)*cima*ee/(2d0*sw)
    coupl(nGC_32) = ee/(2d0*sw)
    coupl(nGC_35) = ca*cima*ee/(2d0*sw)
    coupl(nGC_34) = -ca*cima*ee/(2d0*sw)
    coupl(nGC_37) = cima*cw*ee/sw
    coupl(nGC_36) = -cima*cw*ee/sw
    coupl(nGC_4770) = ca*cima*ee**2d0/(2d0*cw**2d0)
    coupl(nGC_4771) = cima*ee**2d0*sa/(2d0*cw)
    coupl(nGC_4772) = -ca*cima*ee**2d0/cw
    coupl(nGC_4773) = -3d0*cima/2d0
    coupl(nGC_4774) = cima*ee/(2d0*cMW)
    coupl(nGC_4775) = cMW*cima*ee
    coupl(nGC_4776) = cima*ee**2d0*sa/(2d0*cw**2d0)
    coupl(nGC_4777) = -ca*cima*ee**2d0/(2d0*cw)
    coupl(nGC_4778) = -cima*ee**2d0*sa/cw
    coupl(nGC_4779) = -ca*cima*sa*(l2 - 2d0*l3)
    coupl(nGC_MTA) = -cMTA*cima
    coupl(nGC_4807) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
    coupl(nGC_28) = ca**2d0*cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_22) = 3d0*ca**3d0*cima*l1*sa - 3d0*ca**3d0*cima*l3*sa - 3d0*ca*  &
                    cima*l2*sa**3d0/2d0 + 3d0*ca*cima*l3*sa**3d0
    coupl(nGC_23) = -3d0*ca**4d0*cima*l2/2d0 - 6d0*ca**2d0*cima*l3*sa**2d0 -   &
                    3d0*cima*l1*sa**4d0
    coupl(nGC_20) = -ca**2d0*cima*l2/2d0 - cima*l3*sa**2d0
    coupl(nGC_21) = -3d0*ca**3d0*cima*l2*sa/2d0 + 3d0*ca**3d0*cima*l3*sa + 3d0*&
                    ca*cima*l1*sa**3d0 - 3d0*ca*cima*l3*sa**3d0
    coupl(nGC_26) = cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_27) = -cima*ee**2d0/sw**2d0
    coupl(nGC_24) = -3d0*ca**4d0*cima*l1 - 6d0*ca**2d0*cima*l3*sa**2d0 - 3d0*  &
                    cima*l2*sa**4d0/2d0
    coupl(nGC_25) = -ca**4d0*cima*l3 - 3d0*ca**2d0*cima*l1*sa**2d0 - 3d0*ca**  &
                    2d0*cima*l2*sa**2d0/2d0 + 4d0*ca**2d0*cima*l3*sa**2d0 -    &
                    cima*l3*sa**4d0
    coupl(nGC_MHH) = -cMHH**2d0*cima
    coupl(nGC_4833) = ca*cima*ee/(2d0*sw)
    coupl(nGC_4832) = -cima*ee*sa/(2d0*sw)
    coupl(nGC_4831) = -ca*cima*ee/(2d0*sw**2d0)
    coupl(nGC_4830) = -ca*cima*ee/(2d0*sw)
    coupl(nGC_4699) = cima*l3*sa
    coupl(nGC_4698) = -ca*cima*l2/2d0
    coupl(nGC_4693) = -cima*l2*sa/2d0
    coupl(nGC_4692) = -cima*sa*vev/2d0
    coupl(nGC_4691) = -cima*(ca*l2*vev - 2d0*l3*sa*vevs)/2d0
    coupl(nGC_4690) = -cima*ee**2d0*vev/sw
    coupl(nGC_4697) = -ca*cima*vev/2d0
    coupl(nGC_4696) = cima*(2d0*ca*l3*vevs + l2*sa*vev)/2d0
    coupl(nGC_4695) = -ca*cima*vevs
    coupl(nGC_4694) = -ca*cima*l3
    coupl(nGC_4749) = sqrt(2d0)/2d0
    coupl(nGC_4748) = sqrt(2d0)/2d0
    coupl(nGC_4745) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_4744) = -sqrt(2d0)*ca*cima*ys/2d0
    coupl(nGC_4747) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_4746) = sqrt(2d0)*cima*sa*ys/2d0
    coupl(nGC_4741) = sqrt(2d0)/2d0
    coupl(nGC_4740) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_4743) = -sqrt(2d0)/2d0
    coupl(nGC_4742) = -sqrt(2d0)/2d0
    coupl(nGC_427) = -coupl(nGC_35)
    coupl(nGC_421) = -coupl(nGC_57)
    coupl(nGC_17) = -cima*ee**2d0*sa/(2d0*cw)
    coupl(nGC_16) = cMW*cima*ee
    coupl(nGC_15) = -3d0*cima*l2/2d0
    coupl(nGC_14) = -cima*l2
    coupl(nGC_13) = -cima*l2/2d0
    coupl(nGC_12) = cima*gs**2d0
    coupl(nGC_11) = cima*gs
    coupl(nGC_10) = -gs
    coupl(nGC_19) = -ca**2d0*cima*l3 - cima*l2*sa**2d0/2d0
    coupl(nGC_18) = -ca*cima*l2*sa/2d0 + ca*cima*l3*sa
    coupl(nGC_4824) = cima*ee**2d0*(ca - sa)*(ca + sa)/(2d0*sw**2d0)
    coupl(nGC_4825) = ca*cima*ee**2d0*sa/sw**2d0
    coupl(nGC_4826) = -sqrt(2d0)*cima*ee/(2d0*sw**2d0)
    coupl(nGC_4827) = sqrt(2d0)*cima*ee/(2d0*sw)
    coupl(nGC_4820) = -cima*ee**2d0*sa**2d0/sw**3d0
    coupl(nGC_4821) = ca*cima*ee**2d0*sa/sw**2d0
    coupl(nGC_4822) = cima*ee**2d0*sa**2d0/sw**2d0
    coupl(nGC_4823) = -ca*cima*ee**2d0*sa/sw**3d0
    coupl(nGC_4828) = ca*cima*ee/(2d0*sw**2d0)
    coupl(nGC_4829) = cima*ee*sa/(2d0*sw)
    coupl(nGC_4688) = cima*ee**2d0*vev/(2d0*sw**2d0)
    coupl(nGC_4689) = -cima*ee**2d0/(2d0*sw)
    coupl(nGC_4680) = -cima*ee**2d0*sa**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**&
                      2d0)/(cw**2d0*sw**3d0)
    coupl(nGC_4681) = cima*ee**2d0*sa**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw** &
                      2d0)/(cw**3d0*sw**2d0)
    coupl(nGC_4682) = ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**&
                      2d0)
    coupl(nGC_4683) = cima*ee**2d0*sa**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw&
                      **2d0)
    coupl(nGC_4684) = -cima*ee**2d0*sa*vev/sw**3d0
    coupl(nGC_4685) = cima*ee**2d0*sa/(2d0*sw**2d0)
    coupl(nGC_4686) = ca*cima*ee**2d0*vev/(2d0*sw**2d0)
    coupl(nGC_4687) = cima*ee**2d0*sa*vev/sw**2d0
    coupl(nGC_4758) = -2d0*cima*ee/3d0
    coupl(nGC_4759) = cima*ee
    coupl(nGC_4752) = cima*ee/3d0
    coupl(nGC_4753) = sqrt(2d0)/2d0
    coupl(nGC_4750) = -sqrt(2d0)/2d0
    coupl(nGC_4751) = -sqrt(2d0)/2d0
    coupl(nGC_4756) = sqrt(2d0)*cima*sa*yup/2d0
    coupl(nGC_4757) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_4754) = -sqrt(2d0)*ca*cima*yup/2d0
    coupl(nGC_4755) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_455) = -coupl(nGC_36)
    coupl(nGC_4811) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)*(2d0*l1 + l2 - 4d0*l3)
    coupl(nGC_4810) = ca**2d0*cima*ee**2d0/sw**2d0
    coupl(nGC_4813) = -3d0*ca**2d0*cima*sa**2d0
    coupl(nGC_4812) = -3d0*ca**2d0*cima*sa**2d0/2d0
    coupl(nGC_4815) = -2d0*cima*cw**2d0*ee**2d0/sw**3d0
    coupl(nGC_4814) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
    coupl(nGC_4817) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_4816) = 2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_4819) = ee/(2d0*sw)
    coupl(nGC_4818) = -ee/(2d0*sw**2d0)
    coupl(nGC_4781) = -ca**2d0*cima
    coupl(nGC_4780) = -cima*sa**2d0/2d0
    coupl(nGC_4783) = -ca*cima*sa/2d0
    coupl(nGC_4782) = -cima*(ca - sa)*(ca + sa)*(l2 - 2d0*l3)/2d0
    coupl(nGC_4785) = ca*cima*sa*(l2 - 2d0*l3)
    coupl(nGC_4784) = ca*cima*sa
    coupl(nGC_4787) = -cima*sa**2d0
    coupl(nGC_4786) = -ca**2d0*cima/2d0
    coupl(nGC_4789) = cima*ee**2d0/sw**2d0
    coupl(nGC_4788) = -cima*ee**2d0/sw**3d0
    coupl(nGC_443) = -coupl(nGC_41)/2d0
    coupl(nGC_283) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_281) = -sqrt(2d0)*ca*cima*yt/2d0
    coupl(nGC_MW_GF) = cMW*cima
    coupl(nGC_I) = cima
    coupl(nGC_4808) = -ca**2d0*cima*ee**2d0/sw**3d0
    coupl(nGC_4809) = -ca*cima*ee**2d0*sa/sw**2d0
    coupl(nGC_4806) = 3d0*ca*cima*sa**3d0
    coupl(nGC_4804) = 3d0*cima*(-ca**4d0*l2 + 2d0*ca**4d0*l3 + 6d0*ca**2d0*l1* &
                      sa**2d0 + 3d0*ca**2d0*l2*sa**2d0 - 12d0*ca**2d0*l3*sa**  &
                      2d0 - 2d0*l1*sa**4d0 + 2d0*l3*sa**4d0)/2d0
    coupl(nGC_4805) = -3d0*ca**3d0*cima*sa/2d0
    coupl(nGC_4802) = 3d0*ca**3d0*cima*sa
    coupl(nGC_4803) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)
    coupl(nGC_4800) = 3d0*cima*(2d0*ca**4d0*l1 - 2d0*ca**4d0*l3 - 6d0*ca**2d0* &
                      l1*sa**2d0 - 3d0*ca**2d0*l2*sa**2d0 + 12d0*ca**2d0*l3*sa &
                      **2d0 + l2*sa**4d0 - 2d0*l3*sa**4d0)/2d0
    coupl(nGC_4801) = -3d0*ca*cima*sa**3d0/2d0
    coupl(nGC_MMW_GF) = -cMW*cima
    coupl(nGC_4798) = -3d0*ca**4d0*cima
    coupl(nGC_4799) = -6d0*ca**2d0*cima*sa**2d0
    coupl(nGC_4796) = 6d0*ca*cima*sa*(2d0*ca**2d0*l1 - 2d0*ca**2d0*l3 - l2*sa**&
                      2d0 + 2d0*l3*sa**2d0)
    coupl(nGC_4797) = -3d0*cima*sa**4d0/2d0
    coupl(nGC_4794) = 2d0*cima*ee**2d0/sw**3d0
    coupl(nGC_4795) = -2d0*cima*ee**2d0/sw**2d0
    coupl(nGC_4792) = -3d0*cima*sa**4d0
    coupl(nGC_4793) = -6d0*ca**2d0*cima*sa**2d0
    coupl(nGC_4790) = -6d0*ca*cima*sa*(-ca**2d0*l2 + 2d0*ca**2d0*l3 + 2d0*l1*sa&
                      **2d0 - 2d0*l3*sa**2d0)
    coupl(nGC_4791) = -3d0*ca**4d0*cima/2d0
    coupl(nGC_477) = -coupl(nGC_55)
    coupl(nGC_277) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_275) = sqrt(2d0)*cima*sa*yt/2d0
    coupl(nGC_271) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_MZ_GF) = cMZ
    coupl(nGC_124) = -sqrt(2d0)*cima*sa*yup/2d0
    coupl(nGC_122) = sqrt(2d0)*yup/2d0
    coupl(nGC_123) = -sqrt(2d0)*ca*cima*yup/2d0
    coupl(nGC_120) = cima*yup
    coupl(nGC_121) = -sqrt(2d0)*yup/2d0
    coupl(nGC_873) = -coupl(nGC_10)
    coupl(nGC_3) = -cima*ee
    coupl(nGC_2) = -2d0*cima*ee/3d0
    coupl(nGC_1) = cima*ee/3d0
    coupl(nGC_7) = -ee**2d0/(2d0*cw)
    coupl(nGC_6) = 2d0*cima*ee**2d0
    coupl(nGC_5) = cima*ee**2d0
    coupl(nGC_4) = cima*ee
    coupl(nGC_9) = -ca*cima*ee**2d0/(2d0*cw)
    coupl(nGC_8) = ee**2d0/(2d0*cw)
    coupl(nGC_4659) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                      **2d0*sw**3d0)
    coupl(nGC_4658) = -cMZ*ca*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_4657) = -cMZ*cima*ee*sa*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_4656) = -cima*ee*sa*(cw**2d0 + sw**2d0)/(4d0*cMZ*cw*sw)
    coupl(nGC_4655) = -cMZ*cima*ee*sa*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_4654) = cMZ*cima*ee*sa*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_4653) = cMZ*cima*ee*sa*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_4652) = -cMZ*ca*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_4651) = -ca*cima*ee*(cw**2d0 + sw**2d0)/(4d0*cMZ*cw*sw)
    coupl(nGC_4650) = -cMZ*ca*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_469) = -2d0*coupl(nGC_29)
    coupl(nGC_269) = -sqrt(2d0)*ca*cima*ytau/2d0
    coupl(nGC_265) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_263) = sqrt(2d0)*cima*sa*ytau/2d0
    coupl(nGC_647) = -coupl(nGC_4)
    coupl(nGC_245) = -3d0*cima*sa*(2d0*ca**2d0*l3 + l2*sa**2d0)/2d0
    coupl(nGC_241) = -cima*(ca**3d0*vevs - 2d0*ca**2d0*sa*vev - 2d0*ca*sa**2d0*&
                     vevs + sa**3d0*vev)
    coupl(nGC_249) = -3d0*cima*sa**3d0*vev/2d0
    coupl(nGC_4648) = -ee*sa*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_4649) = cMZ*ca*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_4644) = -cMW*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
    coupl(nGC_4645) = ee*sa*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
  end subroutine fill_couplings_mdl1
end module fill_couplings1
