!******************************************************************************!
!                                                                              !
!    fill_couplings2.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings2.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2019-10-09 13:25             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_couplings_mdl2()
    coupl(nGC_4646) = -ee*sa*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_4647) = -ca*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_4640) = -ca*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_4641) = -cMW*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
    coupl(nGC_4642) = -cima*ee*(cw - sw)*(cw + sw)/(4d0*cMW*cw*sw)
    coupl(nGC_4643) = cMW*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
    coupl(nGC_259) = cima*gs
    coupl(nGC_251) = -3d0*ca*cima*(ca**2d0*l1 + l3*sa**2d0)
    coupl(nGC_253) = 3d0*cima*(-2d0*ca**3d0*l3*vev + 6d0*ca**2d0*l1*sa*vevs -  &
                     4d0*ca**2d0*l3*sa*vevs - 3d0*ca*l2*sa**2d0*vev + 4d0*ca*l3&
                     *sa**2d0*vev + 2d0*l3*sa**3d0*vevs)/2d0
    coupl(nGC_255) = -3d0*ca*cima*sa*(ca*vev + sa*vevs)
    coupl(nGC_100) = -cima*ym
    coupl(nGC_101) = -sqrt(2d0)*ym/2d0
    coupl(nGC_102) = sqrt(2d0)*ym/2d0
    coupl(nGC_103) = -sqrt(2d0)*ca*cima*ym/2d0
    coupl(nGC_104) = -sqrt(2d0)*cima*sa*ym/2d0
    coupl(nGC_105) = -cima*ys
    coupl(nGC_106) = -sqrt(2d0)*ys/2d0
    coupl(nGC_107) = sqrt(2d0)*ys/2d0
    coupl(nGC_108) = -sqrt(2d0)*ca*cima*ys/2d0
    coupl(nGC_109) = -sqrt(2d0)*cima*sa*ys/2d0
    coupl(nGC_1691) = -coupl(nGC_61)
    coupl(nGC_817) = -2d0*coupl(nGC_5)
    coupl(nGC_1347) = -2d0*coupl(nGC_27)
    coupl(nGC_4679) = ca*cima*ee**2d0*vev/sw**2d0
    coupl(nGC_4678) = -cima*ee**2d0*sa*vev/(2d0*sw**2d0)
    coupl(nGC_4671) = ca**2d0*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw&
                      **2d0)
    coupl(nGC_4670) = -ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw &
                      **2d0)
    coupl(nGC_4673) = ca*cima*ee**2d0*sa*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0&
                      )/(cw**3d0*sw**2d0)
    coupl(nGC_4672) = -ca*cima*ee**2d0*sa*(cw - sw)*(cw + sw)*(cw**2d0 + sw**  &
                      2d0)/(cw**2d0*sw**3d0)
    coupl(nGC_4675) = ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**&
                      2d0)
    coupl(nGC_4674) = cima*ee**2d0*(ca - sa)*(ca + sa)*(cw**2d0 + sw**2d0)**2d0&
                      /(2d0*cw**2d0*sw**2d0)
    coupl(nGC_4677) = ca*cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_4676) = -ca*cima*ee**2d0*vev/sw**3d0
    coupl(nGC_247) = -3d0*ca**3d0*cima*vevs
    coupl(nGC_4583) = cima*cw*ee/sw
    coupl(nGC_4582) = cima*ee/sw
    coupl(nGC_4581) = -cima*cw*ee/sw**2d0
    coupl(nGC_4580) = -cMW*ee/(2d0*sw)
    coupl(nGC_4587) = -cMW*ee/(2d0*sw**2d0)
    coupl(nGC_4586) = -ca*cima*ee**2d0/sw
    coupl(nGC_4585) = cima*ee**2d0*sa/(2d0*sw)
    coupl(nGC_4584) = ca*cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_4589) = cMW*ee/(2d0*sw)
    coupl(nGC_4588) = ee/(4d0*cMW*sw)
    coupl(nGC_509) = -coupl(nGC_37)
    coupl(nGC_119) = -sqrt(2d0)*cima*sa*ytau/2d0
    coupl(nGC_118) = -sqrt(2d0)*ca*cima*ytau/2d0
    coupl(nGC_117) = sqrt(2d0)*ytau/2d0
    coupl(nGC_116) = -sqrt(2d0)*ytau/2d0
    coupl(nGC_115) = -cima*ytau
    coupl(nGC_114) = -sqrt(2d0)*cima*sa*yt/2d0
    coupl(nGC_113) = -sqrt(2d0)*ca*cima*yt/2d0
    coupl(nGC_112) = sqrt(2d0)*yt/2d0
    coupl(nGC_111) = -sqrt(2d0)*yt/2d0
    coupl(nGC_110) = cima*yt
    coupl(nGC_2531) = -coupl(nGC_34)
    coupl(nGC_551) = -coupl(nGC_3)
    coupl(nGC_589) = 2d0*coupl(nGC_12)
    coupl(nGC_587) = -coupl(nGC_12)
    coupl(nGC_583) = -2d0*coupl(nGC_12)
    coupl(nGC_569) = -coupl(nGC_32)
    coupl(nGC_2481) = -coupl(nGC_46)
  end subroutine fill_couplings_mdl2
end module fill_couplings2
