!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2019-10-09 13:25             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl1()
    coupl(nGC_5431) = -cima*dMM_QED2
    coupl(nGC_5223) = -cima*dl2_QED4
    coupl(nGC_TS_GC_78_Hl) = -coupl(nGC_78)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_70_Hh) = -coupl(nGC_70)*dtHh_QED1/cMHH**2d0
    coupl(nGC_10869) = coupl(nGC_83)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_TS_GC_79_Hl) = -coupl(nGC_79)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_67_Hh) = -coupl(nGC_67)*dtHh_QED1/cMHH**2d0
    coupl(nGC_5289) = cima*dyt_QED1_QCD2
    coupl(nGC_5288) = cima*dyc_QED3
    coupl(nGC_5283) = cima*dyup_QED1_QCD2
    coupl(nGC_5282) = -cima*dydo_QED3
    coupl(nGC_5281) = -cima*dydo_QED1_QCD2
    coupl(nGC_5280) = coupl(nGC_4616)*dsw_QED2 + coupl(nGC_4617)*dcw_QED2 +    &
                      coupl(nGC_4618)*dZee_QED2
    coupl(nGC_5287) = cima*dyc_QED1_QCD2
    coupl(nGC_5286) = -cima*dys_QED3
    coupl(nGC_5285) = -cima*dys_QED1_QCD2
    coupl(nGC_5284) = cima*dyup_QED3
    coupl(nGC_9867) = coupl(nGC_MI)*dZZ_QED2
    coupl(nGC_7285) = coupl(nGC_93)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_7284) = coupl(nGC_93)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_10870) = coupl(nGC_83)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_7191) = coupl(nGC_5282) + coupl(nGC_90)*dZdR_QED2/2d0 + coupl(   &
                      nGC_90)*dZuL_QED2/2d0
    coupl(nGC_7260) = coupl(nGC_73)*dZZA_QED2/2d0
    coupl(nGC_7843) = coupl(nGC_54)*dZuL_QCD2
    coupl(nGC_7846) = coupl(nGC_51)*dZuR_QCD2
    coupl(nGC_13506) = coupl(nGC_MI)*dZuR_QCD2
    coupl(nGC_13500) = coupl(nGC_MU)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_TS_GC_93_Hl) = -coupl(nGC_93)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_66_Hh) = -coupl(nGC_66)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_66_Hl) = -coupl(nGC_66)*dtHl_QED1/cMHL**2d0
    coupl(nGC_7990) = coupl(nGC_98)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    coupl(nGC_TS_GC_79_Hh) = -coupl(nGC_79)*dtHh_QED1/cMHH**2d0
    coupl(nGC_5361) = coupl(nGC_4575)*dsw_QED2 + coupl(nGC_4576)*dcw_QED2 +    &
                      coupl(nGC_4577)*dZee_QED2
    coupl(nGC_5363) = coupl(nGC_4593)*dsw_QED2 + coupl(nGC_4594)*dMZ2_QED2 +   &
                      coupl(nGC_4595)*dZee_QED2
    coupl(nGC_8439) = coupl(nGC_MI)*dZA_QED2
    coupl(nGC_5290) = cima*dyt_QED3
    coupl(nGC_5291) = -cima*dyb_QED1_QCD2
    coupl(nGC_5292) = -cima*dyb_QED3
    coupl(nGC_5293) = coupl(nGC_4724)*dydo_QED1_QCD2
    coupl(nGC_5294) = coupl(nGC_4724)*dydo_QED3
    coupl(nGC_5295) = coupl(nGC_4723)*dydo_QED1_QCD2
    coupl(nGC_5296) = coupl(nGC_4723)*dydo_QED3
    coupl(nGC_7525) = coupl(nGC_50)*dZsR_QCD2
    coupl(nGC_7528) = coupl(nGC_53)*dZsL_QCD2
    coupl(nGC_9873) = -coupl(nGC_9867)
    coupl(nGC_7180) = coupl(nGC_66)*dZZA_QED2/2d0
    coupl(nGC_7189) = coupl(nGC_5281) + coupl(nGC_90)*dZdR_QCD2/2d0 + coupl(   &
                      nGC_90)*dZuL_QCD2/2d0
    coupl(nGC_7072) = coupl(nGC_72)*dZZA_QED2/2d0
    coupl(nGC_TS_GC_57_Hl) = -coupl(nGC_57)*dtHl_QED1/cMHL**2d0
    coupl(nGC_5359) = coupl(nGC_4606)*da_QED2 + coupl(nGC_4607)*dMW2_QED2 +    &
                      coupl(nGC_4608)*dsw_QED2 + coupl(nGC_4609)*dZee_QED2
    coupl(nGC_5358) = coupl(nGC_4596)*da_QED2 + coupl(nGC_4597)*dMW2_QED2 +    &
                      coupl(nGC_4598)*dsw_QED2 + coupl(nGC_4599)*dZee_QED2
    coupl(nGC_5353) = coupl(nGC_4721)*dyc_QED3 + coupl(nGC_4722)*da_QED2
    coupl(nGC_8244) = coupl(nGC_MI)*dZdR_QCD2
    coupl(nGC_8243) = coupl(nGC_MI)*dZdR_QED2
    coupl(nGC_5346) = coupl(nGC_4719)*dyc_QED1_QCD2
    coupl(nGC_5347) = coupl(nGC_4719)*dyc_QED3 + coupl(nGC_4720)*da_QED2
    coupl(nGC_TS_GC_74_Hh) = -coupl(nGC_74)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_89_Hh) = -coupl(nGC_89)*dtHh_QED1/cMHH**2d0
    coupl(nGC_5337) = coupl(nGC_4718)*dyc_QED3
    coupl(nGC_5336) = coupl(nGC_4718)*dyc_QED1_QCD2
    coupl(nGC_5232) = coupl(nGC_203)*dvev_QED1 + coupl(nGC_205)*dl1_QED4 +     &
                      coupl(nGC_207)*dl2_QED4 + coupl(nGC_209)*dvevs_QED1 +    &
                      coupl(nGC_211)*da_QED2 + coupl(nGC_213)*dl3_QED4
    coupl(nGC_7094) = coupl(nGC_61)*dZZA_QED2/2d0
    coupl(nGC_7259) = coupl(nGC_44)*dZHl_QED2/2d0 + coupl(nGC_49)*dZHhHl_QED2/ &
                      2d0 + coupl(nGC_5358)
    coupl(nGC_10150) = coupl(nGC_MI)*dZWMinus_QED2
    coupl(nGC_10156) = -coupl(nGC_10150)
    coupl(nGC_10710) = coupl(nGC_MI)*dZeMinusR_QED2
    coupl(nGC_5330) = coupl(nGC_4739)*da_QED2 + coupl(nGC_4740)*dym_QED3
    coupl(nGC_9449) = coupl(nGC_5353) + coupl(nGC_88)*dZHlHh_QED2/2d0 + coupl( &
                      nGC_89)*dZHh_QED2/2d0
    coupl(nGC_5339) = coupl(nGC_4717)*dyc_QED3
    coupl(nGC_5338) = coupl(nGC_4717)*dyc_QED1_QCD2
    coupl(nGC_9443) = coupl(nGC_89)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_9442) = coupl(nGC_89)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_7653) = coupl(nGC_41)*dZZA_QED2
    coupl(nGC_5248) = coupl(nGC_4600)*dsw_QED2 + coupl(nGC_4601)*da_QED2 +     &
                      coupl(nGC_4602)*dZee_QED2
    coupl(nGC_5246) = coupl(nGC_4573)*dsw_QED2 + coupl(nGC_4574)*dZee_QED2
    coupl(nGC_5245) = coupl(nGC_4603)*dsw_QED2 + coupl(nGC_4604)*da_QED2 +     &
                      coupl(nGC_4605)*dZee_QED2
    coupl(nGC_5244) = coupl(nGC_4831)*dsw_QED2 + coupl(nGC_4832)*da_QED2 +     &
                      coupl(nGC_4833)*dZee_QED2
    coupl(nGC_5241) = coupl(nGC_4610)*dsw_QED2 + coupl(nGC_4611)*da_QED2 +     &
                      coupl(nGC_4612)*dZee_QED2
    coupl(nGC_7407) = coupl(nGC_33)*(dZbL_QCD2 + dZtL_QCD2)/2d0
    coupl(nGC_7409) = coupl(nGC_65)*dZZA_QED2/2d0
    coupl(nGC_TS_GC_83_Hl) = -coupl(nGC_83)*dtHl_QED1/cMHL**2d0
    coupl(nGC_7317) = coupl(nGC_33)*(dZdL_QCD2 + dZuL_QCD2)/2d0
    coupl(nGC_7311) = coupl(nGC_41)*dZAZ_QED2
    coupl(nGC_TS_GC_25_Hh) = -coupl(nGC_25)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_25_Hl) = -coupl(nGC_25)*dtHl_QED1/cMHL**2d0
    coupl(nGC_10631) = coupl(nGC_MM)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
    coupl(nGC_7130) = coupl(nGC_11)*dZcR_QCD2
    coupl(nGC_TS_GC_19_Hh) = -coupl(nGC_19)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_99_Hh) = -coupl(nGC_99)*dtHh_QED1/cMHH**2d0
    coupl(nGC_10705) = coupl(nGC_MI)*dZeMinusL_QED2
    coupl(nGC_10706) = coupl(nGC_ME)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    coupl(nGC_5060) = coupl(nGC_11)**2d0*coupl(nGC_51)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_5065) = (4d0*coupl(nGC_33)**2d0*coupl(nGC_37) + 4d0*coupl(nGC_33 &
                      )**2d0*coupl(nGC_55) + coupl(nGC_52)*coupl(nGC_95)**2d0  &
                       + 4d0*coupl(nGC_56)**3d0)/(32d0*pi**2d0)
    coupl(nGC_5430) = -cima*dME_QED2
    coupl(nGC_8183) = coupl(nGC_57)*dZZA_QED2/2d0
    coupl(nGC_5321) = coupl(nGC_4730)*dye_QED3
    coupl(nGC_5322) = coupl(nGC_4735)*dym_QED3
    coupl(nGC_5323) = coupl(nGC_4736)*dym_QED3
    coupl(nGC_8187) = coupl(nGC_35)*dZHlHh_QED2/2d0 + coupl(nGC_47)*dZHh_QED2/ &
                      2d0 + coupl(nGC_47)*dZWMinus_QED2/2d0 + coupl(nGC_5245)
    coupl(nGC_5325) = coupl(nGC_4749)*dytau_QED3
    coupl(nGC_5326) = coupl(nGC_4733)*da_QED2 + coupl(nGC_4734)*dye_QED3
    coupl(nGC_5327) = coupl(nGC_4737)*da_QED2 + coupl(nGC_4738)*dym_QED3
    coupl(nGC_5329) = coupl(nGC_4731)*da_QED2 + coupl(nGC_4732)*dye_QED3
    coupl(nGC_9450) = coupl(nGC_9442) + coupl(nGC_9449)
    coupl(nGC_8188) = -coupl(nGC_8187)
    coupl(nGC_8470) = coupl(nGC_36)*dZWMinus_QED2/2d0 + coupl(nGC_5361)
    coupl(nGC_TS_GC_65_Hl) = -coupl(nGC_65)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_88_Hl) = -coupl(nGC_88)*dtHl_QED1/cMHL**2d0
    coupl(nGC_5258) = coupl(nGC_4628)*dsw_QED2 + coupl(nGC_4629)*dcw_QED2 +    &
                      coupl(nGC_4630)*dZee_QED2
    coupl(nGC_5259) = coupl(nGC_4765)*dcw_QED2 + coupl(nGC_4766)*dZee_QED2
    coupl(nGC_5254) = coupl(nGC_4684)*dsw_QED2 + coupl(nGC_4685)*dvev_QED1 +   &
                      coupl(nGC_4686)*da_QED2 + coupl(nGC_4687)*dZee_QED2
    coupl(nGC_5255) = coupl(nGC_4634)*dsw_QED2 + coupl(nGC_4635)*dcw_QED2 +    &
                      coupl(nGC_4636)*dZee_QED2
    coupl(nGC_5251) = coupl(nGC_4823)*dsw_QED2 + coupl(nGC_4824)*da_QED2 +     &
                      coupl(nGC_4825)*dZee_QED2
    coupl(nGC_5252) = coupl(nGC_4820)*dsw_QED2 + coupl(nGC_4821)*da_QED2 +     &
                      coupl(nGC_4822)*dZee_QED2
    coupl(nGC_8051) = coupl(nGC_MB)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_8050) = coupl(nGC_MB)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_8053) = coupl(nGC_MI)*dZbR_QCD2
    coupl(nGC_8052) = coupl(nGC_MI)*dZbR_QED2
    coupl(nGC_TS_GC_73_Hh) = -coupl(nGC_73)*dtHh_QED1/cMHH**2d0
    coupl(nGC_7419) = coupl(nGC_52)*dZZ_QED2/2d0 + coupl(nGC_52)*dZeMinusR_QED2&
                       + coupl(nGC_5280)
    coupl(nGC_TS_GC_17_Hh) = -coupl(nGC_17)*dtHh_QED1/cMHH**2d0
    coupl(nGC_7234) = coupl(nGC_51)*dZtR_QCD2
    coupl(nGC_7237) = coupl(nGC_54)*dZtL_QCD2
    coupl(nGC_5352) = coupl(nGC_4721)*dyc_QED1_QCD2
    coupl(nGC_7127) = coupl(nGC_11)*dZcL_QED2
    coupl(nGC_7128) = coupl(nGC_11)*dZcL_QCD2
    coupl(nGC_7129) = coupl(nGC_11)*dZcR_QED2
    coupl(nGC_10176) = coupl(nGC_84)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_10175) = coupl(nGC_84)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_5079) = -coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_10 &
                      ) - coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
    coupl(nGC_8861) = coupl(nGC_56)*dZZA_QED2/2d0
    coupl(nGC_5319) = -cima*dytau_QED3
    coupl(nGC_5318) = -cima*dym_QED3
    coupl(nGC_5315) = coupl(nGC_4715)*da_QED2 + coupl(nGC_4716)*dyb_QED3
    coupl(nGC_5314) = coupl(nGC_4745)*dys_QED1_QCD2
    coupl(nGC_5317) = -cima*dye_QED3
    coupl(nGC_5316) = coupl(nGC_4716)*dyb_QED1_QCD2
    coupl(nGC_5311) = coupl(nGC_4726)*da_QED2 + coupl(nGC_4727)*dydo_QED3
    coupl(nGC_5310) = coupl(nGC_4714)*dyb_QED1_QCD2
    coupl(nGC_5313) = coupl(nGC_4744)*da_QED2 + coupl(nGC_4745)*dys_QED3
    coupl(nGC_5312) = coupl(nGC_4727)*dydo_QED1_QCD2
    coupl(nGC_5269) = coupl(nGC_4701)*dsw_QED2 + coupl(nGC_4702)*dvev_QED1 +   &
                      coupl(nGC_4703)*dcw_QED2 + coupl(nGC_4704)*da_QED2 +     &
                      coupl(nGC_4705)*dZee_QED2
    coupl(nGC_5268) = coupl(nGC_4680)*dsw_QED2 + coupl(nGC_4681)*dcw_QED2 +    &
                      coupl(nGC_4682)*da_QED2 + coupl(nGC_4683)*dZee_QED2
    coupl(nGC_5261) = coupl(nGC_4776)*dcw_QED2 + coupl(nGC_4777)*da_QED2 +     &
                      coupl(nGC_4778)*dZee_QED2
    coupl(nGC_5260) = coupl(nGC_4770)*dcw_QED2 + coupl(nGC_4771)*da_QED2 +     &
                      coupl(nGC_4772)*dZee_QED2
    coupl(nGC_5263) = coupl(nGC_4763)*dcw_QED2 + coupl(nGC_4764)*dZee_QED2
    coupl(nGC_5262) = coupl(nGC_4665)*dcw_QED2 + coupl(nGC_4666)*dvev_QED1 +   &
                      coupl(nGC_4667)*dZee_QED2
    coupl(nGC_5265) = coupl(nGC_4662)*dsw_QED2 + coupl(nGC_4663)*dcw_QED2 +    &
                      coupl(nGC_4664)*dZee_QED2
    coupl(nGC_8048) = coupl(nGC_MI)*dZbL_QED2
    coupl(nGC_8049) = coupl(nGC_MI)*dZbL_QCD2
    coupl(nGC_9805) = coupl(nGC_MI)*dZtL_QED2
    coupl(nGC_9807) = coupl(nGC_MT)*(dZtL_QED2 + dZtR_QED2)/2d0
    coupl(nGC_9806) = coupl(nGC_MI)*dZtL_QCD2
    coupl(nGC_9808) = coupl(nGC_MT)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_7420) = coupl(nGC_5258) + coupl(nGC_55)*dZZ_QED2/2d0 + coupl(    &
                      nGC_55)*dZeMinusL_QED2
    coupl(nGC_5441) = -cima*dMS_QED2
    coupl(nGC_5440) = -cima*dMD_QCD2
    coupl(nGC_5443) = -cima*dMB_QED2
    coupl(nGC_5442) = -cima*dMS_QCD2
    coupl(nGC_5445) = cima*dMZ2_QED2
    coupl(nGC_5444) = -cima*dMB_QCD2
    coupl(nGC_5447) = coupl(nGC_405)*dMW2_QED2
    coupl(nGC_5446) = cima*dMW2_QED2
    coupl(nGC_5449) = coupl(nGC_413)*dMZ2_QED2
    coupl(nGC_5448) = coupl(nGC_409)*dMW2_QED2
    coupl(nGC_TS_GC_24_Hh) = -coupl(nGC_24)*dtHh_QED1/cMHH**2d0
    coupl(nGC_7205) = coupl(nGC_MI)*dZZA_QED2/2d0
    coupl(nGC_7207) = coupl(nGC_MZ)*dZZA_QED2/2d0
    coupl(nGC_7206) = coupl(nGC_MI)*dZAZ_QED2/2d0
    coupl(nGC_7201) = coupl(nGC_5287) + coupl(nGC_85)*dZcR_QCD2/2d0 + coupl(   &
                      nGC_85)*dZsL_QCD2/2d0
    coupl(nGC_7203) = coupl(nGC_5288) + coupl(nGC_85)*dZcR_QED2/2d0 + coupl(   &
                      nGC_85)*dZsL_QED2/2d0
    coupl(nGC_TS_GC_98_Hl) = -coupl(nGC_98)*dtHl_QED1/cMHL**2d0
    coupl(nGC_5046) = coupl(nGC_11)**2d0*coupl(nGC_123)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5049) = coupl(nGC_11)**2d0*coupl(nGC_33)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_13498) = coupl(nGC_MI)*dZuL_QCD2
    coupl(nGC_13499) = coupl(nGC_MU)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_12942) = coupl(nGC_MI)*dZg_QCD2
    coupl(nGC_13497) = coupl(nGC_MI)*dZuL_QED2
    coupl(nGC_5308) = coupl(nGC_4747)*dys_QED1_QCD2
    coupl(nGC_5309) = coupl(nGC_4713)*da_QED2 + coupl(nGC_4714)*dyb_QED3
    coupl(nGC_5302) = coupl(nGC_4712)*dyb_QED3
    coupl(nGC_5303) = coupl(nGC_4706)*dyb_QED1_QCD2
    coupl(nGC_5300) = coupl(nGC_4742)*dys_QED3
    coupl(nGC_5306) = coupl(nGC_4729)*dydo_QED1_QCD2
    coupl(nGC_5307) = coupl(nGC_4746)*da_QED2 + coupl(nGC_4747)*dys_QED3
    coupl(nGC_5304) = coupl(nGC_4706)*dyb_QED3
    coupl(nGC_5305) = coupl(nGC_4728)*da_QED2 + coupl(nGC_4729)*dydo_QED3
    coupl(nGC_5438) = -cima*dMT_QCD2
    coupl(nGC_5301) = coupl(nGC_4712)*dyb_QED1_QCD2
    coupl(nGC_5274) = coupl(nGC_4826)*dsw_QED2 + coupl(nGC_4827)*dZee_QED2
    coupl(nGC_5275) = coupl(nGC_4619)*dsw_QED2 + coupl(nGC_4620)*dcw_QED2 +    &
                      coupl(nGC_4621)*dZee_QED2
    coupl(nGC_5272) = coupl(nGC_4752)*dZee_QED2
    coupl(nGC_5270) = coupl(nGC_4707)*dsw_QED2 + coupl(nGC_4708)*dvev_QED1 +   &
                      coupl(nGC_4709)*dcw_QED2 + coupl(nGC_4710)*da_QED2 +     &
                      coupl(nGC_4711)*dZee_QED2
    coupl(nGC_5271) = coupl(nGC_4758)*dZee_QED2
    coupl(nGC_5278) = coupl(nGC_4622)*dsw_QED2 + coupl(nGC_4623)*dcw_QED2 +    &
                      coupl(nGC_4624)*dZee_QED2
    coupl(nGC_5279) = coupl(nGC_4631)*dsw_QED2 + coupl(nGC_4632)*dcw_QED2 +    &
                      coupl(nGC_4633)*dZee_QED2
    coupl(nGC_8529) = coupl(nGC_MI)*dZtauMinusL_QED2
    coupl(nGC_TS_GC_34_Hl) = -coupl(nGC_34)*dtHl_QED1/cMHL**2d0
    coupl(nGC_4879) = cMS*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_4878) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_50)*coupl(nGC_53&
                      ))/(8d0*pi**2d0)
    coupl(nGC_4873) = cima*sq2**2d0*(-Nc*coupl(nGC_10)**2d0 + 4d0*coupl(nGC_11 &
                      )**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_4872) = cima*coupl(nGC_11)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0 +  &
                      cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi**2d0)
    coupl(nGC_4871) = -Nc*cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_4870) = cima*sq2**2d0*(Nc*coupl(nGC_10)**2d0 - 4d0*coupl(nGC_11  &
                      )**2d0)/(64d0*pi**2d0)
    coupl(nGC_4877) = cima*(-coupl(nGC_33)**2d0 - coupl(nGC_56)**2d0)/(16d0*pi &
                      **2d0)
    coupl(nGC_4876) = cMM*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_52)*coupl(nGC_55&
                      ))/(8d0*pi**2d0)
    coupl(nGC_4875) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0 - &
                      cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi**2d0*&
                      Nc)
    coupl(nGC_4874) = cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_9813) = coupl(nGC_MI)*dZtR_QED2
    coupl(nGC_9817) = coupl(nGC_5438) + coupl(nGC_9808)
    coupl(nGC_9814) = coupl(nGC_MI)*dZtR_QCD2
    coupl(nGC_7431) = -coupl(nGC_7094)
    coupl(nGC_4907) = (4d0*coupl(nGC_3)*coupl(nGC_33)**2d0 + 4d0*coupl(nGC_33  &
                      )**2d0*coupl(nGC_4) + coupl(nGC_4)*coupl(nGC_95)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_4904) = (-4d0*coupl(nGC_3)*coupl(nGC_33)**2d0 + 4d0*coupl(nGC_4  &
                      )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_55)**2d0 + coupl(    &
                      nGC_4)*coupl(nGC_96)*coupl(nGC_97) + coupl(nGC_4)*coupl( &
                      nGC_98)**2d0 + coupl(nGC_4)*coupl(nGC_99)**2d0)/(32d0*pi &
                      **2d0)
    coupl(nGC_4903) = coupl(nGC_4)*(4d0*coupl(nGC_4)**2d0 + 4d0*coupl(nGC_52)**&
                      2d0 + coupl(nGC_96)*coupl(nGC_97) + coupl(nGC_98)**2d0 + &
                      coupl(nGC_99)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4902) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_50)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_91)*coupl(nGC_92) + coupl(  &
                      nGC_1)*coupl(nGC_93)**2d0 + coupl(nGC_1)*coupl(nGC_94)** &
                      2d0 + coupl(nGC_2)*coupl(nGC_90)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4900) = coupl(nGC_11)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0  &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_10232) = coupl(nGC_67)*dZZA_QED2/2d0
    coupl(nGC_5277) = coupl(nGC_4613)*dsw_QED2 + coupl(nGC_4614)*dcw_QED2 +    &
                      coupl(nGC_4615)*dZee_QED2
    coupl(nGC_7100) = coupl(nGC_11)*dZtR_QCD2
    coupl(nGC_5056) = coupl(nGC_11)**2d0*coupl(nGC_50)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_5054) = coupl(nGC_11)**2d0*coupl(nGC_53)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_5055) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_50) + 4d0*coupl(nGC_50  &
                      )**3d0 + coupl(nGC_53)*coupl(nGC_81)*coupl(nGC_82) +     &
                      coupl(nGC_53)*coupl(nGC_83)**2d0 + coupl(nGC_53)*coupl(  &
                      nGC_84)**2d0 + coupl(nGC_54)*coupl(nGC_80)**2d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_TS_GC_23_Hl) = -coupl(nGC_23)*dtHl_QED1/cMHL**2d0
    coupl(nGC_5058) = coupl(nGC_11)**2d0*coupl(nGC_54)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_5059) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_51) + 4d0*coupl(nGC_51  &
                      )**3d0 + coupl(nGC_53)*coupl(nGC_85)**2d0 + coupl(nGC_54 &
                      )*coupl(nGC_86)*coupl(nGC_87) + coupl(nGC_54)*coupl(     &
                      nGC_88)**2d0 + coupl(nGC_54)*coupl(nGC_89)**2d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_TS_GC_46_Hh) = -coupl(nGC_46)*dtHh_QED1/cMHH**2d0
    coupl(nGC_8440) = -coupl(nGC_8439)
    coupl(nGC_8534) = coupl(nGC_MI)*dZtauMinusR_QED2
    coupl(nGC_8530) = coupl(nGC_MTA)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
    coupl(nGC_8847) = coupl(nGC_5329) + coupl(nGC_98)*dZHlHh_QED2/2d0 + coupl( &
                      nGC_99)*dZHh_QED2/2d0
    coupl(nGC_8843) = coupl(nGC_99)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    coupl(nGC_8848) = coupl(nGC_8843) + coupl(nGC_8847)
    coupl(nGC_8849) = coupl(nGC_I)*dZHh_QED2
    coupl(nGC_4868) = cima*(coupl(nGC_4)**2d0 + coupl(nGC_52)**2d0)/(16d0*pi** &
                      2d0)
    coupl(nGC_4869) = cima*(coupl(nGC_33)**2d0 + coupl(nGC_4)**2d0 + coupl(    &
                      nGC_55)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4860) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_50)**2d0)/(16d0*pi**&
                      2d0)
    coupl(nGC_4861) = cMC*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_51)*coupl(nGC_54&
                      ))/(8d0*pi**2d0)
    coupl(nGC_4862) = cMC*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_4863) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_33)**2d0 - coupl(   &
                      nGC_54)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4864) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_51)**2d0)/(16d0*pi**&
                      2d0)
    coupl(nGC_4866) = cMD*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_4867) = cME*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_52)*coupl(nGC_55&
                      ))/(8d0*pi**2d0)
    coupl(nGC_4916) = (4d0*coupl(nGC_1)*coupl(nGC_33)**2d0 + coupl(nGC_1)*coupl&
                      (nGC_90)**2d0 + coupl(nGC_121)*coupl(nGC_122)*coupl(nGC_2&
                      ) + coupl(nGC_123)**2d0*coupl(nGC_2) + coupl(nGC_124)**  &
                      2d0*coupl(nGC_2) + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(    &
                      nGC_2)*coupl(nGC_54)**2d0 + 4d0*coupl(nGC_3)*coupl(nGC_33&
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_5428) = -cima*dMHH2_QED2
    coupl(nGC_5427) = -cima*dMHL2_QED2
    coupl(nGC_7595) = coupl(nGC_50)*dZZ_QED2/2d0 + coupl(nGC_50)*dZdR_QED2 +   &
                      coupl(nGC_5277)
    coupl(nGC_7594) = coupl(nGC_53)*dZdL_QCD2
    coupl(nGC_7596) = coupl(nGC_5278) + coupl(nGC_53)*dZZ_QED2/2d0 + coupl(    &
                      nGC_53)*dZdL_QED2
  end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
