!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2019-10-09 13:25             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl2()
    coupl(nGC_7591) = coupl(nGC_50)*dZdR_QCD2
    coupl(nGC_5063) = (4d0*coupl(nGC_4)**2d0*coupl(nGC_52) + 4d0*coupl(nGC_52  &
                      )**3d0 + coupl(nGC_55)*coupl(nGC_96)*coupl(nGC_97) +     &
                      coupl(nGC_55)*coupl(nGC_98)**2d0 + coupl(nGC_55)*coupl(  &
                      nGC_99)**2d0 + coupl(nGC_56)*coupl(nGC_95)**2d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_7171) = coupl(nGC_64)*dZZA_QED2/2d0
    coupl(nGC_5193) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_50) - coupl(&
                      nGC_51) - coupl(nGC_53) - coupl(nGC_54))/(64d0*pi**2d0*Nc&
                      )
    coupl(nGC_5192) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_50) + coupl( &
                      nGC_51) + coupl(nGC_53) + coupl(nGC_54))/(128d0*pi**2d0)
    coupl(nGC_5191) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_50)**2d0 -  &
                      coupl(nGC_51)**2d0 - coupl(nGC_53)**2d0 - coupl(nGC_54)**&
                      2d0)/(32d0*pi**2d0*Nc)
    coupl(nGC_5190) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_50)**2d0 +   &
                      coupl(nGC_51)**2d0 + coupl(nGC_53)**2d0 + coupl(nGC_54)**&
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_5194) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_50) + coupl( &
                      nGC_51) + coupl(nGC_53) + coupl(nGC_54))/(32d0*pi**2d0*Nc&
                      **2d0)
    coupl(nGC_8238) = coupl(nGC_MD)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_8235) = coupl(nGC_MI)*dZdL_QED2
    coupl(nGC_8237) = coupl(nGC_MD)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_8236) = coupl(nGC_MI)*dZdL_QCD2
    coupl(nGC_10630) = coupl(nGC_MI)*dZmuMinusL_QED2
    coupl(nGC_10635) = coupl(nGC_MI)*dZmuMinusR_QED2
    coupl(nGC_7999) = coupl(nGC_33)*(dZcL_QCD2 + dZsL_QCD2)/2d0
    coupl(nGC_7168) = coupl(nGC_50)*dZZ_QED2/2d0 + coupl(nGC_50)*dZbR_QED2 +   &
                      coupl(nGC_5277)
    coupl(nGC_5210) = cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
    coupl(nGC_5211) = -3d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc** &
                      3d0)
    coupl(nGC_5212) = coupl(nGC_4767)*dZgs_QCD2
    coupl(nGC_5213) = coupl(nGC_4769)*dZgs_QCD2
    coupl(nGC_5214) = coupl(nGC_4761)*dZee_QED2
    coupl(nGC_5215) = coupl(nGC_4760)*dZee_QED2
    coupl(nGC_5217) = coupl(nGC_4794)*dsw_QED2 + coupl(nGC_4795)*dZee_QED2
    coupl(nGC_5218) = coupl(nGC_4590)*dsw_QED2 + coupl(nGC_4591)*dcw_QED2 +    &
                      coupl(nGC_4592)*dZee_QED2
    coupl(nGC_5219) = coupl(nGC_4815)*dsw_QED2 + coupl(nGC_4816)*dcw_QED2 +    &
                      coupl(nGC_4817)*dZee_QED2
    coupl(nGC_7162) = coupl(nGC_53)*dZbL_QCD2
    coupl(nGC_5320) = coupl(nGC_4725)*dye_QED3
    coupl(nGC_7163) = coupl(nGC_1)*dZAZ_QED2/2d0
    coupl(nGC_8182) = coupl(nGC_5279) + coupl(nGC_56)*dZZ_QED2/2d0 + coupl(    &
                      nGC_56)*dZnu_eL_QED2
    coupl(nGC_8787) = coupl(nGC_4)*dZtauMinusL_QED2 + coupl(nGC_55)*dZZA_QED2/ &
                      2d0
    coupl(nGC_8836) = coupl(nGC_MI)*dZnu_muL_QED2
    coupl(nGC_5324) = coupl(nGC_4750)*dytau_QED3
    coupl(nGC_8788) = coupl(nGC_4)*dZtauMinusR_QED2 + coupl(nGC_52)*dZZA_QED2/ &
                      2d0
    coupl(nGC_4857) = cMB*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_4856) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_50)*coupl(nGC_53&
                      ))/(8d0*pi**2d0)
    coupl(nGC_4859) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_33)**2d0 - coupl(   &
                      nGC_53)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4858) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0* &
                      pi**2d0*Nc)
    coupl(nGC_8169) = coupl(nGC_5291) + coupl(nGC_80)*dZbR_QCD2/2d0 + coupl(   &
                      nGC_80)*dZtL_QCD2/2d0
    coupl(nGC_9166) = coupl(nGC_88)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_9167) = coupl(nGC_5346) + coupl(nGC_9166)
    coupl(nGC_9165) = coupl(nGC_88)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_9168) = coupl(nGC_5347) + coupl(nGC_88)*dZHl_QED2/2d0 + coupl(   &
                      nGC_89)*dZHhHl_QED2/2d0
    coupl(nGC_9169) = coupl(nGC_9165) + coupl(nGC_9168)
    coupl(nGC_5439) = -cima*dMD_QED2
    coupl(nGC_4926) = coupl(nGC_11)**2d0*coupl(nGC_80)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5432) = -cima*dMTA_QED2
    coupl(nGC_5433) = -cima*dMU_QED2
    coupl(nGC_5434) = -cima*dMU_QCD2
    coupl(nGC_5435) = -cima*dMC_QED2
    coupl(nGC_5436) = -cima*dMC_QCD2
    coupl(nGC_5437) = -cima*dMT_QED2
    coupl(nGC_7340) = coupl(nGC_5295) + coupl(nGC_92)*dZdL_QCD2/2d0 + coupl(   &
                      nGC_92)*dZdR_QCD2/2d0
    coupl(nGC_7341) = coupl(nGC_5293) + coupl(nGC_91)*dZdL_QCD2/2d0 + coupl(   &
                      nGC_91)*dZdR_QCD2/2d0
    coupl(nGC_7342) = coupl(nGC_5296) + coupl(nGC_92)*dZdL_QED2/2d0 + coupl(   &
                      nGC_92)*dZdR_QED2/2d0
    coupl(nGC_7343) = coupl(nGC_5294) + coupl(nGC_91)*dZdL_QED2/2d0 + coupl(   &
                      nGC_91)*dZdR_QED2/2d0
    coupl(nGC_7349) = coupl(nGC_100)*dZmuMinusR_QED2/2d0 + coupl(nGC_100)*     &
                      dZnu_muL_QED2/2d0 + coupl(nGC_5318)
    coupl(nGC_TS_GC_35_Hl) = -coupl(nGC_35)*dtHl_QED1/cMHL**2d0
    coupl(nGC_7586) = coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(nGC_5258) + coupl(    &
                      nGC_55)*dZZ_QED2/2d0
    coupl(nGC_TS_GC_75_Hl) = -coupl(nGC_75)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_21_Hl) = -coupl(nGC_21)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_21_Hh) = -coupl(nGC_21)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_76_Hl) = -coupl(nGC_76)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_76_Hh) = -coupl(nGC_76)*dtHh_QED1/cMHH**2d0
    coupl(nGC_7166) = coupl(nGC_50)*dZbR_QCD2
    coupl(nGC_7167) = coupl(nGC_5278) + coupl(nGC_53)*dZZ_QED2/2d0 + coupl(    &
                      nGC_53)*dZbL_QED2
    coupl(nGC_8247) = coupl(nGC_5440) + coupl(nGC_8238)
    coupl(nGC_5136) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 -   &
                      coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_TS_GC_72_Hl) = -coupl(nGC_72)*dtHl_QED1/cMHL**2d0
    coupl(nGC_7374) = coupl(nGC_5255) + coupl(nGC_58)*dZA_QED2/2d0 + coupl(    &
                      nGC_58)*dZZ_QED2/2d0 + coupl(nGC_6)*dZAZ_QED2/2d0 + coupl&
                      (nGC_63)*dZZA_QED2/2d0
    coupl(nGC_8223) = coupl(nGC_108)*dZHlHh_QED2/2d0 + coupl(nGC_109)*dZHh_QED2&
                      /2d0 + coupl(nGC_5313)
    coupl(nGC_5011) = (-coupl(nGC_110)*coupl(nGC_33)*coupl(nGC_47) - coupl(    &
                      nGC_110)*coupl(nGC_80)*coupl(nGC_84) - coupl(nGC_112)**  &
                      2d0*coupl(nGC_114) - coupl(nGC_112)*coupl(nGC_1691)*coupl&
                      (nGC_51) - coupl(nGC_112)*coupl(nGC_54)*coupl(nGC_61) -  &
                      coupl(nGC_113)**2d0*coupl(nGC_114) - coupl(nGC_114)**3d0 &
                       + 8d0*coupl(nGC_114)*coupl(nGC_2)**2d0 + 8d0*coupl(     &
                      nGC_114)*coupl(nGC_51)*coupl(nGC_54))/(32d0*pi**2d0)
    coupl(nGC_8218) = coupl(nGC_109)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_5045) = (-coupl(nGC_120)*coupl(nGC_33)*coupl(nGC_35) - coupl(    &
                      nGC_120)*coupl(nGC_90)*coupl(nGC_93) - coupl(nGC_122)**  &
                      2d0*coupl(nGC_123) - coupl(nGC_122)*coupl(nGC_421)*coupl(&
                      nGC_51) - coupl(nGC_122)*coupl(nGC_54)*coupl(nGC_57) -   &
                      coupl(nGC_123)**3d0 - coupl(nGC_123)*coupl(nGC_124)**2d0 &
                       + 8d0*coupl(nGC_123)*coupl(nGC_2)**2d0 + 8d0*coupl(     &
                      nGC_123)*coupl(nGC_51)*coupl(nGC_54))/(32d0*pi**2d0)
    coupl(nGC_7903) = coupl(nGC_MI)*dZnu_eL_QED2
    coupl(nGC_TS_GC_47_Hh) = -coupl(nGC_47)*dtHh_QED1/cMHH**2d0
    coupl(nGC_5135) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +    &
                      coupl(nGC_2)**2d0)/(16d0*pi**2d0)
    coupl(nGC_5003) = coupl(nGC_11)**2d0*sq2**2d0*(-cMB*coupl(nGC_84) - cMC*   &
                      coupl(nGC_89) - cMD*coupl(nGC_94) - cMS*coupl(nGC_109) - &
                      cMT*coupl(nGC_114) - cMU*coupl(nGC_124))/(16d0*pi**2d0)
    coupl(nGC_5002) = (coupl(nGC_1691)*coupl(nGC_52)*coupl(nGC_97) + coupl(    &
                      nGC_33)*coupl(nGC_47)*coupl(nGC_95) + 8d0*coupl(nGC_4)** &
                      2d0*coupl(nGC_99) + 8d0*coupl(nGC_52)*coupl(nGC_55)*coupl&
                      (nGC_99) + coupl(nGC_55)*coupl(nGC_61)*coupl(nGC_97) -   &
                      coupl(nGC_97)**2d0*coupl(nGC_99) - coupl(nGC_98)**2d0*   &
                      coupl(nGC_99) - coupl(nGC_99)**3d0)/(32d0*pi**2d0)
    coupl(nGC_5004) = coupl(nGC_11)**2d0*sq2**2d0*(cMB*coupl(nGC_84) + cMC*    &
                      coupl(nGC_89) + cMD*coupl(nGC_94) + cMS*coupl(nGC_109) + &
                      cMT*coupl(nGC_114) + cMU*coupl(nGC_124))/(16d0*pi**2d0*Nc&
                      )
    coupl(nGC_5007) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_109) - coupl(nGC_105)*  &
                      coupl(nGC_1933)*coupl(nGC_33) - coupl(nGC_105)*coupl(    &
                      nGC_85)*coupl(nGC_89) - coupl(nGC_107)**2d0*coupl(nGC_109&
                      ) - coupl(nGC_107)*coupl(nGC_1691)*coupl(nGC_53) - coupl(&
                      nGC_107)*coupl(nGC_50)*coupl(nGC_61) - coupl(nGC_108)**  &
                      2d0*coupl(nGC_109) - coupl(nGC_109)**3d0 + 8d0*coupl(    &
                      nGC_109)*coupl(nGC_50)*coupl(nGC_53))/(32d0*pi**2d0)
    coupl(nGC_5009) = coupl(nGC_109)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5008) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_109) - coupl(nGC_105)*  &
                      coupl(nGC_33)*coupl(nGC_46) - coupl(nGC_105)*coupl(nGC_85&
                      )*coupl(nGC_89) - coupl(nGC_106)**2d0*coupl(nGC_109) -   &
                      coupl(nGC_106)*coupl(nGC_1691)*coupl(nGC_50) - coupl(    &
                      nGC_106)*coupl(nGC_53)*coupl(nGC_61) - coupl(nGC_108)**  &
                      2d0*coupl(nGC_109) - coupl(nGC_109)**3d0 + 8d0*coupl(    &
                      nGC_109)*coupl(nGC_50)*coupl(nGC_53))/(32d0*pi**2d0)
    coupl(nGC_5066) = (coupl(nGC_100)**2d0*coupl(nGC_56) + coupl(nGC_101)*coupl&
                      (nGC_102)*coupl(nGC_55) + coupl(nGC_103)**2d0*coupl(     &
                      nGC_55) + coupl(nGC_104)**2d0*coupl(nGC_55) + 4d0*coupl( &
                      nGC_4)**2d0*coupl(nGC_52) + 4d0*coupl(nGC_52)**3d0)/(32d0&
                      *pi**2d0)
    coupl(nGC_8895) = coupl(nGC_103)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
    coupl(nGC_5257) = coupl(nGC_4645)*dsw_QED2 + coupl(nGC_4646)*dcw_QED2 +    &
                      coupl(nGC_4647)*da_QED2 + coupl(nGC_4648)*dZee_QED2
    coupl(nGC_5250) = coupl(nGC_4808)*dsw_QED2 + coupl(nGC_4809)*da_QED2 +     &
                      coupl(nGC_4810)*dZee_QED2
    coupl(nGC_8484) = coupl(nGC_113)*(dZtL_QED2 + dZtR_QED2)/2d0
    coupl(nGC_8485) = coupl(nGC_113)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_8899) = coupl(nGC_103)*dZHl_QED2/2d0 + coupl(nGC_104)*dZHhHl_QED2&
                      /2d0 + coupl(nGC_5327)
    coupl(nGC_5344) = coupl(nGC_4756)*da_QED2 + coupl(nGC_4757)*dyup_QED3
    coupl(nGC_5345) = coupl(nGC_4757)*dyup_QED1_QCD2
    coupl(nGC_5229) = coupl(nGC_4782)*da_QED2 + coupl(nGC_4783)*dl2_QED4 +     &
                      coupl(nGC_4784)*dl3_QED4
    coupl(nGC_5228) = coupl(nGC_4800)*da_QED2 + coupl(nGC_4801)*dl2_QED4 +     &
                      coupl(nGC_4802)*dl1_QED4 + coupl(nGC_4803)*dl3_QED4
    coupl(nGC_5340) = coupl(nGC_4743)*dyt_QED1_QCD2
    coupl(nGC_5341) = coupl(nGC_4743)*dyt_QED3
    coupl(nGC_5225) = coupl(nGC_4790)*da_QED2 + coupl(nGC_4791)*dl2_QED4 +     &
                      coupl(nGC_4792)*dl1_QED4 + coupl(nGC_4793)*dl3_QED4
    coupl(nGC_5224) = coupl(nGC_4785)*da_QED2 + coupl(nGC_4786)*dl2_QED4 +     &
                      coupl(nGC_4787)*dl3_QED4
    coupl(nGC_5227) = coupl(nGC_4811)*da_QED2 + coupl(nGC_4812)*dl2_QED4 +     &
                      coupl(nGC_4813)*dl1_QED4 + coupl(nGC_4814)*dl3_QED4
    coupl(nGC_5226) = coupl(nGC_4779)*da_QED2 + coupl(nGC_4780)*dl2_QED4 +     &
                      coupl(nGC_4781)*dl3_QED4
    coupl(nGC_5221) = coupl(nGC_4773)*dl2_QED4
    coupl(nGC_5220) = coupl(nGC_4796)*da_QED2 + coupl(nGC_4797)*dl2_QED4 +     &
                      coupl(nGC_4798)*dl1_QED4 + coupl(nGC_4799)*dl3_QED4
    coupl(nGC_10862) = coupl(nGC_5427) + coupl(nGC_MHL)*dZHl_QED2 + coupl(     &
                       nGC_TS_GC_76_Hh) + coupl(nGC_TS_GC_78_Hl)
    coupl(nGC_5222) = coupl(nGC_4768)*dl2_QED4
    coupl(nGC_7204) = coupl(nGC_105)*dZcL_QED2/2d0 + coupl(nGC_105)*dZsR_QED2/ &
                      2d0 + coupl(nGC_5286)
    coupl(nGC_8000) = coupl(nGC_33)*dZWMinus_QED2/2d0 + coupl(nGC_33)*dZcL_QED2&
                      /2d0 + coupl(nGC_33)*dZsL_QED2/2d0 + coupl(nGC_5274)
    coupl(nGC_7202) = coupl(nGC_105)*dZcL_QCD2/2d0 + coupl(nGC_105)*dZsR_QCD2/ &
                      2d0 + coupl(nGC_5285)
    coupl(nGC_5041) = coupl(nGC_11)**2d0*coupl(nGC_113)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_9259) = coupl(nGC_2)*dZcR_QED2 + coupl(nGC_51)*dZZA_QED2/2d0
    coupl(nGC_TS_GC_22_Hh) = -coupl(nGC_22)*dtHh_QED1/cMHH**2d0
    coupl(nGC_5040) = (-coupl(nGC_110)*coupl(nGC_33)*coupl(nGC_35) - coupl(    &
                      nGC_110)*coupl(nGC_80)*coupl(nGC_83) - coupl(nGC_112)**  &
                      2d0*coupl(nGC_113) - coupl(nGC_112)*coupl(nGC_421)*coupl(&
                      nGC_51) - coupl(nGC_112)*coupl(nGC_54)*coupl(nGC_57) -   &
                      coupl(nGC_113)**3d0 - coupl(nGC_113)*coupl(nGC_114)**2d0 &
                       + 8d0*coupl(nGC_113)*coupl(nGC_2)**2d0 + 8d0*coupl(     &
                      nGC_113)*coupl(nGC_51)*coupl(nGC_54))/(32d0*pi**2d0)
    coupl(nGC_TS_GC_22_Hl) = -coupl(nGC_22)*dtHl_QED1/cMHL**2d0
    coupl(nGC_8056) = coupl(nGC_5444) + coupl(nGC_8051)
    coupl(nGC_9682) = coupl(nGC_11)*dZdL_QCD2
    coupl(nGC_9681) = coupl(nGC_11)*dZdL_QED2
    coupl(nGC_9680) = coupl(nGC_11)*dZdR_QCD2
    coupl(nGC_7641) = 2d0*coupl(nGC_27)*dZWMinus_QED2 + coupl(nGC_5217)
    coupl(nGC_4846) = cima*(4d0*Nc*coupl(nGC_108)**2d0 + 4d0*Nc*coupl(nGC_113  &
                      )**2d0 + 4d0*Nc*coupl(nGC_123)**2d0 + 4d0*Nc*coupl(nGC_83&
                      )**2d0 + 4d0*Nc*coupl(nGC_88)**2d0 + 4d0*Nc*coupl(nGC_93 &
                      )**2d0 + 4d0*coupl(nGC_103)**2d0 + 4d0*coupl(nGC_118)**  &
                      2d0 + coupl(nGC_2531)*coupl(nGC_35) + coupl(nGC_34)*coupl&
                      (nGC_427) + coupl(nGC_421)*coupl(nGC_57) + 4d0*coupl(    &
                      nGC_98)**2d0)/(96d0*pi**2d0)
    coupl(nGC_4847) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_83)**2d0 - 4d0*Nc*cMC** &
                      2d0*cima*coupl(nGC_88)**2d0 - 4d0*Nc*cMD**2d0*cima*coupl(&
                      nGC_93)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_108)**2d0  &
                       - 4d0*Nc*cMT**2d0*cima*coupl(nGC_113)**2d0 - 4d0*Nc*cMU &
                      **2d0*cima*coupl(nGC_123)**2d0 - 4d0*cME**2d0*cima*coupl(&
                      nGC_98)**2d0 - 4d0*cMM**2d0*cima*coupl(nGC_103)**2d0 -   &
                      4d0*cMTA**2d0*cima*coupl(nGC_118)**2d0 - cMW**2d0*cima*  &
                      coupl(nGC_2531)*coupl(nGC_35) - cMW**2d0*cima*coupl(     &
                      nGC_34)*coupl(nGC_427) - 2d0*cMW**2d0*coupl(nGC_28) - cMZ&
                      **2d0*cima*coupl(nGC_421)*coupl(nGC_57) - cMZ**2d0*coupl(&
                      nGC_65) + 2d0*cima*coupl(nGC_69)**2d0 + cima*coupl(nGC_72&
                      )**2d0)/(16d0*pi**2d0)
    coupl(nGC_5331) = coupl(nGC_269)*da_QED2 + coupl(nGC_271)*dytau_QED3
    coupl(nGC_7760) = coupl(nGC_101)*dZmuMinusL_QED2/2d0 + coupl(nGC_101)*     &
                      dZmuMinusR_QED2/2d0 + coupl(nGC_5323)
    coupl(nGC_7888) = coupl(nGC_5269) + coupl(nGC_72)*dZHl_QED2/2d0 + coupl(   &
                      nGC_72)*dZZ_QED2 + coupl(nGC_73)*dZHhHl_QED2/2d0 + coupl(&
                      nGC_TS_GC_65_Hl) + coupl(nGC_TS_GC_66_Hh)
    coupl(nGC_7059) = coupl(nGC_51)*dZZ_QED2/2d0 + coupl(nGC_51)*dZcR_QED2 +   &
                      coupl(nGC_5275)
    coupl(nGC_7689) = coupl(nGC_4)*dZmuMinusL_QED2 + coupl(nGC_55)*dZZA_QED2/2d0
    coupl(nGC_8073) = coupl(nGC_5270) + coupl(nGC_72)*dZHlHh_QED2/2d0 + coupl( &
                      nGC_73)*dZHh_QED2/2d0 + coupl(nGC_73)*dZZ_QED2 + coupl(  &
                      nGC_TS_GC_66_Hl) + coupl(nGC_TS_GC_67_Hh)
    coupl(nGC_7117) = coupl(nGC_123)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_7116) = coupl(nGC_123)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_7050) = coupl(nGC_39)*dZAZ_QED2/2d0 + coupl(nGC_5259) + coupl(   &
                      nGC_8)*dZWMinus_QED2/2d0 + coupl(nGC_8)*dZZ_QED2/2d0
    coupl(nGC_7118) = coupl(nGC_123)*dZHl_QED2/2d0 + coupl(nGC_124)*dZHhHl_QED2&
                      /2d0 + coupl(nGC_5344)
    coupl(nGC_7053) = coupl(nGC_54)*dZcL_QCD2
    coupl(nGC_8172) = coupl(nGC_110)*dZbL_QED2/2d0 + coupl(nGC_110)*dZtR_QED2/ &
                      2d0 + coupl(nGC_5290)
    coupl(nGC_8170) = coupl(nGC_110)*dZbL_QCD2/2d0 + coupl(nGC_110)*dZtR_QCD2/ &
                      2d0 + coupl(nGC_5289)
    coupl(nGC_8171) = coupl(nGC_5292) + coupl(nGC_80)*dZbR_QED2/2d0 + coupl(   &
                      nGC_80)*dZtL_QED2/2d0
    coupl(nGC_9294) = coupl(nGC_1)*dZsR_QED2 + coupl(nGC_50)*dZZA_QED2/2d0
    coupl(nGC_9295) = coupl(nGC_1)*dZsL_QED2 + coupl(nGC_53)*dZZA_QED2/2d0
    coupl(nGC_9290) = coupl(nGC_1)*dZsL_QCD2
    coupl(nGC_7501) = coupl(nGC_28)*dZHlHh_QED2/2d0 + coupl(nGC_30)*dZHh_QED2/ &
                      2d0 + coupl(nGC_30)*dZHl_QED2/2d0 + coupl(nGC_30)*       &
                      dZWMinus_QED2 + coupl(nGC_31)*dZHhHl_QED2/2d0 + coupl(   &
                      nGC_5251)
    coupl(nGC_7505) = coupl(nGC_36)*dZZ_QED2/2d0 + coupl(nGC_4)*dZAZ_QED2/2d0  &
                       + coupl(nGC_5361)
    coupl(nGC_5236) = coupl(nGC_245)*dvev_QED1 + coupl(nGC_247)*dl1_QED4 +     &
                      coupl(nGC_249)*dl2_QED4 + coupl(nGC_251)*dvevs_QED1 +    &
                      coupl(nGC_253)*da_QED2 + coupl(nGC_255)*dl3_QED4
    coupl(nGC_TS_GC_118_Hl) = -coupl(nGC_118)*dtHl_QED1/cMHL**2d0
    coupl(nGC_4836) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_33)**2d0 + 2d0*Nc*cMC**  &
                      2d0*cima*coupl(nGC_33)**2d0 + 2d0*Nc*cMD**2d0*cima*coupl(&
                      nGC_33)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_33)**2d0 + &
                      2d0*Nc*cMT**2d0*cima*coupl(nGC_33)**2d0 + 2d0*Nc*cMU**2d0&
                      *cima*coupl(nGC_33)**2d0 + 2d0*cME**2d0*cima*coupl(nGC_33&
                      )**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_33)**2d0 + 2d0*cMTA &
                      **2d0*cima*coupl(nGC_33)**2d0 + 3d0*cMW**2d0*cima*coupl( &
                      nGC_3)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_37)**2d0 + 3d0*&
                      cMW**2d0*cima*coupl(nGC_509)**2d0 + 3d0*cMW**2d0*cima*   &
                      coupl(nGC_551)**2d0 - 4d0*cMW**2d0*coupl(nGC_27) + 3d0*  &
                      cMZ**2d0*cima*coupl(nGC_37)**2d0 + 3d0*cMZ**2d0*cima*    &
                      coupl(nGC_509)**2d0 - 2d0*cMZ**2d0*coupl(nGC_469))/(32d0*&
                      pi**2d0)
    coupl(nGC_4835) = cima*(coupl(nGC_3)**2d0 + coupl(nGC_37)**2d0 + coupl(    &
                      nGC_509)**2d0 + coupl(nGC_551)**2d0)/(48d0*pi**2d0)
    coupl(nGC_4834) = cima*(-2d0*Nc*coupl(nGC_33)**2d0 - coupl(nGC_3)**2d0 -   &
                      2d0*coupl(nGC_33)**2d0 - coupl(nGC_37)**2d0 - coupl(     &
                      nGC_509)**2d0 - coupl(nGC_551)**2d0)/(32d0*pi**2d0)
    coupl(nGC_10871) = coupl(nGC_5309) + coupl(nGC_83)*dZHl_QED2/2d0 + coupl(  &
                       nGC_84)*dZHhHl_QED2/2d0
    coupl(nGC_4936) = coupl(nGC_11)**2d0*coupl(nGC_120)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4934) = coupl(nGC_11)**2d0*coupl(nGC_90)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4932) = coupl(nGC_105)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4930) = coupl(nGC_11)**2d0*coupl(nGC_85)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_TS_GC_69_Hl) = -coupl(nGC_69)*dtHl_QED1/cMHL**2d0
    coupl(nGC_7474) = coupl(nGC_11)*dZbL_QED2
    coupl(nGC_7475) = coupl(nGC_11)*dZbL_QCD2
    coupl(nGC_7472) = coupl(nGC_11)*dZbR_QED2
    coupl(nGC_5043) = (coupl(nGC_115)*coupl(nGC_33)*coupl(nGC_35) - coupl(     &
                      nGC_117)**2d0*coupl(nGC_118) + coupl(nGC_117)*coupl(     &
                      nGC_421)*coupl(nGC_52) + coupl(nGC_117)*coupl(nGC_55)*   &
                      coupl(nGC_57) - coupl(nGC_118)**3d0 - coupl(nGC_118)*    &
                      coupl(nGC_119)**2d0 + 8d0*coupl(nGC_118)*coupl(nGC_4)**  &
                      2d0 + 8d0*coupl(nGC_118)*coupl(nGC_52)*coupl(nGC_55))/(  &
                      32d0*pi**2d0)
    coupl(nGC_5042) = (coupl(nGC_115)*coupl(nGC_2531)*coupl(nGC_33) - coupl(   &
                      nGC_116)**2d0*coupl(nGC_118) + coupl(nGC_116)*coupl(     &
                      nGC_421)*coupl(nGC_55) + coupl(nGC_116)*coupl(nGC_52)*   &
                      coupl(nGC_57) - coupl(nGC_118)**3d0 - coupl(nGC_118)*    &
                      coupl(nGC_119)**2d0 + 8d0*coupl(nGC_118)*coupl(nGC_4)**  &
                      2d0 + 8d0*coupl(nGC_118)*coupl(nGC_52)*coupl(nGC_55))/(  &
                      32d0*pi**2d0)
    coupl(nGC_8352) = coupl(nGC_111)*dZtL_QED2/2d0 + coupl(nGC_111)*dZtR_QED2/ &
                      2d0 + coupl(nGC_5341)
    coupl(nGC_8350) = coupl(nGC_111)*dZtL_QCD2/2d0 + coupl(nGC_111)*dZtR_QCD2/ &
                      2d0 + coupl(nGC_5340)
    coupl(nGC_5048) = coupl(nGC_33)*(coupl(nGC_1)*coupl(nGC_2) + coupl(nGC_1)* &
                      coupl(nGC_551) + coupl(nGC_2)*coupl(nGC_3) + coupl(nGC_37&
                      )*coupl(nGC_54) + coupl(nGC_509)*coupl(nGC_53) + coupl(  &
                      nGC_53)*coupl(nGC_54))/(8d0*pi**2d0)
    coupl(nGC_5018) = 3d0*(8d0*Nc*cMB*coupl(nGC_83)**3d0 + 8d0*Nc*cMC*coupl(   &
                      nGC_88)**3d0 + 8d0*Nc*cMD*coupl(nGC_93)**3d0 + 8d0*Nc*cMS&
                      *coupl(nGC_108)**3d0 + 8d0*Nc*cMT*coupl(nGC_113)**3d0 +  &
                      8d0*Nc*cMU*coupl(nGC_123)**3d0 + 8d0*cME*coupl(nGC_98)** &
                      3d0 + 8d0*cMM*coupl(nGC_103)**3d0 + 8d0*cMTA*coupl(      &
                      nGC_118)**3d0 + 4d0*cima*coupl(nGC_28)*coupl(nGC_69) +   &
                      2d0*cima*coupl(nGC_65)*coupl(nGC_72) - coupl(nGC_2531)*  &
                      coupl(nGC_35)*coupl(nGC_69) + coupl(nGC_2531)*coupl(     &
                      nGC_35)*coupl(nGC_75) - coupl(nGC_34)*coupl(nGC_427)*    &
                      coupl(nGC_69) + coupl(nGC_34)*coupl(nGC_427)*coupl(nGC_75&
                      ) - coupl(nGC_421)*coupl(nGC_57)*coupl(nGC_72) + coupl(  &
                      nGC_421)*coupl(nGC_57)*coupl(nGC_75))/(32d0*pi**2d0)
    coupl(nGC_5166) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl( &
                      nGC_2))/(32d0*pi**2d0*Nc)
    coupl(nGC_5167) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(  &
                      nGC_2))/(16d0*pi**2d0*Nc**2d0)
    coupl(nGC_5165) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(  &
                      nGC_2))/(64d0*pi**2d0)
    coupl(nGC_7830) = coupl(nGC_11)*dZsR_QED2
    coupl(nGC_7831) = coupl(nGC_11)*dZsR_QCD2
    coupl(nGC_8067) = coupl(nGC_5268) + coupl(nGC_66)*dZHlHh_QED2 + coupl(     &
                      nGC_67)*dZHh_QED2 + coupl(nGC_67)*dZZ_QED2
    coupl(nGC_8754) = coupl(nGC_11)*dZuR_QCD2
    coupl(nGC_8752) = coupl(nGC_11)*dZuL_QCD2
    coupl(nGC_8753) = coupl(nGC_11)*dZuR_QED2
    coupl(nGC_8751) = coupl(nGC_11)*dZuL_QED2
    coupl(nGC_7930) = 3d0*coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_5212)
    coupl(nGC_8285) = coupl(nGC_5258) + coupl(nGC_55)*dZZ_QED2/2d0 + coupl(    &
                      nGC_55)*dZtauMinusL_QED2
    coupl(nGC_7485) = coupl(nGC_2)*dZtL_QCD2
    coupl(nGC_4886) = (-2d0*Nc*cMB*coupl(nGC_2)*coupl(nGC_33)*coupl(nGC_80) -  &
                      2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_33)*coupl(nGC_85) - 2d0&
                      *Nc*cMD*coupl(nGC_2)*coupl(nGC_33)*coupl(nGC_90) - 2d0*Nc&
                      *cMS*coupl(nGC_105)*coupl(nGC_2)*coupl(nGC_33) - 2d0*Nc* &
                      cMT*coupl(nGC_1)*coupl(nGC_110)*coupl(nGC_33) - 2d0*Nc*  &
                      cMU*coupl(nGC_1)*coupl(nGC_120)*coupl(nGC_33) + 4d0*cima*&
                      coupl(nGC_443)*coupl(nGC_68) + 4d0*cima*coupl(nGC_5)*    &
                      coupl(nGC_71) - coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_71   &
                      ) + 6d0*coupl(nGC_3)*coupl(nGC_551)*coupl(nGC_71) - coupl&
                      (nGC_35)*coupl(nGC_551)*coupl(nGC_69) - coupl(nGC_37)*   &
                      coupl(nGC_55)*coupl(nGC_71) + 6d0*coupl(nGC_37)*coupl(   &
                      nGC_551)*coupl(nGC_68) - coupl(nGC_47)*coupl(nGC_551)*   &
                      coupl(nGC_70))/(32d0*pi**2d0)
    coupl(nGC_4884) = cMU*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_4885) = (-2d0*Nc*cMB*coupl(nGC_2)*coupl(nGC_33)*coupl(nGC_80) -  &
                      2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_33)*coupl(nGC_85) - 2d0&
                      *Nc*cMD*coupl(nGC_2)*coupl(nGC_33)*coupl(nGC_90) - 2d0*Nc&
                      *cMS*coupl(nGC_105)*coupl(nGC_2)*coupl(nGC_33) - 2d0*Nc* &
                      cMT*coupl(nGC_1)*coupl(nGC_110)*coupl(nGC_33) - 2d0*Nc*  &
                      cMU*coupl(nGC_1)*coupl(nGC_120)*coupl(nGC_33) + 4d0*cima*&
                      coupl(nGC_443)*coupl(nGC_68) + 4d0*cima*coupl(nGC_5)*    &
                      coupl(nGC_71) - coupl(nGC_3)*coupl(nGC_34)*coupl(nGC_69  &
                      ) - coupl(nGC_3)*coupl(nGC_46)*coupl(nGC_70) + 6d0*coupl(&
                      nGC_3)*coupl(nGC_509)*coupl(nGC_68) + 6d0*coupl(nGC_3)*  &
                      coupl(nGC_551)*coupl(nGC_71) - coupl(nGC_477)*coupl(     &
                      nGC_509)*coupl(nGC_71) - coupl(nGC_551)*coupl(nGC_647)*  &
                      coupl(nGC_71))/(32d0*pi**2d0)
    coupl(nGC_4882) = cMTA*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_52)*coupl(     &
                      nGC_55))/(8d0*pi**2d0)
    coupl(nGC_4883) = cMU*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_51)*coupl(nGC_54&
                      ))/(8d0*pi**2d0)
    coupl(nGC_4880) = cMT*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_51)*coupl(nGC_54&
                      ))/(8d0*pi**2d0)
    coupl(nGC_4881) = cMT*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_7169) = coupl(nGC_7163) + coupl(nGC_7168)
    coupl(nGC_7729) = coupl(nGC_2)*dZuR_QCD2
    coupl(nGC_5070) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_53) + coupl(nGC_106)*   &
                      coupl(nGC_107)*coupl(nGC_50) + coupl(nGC_108)**2d0*coupl(&
                      nGC_50) + coupl(nGC_109)**2d0*coupl(nGC_50) + 4d0*coupl( &
                      nGC_33)**2d0*coupl(nGC_509) + 4d0*coupl(nGC_33)**2d0*    &
                      coupl(nGC_54) + coupl(nGC_51)*coupl(nGC_85)**2d0 + 4d0*  &
                      coupl(nGC_53)**3d0)/(32d0*pi**2d0)
    coupl(nGC_7095) = coupl(nGC_11)*dZtL_QED2
    coupl(nGC_7096) = coupl(nGC_11)*dZtL_QCD2
    coupl(nGC_7397) = coupl(nGC_94)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_7396) = coupl(nGC_94)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_12725) = coupl(nGC_5232) + 3d0*coupl(nGC_76)*dZHhHl_QED2/2d0 +   &
                       3d0*coupl(nGC_78)*dZHl_QED2/2d0 + coupl(nGC_TS_GC_21_Hh &
                       ) + coupl(nGC_TS_GC_23_Hl)
    coupl(nGC_7255) = coupl(nGC_17)*dZHh_QED2/2d0 + coupl(nGC_17)*dZWMinus_QED2&
                      /2d0 + coupl(nGC_17)*dZZ_QED2/2d0 + coupl(nGC_48)*       &
                      dZAZ_QED2/2d0 + coupl(nGC_5261) + coupl(nGC_9)*          &
                      dZHlHh_QED2/2d0
    coupl(nGC_7398) = coupl(nGC_5311) + coupl(nGC_93)*dZHlHh_QED2/2d0 + coupl( &
                      nGC_94)*dZHh_QED2/2d0
    coupl(nGC_9398) = coupl(nGC_5279) + coupl(nGC_56)*dZZ_QED2/2d0 + coupl(    &
                      nGC_56)*dZnu_tauL_QED2
    coupl(nGC_5133) = (-12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_108)**2d0*coupl(   &
                      nGC_50) - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_108)**2d0* &
                      coupl(nGC_53) - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_50)* &
                      coupl(nGC_83)**2d0 - 12d0*Nc*cima*coupl(nGC_1)*coupl(    &
                      nGC_50)*coupl(nGC_93)**2d0 - 12d0*Nc*cima*coupl(nGC_1)*  &
                      coupl(nGC_53)*coupl(nGC_83)**2d0 - 12d0*Nc*cima*coupl(   &
                      nGC_1)*coupl(nGC_53)*coupl(nGC_93)**2d0 - 12d0*Nc*cima*  &
                      coupl(nGC_113)**2d0*coupl(nGC_2)*coupl(nGC_51) - 12d0*Nc*&
                      cima*coupl(nGC_113)**2d0*coupl(nGC_2)*coupl(nGC_54) -    &
                      12d0*Nc*cima*coupl(nGC_123)**2d0*coupl(nGC_2)*coupl(     &
                      nGC_51) - 12d0*Nc*cima*coupl(nGC_123)**2d0*coupl(nGC_2)* &
                      coupl(nGC_54) - 12d0*Nc*cima*coupl(nGC_2)*coupl(nGC_51)* &
                      coupl(nGC_88)**2d0 - 12d0*Nc*cima*coupl(nGC_2)*coupl(    &
                      nGC_54)*coupl(nGC_88)**2d0 - 12d0*cima*coupl(nGC_103)**  &
                      2d0*coupl(nGC_4)*coupl(nGC_52) - 12d0*cima*coupl(nGC_103 &
                      )**2d0*coupl(nGC_4)*coupl(nGC_55) - 12d0*cima*coupl(     &
                      nGC_118)**2d0*coupl(nGC_4)*coupl(nGC_52) - 12d0*cima*    &
                      coupl(nGC_118)**2d0*coupl(nGC_4)*coupl(nGC_55) + 9d0*cima&
                      *coupl(nGC_2531)*coupl(nGC_3)*coupl(nGC_35)*coupl(nGC_37 &
                      ) + 4d0*cima*coupl(nGC_2531)*coupl(nGC_35)*coupl(nGC_4)* &
                      coupl(nGC_55) + 12d0*cima*coupl(nGC_28)*coupl(nGC_41) +  &
                      4d0*cima*coupl(nGC_34)*coupl(nGC_427)*coupl(nGC_477)*    &
                      coupl(nGC_647) + 9d0*cima*coupl(nGC_34)*coupl(nGC_427)*  &
                      coupl(nGC_509)*coupl(nGC_551) - 12d0*cima*coupl(nGC_4)*  &
                      coupl(nGC_52)*coupl(nGC_98)**2d0 - 12d0*cima*coupl(nGC_4 &
                      )*coupl(nGC_55)*coupl(nGC_98)**2d0 - 3d0*coupl(nGC_2531)*&
                      coupl(nGC_3)*coupl(nGC_9) - 3d0*coupl(nGC_2531)*coupl(   &
                      nGC_35)*coupl(nGC_41) + 3d0*coupl(nGC_2531)*coupl(nGC_35 &
                      )*coupl(nGC_58) + 18d0*coupl(nGC_28)*coupl(nGC_3)*coupl( &
                      nGC_37) + 18d0*coupl(nGC_28)*coupl(nGC_509)*coupl(nGC_551&
                      ) - 3d0*coupl(nGC_3)*coupl(nGC_35)*coupl(nGC_9) - 6d0*   &
                      coupl(nGC_34)*coupl(nGC_40)*coupl(nGC_509) - 3d0*coupl(  &
                      nGC_34)*coupl(nGC_41)*coupl(nGC_427) + 3d0*coupl(nGC_34)*&
                      coupl(nGC_427)*coupl(nGC_58) - 3d0*coupl(nGC_34)*coupl(  &
                      nGC_551)*coupl(nGC_9) - 6d0*coupl(nGC_35)*coupl(nGC_37)* &
                      coupl(nGC_40) - 3d0*coupl(nGC_427)*coupl(nGC_551)*coupl( &
                      nGC_9))/(96d0*pi**2d0)
    coupl(nGC_4972) = (coupl(nGC_100)*coupl(nGC_33)*coupl(nGC_569) - coupl(    &
                      nGC_101)*coupl(nGC_102)**2d0 - coupl(nGC_101)*coupl(     &
                      nGC_103)**2d0 - coupl(nGC_101)*coupl(nGC_104)**2d0 + 8d0*&
                      coupl(nGC_102)*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_102)*   &
                      coupl(nGC_52)*coupl(nGC_55) + coupl(nGC_103)*coupl(      &
                      nGC_421)*coupl(nGC_55) + coupl(nGC_103)*coupl(nGC_52)*   &
                      coupl(nGC_57) + coupl(nGC_104)*coupl(nGC_1691)*coupl(    &
                      nGC_55) + coupl(nGC_104)*coupl(nGC_52)*coupl(nGC_61))/(  &
                      32d0*pi**2d0)
    coupl(nGC_4973) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_107) - coupl(nGC_105)*  &
                      coupl(nGC_32)*coupl(nGC_33) - coupl(nGC_105)*coupl(nGC_85&
                      )*coupl(nGC_87) - coupl(nGC_106)*coupl(nGC_107)**2d0 -   &
                      coupl(nGC_106)*coupl(nGC_108)**2d0 - coupl(nGC_106)*coupl&
                      (nGC_109)**2d0 + 8d0*coupl(nGC_107)*coupl(nGC_50)*coupl( &
                      nGC_53) - coupl(nGC_108)*coupl(nGC_421)*coupl(nGC_50) -  &
                      coupl(nGC_108)*coupl(nGC_53)*coupl(nGC_57) - coupl(      &
                      nGC_109)*coupl(nGC_1691)*coupl(nGC_50) - coupl(nGC_109)* &
                      coupl(nGC_53)*coupl(nGC_61))/(32d0*pi**2d0)
    coupl(nGC_4970) = (coupl(nGC_1691)*coupl(nGC_55)*coupl(nGC_99) + coupl(    &
                      nGC_33)*coupl(nGC_569)*coupl(nGC_95) + 8d0*coupl(nGC_4)**&
                      2d0*coupl(nGC_97) + coupl(nGC_421)*coupl(nGC_55)*coupl(  &
                      nGC_98) + 8d0*coupl(nGC_52)*coupl(nGC_55)*coupl(nGC_97   &
                      ) + coupl(nGC_52)*coupl(nGC_57)*coupl(nGC_98) + coupl(   &
                      nGC_52)*coupl(nGC_61)*coupl(nGC_99) - coupl(nGC_96)*coupl&
                      (nGC_97)**2d0 - coupl(nGC_96)*coupl(nGC_98)**2d0 - coupl(&
                      nGC_96)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4971) = (coupl(nGC_100)*coupl(nGC_32)*coupl(nGC_33) - coupl(     &
                      nGC_101)**2d0*coupl(nGC_102) + 8d0*coupl(nGC_101)*coupl( &
                      nGC_4)**2d0 + 8d0*coupl(nGC_101)*coupl(nGC_52)*coupl(    &
                      nGC_55) - coupl(nGC_102)*coupl(nGC_103)**2d0 - coupl(    &
                      nGC_102)*coupl(nGC_104)**2d0 + coupl(nGC_103)*coupl(     &
                      nGC_421)*coupl(nGC_52) + coupl(nGC_103)*coupl(nGC_55)*   &
                      coupl(nGC_57) + coupl(nGC_104)*coupl(nGC_1691)*coupl(    &
                      nGC_52) + coupl(nGC_104)*coupl(nGC_55)*coupl(nGC_61))/(  &
                      32d0*pi**2d0)
    coupl(nGC_4976) = coupl(nGC_106)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4977) = (-coupl(nGC_110)*coupl(nGC_32)*coupl(nGC_33) - coupl(    &
                      nGC_110)*coupl(nGC_80)*coupl(nGC_81) - coupl(nGC_111)**  &
                      2d0*coupl(nGC_112) + 8d0*coupl(nGC_111)*coupl(nGC_2)**2d0&
                       + 8d0*coupl(nGC_111)*coupl(nGC_51)*coupl(nGC_54) - coupl&
                      (nGC_112)*coupl(nGC_113)**2d0 - coupl(nGC_112)*coupl(    &
                      nGC_114)**2d0 - coupl(nGC_113)*coupl(nGC_421)*coupl(     &
                      nGC_51) - coupl(nGC_113)*coupl(nGC_54)*coupl(nGC_57) -   &
                      coupl(nGC_114)*coupl(nGC_1691)*coupl(nGC_51) - coupl(    &
                      nGC_114)*coupl(nGC_54)*coupl(nGC_61))/(32d0*pi**2d0)
    coupl(nGC_4974) = coupl(nGC_107)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4975) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_106) - coupl(nGC_105)*  &
                      coupl(nGC_33)*coupl(nGC_569) - coupl(nGC_105)*coupl(     &
                      nGC_85)*coupl(nGC_86) - coupl(nGC_106)**2d0*coupl(nGC_107&
                      ) + 8d0*coupl(nGC_106)*coupl(nGC_50)*coupl(nGC_53) -     &
                      coupl(nGC_107)*coupl(nGC_108)**2d0 - coupl(nGC_107)*coupl&
                      (nGC_109)**2d0 - coupl(nGC_108)*coupl(nGC_421)*coupl(    &
                      nGC_53) - coupl(nGC_108)*coupl(nGC_50)*coupl(nGC_57) -   &
                      coupl(nGC_109)*coupl(nGC_1691)*coupl(nGC_53) - coupl(    &
                      nGC_109)*coupl(nGC_50)*coupl(nGC_61))/(32d0*pi**2d0)
    coupl(nGC_7616) = 2d0*coupl(nGC_22)*dZHlHh_QED2 + 2d0*coupl(nGC_24)*       &
                      dZHh_QED2 + coupl(nGC_5220)
    coupl(nGC_4978) = coupl(nGC_11)**2d0*coupl(nGC_111)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4979) = (-coupl(nGC_110)*coupl(nGC_33)*coupl(nGC_569) - coupl(   &
                      nGC_110)*coupl(nGC_80)*coupl(nGC_82) - coupl(nGC_111)*   &
                      coupl(nGC_112)**2d0 - coupl(nGC_111)*coupl(nGC_113)**2d0 &
                       - coupl(nGC_111)*coupl(nGC_114)**2d0 + 8d0*coupl(nGC_112&
                      )*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_112)*coupl(nGC_51)*  &
                      coupl(nGC_54) - coupl(nGC_113)*coupl(nGC_421)*coupl(     &
                      nGC_54) - coupl(nGC_113)*coupl(nGC_51)*coupl(nGC_57) -   &
                      coupl(nGC_114)*coupl(nGC_1691)*coupl(nGC_54) - coupl(    &
                      nGC_114)*coupl(nGC_51)*coupl(nGC_61))/(32d0*pi**2d0)
    coupl(nGC_7610) = coupl(nGC_52)*dZZ_QED2/2d0 + coupl(nGC_52)*              &
                      dZmuMinusR_QED2 + coupl(nGC_5280)
    coupl(nGC_7451) = coupl(nGC_35)*dZHl_QED2/2d0 + coupl(nGC_35)*dZWMinus_QED2&
                      /2d0 + coupl(nGC_47)*dZHhHl_QED2/2d0 + coupl(nGC_5244)
    coupl(nGC_5132) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_33)**2d0*coupl(     &
                      nGC_53) + 6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_33)**2d0*   &
                      coupl(nGC_54) + 6d0*Nc*cima*coupl(nGC_2)*coupl(nGC_33)** &
                      2d0*coupl(nGC_53) - 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_33&
                      )**2d0*coupl(nGC_54) + 4d0*cima*coupl(nGC_29)*coupl(     &
                      nGC_443) - 8d0*cima*coupl(nGC_3)*coupl(nGC_37)*coupl(    &
                      nGC_509)**2d0 - 8d0*cima*coupl(nGC_3)*coupl(nGC_37)*coupl&
                      (nGC_551)**2d0 - 4d0*cima*coupl(nGC_33)**2d0*coupl(nGC_4 &
                      )*coupl(nGC_55) + 6d0*cima*coupl(nGC_33)**2d0*coupl(nGC_4&
                      )*coupl(nGC_56) + 4d0*cima*coupl(nGC_443)*coupl(nGC_5) + &
                      coupl(nGC_1347)*coupl(nGC_3)*coupl(nGC_37) + coupl(nGC_27&
                      )*coupl(nGC_509)*coupl(nGC_551) + 6d0*coupl(nGC_29)*coupl&
                      (nGC_3)*coupl(nGC_509) + coupl(nGC_3)*coupl(nGC_41)*coupl&
                      (nGC_551) + 6d0*coupl(nGC_3)*coupl(nGC_443)*coupl(nGC_551&
                      ) + coupl(nGC_3)*coupl(nGC_469)*coupl(nGC_509) + 6d0*    &
                      coupl(nGC_3)*coupl(nGC_5)*coupl(nGC_509) + coupl(nGC_37)*&
                      coupl(nGC_41)*coupl(nGC_509) + 6d0*coupl(nGC_37)*coupl(  &
                      nGC_443)*coupl(nGC_509) + coupl(nGC_37)*coupl(nGC_551)*  &
                      coupl(nGC_817) + coupl(nGC_443)*coupl(nGC_509)**2d0 +    &
                      coupl(nGC_443)*coupl(nGC_551)**2d0)/(32d0*pi**2d0)
    coupl(nGC_7028) = coupl(nGC_18)*dZHlHh_QED2 + coupl(nGC_19)*dZHh_QED2 +    &
                      coupl(nGC_5226)
    coupl(nGC_5000) = coupl(nGC_11)**2d0*coupl(nGC_94)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5089) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(   &
                      nGC_50)**2d0 + coupl(nGC_90)**2d0 + coupl(nGC_91)*coupl( &
                      nGC_92) + coupl(nGC_93)**2d0 + coupl(nGC_94)**2d0)/(64d0*&
                      pi**2d0*Nc)
    coupl(nGC_5088) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_120&
                      )**2d0 + 4d0*coupl(nGC_33)**2d0 + 4d0*coupl(nGC_53)**2d0 &
                       + coupl(nGC_91)*coupl(nGC_92) + coupl(nGC_93)**2d0 +    &
                      coupl(nGC_94)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_7530) = coupl(nGC_5278) + coupl(nGC_53)*dZZ_QED2/2d0 + coupl(    &
                      nGC_53)*dZsL_QED2
    coupl(nGC_5126) = (12d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_50)**2d0 + 12d0&
                      *Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_53)**2d0 + 12d0*Nc* &
                      cima*coupl(nGC_2)**2d0*coupl(nGC_51)**2d0 + 12d0*Nc*cima*&
                      coupl(nGC_2)**2d0*coupl(nGC_54)**2d0 - 40d0*cima*coupl(  &
                      nGC_3)**2d0*coupl(nGC_37)**2d0 + 12d0*cima*coupl(nGC_4)**&
                      2d0*coupl(nGC_52)**2d0 + 12d0*cima*coupl(nGC_4)**2d0*    &
                      coupl(nGC_55)**2d0 + 12d0*cima*coupl(nGC_41)**2d0 - 40d0*&
                      cima*coupl(nGC_509)**2d0*coupl(nGC_551)**2d0 + 3d0*coupl(&
                      nGC_29)*coupl(nGC_3)**2d0 + 3d0*coupl(nGC_29)*coupl(     &
                      nGC_551)**2d0 + 36d0*coupl(nGC_3)*coupl(nGC_37)*coupl(   &
                      nGC_41) + 6d0*coupl(nGC_3)*coupl(nGC_37)*coupl(nGC_443   &
                      ) + 3d0*coupl(nGC_37)**2d0*coupl(nGC_5) + 36d0*coupl(    &
                      nGC_41)*coupl(nGC_509)*coupl(nGC_551) + 6d0*coupl(nGC_443&
                      )*coupl(nGC_509)*coupl(nGC_551) + 3d0*coupl(nGC_5)*coupl(&
                      nGC_509)**2d0)/(96d0*pi**2d0)
    coupl(nGC_5127) = (-12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_106)*coupl(nGC_107 &
                      )*coupl(nGC_50) - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_106&
                      )*coupl(nGC_107)*coupl(nGC_53) - 12d0*Nc*cima*coupl(nGC_1&
                      )*coupl(nGC_50)*coupl(nGC_81)*coupl(nGC_82) - 12d0*Nc*   &
                      cima*coupl(nGC_1)*coupl(nGC_50)*coupl(nGC_91)*coupl(     &
                      nGC_92) - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_53)*coupl( &
                      nGC_81)*coupl(nGC_82) - 12d0*Nc*cima*coupl(nGC_1)*coupl( &
                      nGC_53)*coupl(nGC_91)*coupl(nGC_92) - 12d0*Nc*cima*coupl(&
                      nGC_111)*coupl(nGC_112)*coupl(nGC_2)*coupl(nGC_51) - 12d0&
                      *Nc*cima*coupl(nGC_111)*coupl(nGC_112)*coupl(nGC_2)*coupl&
                      (nGC_54) - 12d0*Nc*cima*coupl(nGC_121)*coupl(nGC_122)*   &
                      coupl(nGC_2)*coupl(nGC_51) - 12d0*Nc*cima*coupl(nGC_121)*&
                      coupl(nGC_122)*coupl(nGC_2)*coupl(nGC_54) - 12d0*Nc*cima*&
                      coupl(nGC_2)*coupl(nGC_51)*coupl(nGC_86)*coupl(nGC_87) - &
                      12d0*Nc*cima*coupl(nGC_2)*coupl(nGC_54)*coupl(nGC_86)*   &
                      coupl(nGC_87) - 12d0*cima*coupl(nGC_101)*coupl(nGC_102)* &
                      coupl(nGC_4)*coupl(nGC_52) - 12d0*cima*coupl(nGC_101)*   &
                      coupl(nGC_102)*coupl(nGC_4)*coupl(nGC_55) - 12d0*cima*   &
                      coupl(nGC_116)*coupl(nGC_117)*coupl(nGC_4)*coupl(nGC_52  &
                      ) - 12d0*cima*coupl(nGC_116)*coupl(nGC_117)*coupl(nGC_4)*&
                      coupl(nGC_55) + 12d0*cima*coupl(nGC_26)*coupl(nGC_41) +  &
                      9d0*cima*coupl(nGC_3)*coupl(nGC_32)*coupl(nGC_37)*coupl( &
                      nGC_569) + 4d0*cima*coupl(nGC_32)*coupl(nGC_4)*coupl(    &
                      nGC_55)*coupl(nGC_569) + 4d0*cima*coupl(nGC_32)*coupl(   &
                      nGC_477)*coupl(nGC_569)*coupl(nGC_647) + 9d0*cima*coupl( &
                      nGC_32)*coupl(nGC_509)*coupl(nGC_551)*coupl(nGC_569) -   &
                      12d0*cima*coupl(nGC_4)*coupl(nGC_52)*coupl(nGC_96)*coupl(&
                      nGC_97) - 12d0*cima*coupl(nGC_4)*coupl(nGC_55)*coupl(    &
                      nGC_96)*coupl(nGC_97) + 18d0*coupl(nGC_26)*coupl(nGC_3)* &
                      coupl(nGC_37) + 18d0*coupl(nGC_26)*coupl(nGC_509)*coupl( &
                      nGC_551) - 3d0*coupl(nGC_3)*coupl(nGC_32)*coupl(nGC_8) - &
                      3d0*coupl(nGC_3)*coupl(nGC_569)*coupl(nGC_7) - 6d0*coupl(&
                      nGC_32)*coupl(nGC_41)*coupl(nGC_569) - 3d0*coupl(nGC_32)*&
                      coupl(nGC_551)*coupl(nGC_7) + 6d0*coupl(nGC_32)*coupl(   &
                      nGC_569)*coupl(nGC_58) - 6d0*coupl(nGC_37)*coupl(nGC_38)*&
                      coupl(nGC_569) - 6d0*coupl(nGC_39)*coupl(nGC_509)*coupl( &
                      nGC_569) - 3d0*coupl(nGC_551)*coupl(nGC_569)*coupl(nGC_8 &
                      ))/(96d0*pi**2d0)
    coupl(nGC_5124) = (4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_105)*coupl(nGC_108)* &
                      coupl(nGC_33) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_110)*&
                      coupl(nGC_113)*coupl(nGC_33) - 16d0*Nc*cima*coupl(nGC_1)*&
                      coupl(nGC_120)*coupl(nGC_123)*coupl(nGC_33) + 4d0*Nc*cima&
                      *coupl(nGC_1)*coupl(nGC_33)*coupl(nGC_80)*coupl(nGC_83   &
                      ) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_33)*coupl(nGC_85 &
                      )*coupl(nGC_88) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_33)*&
                      coupl(nGC_90)*coupl(nGC_93) - 16d0*Nc*cima*coupl(nGC_105 &
                      )*coupl(nGC_108)*coupl(nGC_2)*coupl(nGC_33) + 4d0*Nc*cima&
                      *coupl(nGC_110)*coupl(nGC_113)*coupl(nGC_2)*coupl(nGC_33 &
                      ) + 4d0*Nc*cima*coupl(nGC_120)*coupl(nGC_123)*coupl(nGC_2&
                      )*coupl(nGC_33) - 16d0*Nc*cima*coupl(nGC_2)*coupl(nGC_33 &
                      )*coupl(nGC_80)*coupl(nGC_83) + 4d0*Nc*cima*coupl(nGC_2)*&
                      coupl(nGC_33)*coupl(nGC_85)*coupl(nGC_88) - 16d0*Nc*cima*&
                      coupl(nGC_2)*coupl(nGC_33)*coupl(nGC_90)*coupl(nGC_93) + &
                      4d0*cima*coupl(nGC_100)*coupl(nGC_103)*coupl(nGC_33)*    &
                      coupl(nGC_4) + 4d0*cima*coupl(nGC_115)*coupl(nGC_118)*   &
                      coupl(nGC_33)*coupl(nGC_4) + 4d0*cima*coupl(nGC_1933)**  &
                      2d0*coupl(nGC_2531)*coupl(nGC_4) + 4d0*cima*coupl(       &
                      nGC_2531)*coupl(nGC_32)**2d0*coupl(nGC_4) + 4d0*cima*    &
                      coupl(nGC_2531)*coupl(nGC_4)*coupl(nGC_427)**2d0 + 9d0*  &
                      cima*coupl(nGC_3)*coupl(nGC_35)*coupl(nGC_477)*coupl(    &
                      nGC_509) + 9d0*cima*coupl(nGC_3)*coupl(nGC_35)*coupl(    &
                      nGC_551)*coupl(nGC_647) + 4d0*cima*coupl(nGC_33)*coupl(  &
                      nGC_4)*coupl(nGC_95)*coupl(nGC_98) + 9d0*cima*coupl(     &
                      nGC_37)*coupl(nGC_551)*coupl(nGC_569)*coupl(nGC_57) +    &
                      24d0*cima*coupl(nGC_40)*coupl(nGC_5) + 4d0*cima*coupl(   &
                      nGC_421)*coupl(nGC_55)*coupl(nGC_569)*coupl(nGC_647) +   &
                      24d0*cima*coupl(nGC_443)*coupl(nGC_9) + 6d0*coupl(       &
                      nGC_1933)*coupl(nGC_2531)*coupl(nGC_48) + 6d0*coupl(     &
                      nGC_2531)*coupl(nGC_32)*coupl(nGC_39) + 6d0*coupl(       &
                      nGC_2531)*coupl(nGC_40)*coupl(nGC_427) - 6d0*coupl(nGC_26&
                      )*coupl(nGC_3)*coupl(nGC_35) - 6d0*coupl(nGC_28)*coupl(  &
                      nGC_35)*coupl(nGC_551) - 6d0*coupl(nGC_3)*coupl(nGC_4)*  &
                      coupl(nGC_40) + 36d0*coupl(nGC_3)*coupl(nGC_40)*coupl(   &
                      nGC_551) - 6d0*coupl(nGC_30)*coupl(nGC_47)*coupl(nGC_551 &
                      ) - 6d0*coupl(nGC_35)*coupl(nGC_443)*coupl(nGC_477) - 6d0&
                      *coupl(nGC_35)*coupl(nGC_5)*coupl(nGC_647) - 6d0*coupl(  &
                      nGC_35)*coupl(nGC_509)*coupl(nGC_58) - 6d0*coupl(nGC_35)*&
                      coupl(nGC_551)*coupl(nGC_6) - 6d0*coupl(nGC_37)*coupl(   &
                      nGC_39)*coupl(nGC_57) - 6d0*coupl(nGC_37)*coupl(nGC_40)* &
                      coupl(nGC_55) + 36d0*coupl(nGC_37)*coupl(nGC_551)*coupl( &
                      nGC_9) + 6d0*coupl(nGC_39)*coupl(nGC_421)*coupl(nGC_55   &
                      ) - 6d0*coupl(nGC_443)*coupl(nGC_569)*coupl(nGC_57))/(   &
                      192d0*pi**2d0)
    coupl(nGC_5125) = (6d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_50)**2d0 + 6d0* &
                      Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_53)**2d0 + 6d0*Nc*   &
                      cima*coupl(nGC_2)**2d0*coupl(nGC_51)**2d0 + 6d0*Nc*cima* &
                      coupl(nGC_2)**2d0*coupl(nGC_54)**2d0 - 20d0*cima*coupl(  &
                      nGC_3)**2d0*coupl(nGC_37)**2d0 + 6d0*cima*coupl(nGC_4)** &
                      2d0*coupl(nGC_52)**2d0 + 6d0*cima*coupl(nGC_4)**2d0*coupl&
                      (nGC_55)**2d0 + 6d0*cima*coupl(nGC_469)*coupl(nGC_817) - &
                      20d0*cima*coupl(nGC_509)**2d0*coupl(nGC_551)**2d0 + 9d0* &
                      coupl(nGC_3)**2d0*coupl(nGC_469) + 6d0*coupl(nGC_3)*coupl&
                      (nGC_37)*coupl(nGC_443) + 9d0*coupl(nGC_37)**2d0*coupl(  &
                      nGC_817) + 6d0*coupl(nGC_443)*coupl(nGC_509)*coupl(      &
                      nGC_551) + 9d0*coupl(nGC_469)*coupl(nGC_551)**2d0 + 9d0* &
                      coupl(nGC_509)**2d0*coupl(nGC_817))/(48d0*pi**2d0)
    coupl(nGC_5081) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(      &
                      nGC_110)**2d0 - 4d0*coupl(nGC_33)**2d0 - 4d0*coupl(nGC_53&
                      )**2d0 - coupl(nGC_81)*coupl(nGC_82) - coupl(nGC_83)**2d0&
                       - coupl(nGC_84)**2d0)/(64d0*pi**2d0)
    coupl(nGC_5080) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(   &
                      nGC_50)**2d0 + coupl(nGC_80)**2d0 + coupl(nGC_81)*coupl( &
                      nGC_82) + coupl(nGC_83)**2d0 + coupl(nGC_84)**2d0)/(64d0*&
                      pi**2d0*Nc)
    coupl(nGC_5083) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(  &
                      nGC_50)**2d0 - coupl(nGC_80)**2d0 - coupl(nGC_81)*coupl( &
                      nGC_82) - coupl(nGC_83)**2d0 - coupl(nGC_84)**2d0)/(64d0*&
                      pi**2d0)
    coupl(nGC_5082) = -coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_10  &
                      ) + coupl(nGC_11))/(64d0*pi**2d0*Nc)
    coupl(nGC_5085) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(   &
                      nGC_51)**2d0 + coupl(nGC_85)**2d0 + coupl(nGC_86)*coupl( &
                      nGC_87) + coupl(nGC_88)**2d0 + coupl(nGC_89)**2d0)/(64d0*&
                      pi**2d0*Nc)
    coupl(nGC_5084) = -coupl(nGC_11)*sq2*(coupl(nGC_105)**2d0 + 4d0*coupl(nGC_2&
                      )**2d0 + 4d0*coupl(nGC_33)**2d0 + 4d0*coupl(nGC_54)**2d0 &
                       + coupl(nGC_86)*coupl(nGC_87) + coupl(nGC_88)**2d0 +    &
                      coupl(nGC_89)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_5087) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(  &
                      nGC_51)**2d0 - coupl(nGC_85)**2d0 - coupl(nGC_86)*coupl( &
                      nGC_87) - coupl(nGC_88)**2d0 - coupl(nGC_89)**2d0)/(64d0*&
                      pi**2d0)
    coupl(nGC_5086) = -coupl(nGC_11)*sq2*(-coupl(nGC_105)**2d0 - 4d0*coupl(    &
                      nGC_2)**2d0 - 4d0*coupl(nGC_33)**2d0 - 4d0*coupl(nGC_54  &
                      )**2d0 - coupl(nGC_86)*coupl(nGC_87) - coupl(nGC_88)**2d0&
                       - coupl(nGC_89)**2d0)/(64d0*pi**2d0)
    coupl(nGC_4988) = (24d0*Nc*cMB*coupl(nGC_83)*coupl(nGC_84)**2d0 + 24d0*Nc* &
                      cMC*coupl(nGC_88)*coupl(nGC_89)**2d0 + 24d0*Nc*cMD*coupl(&
                      nGC_93)*coupl(nGC_94)**2d0 + 24d0*Nc*cMS*coupl(nGC_108)* &
                      coupl(nGC_109)**2d0 + 24d0*Nc*cMT*coupl(nGC_113)*coupl(  &
                      nGC_114)**2d0 + 24d0*Nc*cMU*coupl(nGC_123)*coupl(nGC_124 &
                      )**2d0 + 24d0*cME*coupl(nGC_98)*coupl(nGC_99)**2d0 + 24d0&
                      *cMM*coupl(nGC_103)*coupl(nGC_104)**2d0 + 24d0*cMTA*coupl&
                      (nGC_118)*coupl(nGC_119)**2d0 + 8d0*cima*coupl(nGC_30)*  &
                      coupl(nGC_70) + 4d0*cima*coupl(nGC_31)*coupl(nGC_69) +   &
                      4d0*cima*coupl(nGC_66)*coupl(nGC_73) + 2d0*cima*coupl(   &
                      nGC_67)*coupl(nGC_72) - coupl(nGC_1691)*coupl(nGC_57)*   &
                      coupl(nGC_73) + coupl(nGC_1691)*coupl(nGC_57)*coupl(     &
                      nGC_74) - coupl(nGC_1691)*coupl(nGC_61)*coupl(nGC_72) +  &
                      coupl(nGC_1691)*coupl(nGC_61)*coupl(nGC_75) - coupl(     &
                      nGC_1933)*coupl(nGC_34)*coupl(nGC_70) + coupl(nGC_1933)* &
                      coupl(nGC_34)*coupl(nGC_74) - coupl(nGC_1933)*coupl(     &
                      nGC_46)*coupl(nGC_69) + coupl(nGC_1933)*coupl(nGC_46)*   &
                      coupl(nGC_75) - coupl(nGC_2481)*coupl(nGC_35)*coupl(     &
                      nGC_70) + coupl(nGC_2481)*coupl(nGC_35)*coupl(nGC_74) -  &
                      coupl(nGC_2481)*coupl(nGC_47)*coupl(nGC_69) + coupl(     &
                      nGC_2481)*coupl(nGC_47)*coupl(nGC_75) - coupl(nGC_2531)* &
                      coupl(nGC_47)*coupl(nGC_70) + coupl(nGC_2531)*coupl(     &
                      nGC_47)*coupl(nGC_74) - coupl(nGC_421)*coupl(nGC_61)*    &
                      coupl(nGC_73) + coupl(nGC_421)*coupl(nGC_61)*coupl(nGC_74&
                      ) - coupl(nGC_427)*coupl(nGC_46)*coupl(nGC_70) + coupl(  &
                      nGC_427)*coupl(nGC_46)*coupl(nGC_74))/(32d0*pi**2d0)
    coupl(nGC_4906) = (coupl(nGC_101)*coupl(nGC_102)*coupl(nGC_4) + coupl(     &
                      nGC_103)**2d0*coupl(nGC_4) + coupl(nGC_104)**2d0*coupl(  &
                      nGC_4) - 4d0*coupl(nGC_3)*coupl(nGC_33)**2d0 + 4d0*coupl(&
                      nGC_4)**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_55)**2d0)/(32d0*&
                      pi**2d0)
    coupl(nGC_4905) = coupl(nGC_4)*(coupl(nGC_101)*coupl(nGC_102) + coupl(     &
                      nGC_103)**2d0 + coupl(nGC_104)**2d0 + 4d0*coupl(nGC_4)** &
                      2d0 + 4d0*coupl(nGC_52)**2d0)/(32d0*pi**2d0)
    coupl(nGC_8286) = coupl(nGC_52)*dZZ_QED2/2d0 + coupl(nGC_52)*              &
                      dZtauMinusR_QED2 + coupl(nGC_5280)
    coupl(nGC_4901) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_53)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_91)*coupl(nGC_92) + coupl(  &
                      nGC_1)*coupl(nGC_93)**2d0 + coupl(nGC_1)*coupl(nGC_94)** &
                      2d0 + coupl(nGC_120)**2d0*coupl(nGC_2) + 4d0*coupl(nGC_2 &
                      )*coupl(nGC_33)**2d0 + 4d0*coupl(nGC_33)**2d0*coupl(     &
                      nGC_551))/(32d0*pi**2d0)
    coupl(nGC_TS_GC_20_Hl) = -coupl(nGC_20)*dtHl_QED1/cMHL**2d0
    coupl(nGC_9883) = -coupl(nGC_8183)
    coupl(nGC_4908) = (coupl(nGC_100)**2d0*coupl(nGC_4) + 4d0*coupl(nGC_3)*    &
                      coupl(nGC_33)**2d0 + 4d0*coupl(nGC_33)**2d0*coupl(nGC_4  &
                      ))/(32d0*pi**2d0)
    coupl(nGC_4928) = coupl(nGC_11)**2d0*coupl(nGC_110)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_7979) = 3d0*coupl(nGC_22)*dZHh_QED2/2d0 + coupl(nGC_22)*dZHl_QED2&
                      /2d0 + coupl(nGC_24)*dZHhHl_QED2/2d0 + 3d0*coupl(nGC_25)*&
                      dZHlHh_QED2/2d0 + coupl(nGC_5228)
    coupl(nGC_10711) = coupl(nGC_5430) + coupl(nGC_TS_GC_98_Hl) + coupl(       &
                       nGC_TS_GC_99_Hh)
    coupl(nGC_5157) = (-32d0*Nc*cima*coupl(nGC_106)*coupl(nGC_107)*coupl(nGC_33&
                      )**2d0 - 32d0*Nc*cima*coupl(nGC_111)*coupl(nGC_112)*coupl&
                      (nGC_33)**2d0 - 32d0*Nc*cima*coupl(nGC_121)*coupl(nGC_122&
                      )*coupl(nGC_33)**2d0 - 32d0*Nc*cima*coupl(nGC_33)**2d0*  &
                      coupl(nGC_81)*coupl(nGC_82) - 32d0*Nc*cima*coupl(nGC_33  &
                      )**2d0*coupl(nGC_86)*coupl(nGC_87) - 32d0*Nc*cima*coupl( &
                      nGC_33)**2d0*coupl(nGC_91)*coupl(nGC_92) - 32d0*cima*    &
                      coupl(nGC_101)*coupl(nGC_102)*coupl(nGC_33)**2d0 - 32d0* &
                      cima*coupl(nGC_116)*coupl(nGC_117)*coupl(nGC_33)**2d0 +  &
                      4d0*cima*coupl(nGC_1691)*coupl(nGC_1933)*coupl(nGC_34)*  &
                      coupl(nGC_57) + 4d0*cima*coupl(nGC_1691)*coupl(nGC_1933)*&
                      coupl(nGC_46)*coupl(nGC_61) + 4d0*cima*coupl(nGC_1691)*  &
                      coupl(nGC_2481)*coupl(nGC_35)*coupl(nGC_57) + 4d0*cima*  &
                      coupl(nGC_1691)*coupl(nGC_2481)*coupl(nGC_47)*coupl(     &
                      nGC_61) + 9d0*cima*coupl(nGC_1691)*coupl(nGC_37)**2d0*   &
                      coupl(nGC_61) + 9d0*cima*coupl(nGC_1691)*coupl(nGC_509)**&
                      2d0*coupl(nGC_61) + 4d0*cima*coupl(nGC_1933)*coupl(nGC_32&
                      )*coupl(nGC_46)*coupl(nGC_569) + 4d0*cima*coupl(nGC_2481 &
                      )*coupl(nGC_32)*coupl(nGC_47)*coupl(nGC_569) + 4d0*cima* &
                      coupl(nGC_2531)*coupl(nGC_32)*coupl(nGC_35)*coupl(nGC_569&
                      ) + 4d0*cima*coupl(nGC_2531)*coupl(nGC_35)*coupl(nGC_421 &
                      )*coupl(nGC_57) + 4d0*cima*coupl(nGC_2531)*coupl(nGC_421 &
                      )*coupl(nGC_47)*coupl(nGC_61) + 24d0*cima*coupl(nGC_26)* &
                      coupl(nGC_27) + 9d0*cima*coupl(nGC_3)**2d0*coupl(nGC_32)*&
                      coupl(nGC_569) + 8d0*cima*coupl(nGC_32)**2d0*coupl(      &
                      nGC_569)**2d0 + 4d0*cima*coupl(nGC_32)*coupl(nGC_34)*    &
                      coupl(nGC_427)*coupl(nGC_569) + 9d0*cima*coupl(nGC_32)*  &
                      coupl(nGC_37)**2d0*coupl(nGC_569) + 9d0*cima*coupl(nGC_32&
                      )*coupl(nGC_509)**2d0*coupl(nGC_569) + 9d0*cima*coupl(   &
                      nGC_32)*coupl(nGC_551)**2d0*coupl(nGC_569) - 32d0*cima*  &
                      coupl(nGC_33)**2d0*coupl(nGC_96)*coupl(nGC_97) + 4d0*cima&
                      *coupl(nGC_34)*coupl(nGC_421)*coupl(nGC_427)*coupl(nGC_57&
                      ) + 9d0*cima*coupl(nGC_37)**2d0*coupl(nGC_421)*coupl(    &
                      nGC_57) + 4d0*cima*coupl(nGC_421)*coupl(nGC_427)*coupl(  &
                      nGC_46)*coupl(nGC_61) + 9d0*cima*coupl(nGC_421)*coupl(   &
                      nGC_509)**2d0*coupl(nGC_57) + 12d0*cima*coupl(nGC_469)*  &
                      coupl(nGC_64) + 6d0*coupl(nGC_1691)*coupl(nGC_30)*coupl( &
                      nGC_57) + 6d0*coupl(nGC_1691)*coupl(nGC_31)*coupl(nGC_61 &
                      ) - 6d0*coupl(nGC_1691)*coupl(nGC_469)*coupl(nGC_61) +   &
                      12d0*coupl(nGC_26)*coupl(nGC_32)*coupl(nGC_569) + 36d0*  &
                      coupl(nGC_26)*coupl(nGC_509)**2d0 + 36d0*coupl(nGC_26)*  &
                      coupl(nGC_551)**2d0 - 12d0*coupl(nGC_27)*coupl(nGC_32)*  &
                      coupl(nGC_569) + 6d0*coupl(nGC_28)*coupl(nGC_421)*coupl( &
                      nGC_57) - 6d0*coupl(nGC_3)*coupl(nGC_32)*coupl(nGC_38) - &
                      6d0*coupl(nGC_3)*coupl(nGC_39)*coupl(nGC_569) + 6d0*coupl&
                      (nGC_30)*coupl(nGC_421)*coupl(nGC_61) - 6d0*coupl(nGC_32 &
                      )*coupl(nGC_37)*coupl(nGC_7) - 6d0*coupl(nGC_32)*coupl(  &
                      nGC_39)*coupl(nGC_551) - 6d0*coupl(nGC_32)*coupl(nGC_509 &
                      )*coupl(nGC_8) + 36d0*coupl(nGC_37)**2d0*coupl(nGC_64) - &
                      6d0*coupl(nGC_37)*coupl(nGC_569)*coupl(nGC_8) - 6d0*coupl&
                      (nGC_38)*coupl(nGC_551)*coupl(nGC_569) - 6d0*coupl(      &
                      nGC_421)*coupl(nGC_469)*coupl(nGC_57) - 6d0*coupl(nGC_509&
                      )*coupl(nGC_569)*coupl(nGC_7))/(192d0*pi**2d0)
    coupl(nGC_5156) = (20d0*Nc*cima*coupl(nGC_106)**2d0*coupl(nGC_108)*coupl(  &
                      nGC_109) + 80d0*Nc*cima*coupl(nGC_106)*coupl(nGC_107)*   &
                      coupl(nGC_108)*coupl(nGC_109) + 20d0*Nc*cima*coupl(      &
                      nGC_107)**2d0*coupl(nGC_108)*coupl(nGC_109) + 20d0*Nc*   &
                      cima*coupl(nGC_111)**2d0*coupl(nGC_113)*coupl(nGC_114) + &
                      80d0*Nc*cima*coupl(nGC_111)*coupl(nGC_112)*coupl(nGC_113 &
                      )*coupl(nGC_114) + 20d0*Nc*cima*coupl(nGC_112)**2d0*coupl&
                      (nGC_113)*coupl(nGC_114) + 20d0*Nc*cima*coupl(nGC_121)** &
                      2d0*coupl(nGC_123)*coupl(nGC_124) + 80d0*Nc*cima*coupl(  &
                      nGC_121)*coupl(nGC_122)*coupl(nGC_123)*coupl(nGC_124) +  &
                      20d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_123)*coupl(   &
                      nGC_124) + 20d0*Nc*cima*coupl(nGC_81)**2d0*coupl(nGC_83)*&
                      coupl(nGC_84) + 80d0*Nc*cima*coupl(nGC_81)*coupl(nGC_82)*&
                      coupl(nGC_83)*coupl(nGC_84) + 20d0*Nc*cima*coupl(nGC_82  &
                      )**2d0*coupl(nGC_83)*coupl(nGC_84) + 20d0*Nc*cima*coupl( &
                      nGC_86)**2d0*coupl(nGC_88)*coupl(nGC_89) + 80d0*Nc*cima* &
                      coupl(nGC_86)*coupl(nGC_87)*coupl(nGC_88)*coupl(nGC_89   &
                      ) + 20d0*Nc*cima*coupl(nGC_87)**2d0*coupl(nGC_88)*coupl( &
                      nGC_89) + 20d0*Nc*cima*coupl(nGC_91)**2d0*coupl(nGC_93)* &
                      coupl(nGC_94) + 80d0*Nc*cima*coupl(nGC_91)*coupl(nGC_92)*&
                      coupl(nGC_93)*coupl(nGC_94) + 20d0*Nc*cima*coupl(nGC_92  &
                      )**2d0*coupl(nGC_93)*coupl(nGC_94) + 20d0*cima*coupl(    &
                      nGC_101)**2d0*coupl(nGC_103)*coupl(nGC_104) + 80d0*cima* &
                      coupl(nGC_101)*coupl(nGC_102)*coupl(nGC_103)*coupl(      &
                      nGC_104) + 20d0*cima*coupl(nGC_102)**2d0*coupl(nGC_103)* &
                      coupl(nGC_104) + 20d0*cima*coupl(nGC_116)**2d0*coupl(    &
                      nGC_118)*coupl(nGC_119) + 80d0*cima*coupl(nGC_116)*coupl(&
                      nGC_117)*coupl(nGC_118)*coupl(nGC_119) + 20d0*cima*coupl(&
                      nGC_117)**2d0*coupl(nGC_118)*coupl(nGC_119) - 5d0*cima*  &
                      coupl(nGC_1691)**2d0*coupl(nGC_57)*coupl(nGC_61) - 5d0*  &
                      cima*coupl(nGC_1691)*coupl(nGC_421)*coupl(nGC_57)**2d0 - &
                      5d0*cima*coupl(nGC_1691)*coupl(nGC_421)*coupl(nGC_61)**  &
                      2d0 - 10d0*cima*coupl(nGC_1933)*coupl(nGC_32)*coupl(     &
                      nGC_34)*coupl(nGC_569) - 5d0*cima*coupl(nGC_1933)*coupl( &
                      nGC_427)*coupl(nGC_569)**2d0 - 5d0*cima*coupl(nGC_2481)* &
                      coupl(nGC_2531)*coupl(nGC_569)**2d0 - 10d0*cima*coupl(   &
                      nGC_2481)*coupl(nGC_32)*coupl(nGC_35)*coupl(nGC_569) -   &
                      10d0*cima*coupl(nGC_2531)*coupl(nGC_32)*coupl(nGC_47)*   &
                      coupl(nGC_569) + 12d0*cima*coupl(nGC_26)*coupl(nGC_30) - &
                      5d0*cima*coupl(nGC_32)**2d0*coupl(nGC_34)*coupl(nGC_46   &
                      ) - 5d0*cima*coupl(nGC_32)**2d0*coupl(nGC_35)*coupl(     &
                      nGC_47) - 10d0*cima*coupl(nGC_32)*coupl(nGC_427)*coupl(  &
                      nGC_46)*coupl(nGC_569) - 5d0*cima*coupl(nGC_421)**2d0*   &
                      coupl(nGC_57)*coupl(nGC_61) + 6d0*cima*coupl(nGC_64)*    &
                      coupl(nGC_66) + 20d0*cima*coupl(nGC_96)**2d0*coupl(nGC_98&
                      )*coupl(nGC_99) + 80d0*cima*coupl(nGC_96)*coupl(nGC_97)* &
                      coupl(nGC_98)*coupl(nGC_99) + 20d0*cima*coupl(nGC_97)**  &
                      2d0*coupl(nGC_98)*coupl(nGC_99) + 3d0*coupl(nGC_13)*coupl&
                      (nGC_2531)*coupl(nGC_47) + 3d0*coupl(nGC_13)*coupl(      &
                      nGC_427)*coupl(nGC_46) + 3d0*coupl(nGC_15)*coupl(nGC_421 &
                      )*coupl(nGC_61) + 3d0*coupl(nGC_1691)**2d0*coupl(nGC_18  &
                      ) + 3d0*coupl(nGC_1691)*coupl(nGC_19)*coupl(nGC_421) +   &
                      3d0*coupl(nGC_1691)*coupl(nGC_20)*coupl(nGC_421) + 3d0*  &
                      coupl(nGC_1691)*coupl(nGC_22)*coupl(nGC_61) + 3d0*coupl( &
                      nGC_1691)*coupl(nGC_25)*coupl(nGC_57) - 3d0*coupl(       &
                      nGC_1691)*coupl(nGC_57)*coupl(nGC_64) - 3d0*coupl(       &
                      nGC_1691)*coupl(nGC_61)*coupl(nGC_66) + 6d0*coupl(nGC_18 &
                      )*coupl(nGC_32)*coupl(nGC_569) + 3d0*coupl(nGC_18)*coupl(&
                      nGC_421)**2d0 + 3d0*coupl(nGC_18)*coupl(nGC_57)**2d0 +   &
                      3d0*coupl(nGC_18)*coupl(nGC_61)**2d0 + 3d0*coupl(nGC_19)*&
                      coupl(nGC_57)*coupl(nGC_61) - 3d0*coupl(nGC_1933)*coupl( &
                      nGC_26)*coupl(nGC_34) + 3d0*coupl(nGC_20)*coupl(nGC_57)* &
                      coupl(nGC_61) + 3d0*coupl(nGC_21)*coupl(nGC_421)*coupl(  &
                      nGC_57) - 3d0*coupl(nGC_2481)*coupl(nGC_26)*coupl(nGC_35 &
                      ) + 3d0*coupl(nGC_25)*coupl(nGC_421)*coupl(nGC_61) - 6d0*&
                      coupl(nGC_30)*coupl(nGC_32)*coupl(nGC_569) - 3d0*coupl(  &
                      nGC_421)*coupl(nGC_57)*coupl(nGC_66))/(96d0*pi**2d0)
    coupl(nGC_5155) = (20d0*Nc*cima*coupl(nGC_106)**2d0*coupl(nGC_109)**2d0 +  &
                      80d0*Nc*cima*coupl(nGC_106)*coupl(nGC_107)*coupl(nGC_109 &
                      )**2d0 + 20d0*Nc*cima*coupl(nGC_107)**2d0*coupl(nGC_109  &
                      )**2d0 + 20d0*Nc*cima*coupl(nGC_111)**2d0*coupl(nGC_114  &
                      )**2d0 + 80d0*Nc*cima*coupl(nGC_111)*coupl(nGC_112)*coupl&
                      (nGC_114)**2d0 + 20d0*Nc*cima*coupl(nGC_112)**2d0*coupl( &
                      nGC_114)**2d0 + 20d0*Nc*cima*coupl(nGC_121)**2d0*coupl(  &
                      nGC_124)**2d0 + 80d0*Nc*cima*coupl(nGC_121)*coupl(nGC_122&
                      )*coupl(nGC_124)**2d0 + 20d0*Nc*cima*coupl(nGC_122)**2d0*&
                      coupl(nGC_124)**2d0 + 20d0*Nc*cima*coupl(nGC_81)**2d0*   &
                      coupl(nGC_84)**2d0 + 80d0*Nc*cima*coupl(nGC_81)*coupl(   &
                      nGC_82)*coupl(nGC_84)**2d0 + 20d0*Nc*cima*coupl(nGC_82)**&
                      2d0*coupl(nGC_84)**2d0 + 20d0*Nc*cima*coupl(nGC_86)**2d0*&
                      coupl(nGC_89)**2d0 + 80d0*Nc*cima*coupl(nGC_86)*coupl(   &
                      nGC_87)*coupl(nGC_89)**2d0 + 20d0*Nc*cima*coupl(nGC_87)**&
                      2d0*coupl(nGC_89)**2d0 + 20d0*Nc*cima*coupl(nGC_91)**2d0*&
                      coupl(nGC_94)**2d0 + 80d0*Nc*cima*coupl(nGC_91)*coupl(   &
                      nGC_92)*coupl(nGC_94)**2d0 + 20d0*Nc*cima*coupl(nGC_92)**&
                      2d0*coupl(nGC_94)**2d0 + 20d0*cima*coupl(nGC_101)**2d0*  &
                      coupl(nGC_104)**2d0 + 80d0*cima*coupl(nGC_101)*coupl(    &
                      nGC_102)*coupl(nGC_104)**2d0 + 20d0*cima*coupl(nGC_102)**&
                      2d0*coupl(nGC_104)**2d0 + 20d0*cima*coupl(nGC_116)**2d0* &
                      coupl(nGC_119)**2d0 + 80d0*cima*coupl(nGC_116)*coupl(    &
                      nGC_117)*coupl(nGC_119)**2d0 + 20d0*cima*coupl(nGC_117)**&
                      2d0*coupl(nGC_119)**2d0 - 10d0*cima*coupl(nGC_1691)**2d0*&
                      coupl(nGC_61)**2d0 - 10d0*cima*coupl(nGC_1691)*coupl(    &
                      nGC_421)*coupl(nGC_57)*coupl(nGC_61) - 5d0*cima*coupl(   &
                      nGC_1933)**2d0*coupl(nGC_569)**2d0 - 20d0*cima*coupl(    &
                      nGC_1933)*coupl(nGC_32)*coupl(nGC_46)*coupl(nGC_569) -   &
                      5d0*cima*coupl(nGC_2481)**2d0*coupl(nGC_569)**2d0 - 20d0*&
                      cima*coupl(nGC_2481)*coupl(nGC_32)*coupl(nGC_47)*coupl(  &
                      nGC_569) + 12d0*cima*coupl(nGC_26)*coupl(nGC_31) - 5d0*  &
                      cima*coupl(nGC_32)**2d0*coupl(nGC_46)**2d0 - 5d0*cima*   &
                      coupl(nGC_32)**2d0*coupl(nGC_47)**2d0 + 6d0*cima*coupl(  &
                      nGC_64)*coupl(nGC_67) + 20d0*cima*coupl(nGC_96)**2d0*    &
                      coupl(nGC_99)**2d0 + 80d0*cima*coupl(nGC_96)*coupl(nGC_97&
                      )*coupl(nGC_99)**2d0 + 20d0*cima*coupl(nGC_97)**2d0*coupl&
                      (nGC_99)**2d0 + 3d0*coupl(nGC_13)*coupl(nGC_1933)*coupl( &
                      nGC_46) + 3d0*coupl(nGC_13)*coupl(nGC_2481)*coupl(nGC_47 &
                      ) + 3d0*coupl(nGC_15)*coupl(nGC_1691)*coupl(nGC_61) + 6d0&
                      *coupl(nGC_1691)**2d0*coupl(nGC_19) + 6d0*coupl(nGC_1691 &
                      )*coupl(nGC_18)*coupl(nGC_421) + 3d0*coupl(nGC_1691)*    &
                      coupl(nGC_22)*coupl(nGC_57) + 3d0*coupl(nGC_1691)*coupl( &
                      nGC_24)*coupl(nGC_61) - 3d0*coupl(nGC_1691)*coupl(nGC_61 &
                      )*coupl(nGC_64) - 3d0*coupl(nGC_1691)*coupl(nGC_61)*coupl&
                      (nGC_67) + 6d0*coupl(nGC_18)*coupl(nGC_57)*coupl(nGC_61  &
                      ) + 6d0*coupl(nGC_19)*coupl(nGC_32)*coupl(nGC_569) + 6d0*&
                      coupl(nGC_19)*coupl(nGC_61)**2d0 - 3d0*coupl(nGC_1933)*  &
                      coupl(nGC_26)*coupl(nGC_46) + 3d0*coupl(nGC_22)*coupl(   &
                      nGC_421)*coupl(nGC_61) - 3d0*coupl(nGC_2481)*coupl(nGC_26&
                      )*coupl(nGC_47) + 3d0*coupl(nGC_25)*coupl(nGC_421)*coupl(&
                      nGC_57) - 6d0*coupl(nGC_31)*coupl(nGC_32)*coupl(nGC_569  &
                      ) - 3d0*coupl(nGC_421)*coupl(nGC_57)*coupl(nGC_67))/(96d0&
                      *pi**2d0)
    coupl(nGC_5154) = (20d0*Nc*cima*coupl(nGC_106)**2d0*coupl(nGC_107)**2d0 +  &
                      20d0*Nc*cima*coupl(nGC_111)**2d0*coupl(nGC_112)**2d0 +   &
                      20d0*Nc*cima*coupl(nGC_121)**2d0*coupl(nGC_122)**2d0 +   &
                      20d0*Nc*cima*coupl(nGC_81)**2d0*coupl(nGC_82)**2d0 + 20d0&
                      *Nc*cima*coupl(nGC_86)**2d0*coupl(nGC_87)**2d0 + 20d0*Nc*&
                      cima*coupl(nGC_91)**2d0*coupl(nGC_92)**2d0 + 20d0*cima*  &
                      coupl(nGC_101)**2d0*coupl(nGC_102)**2d0 + 20d0*cima*coupl&
                      (nGC_116)**2d0*coupl(nGC_117)**2d0 - 5d0*cima*coupl(     &
                      nGC_1691)**2d0*coupl(nGC_61)**2d0 - 10d0*cima*coupl(     &
                      nGC_1691)*coupl(nGC_421)*coupl(nGC_57)*coupl(nGC_61) +   &
                      6d0*cima*coupl(nGC_26)**2d0 - 10d0*cima*coupl(nGC_32)**  &
                      2d0*coupl(nGC_569)**2d0 - 5d0*cima*coupl(nGC_421)**2d0*  &
                      coupl(nGC_57)**2d0 + 3d0*cima*coupl(nGC_64)**2d0 + 20d0* &
                      cima*coupl(nGC_96)**2d0*coupl(nGC_97)**2d0 + 6d0*coupl(  &
                      nGC_13)*coupl(nGC_32)*coupl(nGC_569) + 3d0*coupl(nGC_1691&
                      )*coupl(nGC_18)*coupl(nGC_57) + 3d0*coupl(nGC_1691)*coupl&
                      (nGC_19)*coupl(nGC_61) - 3d0*coupl(nGC_1691)*coupl(nGC_61&
                      )*coupl(nGC_64) + 3d0*coupl(nGC_18)*coupl(nGC_421)*coupl(&
                      nGC_61) + 3d0*coupl(nGC_20)*coupl(nGC_421)*coupl(nGC_57  &
                      ) - 6d0*coupl(nGC_26)*coupl(nGC_32)*coupl(nGC_569) - 3d0*&
                      coupl(nGC_421)*coupl(nGC_57)*coupl(nGC_64))/(16d0*pi**2d0&
                      )
    coupl(nGC_5153) = (20d0*Nc*cima*coupl(nGC_105)*coupl(nGC_108)*coupl(nGC_33 &
                      )*coupl(nGC_50) - 16d0*Nc*cima*coupl(nGC_105)*coupl(     &
                      nGC_108)*coupl(nGC_33)*coupl(nGC_53) - 16d0*Nc*cima*coupl&
                      (nGC_105)*coupl(nGC_108)*coupl(nGC_33)*coupl(nGC_54) +   &
                      20d0*Nc*cima*coupl(nGC_110)*coupl(nGC_113)*coupl(nGC_33)*&
                      coupl(nGC_51) - 16d0*Nc*cima*coupl(nGC_110)*coupl(nGC_113&
                      )*coupl(nGC_33)*coupl(nGC_53) - 16d0*Nc*cima*coupl(      &
                      nGC_110)*coupl(nGC_113)*coupl(nGC_33)*coupl(nGC_54) +    &
                      20d0*Nc*cima*coupl(nGC_120)*coupl(nGC_123)*coupl(nGC_33)*&
                      coupl(nGC_51) - 16d0*Nc*cima*coupl(nGC_120)*coupl(nGC_123&
                      )*coupl(nGC_33)*coupl(nGC_53) - 16d0*Nc*cima*coupl(      &
                      nGC_120)*coupl(nGC_123)*coupl(nGC_33)*coupl(nGC_54) +    &
                      20d0*Nc*cima*coupl(nGC_33)*coupl(nGC_50)*coupl(nGC_80)*  &
                      coupl(nGC_83) + 20d0*Nc*cima*coupl(nGC_33)*coupl(nGC_50)*&
                      coupl(nGC_90)*coupl(nGC_93) + 20d0*Nc*cima*coupl(nGC_33)*&
                      coupl(nGC_51)*coupl(nGC_85)*coupl(nGC_88) - 16d0*Nc*cima*&
                      coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_80)*coupl(nGC_83   &
                      ) - 16d0*Nc*cima*coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_85&
                      )*coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_33)*coupl(nGC_53&
                      )*coupl(nGC_90)*coupl(nGC_93) - 16d0*Nc*cima*coupl(nGC_33&
                      )*coupl(nGC_54)*coupl(nGC_80)*coupl(nGC_83) - 16d0*Nc*   &
                      cima*coupl(nGC_33)*coupl(nGC_54)*coupl(nGC_85)*coupl(    &
                      nGC_88) - 16d0*Nc*cima*coupl(nGC_33)*coupl(nGC_54)*coupl(&
                      nGC_90)*coupl(nGC_93) + 20d0*cima*coupl(nGC_100)*coupl(  &
                      nGC_103)*coupl(nGC_33)*coupl(nGC_52) - 16d0*cima*coupl(  &
                      nGC_100)*coupl(nGC_103)*coupl(nGC_33)*coupl(nGC_55) -    &
                      16d0*cima*coupl(nGC_100)*coupl(nGC_103)*coupl(nGC_33)*   &
                      coupl(nGC_56) + 20d0*cima*coupl(nGC_115)*coupl(nGC_118)* &
                      coupl(nGC_33)*coupl(nGC_52) - 16d0*cima*coupl(nGC_115)*  &
                      coupl(nGC_118)*coupl(nGC_33)*coupl(nGC_55) - 16d0*cima*  &
                      coupl(nGC_115)*coupl(nGC_118)*coupl(nGC_33)*coupl(nGC_56 &
                      ) + 4d0*cima*coupl(nGC_1691)*coupl(nGC_1933)*coupl(      &
                      nGC_2531)*coupl(nGC_32) + 4d0*cima*coupl(nGC_1691)*coupl(&
                      nGC_421)*coupl(nGC_47)*coupl(nGC_55) + 4d0*cima*coupl(   &
                      nGC_1933)**2d0*coupl(nGC_2531)*coupl(nGC_55) + 4d0*cima* &
                      coupl(nGC_1933)*coupl(nGC_2531)*coupl(nGC_32)*coupl(     &
                      nGC_61) + 4d0*cima*coupl(nGC_2531)*coupl(nGC_32)**2d0*   &
                      coupl(nGC_55) + 4d0*cima*coupl(nGC_2531)*coupl(nGC_32)*  &
                      coupl(nGC_421)*coupl(nGC_427) + 4d0*cima*coupl(nGC_2531)*&
                      coupl(nGC_32)*coupl(nGC_427)*coupl(nGC_57) + 4d0*cima*   &
                      coupl(nGC_2531)*coupl(nGC_427)**2d0*coupl(nGC_55) + 24d0*&
                      cima*coupl(nGC_29)*coupl(nGC_9) + 20d0*cima*coupl(nGC_33 &
                      )*coupl(nGC_52)*coupl(nGC_95)*coupl(nGC_98) - 16d0*cima* &
                      coupl(nGC_33)*coupl(nGC_55)*coupl(nGC_95)*coupl(nGC_98   &
                      ) - 16d0*cima*coupl(nGC_33)*coupl(nGC_56)*coupl(nGC_95)* &
                      coupl(nGC_98) + 9d0*cima*coupl(nGC_35)*coupl(nGC_37)*    &
                      coupl(nGC_477)*coupl(nGC_509) + 9d0*cima*coupl(nGC_35)*  &
                      coupl(nGC_37)*coupl(nGC_551)*coupl(nGC_647) + 4d0*cima*  &
                      coupl(nGC_35)*coupl(nGC_421)**2d0*coupl(nGC_55) + 9d0*   &
                      cima*coupl(nGC_37)*coupl(nGC_509)*coupl(nGC_569)*coupl(  &
                      nGC_57) + 24d0*cima*coupl(nGC_40)*coupl(nGC_443) + 4d0*  &
                      cima*coupl(nGC_421)*coupl(nGC_477)*coupl(nGC_55)*coupl(  &
                      nGC_569) + 6d0*coupl(nGC_17)*coupl(nGC_1933)*coupl(      &
                      nGC_2531) + 6d0*coupl(nGC_2531)*coupl(nGC_32)*coupl(nGC_8&
                      ) + 6d0*coupl(nGC_2531)*coupl(nGC_427)*coupl(nGC_9) - 6d0&
                      *coupl(nGC_26)*coupl(nGC_35)*coupl(nGC_37) - 6d0*coupl(  &
                      nGC_28)*coupl(nGC_35)*coupl(nGC_509) - 6d0*coupl(nGC_29)*&
                      coupl(nGC_35)*coupl(nGC_477) - 6d0*coupl(nGC_29)*coupl(  &
                      nGC_569)*coupl(nGC_57) + 36d0*coupl(nGC_3)*coupl(nGC_40)*&
                      coupl(nGC_509) - 6d0*coupl(nGC_30)*coupl(nGC_47)*coupl(  &
                      nGC_509) - 6d0*coupl(nGC_35)*coupl(nGC_37)*coupl(nGC_65  &
                      ) - 6d0*coupl(nGC_35)*coupl(nGC_443)*coupl(nGC_647) - 6d0&
                      *coupl(nGC_35)*coupl(nGC_509)*coupl(nGC_63) - 6d0*coupl( &
                      nGC_35)*coupl(nGC_551)*coupl(nGC_58) - 6d0*coupl(nGC_37)*&
                      coupl(nGC_47)*coupl(nGC_66) + 36d0*coupl(nGC_37)*coupl(  &
                      nGC_509)*coupl(nGC_9) - 6d0*coupl(nGC_37)*coupl(nGC_57)* &
                      coupl(nGC_8) + 6d0*coupl(nGC_421)*coupl(nGC_55)*coupl(   &
                      nGC_8) - 6d0*coupl(nGC_477)*coupl(nGC_509)*coupl(nGC_9   &
                      ) - 6d0*coupl(nGC_551)*coupl(nGC_647)*coupl(nGC_9))/(    &
                      192d0*pi**2d0)
    coupl(nGC_5152) = (20d0*Nc*cima*coupl(nGC_105)*coupl(nGC_109)*coupl(nGC_33 &
                      )*coupl(nGC_50) - 16d0*Nc*cima*coupl(nGC_105)*coupl(     &
                      nGC_109)*coupl(nGC_33)*coupl(nGC_53) - 16d0*Nc*cima*coupl&
                      (nGC_105)*coupl(nGC_109)*coupl(nGC_33)*coupl(nGC_54) +   &
                      20d0*Nc*cima*coupl(nGC_110)*coupl(nGC_114)*coupl(nGC_33)*&
                      coupl(nGC_51) - 16d0*Nc*cima*coupl(nGC_110)*coupl(nGC_114&
                      )*coupl(nGC_33)*coupl(nGC_53) - 16d0*Nc*cima*coupl(      &
                      nGC_110)*coupl(nGC_114)*coupl(nGC_33)*coupl(nGC_54) +    &
                      20d0*Nc*cima*coupl(nGC_120)*coupl(nGC_124)*coupl(nGC_33)*&
                      coupl(nGC_51) - 16d0*Nc*cima*coupl(nGC_120)*coupl(nGC_124&
                      )*coupl(nGC_33)*coupl(nGC_53) - 16d0*Nc*cima*coupl(      &
                      nGC_120)*coupl(nGC_124)*coupl(nGC_33)*coupl(nGC_54) +    &
                      20d0*Nc*cima*coupl(nGC_33)*coupl(nGC_50)*coupl(nGC_80)*  &
                      coupl(nGC_84) + 20d0*Nc*cima*coupl(nGC_33)*coupl(nGC_50)*&
                      coupl(nGC_90)*coupl(nGC_94) + 20d0*Nc*cima*coupl(nGC_33)*&
                      coupl(nGC_51)*coupl(nGC_85)*coupl(nGC_89) - 16d0*Nc*cima*&
                      coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_80)*coupl(nGC_84   &
                      ) - 16d0*Nc*cima*coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_85&
                      )*coupl(nGC_89) - 16d0*Nc*cima*coupl(nGC_33)*coupl(nGC_53&
                      )*coupl(nGC_90)*coupl(nGC_94) - 16d0*Nc*cima*coupl(nGC_33&
                      )*coupl(nGC_54)*coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*   &
                      cima*coupl(nGC_33)*coupl(nGC_54)*coupl(nGC_85)*coupl(    &
                      nGC_89) - 16d0*Nc*cima*coupl(nGC_33)*coupl(nGC_54)*coupl(&
                      nGC_90)*coupl(nGC_94) + 20d0*cima*coupl(nGC_100)*coupl(  &
                      nGC_104)*coupl(nGC_33)*coupl(nGC_52) - 16d0*cima*coupl(  &
                      nGC_100)*coupl(nGC_104)*coupl(nGC_33)*coupl(nGC_55) -    &
                      16d0*cima*coupl(nGC_100)*coupl(nGC_104)*coupl(nGC_33)*   &
                      coupl(nGC_56) + 20d0*cima*coupl(nGC_115)*coupl(nGC_119)* &
                      coupl(nGC_33)*coupl(nGC_52) - 16d0*cima*coupl(nGC_115)*  &
                      coupl(nGC_119)*coupl(nGC_33)*coupl(nGC_55) - 16d0*cima*  &
                      coupl(nGC_115)*coupl(nGC_119)*coupl(nGC_33)*coupl(nGC_56 &
                      ) + 4d0*cima*coupl(nGC_1691)**2d0*coupl(nGC_47)*coupl(   &
                      nGC_55) + 4d0*cima*coupl(nGC_1691)*coupl(nGC_1933)*coupl(&
                      nGC_2481)*coupl(nGC_32) + 4d0*cima*coupl(nGC_1691)*coupl(&
                      nGC_35)*coupl(nGC_421)*coupl(nGC_55) + 4d0*cima*coupl(   &
                      nGC_1691)*coupl(nGC_477)*coupl(nGC_55)*coupl(nGC_569) +  &
                      24d0*cima*coupl(nGC_17)*coupl(nGC_29) + 4d0*cima*coupl(  &
                      nGC_1933)**2d0*coupl(nGC_2481)*coupl(nGC_55) + 4d0*cima* &
                      coupl(nGC_1933)*coupl(nGC_2481)*coupl(nGC_32)*coupl(     &
                      nGC_61) + 4d0*cima*coupl(nGC_2481)*coupl(nGC_32)**2d0*   &
                      coupl(nGC_55) + 4d0*cima*coupl(nGC_2481)*coupl(nGC_32)*  &
                      coupl(nGC_421)*coupl(nGC_427) + 4d0*cima*coupl(nGC_2481)*&
                      coupl(nGC_32)*coupl(nGC_427)*coupl(nGC_57) + 4d0*cima*   &
                      coupl(nGC_2481)*coupl(nGC_427)**2d0*coupl(nGC_55) + 20d0*&
                      cima*coupl(nGC_33)*coupl(nGC_52)*coupl(nGC_95)*coupl(    &
                      nGC_99) - 16d0*cima*coupl(nGC_33)*coupl(nGC_55)*coupl(   &
                      nGC_95)*coupl(nGC_99) - 16d0*cima*coupl(nGC_33)*coupl(   &
                      nGC_56)*coupl(nGC_95)*coupl(nGC_99) + 9d0*cima*coupl(    &
                      nGC_37)*coupl(nGC_47)*coupl(nGC_477)*coupl(nGC_509) + 9d0&
                      *cima*coupl(nGC_37)*coupl(nGC_47)*coupl(nGC_551)*coupl(  &
                      nGC_647) + 9d0*cima*coupl(nGC_37)*coupl(nGC_509)*coupl(  &
                      nGC_569)*coupl(nGC_61) + 24d0*cima*coupl(nGC_443)*coupl( &
                      nGC_48) + 6d0*coupl(nGC_1691)*coupl(nGC_55)*coupl(nGC_8  &
                      ) + 6d0*coupl(nGC_17)*coupl(nGC_1933)*coupl(nGC_2481) +  &
                      36d0*coupl(nGC_17)*coupl(nGC_37)*coupl(nGC_509) - 6d0*   &
                      coupl(nGC_17)*coupl(nGC_477)*coupl(nGC_509) - 6d0*coupl( &
                      nGC_17)*coupl(nGC_551)*coupl(nGC_647) + 6d0*coupl(       &
                      nGC_2481)*coupl(nGC_32)*coupl(nGC_8) + 6d0*coupl(nGC_2481&
                      )*coupl(nGC_427)*coupl(nGC_9) - 6d0*coupl(nGC_26)*coupl( &
                      nGC_37)*coupl(nGC_47) - 6d0*coupl(nGC_29)*coupl(nGC_47)* &
                      coupl(nGC_477) - 6d0*coupl(nGC_29)*coupl(nGC_569)*coupl( &
                      nGC_61) + 36d0*coupl(nGC_3)*coupl(nGC_48)*coupl(nGC_509  &
                      ) - 6d0*coupl(nGC_30)*coupl(nGC_35)*coupl(nGC_509) - 6d0*&
                      coupl(nGC_31)*coupl(nGC_47)*coupl(nGC_509) - 6d0*coupl(  &
                      nGC_35)*coupl(nGC_37)*coupl(nGC_66) - 6d0*coupl(nGC_37)* &
                      coupl(nGC_47)*coupl(nGC_67) - 6d0*coupl(nGC_37)*coupl(   &
                      nGC_61)*coupl(nGC_8) - 6d0*coupl(nGC_443)*coupl(nGC_47)* &
                      coupl(nGC_647) - 6d0*coupl(nGC_47)*coupl(nGC_509)*coupl( &
                      nGC_63) - 6d0*coupl(nGC_47)*coupl(nGC_551)*coupl(nGC_58  &
                      ))/(192d0*pi**2d0)
    coupl(nGC_5151) = (20d0*Nc*cima*coupl(nGC_105)*coupl(nGC_107)*coupl(nGC_33 &
                      )*coupl(nGC_50) - 16d0*Nc*cima*coupl(nGC_105)*coupl(     &
                      nGC_107)*coupl(nGC_33)*coupl(nGC_53) - 16d0*Nc*cima*coupl&
                      (nGC_105)*coupl(nGC_107)*coupl(nGC_33)*coupl(nGC_54) +   &
                      20d0*Nc*cima*coupl(nGC_110)*coupl(nGC_112)*coupl(nGC_33)*&
                      coupl(nGC_51) - 16d0*Nc*cima*coupl(nGC_110)*coupl(nGC_112&
                      )*coupl(nGC_33)*coupl(nGC_53) - 16d0*Nc*cima*coupl(      &
                      nGC_110)*coupl(nGC_112)*coupl(nGC_33)*coupl(nGC_54) +    &
                      20d0*Nc*cima*coupl(nGC_120)*coupl(nGC_122)*coupl(nGC_33)*&
                      coupl(nGC_51) - 16d0*Nc*cima*coupl(nGC_120)*coupl(nGC_122&
                      )*coupl(nGC_33)*coupl(nGC_53) - 16d0*Nc*cima*coupl(      &
                      nGC_120)*coupl(nGC_122)*coupl(nGC_33)*coupl(nGC_54) +    &
                      20d0*Nc*cima*coupl(nGC_33)*coupl(nGC_50)*coupl(nGC_80)*  &
                      coupl(nGC_82) + 20d0*Nc*cima*coupl(nGC_33)*coupl(nGC_50)*&
                      coupl(nGC_90)*coupl(nGC_92) + 20d0*Nc*cima*coupl(nGC_33)*&
                      coupl(nGC_51)*coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*cima*&
                      coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_80)*coupl(nGC_82   &
                      ) - 16d0*Nc*cima*coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_85&
                      )*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_33)*coupl(nGC_53&
                      )*coupl(nGC_90)*coupl(nGC_92) - 16d0*Nc*cima*coupl(nGC_33&
                      )*coupl(nGC_54)*coupl(nGC_80)*coupl(nGC_82) - 16d0*Nc*   &
                      cima*coupl(nGC_33)*coupl(nGC_54)*coupl(nGC_85)*coupl(    &
                      nGC_87) - 16d0*Nc*cima*coupl(nGC_33)*coupl(nGC_54)*coupl(&
                      nGC_90)*coupl(nGC_92) + 20d0*cima*coupl(nGC_100)*coupl(  &
                      nGC_102)*coupl(nGC_33)*coupl(nGC_52) - 16d0*cima*coupl(  &
                      nGC_100)*coupl(nGC_102)*coupl(nGC_33)*coupl(nGC_55) -    &
                      16d0*cima*coupl(nGC_100)*coupl(nGC_102)*coupl(nGC_33)*   &
                      coupl(nGC_56) + 20d0*cima*coupl(nGC_115)*coupl(nGC_117)* &
                      coupl(nGC_33)*coupl(nGC_52) - 16d0*cima*coupl(nGC_115)*  &
                      coupl(nGC_117)*coupl(nGC_33)*coupl(nGC_55) - 16d0*cima*  &
                      coupl(nGC_115)*coupl(nGC_117)*coupl(nGC_33)*coupl(nGC_56 &
                      ) + 4d0*cima*coupl(nGC_1691)*coupl(nGC_1933)*coupl(nGC_32&
                      )**2d0 + 9d0*cima*coupl(nGC_1691)*coupl(nGC_37)*coupl(   &
                      nGC_47)*coupl(nGC_509) + 4d0*cima*coupl(nGC_1933)**2d0*  &
                      coupl(nGC_32)*coupl(nGC_55) + 4d0*cima*coupl(nGC_1933)*  &
                      coupl(nGC_32)**2d0*coupl(nGC_61) + 24d0*cima*coupl(nGC_29&
                      )*coupl(nGC_8) + 4d0*cima*coupl(nGC_32)**3d0*coupl(nGC_55&
                      ) + 4d0*cima*coupl(nGC_32)**2d0*coupl(nGC_421)*coupl(    &
                      nGC_427) + 4d0*cima*coupl(nGC_32)**2d0*coupl(nGC_427)*   &
                      coupl(nGC_57) + 4d0*cima*coupl(nGC_32)*coupl(nGC_427)**  &
                      2d0*coupl(nGC_55) + 20d0*cima*coupl(nGC_33)*coupl(nGC_52 &
                      )*coupl(nGC_95)*coupl(nGC_97) - 16d0*cima*coupl(nGC_33)* &
                      coupl(nGC_55)*coupl(nGC_95)*coupl(nGC_97) - 16d0*cima*   &
                      coupl(nGC_33)*coupl(nGC_56)*coupl(nGC_95)*coupl(nGC_97   &
                      ) + 9d0*cima*coupl(nGC_35)*coupl(nGC_37)*coupl(nGC_421)* &
                      coupl(nGC_509) + 4d0*cima*coupl(nGC_35)*coupl(nGC_477)*  &
                      coupl(nGC_55)*coupl(nGC_57) + 9d0*cima*coupl(nGC_37)*    &
                      coupl(nGC_477)*coupl(nGC_509)*coupl(nGC_569) + 9d0*cima* &
                      coupl(nGC_37)*coupl(nGC_551)*coupl(nGC_569)*coupl(nGC_647&
                      ) + 24d0*cima*coupl(nGC_39)*coupl(nGC_443) + 4d0*cima*   &
                      coupl(nGC_47)*coupl(nGC_477)*coupl(nGC_55)*coupl(nGC_61  &
                      ) + 4d0*cima*coupl(nGC_55)*coupl(nGC_569)*coupl(nGC_57)**&
                      2d0 + 4d0*cima*coupl(nGC_55)*coupl(nGC_569)*coupl(nGC_61 &
                      )**2d0 - 6d0*coupl(nGC_1691)*coupl(nGC_17)*coupl(nGC_37  &
                      ) - 6d0*coupl(nGC_1691)*coupl(nGC_29)*coupl(nGC_47) + 6d0&
                      *coupl(nGC_17)*coupl(nGC_1933)*coupl(nGC_32) + 6d0*coupl(&
                      nGC_17)*coupl(nGC_55)*coupl(nGC_61) - 6d0*coupl(nGC_26)* &
                      coupl(nGC_37)*coupl(nGC_569) - 6d0*coupl(nGC_26)*coupl(  &
                      nGC_509)*coupl(nGC_569) - 6d0*coupl(nGC_29)*coupl(nGC_35 &
                      )*coupl(nGC_421) - 6d0*coupl(nGC_29)*coupl(nGC_477)*coupl&
                      (nGC_569) + 36d0*coupl(nGC_3)*coupl(nGC_39)*coupl(nGC_509&
                      ) + 6d0*coupl(nGC_32)**2d0*coupl(nGC_8) + 6d0*coupl(     &
                      nGC_32)*coupl(nGC_427)*coupl(nGC_9) - 6d0*coupl(nGC_37)* &
                      coupl(nGC_421)*coupl(nGC_9) + 36d0*coupl(nGC_37)*coupl(  &
                      nGC_509)*coupl(nGC_8) - 6d0*coupl(nGC_37)*coupl(nGC_569)*&
                      coupl(nGC_64) - 6d0*coupl(nGC_443)*coupl(nGC_569)*coupl( &
                      nGC_647) - 6d0*coupl(nGC_477)*coupl(nGC_509)*coupl(nGC_8 &
                      ) - 6d0*coupl(nGC_509)*coupl(nGC_569)*coupl(nGC_63) + 6d0&
                      *coupl(nGC_55)*coupl(nGC_57)*coupl(nGC_9) - 6d0*coupl(   &
                      nGC_551)*coupl(nGC_569)*coupl(nGC_58) - 6d0*coupl(nGC_551&
                      )*coupl(nGC_647)*coupl(nGC_8))/(192d0*pi**2d0)
    coupl(nGC_5150) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl(   &
                      nGC_50) - coupl(nGC_1)*coupl(nGC_53) - coupl(nGC_2)*coupl&
                      (nGC_51) - coupl(nGC_2)*coupl(nGC_54))/(32d0*pi**2d0*Nc)
    coupl(nGC_5016) = (-coupl(nGC_120)*coupl(nGC_33)*coupl(nGC_47) - coupl(    &
                      nGC_120)*coupl(nGC_90)*coupl(nGC_94) - coupl(nGC_122)**  &
                      2d0*coupl(nGC_124) - coupl(nGC_122)*coupl(nGC_1691)*coupl&
                      (nGC_51) - coupl(nGC_122)*coupl(nGC_54)*coupl(nGC_61) -  &
                      coupl(nGC_123)**2d0*coupl(nGC_124) - coupl(nGC_124)**3d0 &
                       + 8d0*coupl(nGC_124)*coupl(nGC_2)**2d0 + 8d0*coupl(     &
                      nGC_124)*coupl(nGC_51)*coupl(nGC_54))/(32d0*pi**2d0)
    coupl(nGC_5017) = coupl(nGC_11)**2d0*coupl(nGC_124)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5015) = (-coupl(nGC_120)*coupl(nGC_2481)*coupl(nGC_33) - coupl(  &
                      nGC_120)*coupl(nGC_90)*coupl(nGC_94) - coupl(nGC_121)**  &
                      2d0*coupl(nGC_124) - coupl(nGC_121)*coupl(nGC_1691)*coupl&
                      (nGC_54) - coupl(nGC_121)*coupl(nGC_51)*coupl(nGC_61) -  &
                      coupl(nGC_123)**2d0*coupl(nGC_124) - coupl(nGC_124)**3d0 &
                       + 8d0*coupl(nGC_124)*coupl(nGC_2)**2d0 + 8d0*coupl(     &
                      nGC_124)*coupl(nGC_51)*coupl(nGC_54))/(32d0*pi**2d0)
    coupl(nGC_5012) = coupl(nGC_11)**2d0*coupl(nGC_114)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5013) = (coupl(nGC_115)*coupl(nGC_2481)*coupl(nGC_33) - coupl(   &
                      nGC_116)**2d0*coupl(nGC_119) + coupl(nGC_116)*coupl(     &
                      nGC_1691)*coupl(nGC_55) + coupl(nGC_116)*coupl(nGC_52)*  &
                      coupl(nGC_61) - coupl(nGC_118)**2d0*coupl(nGC_119) -     &
                      coupl(nGC_119)**3d0 + 8d0*coupl(nGC_119)*coupl(nGC_4)**  &
                      2d0 + 8d0*coupl(nGC_119)*coupl(nGC_52)*coupl(nGC_55))/(  &
                      32d0*pi**2d0)
    coupl(nGC_5159) = (20d0*Nc*cima*coupl(nGC_109)**4d0 + 20d0*Nc*cima*coupl(  &
                      nGC_114)**4d0 + 20d0*Nc*cima*coupl(nGC_124)**4d0 + 20d0* &
                      Nc*cima*coupl(nGC_84)**4d0 + 20d0*Nc*cima*coupl(nGC_89)**&
                      4d0 + 20d0*Nc*cima*coupl(nGC_94)**4d0 + 20d0*cima*coupl( &
                      nGC_104)**4d0 + 20d0*cima*coupl(nGC_119)**4d0 - 5d0*cima*&
                      coupl(nGC_1691)**2d0*coupl(nGC_61)**2d0 - 5d0*cima*coupl(&
                      nGC_1933)**2d0*coupl(nGC_46)**2d0 - 5d0*cima*coupl(      &
                      nGC_2481)**2d0*coupl(nGC_47)**2d0 + 6d0*cima*coupl(nGC_31&
                      )**2d0 + 3d0*cima*coupl(nGC_67)**2d0 + 20d0*cima*coupl(  &
                      nGC_99)**4d0 + 3d0*coupl(nGC_1691)*coupl(nGC_19)*coupl(  &
                      nGC_61) - 3d0*coupl(nGC_1691)*coupl(nGC_61)*coupl(nGC_67 &
                      ) + 3d0*coupl(nGC_19)*coupl(nGC_1933)*coupl(nGC_46) + 3d0&
                      *coupl(nGC_19)*coupl(nGC_2481)*coupl(nGC_47) - 3d0*coupl(&
                      nGC_1933)*coupl(nGC_31)*coupl(nGC_46) - 3d0*coupl(       &
                      nGC_2481)*coupl(nGC_31)*coupl(nGC_47))/(16d0*pi**2d0)
    coupl(nGC_5158) = (20d0*Nc*cima*coupl(nGC_106)**2d0*coupl(nGC_108)**2d0 +  &
                      80d0*Nc*cima*coupl(nGC_106)*coupl(nGC_107)*coupl(nGC_108 &
                      )**2d0 + 20d0*Nc*cima*coupl(nGC_107)**2d0*coupl(nGC_108  &
                      )**2d0 + 20d0*Nc*cima*coupl(nGC_111)**2d0*coupl(nGC_113  &
                      )**2d0 + 80d0*Nc*cima*coupl(nGC_111)*coupl(nGC_112)*coupl&
                      (nGC_113)**2d0 + 20d0*Nc*cima*coupl(nGC_112)**2d0*coupl( &
                      nGC_113)**2d0 + 20d0*Nc*cima*coupl(nGC_121)**2d0*coupl(  &
                      nGC_123)**2d0 + 80d0*Nc*cima*coupl(nGC_121)*coupl(nGC_122&
                      )*coupl(nGC_123)**2d0 + 20d0*Nc*cima*coupl(nGC_122)**2d0*&
                      coupl(nGC_123)**2d0 + 20d0*Nc*cima*coupl(nGC_81)**2d0*   &
                      coupl(nGC_83)**2d0 + 80d0*Nc*cima*coupl(nGC_81)*coupl(   &
                      nGC_82)*coupl(nGC_83)**2d0 + 20d0*Nc*cima*coupl(nGC_82)**&
                      2d0*coupl(nGC_83)**2d0 + 20d0*Nc*cima*coupl(nGC_86)**2d0*&
                      coupl(nGC_88)**2d0 + 80d0*Nc*cima*coupl(nGC_86)*coupl(   &
                      nGC_87)*coupl(nGC_88)**2d0 + 20d0*Nc*cima*coupl(nGC_87)**&
                      2d0*coupl(nGC_88)**2d0 + 20d0*Nc*cima*coupl(nGC_91)**2d0*&
                      coupl(nGC_93)**2d0 + 80d0*Nc*cima*coupl(nGC_91)*coupl(   &
                      nGC_92)*coupl(nGC_93)**2d0 + 20d0*Nc*cima*coupl(nGC_92)**&
                      2d0*coupl(nGC_93)**2d0 + 20d0*cima*coupl(nGC_101)**2d0*  &
                      coupl(nGC_103)**2d0 + 80d0*cima*coupl(nGC_101)*coupl(    &
                      nGC_102)*coupl(nGC_103)**2d0 + 20d0*cima*coupl(nGC_102)**&
                      2d0*coupl(nGC_103)**2d0 + 20d0*cima*coupl(nGC_116)**2d0* &
                      coupl(nGC_118)**2d0 + 80d0*cima*coupl(nGC_116)*coupl(    &
                      nGC_117)*coupl(nGC_118)**2d0 + 20d0*cima*coupl(nGC_117)**&
                      2d0*coupl(nGC_118)**2d0 - 10d0*cima*coupl(nGC_1691)*coupl&
                      (nGC_421)*coupl(nGC_57)*coupl(nGC_61) - 5d0*cima*coupl(  &
                      nGC_2531)**2d0*coupl(nGC_569)**2d0 - 20d0*cima*coupl(    &
                      nGC_2531)*coupl(nGC_32)*coupl(nGC_35)*coupl(nGC_569) +   &
                      12d0*cima*coupl(nGC_26)*coupl(nGC_28) - 5d0*cima*coupl(  &
                      nGC_32)**2d0*coupl(nGC_34)**2d0 - 5d0*cima*coupl(nGC_32  &
                      )**2d0*coupl(nGC_35)**2d0 - 20d0*cima*coupl(nGC_32)*coupl&
                      (nGC_34)*coupl(nGC_427)*coupl(nGC_569) - 10d0*cima*coupl(&
                      nGC_421)**2d0*coupl(nGC_57)**2d0 - 5d0*cima*coupl(nGC_427&
                      )**2d0*coupl(nGC_569)**2d0 + 6d0*cima*coupl(nGC_64)*coupl&
                      (nGC_65) + 20d0*cima*coupl(nGC_96)**2d0*coupl(nGC_98)**  &
                      2d0 + 80d0*cima*coupl(nGC_96)*coupl(nGC_97)*coupl(nGC_98 &
                      )**2d0 + 20d0*cima*coupl(nGC_97)**2d0*coupl(nGC_98)**2d0 &
                       + 3d0*coupl(nGC_13)*coupl(nGC_2531)*coupl(nGC_35) + 3d0*&
                      coupl(nGC_13)*coupl(nGC_34)*coupl(nGC_427) + 3d0*coupl(  &
                      nGC_15)*coupl(nGC_421)*coupl(nGC_57) + 6d0*coupl(nGC_1691&
                      )*coupl(nGC_18)*coupl(nGC_421) + 3d0*coupl(nGC_1691)*    &
                      coupl(nGC_21)*coupl(nGC_57) + 3d0*coupl(nGC_1691)*coupl( &
                      nGC_25)*coupl(nGC_61) - 3d0*coupl(nGC_1691)*coupl(nGC_61 &
                      )*coupl(nGC_65) + 6d0*coupl(nGC_18)*coupl(nGC_57)*coupl( &
                      nGC_61) + 6d0*coupl(nGC_20)*coupl(nGC_32)*coupl(nGC_569  &
                      ) + 6d0*coupl(nGC_20)*coupl(nGC_421)**2d0 + 6d0*coupl(   &
                      nGC_20)*coupl(nGC_57)**2d0 + 3d0*coupl(nGC_21)*coupl(    &
                      nGC_421)*coupl(nGC_61) + 3d0*coupl(nGC_23)*coupl(nGC_421 &
                      )*coupl(nGC_57) - 3d0*coupl(nGC_2531)*coupl(nGC_26)*coupl&
                      (nGC_35) - 3d0*coupl(nGC_26)*coupl(nGC_34)*coupl(nGC_427 &
                      ) - 6d0*coupl(nGC_28)*coupl(nGC_32)*coupl(nGC_569) - 3d0*&
                      coupl(nGC_421)*coupl(nGC_57)*coupl(nGC_64) - 3d0*coupl(  &
                      nGC_421)*coupl(nGC_57)*coupl(nGC_65))/(96d0*pi**2d0)
    coupl(nGC_7598) = coupl(nGC_7163) + coupl(nGC_7596)
    coupl(nGC_5078) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_110&
                      )**2d0 + 4d0*coupl(nGC_33)**2d0 + 4d0*coupl(nGC_53)**2d0 &
                       + coupl(nGC_81)*coupl(nGC_82) + coupl(nGC_83)**2d0 +    &
                      coupl(nGC_84)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_5333) = coupl(nGC_4751)*dyup_QED3
    coupl(nGC_5332) = coupl(nGC_4751)*dyup_QED1_QCD2
  end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
