!******************************************************************************!
!                                                                              !
!    ctparameter122.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter122.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2019-10-09 13:26             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter122
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter122()
  dZWMinus_QED2 = (Nc*Ten10*coupl(nGC_33)**2d0*(-cMD**2d0 + cMU**2d0)/(3d0*rMW &
                  **4d0) + Nc*Ten11*coupl(nGC_33)**2d0*(cMC**2d0 - cMS**2d0)/( &
                  3d0*rMW**4d0) + Nc*Ten12*coupl(nGC_33)**2d0*(-cMB**2d0 + cMT &
                  **2d0)/(3d0*rMW**4d0) + Nc*Ten638*coupl(nGC_33)**2d0*(cMD**  &
                  4d0 - 2d0*cMD**2d0*cMU**2d0 + cMU**4d0 + 2d0*rMW**4d0)/(3d0* &
                  rMW**4d0) + Nc*Ten639*coupl(nGC_33)**2d0*(cMC**4d0 - 2d0*cMC &
                  **2d0*cMS**2d0 + cMS**4d0 + 2d0*rMW**4d0)/(3d0*rMW**4d0) + Nc&
                  *Ten640*coupl(nGC_33)**2d0*(cMB**4d0 - 2d0*cMB**2d0*cMT**2d0 &
                   + cMT**4d0 + 2d0*rMW**4d0)/(3d0*rMW**4d0) + Nc*Ten645*coupl(&
                  nGC_33)**2d0*(-cMD**4d0 + 2d0*cMD**2d0*cMU**2d0 - cMD**2d0*  &
                  rMW**2d0 - cMU**4d0 - cMU**2d0*rMW**2d0 + 2d0*rMW**4d0)/(3d0*&
                  rMW**2d0) + Nc*Ten646*coupl(nGC_33)**2d0*(-cMC**4d0 + 2d0*cMC&
                  **2d0*cMS**2d0 - cMC**2d0*rMW**2d0 - cMS**4d0 - cMS**2d0*rMW &
                  **2d0 + 2d0*rMW**4d0)/(3d0*rMW**2d0) + Nc*Ten647*coupl(nGC_33&
                  )**2d0*(-cMB**4d0 + 2d0*cMB**2d0*cMT**2d0 - cMB**2d0*rMW**2d0&
                   - cMT**4d0 - cMT**2d0*rMW**2d0 + 2d0*rMW**4d0)/(3d0*rMW**2d0&
                  ) + Nc*Ten7*coupl(nGC_33)**2d0*(cMD**2d0 - cMU**2d0)/(3d0*rMW&
                  **4d0) + Nc*Ten8*coupl(nGC_33)**2d0*(-cMC**2d0 + cMS**2d0)/( &
                  3d0*rMW**4d0) + Nc*Ten9*coupl(nGC_33)**2d0*(cMB**2d0 - cMT** &
                  2d0)/(3d0*rMW**4d0) + Ten0*coupl(nGC_34)*coupl(nGC_35)*(-cMHL&
                  **2d0 + cMW**2d0)/(3d0*rMW**4d0) + Ten1*(4d0*cMW**2d0*coupl( &
                  nGC_32)**2d0 + cMW**2d0*coupl(nGC_36)**2d0 - 9d0*cMW**2d0*   &
                  coupl(nGC_37)**2d0 - 4d0*cMZ**2d0*coupl(nGC_32)**2d0 - cMZ** &
                  2d0*coupl(nGC_36)**2d0 + 9d0*cMZ**2d0*coupl(nGC_37)**2d0)/(  &
                  12d0*rMW**4d0) + Ten2*coupl(nGC_46)*coupl(nGC_47)*(-cMHH**2d0&
                   + cMW**2d0)/(3d0*rMW**4d0) + Ten3*(4d0*cMHH**2d0*coupl(     &
                  nGC_46)*coupl(nGC_47) + 4d0*cMHL**2d0*coupl(nGC_34)*coupl(   &
                  nGC_35) + 9d0*cMW**2d0*coupl(nGC_3)**2d0 - 4d0*cMW**2d0*coupl&
                  (nGC_32)**2d0 - 4d0*cMW**2d0*coupl(nGC_34)*coupl(nGC_35) -   &
                  cMW**2d0*coupl(nGC_36)**2d0 + 9d0*cMW**2d0*coupl(nGC_37)**2d0&
                   - cMW**2d0*coupl(nGC_4)**2d0 - 4d0*cMW**2d0*coupl(nGC_46)*  &
                  coupl(nGC_47) + 4d0*cMZ**2d0*coupl(nGC_32)**2d0 + cMZ**2d0*  &
                  coupl(nGC_36)**2d0 - 9d0*cMZ**2d0*coupl(nGC_37)**2d0)/(12d0* &
                  rMW**4d0) - Ten4*cME**2d0*coupl(nGC_33)**2d0/(3d0*rMW**4d0   &
                  ) - Ten5*cMM**2d0*coupl(nGC_33)**2d0/(3d0*rMW**4d0) - Ten6*  &
                  cMTA**2d0*coupl(nGC_33)**2d0/(3d0*rMW**4d0) + Ten604*(4d0*cME&
                  **2d0*coupl(nGC_33)**2d0 + 4d0*cMM**2d0*coupl(nGC_33)**2d0 + &
                  4d0*cMTA**2d0*coupl(nGC_33)**2d0 - 9d0*cMW**2d0*coupl(nGC_3  &
                  )**2d0 + cMW**2d0*coupl(nGC_4)**2d0)/(12d0*rMW**4d0) + Ten605&
                  *(-9d0*cMW**4d0*coupl(nGC_3)**2d0 + cMW**4d0*coupl(nGC_4)**  &
                  2d0 - 39d0*coupl(nGC_3)**2d0*rMW**4d0 - coupl(nGC_4)**2d0*rMW&
                  **4d0)/(12d0*rMW**4d0) + Ten609*coupl(nGC_34)*coupl(nGC_35)*(&
                  cMHL**4d0 - 2d0*cMHL**2d0*cMW**2d0 + cMW**4d0 - rMW**4d0)/(  &
                  3d0*rMW**4d0) + Ten610*coupl(nGC_46)*coupl(nGC_47)*(cMHH**4d0&
                   - 2d0*cMHH**2d0*cMW**2d0 + cMW**4d0 - rMW**4d0)/(3d0*rMW**  &
                  4d0) + Ten611*(4d0*cMW**4d0*coupl(nGC_32)**2d0 + cMW**4d0*   &
                  coupl(nGC_36)**2d0 - 9d0*cMW**4d0*coupl(nGC_37)**2d0 - 8d0*  &
                  cMW**2d0*cMZ**2d0*coupl(nGC_32)**2d0 - 2d0*cMW**2d0*cMZ**2d0*&
                  coupl(nGC_36)**2d0 + 18d0*cMW**2d0*cMZ**2d0*coupl(nGC_37)**  &
                  2d0 + 4d0*cMZ**4d0*coupl(nGC_32)**2d0 + cMZ**4d0*coupl(nGC_36&
                  )**2d0 - 9d0*cMZ**4d0*coupl(nGC_37)**2d0 - 4d0*coupl(nGC_32  &
                  )**2d0*rMW**4d0 - coupl(nGC_36)**2d0*rMW**4d0 - 39d0*coupl(  &
                  nGC_37)**2d0*rMW**4d0)/(12d0*rMW**4d0) + Ten635*coupl(nGC_33 &
                  )**2d0*(cME**4d0 + 2d0*rMW**4d0)/(3d0*rMW**4d0) + Ten636*    &
                  coupl(nGC_33)**2d0*(cMM**4d0 + 2d0*rMW**4d0)/(3d0*rMW**4d0   &
                  ) + Ten637*coupl(nGC_33)**2d0*(cMTA**4d0 + 2d0*rMW**4d0)/(3d0&
                  *rMW**4d0) + Ten641*(9d0*cMW**4d0*coupl(nGC_3)**2d0 - cMW**  &
                  4d0*coupl(nGC_4)**2d0 - 30d0*cMW**2d0*coupl(nGC_3)**2d0*rMW**&
                  2d0 + 2d0*cMW**2d0*coupl(nGC_4)**2d0*rMW**2d0 - 39d0*coupl(  &
                  nGC_3)**2d0*rMW**4d0 - coupl(nGC_4)**2d0*rMW**4d0 + 12d0*    &
                  coupl(nGC_71)**2d0*rMW**2d0)/(12d0*rMW**2d0) + Ten642*coupl( &
                  nGC_33)**2d0*(-cME**4d0 - cME**2d0*rMW**2d0 + 2d0*rMW**4d0)/(&
                  3d0*rMW**2d0) + Ten643*coupl(nGC_33)**2d0*(-cMM**4d0 - cMM** &
                  2d0*rMW**2d0 + 2d0*rMW**4d0)/(3d0*rMW**2d0) + Ten644*coupl(  &
                  nGC_33)**2d0*(-cMTA**4d0 - cMTA**2d0*rMW**2d0 + 2d0*rMW**4d0 &
                  )/(3d0*rMW**2d0) + Ten648*(-cMHL**4d0*coupl(nGC_34)*coupl(   &
                  nGC_35) + 2d0*cMHL**2d0*cMW**2d0*coupl(nGC_34)*coupl(nGC_35  &
                  ) + 2d0*cMHL**2d0*coupl(nGC_34)*coupl(nGC_35)*rMW**2d0 - cMW &
                  **4d0*coupl(nGC_34)*coupl(nGC_35) + 2d0*cMW**2d0*coupl(nGC_34&
                  )*coupl(nGC_35)*rMW**2d0 - coupl(nGC_34)*coupl(nGC_35)*rMW** &
                  4d0 + 3d0*coupl(nGC_69)**2d0*rMW**2d0)/(3d0*rMW**2d0) +      &
                  Ten649*(-cMHH**4d0*coupl(nGC_46)*coupl(nGC_47) + 2d0*cMHH**  &
                  2d0*cMW**2d0*coupl(nGC_46)*coupl(nGC_47) + 2d0*cMHH**2d0*    &
                  coupl(nGC_46)*coupl(nGC_47)*rMW**2d0 - cMW**4d0*coupl(nGC_46 &
                  )*coupl(nGC_47) + 2d0*cMW**2d0*coupl(nGC_46)*coupl(nGC_47)*  &
                  rMW**2d0 - coupl(nGC_46)*coupl(nGC_47)*rMW**4d0 + 3d0*coupl( &
                  nGC_70)**2d0*rMW**2d0)/(3d0*rMW**2d0) + Ten650*(-4d0*cMW**4d0&
                  *coupl(nGC_32)**2d0 - cMW**4d0*coupl(nGC_36)**2d0 + 9d0*cMW**&
                  4d0*coupl(nGC_37)**2d0 + 8d0*cMW**2d0*cMZ**2d0*coupl(nGC_32  &
                  )**2d0 + 2d0*cMW**2d0*cMZ**2d0*coupl(nGC_36)**2d0 - 18d0*cMW &
                  **2d0*cMZ**2d0*coupl(nGC_37)**2d0 + 8d0*cMW**2d0*coupl(nGC_32&
                  )**2d0*rMW**2d0 + 2d0*cMW**2d0*coupl(nGC_36)**2d0*rMW**2d0 - &
                  30d0*cMW**2d0*coupl(nGC_37)**2d0*rMW**2d0 - 4d0*cMZ**4d0*    &
                  coupl(nGC_32)**2d0 - cMZ**4d0*coupl(nGC_36)**2d0 + 9d0*cMZ** &
                  4d0*coupl(nGC_37)**2d0 + 8d0*cMZ**2d0*coupl(nGC_32)**2d0*rMW &
                  **2d0 + 2d0*cMZ**2d0*coupl(nGC_36)**2d0*rMW**2d0 - 30d0*cMZ**&
                  2d0*coupl(nGC_37)**2d0*rMW**2d0 - 4d0*coupl(nGC_32)**2d0*rMW &
                  **4d0 - coupl(nGC_36)**2d0*rMW**4d0 - 39d0*coupl(nGC_37)**2d0&
                  *rMW**4d0 + 12d0*coupl(nGC_68)**2d0*rMW**2d0)/(12d0*rMW**2d0 &
                  ) + pi**2d0*(-2d0*Nc*coupl(nGC_33)**2d0/(3d0*pi**2d0) - coupl&
                  (nGC_3)**2d0/(6d0*pi**2d0) - 2d0*coupl(nGC_32)**2d0/(9d0*pi**&
                  2d0) - 2d0*coupl(nGC_33)**2d0/(3d0*pi**2d0) - 2d0*coupl(     &
                  nGC_34)*coupl(nGC_35)/(9d0*pi**2d0) - coupl(nGC_36)**2d0/(   &
                  18d0*pi**2d0) - coupl(nGC_37)**2d0/(6d0*pi**2d0) - coupl(    &
                  nGC_4)**2d0/(18d0*pi**2d0) - 2d0*coupl(nGC_46)*coupl(nGC_47  &
                  )/(9d0*pi**2d0)))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZWMinus_QED2 = cone*real(dZWMinus_QED2,kind=dp)
    end if 
end subroutine set_ctparameter122
end module ctparameter122
