!******************************************************************************!
!                                                                              !
!    ctparameter137.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter137.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2019-10-09 13:26             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter137
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter137()
  if (dMS_QED2_scheme .eq. 0) then
    dMS_QED2 = (2d0*Ten332*cMS*coupl(nGC_1)**2d0 + Ten333*cMS*(-coupl(nGC_106  &
               )**2d0 - 2d0*coupl(nGC_106)*coupl(nGC_107) - coupl(nGC_107)**2d0&
                - 2d0*coupl(nGC_50)**2d0 + 8d0*coupl(nGC_50)*coupl(nGC_53) -   &
               2d0*coupl(nGC_53)**2d0)/2d0 + Ten334*(-cMC*coupl(nGC_105)*coupl(&
               nGC_85) - cMS*coupl(nGC_105)**2d0/2d0 - cMS*coupl(nGC_33)**2d0  &
                - cMS*coupl(nGC_85)**2d0/2d0) + Ten335*cMS*coupl(nGC_109)**2d0 &
                + Ten336*cMS*coupl(nGC_108)**2d0 - 2d0*Ten337*cMS*coupl(nGC_1  &
               )**2d0 + Ten338*cMS*(-coupl(nGC_106)*coupl(nGC_107) - coupl(    &
               nGC_50)**2d0 - coupl(nGC_53)**2d0) + Ten339*cMS*(-coupl(nGC_105 &
               )**2d0 - 2d0*coupl(nGC_33)**2d0 - coupl(nGC_85)**2d0)/2d0 -     &
               Ten340*cMS*coupl(nGC_109)**2d0 - Ten341*cMS*coupl(nGC_108)**2d0 &
                + pi**2d0*(-cMS*coupl(nGC_1)**2d0/pi**2d0 + cMS*coupl(nGC_33)**&
               2d0/(2d0*pi**2d0) + cMS*coupl(nGC_50)**2d0/(2d0*pi**2d0) - 2d0* &
               cMS*coupl(nGC_50)*coupl(nGC_53)/pi**2d0 + cMS*coupl(nGC_53)**2d0&
               /(2d0*pi**2d0)))/(16d0*pi**2d0) + cima*coupl(nGC_108)*dtHl_QED1/&
               cMHL**2d0 + cima*coupl(nGC_109)*dtHh_QED1/cMHH**2d0
    dMS_QED2 = cone*real(dMS_QED2,kind=dp)
  end if 
end subroutine set_ctparameter137
end module ctparameter137
