!******************************************************************************!
!                                                                              !
!    ctparameter142.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter142.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2019-10-09 13:26             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter142
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter142()
  dZHhHl_QED2 = (8d0*Nc*Ten115*cMU**2d0*coupl(nGC_123)*coupl(nGC_124)*(cMHL**  &
                2d0 - rMHL**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 -  &
                cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 8d0*Nc*Ten116*cMC &
                **2d0*coupl(nGC_88)*coupl(nGC_89)*(cMHL**2d0 - rMHL**2d0)/(cMHH&
                **2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 +  &
                cMHL**2d0*rMHL**2d0) + 8d0*Nc*Ten117*cMT**2d0*coupl(nGC_113)*  &
                coupl(nGC_114)*(cMHL**2d0 - rMHL**2d0)/(cMHH**2d0*rMHH**2d0 -  &
                cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0&
                ) + 8d0*Nc*Ten118*cMD**2d0*coupl(nGC_93)*coupl(nGC_94)*(cMHL** &
                2d0 - rMHL**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 -  &
                cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 8d0*Nc*Ten119*cMS &
                **2d0*coupl(nGC_108)*coupl(nGC_109)*(cMHL**2d0 - rMHL**2d0)/(  &
                cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0&
                 + cMHL**2d0*rMHL**2d0) + 8d0*Nc*Ten120*cMB**2d0*coupl(nGC_83)*&
                coupl(nGC_84)*(cMHL**2d0 - rMHL**2d0)/(cMHH**2d0*rMHH**2d0 -   &
                cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0&
                ) + 8d0*Nc*Ten136*coupl(nGC_123)*coupl(nGC_124)*rMHH**2d0*(cMHL&
                **2d0 - rMHL**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0  &
                 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 32d0*Nc*Ten137*&
                coupl(nGC_123)*coupl(nGC_124)*(cMHL**2d0 - rMHL**2d0)/(cMHH**  &
                2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 +    &
                cMHL**2d0*rMHL**2d0) + 8d0*Nc*Ten138*coupl(nGC_123)*coupl(     &
                nGC_124)*rMHH**2d0*(cMHL**2d0 - rMHL**2d0)/(cMHH**2d0*rMHH**2d0&
                 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**&
                2d0) + 8d0*Nc*Ten139*coupl(nGC_88)*coupl(nGC_89)*rMHH**2d0*(   &
                cMHL**2d0 - rMHL**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL** &
                2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 32d0*Nc*    &
                Ten140*coupl(nGC_88)*coupl(nGC_89)*(cMHL**2d0 - rMHL**2d0)/(   &
                cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0&
                 + cMHL**2d0*rMHL**2d0) + 8d0*Nc*Ten141*coupl(nGC_88)*coupl(   &
                nGC_89)*rMHH**2d0*(cMHL**2d0 - rMHL**2d0)/(cMHH**2d0*rMHH**2d0 &
                 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**&
                2d0) + 8d0*Nc*Ten142*coupl(nGC_113)*coupl(nGC_114)*rMHH**2d0*( &
                cMHL**2d0 - rMHL**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL** &
                2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 32d0*Nc*    &
                Ten143*coupl(nGC_113)*coupl(nGC_114)*(cMHL**2d0 - rMHL**2d0)/( &
                cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0&
                 + cMHL**2d0*rMHL**2d0) + 8d0*Nc*Ten144*coupl(nGC_113)*coupl(  &
                nGC_114)*rMHH**2d0*(cMHL**2d0 - rMHL**2d0)/(cMHH**2d0*rMHH**2d0&
                 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**&
                2d0) + 8d0*Nc*Ten145*coupl(nGC_93)*coupl(nGC_94)*rMHH**2d0*(   &
                cMHL**2d0 - rMHL**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL** &
                2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 32d0*Nc*    &
                Ten146*coupl(nGC_93)*coupl(nGC_94)*(cMHL**2d0 - rMHL**2d0)/(   &
                cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0&
                 + cMHL**2d0*rMHL**2d0) + 8d0*Nc*Ten147*coupl(nGC_93)*coupl(   &
                nGC_94)*rMHH**2d0*(cMHL**2d0 - rMHL**2d0)/(cMHH**2d0*rMHH**2d0 &
                 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**&
                2d0) + 8d0*Nc*Ten148*coupl(nGC_108)*coupl(nGC_109)*rMHH**2d0*( &
                cMHL**2d0 - rMHL**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL** &
                2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 32d0*Nc*    &
                Ten149*coupl(nGC_108)*coupl(nGC_109)*(cMHL**2d0 - rMHL**2d0)/( &
                cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0&
                 + cMHL**2d0*rMHL**2d0) + 8d0*Nc*Ten150*coupl(nGC_108)*coupl(  &
                nGC_109)*rMHH**2d0*(cMHL**2d0 - rMHL**2d0)/(cMHH**2d0*rMHH**2d0&
                 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**&
                2d0) + 8d0*Nc*Ten151*coupl(nGC_83)*coupl(nGC_84)*rMHH**2d0*(   &
                cMHL**2d0 - rMHL**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL** &
                2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 32d0*Nc*    &
                Ten152*coupl(nGC_83)*coupl(nGC_84)*(cMHL**2d0 - rMHL**2d0)/(   &
                cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0&
                 + cMHL**2d0*rMHL**2d0) + 8d0*Nc*Ten153*coupl(nGC_83)*coupl(   &
                nGC_84)*rMHH**2d0*(cMHL**2d0 - rMHL**2d0)/(cMHH**2d0*rMHH**2d0 &
                 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**&
                2d0) + 8d0*Nc*Ten21*cMU**2d0*coupl(nGC_123)*coupl(nGC_124)*(-  &
                cMHL**2d0 + rMHH**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL** &
                2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 8d0*Nc*Ten22&
                *cMC**2d0*coupl(nGC_88)*coupl(nGC_89)*(-cMHL**2d0 + rMHH**2d0  &
                )/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**&
                2d0 + cMHL**2d0*rMHL**2d0) + 8d0*Nc*Ten23*cMT**2d0*coupl(      &
                nGC_113)*coupl(nGC_114)*(-cMHL**2d0 + rMHH**2d0)/(cMHH**2d0*   &
                rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL** &
                2d0*rMHL**2d0) + 8d0*Nc*Ten24*cMD**2d0*coupl(nGC_93)*coupl(    &
                nGC_94)*(-cMHL**2d0 + rMHH**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH** &
                2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) +   &
                8d0*Nc*Ten25*cMS**2d0*coupl(nGC_108)*coupl(nGC_109)*(-cMHL**2d0&
                 + rMHH**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL&
                **2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 8d0*Nc*Ten26*cMB**2d0*&
                coupl(nGC_83)*coupl(nGC_84)*(-cMHL**2d0 + rMHH**2d0)/(cMHH**2d0&
                *rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**&
                2d0*rMHL**2d0) + 8d0*Nc*Ten42*coupl(nGC_123)*coupl(nGC_124)*   &
                rMHL**2d0*(-cMHL**2d0 + rMHH**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH &
                **2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + &
                32d0*Nc*Ten43*coupl(nGC_123)*coupl(nGC_124)*(-cMHL**2d0 + rMHH &
                **2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0* &
                rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 8d0*Nc*Ten44*coupl(nGC_123)*&
                coupl(nGC_124)*rMHL**2d0*(-cMHL**2d0 + rMHH**2d0)/(cMHH**2d0*  &
                rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL** &
                2d0*rMHL**2d0) + 8d0*Nc*Ten45*coupl(nGC_88)*coupl(nGC_89)*rMHL &
                **2d0*(-cMHL**2d0 + rMHH**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0&
                *rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 32d0*&
                Nc*Ten46*coupl(nGC_88)*coupl(nGC_89)*(-cMHL**2d0 + rMHH**2d0)/(&
                cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0&
                 + cMHL**2d0*rMHL**2d0) + 8d0*Nc*Ten47*coupl(nGC_88)*coupl(    &
                nGC_89)*rMHL**2d0*(-cMHL**2d0 + rMHH**2d0)/(cMHH**2d0*rMHH**2d0&
                 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**&
                2d0) + 8d0*Nc*Ten48*coupl(nGC_113)*coupl(nGC_114)*rMHL**2d0*(- &
                cMHL**2d0 + rMHH**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL** &
                2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 32d0*Nc*    &
                Ten49*coupl(nGC_113)*coupl(nGC_114)*(-cMHL**2d0 + rMHH**2d0)/( &
                cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0&
                 + cMHL**2d0*rMHL**2d0) + 8d0*Nc*Ten50*coupl(nGC_113)*coupl(   &
                nGC_114)*rMHL**2d0*(-cMHL**2d0 + rMHH**2d0)/(cMHH**2d0*rMHH**  &
                2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*   &
                rMHL**2d0) + 8d0*Nc*Ten51*coupl(nGC_93)*coupl(nGC_94)*rMHL**2d0&
                *(-cMHL**2d0 + rMHH**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL&
                **2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 32d0*Nc*  &
                Ten52*coupl(nGC_93)*coupl(nGC_94)*(-cMHL**2d0 + rMHH**2d0)/(   &
                cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0&
                 + cMHL**2d0*rMHL**2d0) + 8d0*Nc*Ten53*coupl(nGC_93)*coupl(    &
                nGC_94)*rMHL**2d0*(-cMHL**2d0 + rMHH**2d0)/(cMHH**2d0*rMHH**2d0&
                 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**&
                2d0) + 8d0*Nc*Ten54*coupl(nGC_108)*coupl(nGC_109)*rMHL**2d0*(- &
                cMHL**2d0 + rMHH**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL** &
                2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 32d0*Nc*    &
                Ten55*coupl(nGC_108)*coupl(nGC_109)*(-cMHL**2d0 + rMHH**2d0)/( &
                cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0&
                 + cMHL**2d0*rMHL**2d0) + 8d0*Nc*Ten56*coupl(nGC_108)*coupl(   &
                nGC_109)*rMHL**2d0*(-cMHL**2d0 + rMHH**2d0)/(cMHH**2d0*rMHH**  &
                2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*   &
                rMHL**2d0) + 8d0*Nc*Ten57*coupl(nGC_83)*coupl(nGC_84)*rMHL**2d0&
                *(-cMHL**2d0 + rMHH**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL&
                **2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 32d0*Nc*  &
                Ten58*coupl(nGC_83)*coupl(nGC_84)*(-cMHL**2d0 + rMHH**2d0)/(   &
                cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0&
                 + cMHL**2d0*rMHL**2d0) + 8d0*Nc*Ten59*coupl(nGC_83)*coupl(    &
                nGC_84)*rMHL**2d0*(-cMHL**2d0 + rMHH**2d0)/(cMHH**2d0*rMHH**2d0&
                 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**&
                2d0) + cima*Ten0*coupl(nGC_21)*(rMHH**2d0 - rMHL**2d0)/(cMHH** &
                2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 +    &
                cMHL**2d0*rMHL**2d0) + cima*Ten1*(coupl(nGC_18)*rMHH**2d0 -    &
                coupl(nGC_18)*rMHL**2d0 - 4d0*coupl(nGC_66)*rMHH**2d0 + 4d0*   &
                coupl(nGC_66)*rMHL**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL &
                **2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + Ten107*(- &
                5d0*cMHL**2d0*coupl(nGC_57)*coupl(nGC_61)*rMHH**2d0 + 2d0*cMHL &
                **2d0*coupl(nGC_60)*coupl(nGC_62) - 4d0*cMHL**2d0*coupl(nGC_72 &
                )*coupl(nGC_73) - cMHL**2d0*coupl(nGC_74)*coupl(nGC_75) + 5d0* &
                coupl(nGC_57)*coupl(nGC_61)*rMHH**2d0*rMHL**2d0 - 2d0*coupl(   &
                nGC_60)*coupl(nGC_62)*rMHL**2d0 + 4d0*coupl(nGC_72)*coupl(     &
                nGC_73)*rMHL**2d0 + coupl(nGC_74)*coupl(nGC_75)*rMHL**2d0)/(   &
                cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0&
                 + cMHL**2d0*rMHL**2d0) + Ten108*(-5d0*cMHL**2d0*coupl(nGC_34)*&
                coupl(nGC_47)*rMHH**2d0 - 5d0*cMHL**2d0*coupl(nGC_35)*coupl(   &
                nGC_46)*rMHH**2d0 + 4d0*cMHL**2d0*coupl(nGC_44)*coupl(nGC_49   &
                ) - 8d0*cMHL**2d0*coupl(nGC_69)*coupl(nGC_70) - 2d0*cMHL**2d0* &
                coupl(nGC_74)*coupl(nGC_75) + 5d0*coupl(nGC_34)*coupl(nGC_47)* &
                rMHH**2d0*rMHL**2d0 + 5d0*coupl(nGC_35)*coupl(nGC_46)*rMHH**2d0&
                *rMHL**2d0 - 4d0*coupl(nGC_44)*coupl(nGC_49)*rMHL**2d0 + 8d0*  &
                coupl(nGC_69)*coupl(nGC_70)*rMHL**2d0 + 2d0*coupl(nGC_74)*coupl&
                (nGC_75)*rMHL**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 &
                 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + Ten109*coupl(  &
                nGC_76)*coupl(nGC_78)*(-cMHL**2d0 + rMHL**2d0)/(cMHH**2d0*rMHH &
                **2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0* &
                rMHL**2d0) + 2d0*Ten110*coupl(nGC_76)*coupl(nGC_79)*(-cMHL**2d0&
                 + rMHL**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL&
                **2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + Ten111*coupl(nGC_77)* &
                coupl(nGC_79)*(-cMHL**2d0 + rMHL**2d0)/(cMHH**2d0*rMHH**2d0 -  &
                cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0&
                ) + 8d0*Ten112*cME**2d0*coupl(nGC_98)*coupl(nGC_99)*(cMHL**2d0 &
                 - rMHL**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL&
                **2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 8d0*Ten113*cMM**2d0*  &
                coupl(nGC_103)*coupl(nGC_104)*(cMHL**2d0 - rMHL**2d0)/(cMHH**  &
                2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 +    &
                cMHL**2d0*rMHL**2d0) + 8d0*Ten114*cMTA**2d0*coupl(nGC_118)*    &
                coupl(nGC_119)*(cMHL**2d0 - rMHL**2d0)/(cMHH**2d0*rMHH**2d0 -  &
                cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0&
                ) + 2d0*Ten121*coupl(nGC_57)*coupl(nGC_61)*rMHH**2d0*(-cMHL**  &
                2d0 + rMHL**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 -  &
                cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 8d0*Ten122*coupl( &
                nGC_57)*coupl(nGC_61)*(-cMHL**2d0 + rMHL**2d0)/(cMHH**2d0*rMHH &
                **2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0* &
                rMHL**2d0) + 2d0*Ten123*coupl(nGC_57)*coupl(nGC_61)*rMHH**2d0  &
                *(-cMHL**2d0 + rMHL**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL&
                **2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 2d0*Ten124&
                *rMHH**2d0*(-cMHL**2d0*coupl(nGC_34)*coupl(nGC_47) - cMHL**2d0*&
                coupl(nGC_35)*coupl(nGC_46) + coupl(nGC_34)*coupl(nGC_47)*rMHL &
                **2d0 + coupl(nGC_35)*coupl(nGC_46)*rMHL**2d0)/(cMHH**2d0*rMHH &
                **2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0* &
                rMHL**2d0) + 8d0*Ten125*(-cMHL**2d0*coupl(nGC_34)*coupl(nGC_47 &
                ) - cMHL**2d0*coupl(nGC_35)*coupl(nGC_46) + coupl(nGC_34)*coupl&
                (nGC_47)*rMHL**2d0 + coupl(nGC_35)*coupl(nGC_46)*rMHL**2d0)/(  &
                cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0&
                 + cMHL**2d0*rMHL**2d0) + 2d0*Ten126*rMHH**2d0*(-cMHL**2d0*    &
                coupl(nGC_34)*coupl(nGC_47) - cMHL**2d0*coupl(nGC_35)*coupl(   &
                nGC_46) + coupl(nGC_34)*coupl(nGC_47)*rMHL**2d0 + coupl(nGC_35 &
                )*coupl(nGC_46)*rMHL**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*   &
                rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 8d0*  &
                Ten127*coupl(nGC_98)*coupl(nGC_99)*rMHH**2d0*(cMHL**2d0 - rMHL &
                **2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0* &
                rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 32d0*Ten128*coupl(nGC_98)*  &
                coupl(nGC_99)*(cMHL**2d0 - rMHL**2d0)/(cMHH**2d0*rMHH**2d0 -   &
                cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0&
                ) + 8d0*Ten129*coupl(nGC_98)*coupl(nGC_99)*rMHH**2d0*(cMHL**2d0&
                 - rMHL**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL&
                **2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + Ten13*(5d0*cMHL**2d0* &
                coupl(nGC_57)*coupl(nGC_61)*rMHL**2d0 - 2d0*cMHL**2d0*coupl(   &
                nGC_60)*coupl(nGC_62) + 4d0*cMHL**2d0*coupl(nGC_72)*coupl(     &
                nGC_73) + cMHL**2d0*coupl(nGC_74)*coupl(nGC_75) - 5d0*coupl(   &
                nGC_57)*coupl(nGC_61)*rMHH**2d0*rMHL**2d0 + 2d0*coupl(nGC_60)* &
                coupl(nGC_62)*rMHH**2d0 - 4d0*coupl(nGC_72)*coupl(nGC_73)*rMHH &
                **2d0 - coupl(nGC_74)*coupl(nGC_75)*rMHH**2d0)/(cMHH**2d0*rMHH &
                **2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0* &
                rMHL**2d0) + 8d0*Ten130*coupl(nGC_103)*coupl(nGC_104)*rMHH**2d0&
                *(cMHL**2d0 - rMHL**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL &
                **2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 32d0*     &
                Ten131*coupl(nGC_103)*coupl(nGC_104)*(cMHL**2d0 - rMHL**2d0)/( &
                cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0&
                 + cMHL**2d0*rMHL**2d0) + 8d0*Ten132*coupl(nGC_103)*coupl(     &
                nGC_104)*rMHH**2d0*(cMHL**2d0 - rMHL**2d0)/(cMHH**2d0*rMHH**2d0&
                 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**&
                2d0) + 8d0*Ten133*coupl(nGC_118)*coupl(nGC_119)*rMHH**2d0*(cMHL&
                **2d0 - rMHL**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0  &
                 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 32d0*Ten134*   &
                coupl(nGC_118)*coupl(nGC_119)*(cMHL**2d0 - rMHL**2d0)/(cMHH**  &
                2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 +    &
                cMHL**2d0*rMHL**2d0) + 8d0*Ten135*coupl(nGC_118)*coupl(nGC_119 &
                )*rMHH**2d0*(cMHL**2d0 - rMHL**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH&
                **2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + &
                Ten14*(5d0*cMHL**2d0*coupl(nGC_34)*coupl(nGC_47)*rMHL**2d0 +   &
                5d0*cMHL**2d0*coupl(nGC_35)*coupl(nGC_46)*rMHL**2d0 - 4d0*cMHL &
                **2d0*coupl(nGC_44)*coupl(nGC_49) + 8d0*cMHL**2d0*coupl(nGC_69 &
                )*coupl(nGC_70) + 2d0*cMHL**2d0*coupl(nGC_74)*coupl(nGC_75) -  &
                5d0*coupl(nGC_34)*coupl(nGC_47)*rMHH**2d0*rMHL**2d0 - 5d0*coupl&
                (nGC_35)*coupl(nGC_46)*rMHH**2d0*rMHL**2d0 + 4d0*coupl(nGC_44)*&
                coupl(nGC_49)*rMHH**2d0 - 8d0*coupl(nGC_69)*coupl(nGC_70)*rMHH &
                **2d0 - 2d0*coupl(nGC_74)*coupl(nGC_75)*rMHH**2d0)/(cMHH**2d0* &
                rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL** &
                2d0*rMHL**2d0) + Ten15*coupl(nGC_76)*coupl(nGC_78)*(cMHL**2d0  &
                 - rMHH**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL&
                **2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 2d0*Ten16*coupl(nGC_76&
                )*coupl(nGC_79)*(cMHL**2d0 - rMHH**2d0)/(cMHH**2d0*rMHH**2d0 - &
                cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0&
                ) + Ten17*coupl(nGC_77)*coupl(nGC_79)*(cMHL**2d0 - rMHH**2d0)/(&
                cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0&
                 + cMHL**2d0*rMHL**2d0) + 8d0*Ten18*cME**2d0*coupl(nGC_98)*    &
                coupl(nGC_99)*(-cMHL**2d0 + rMHH**2d0)/(cMHH**2d0*rMHH**2d0 -  &
                cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0&
                ) + 8d0*Ten19*cMM**2d0*coupl(nGC_103)*coupl(nGC_104)*(-cMHL**  &
                2d0 + rMHH**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 -  &
                cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + cima*Ten2*coupl(  &
                nGC_22)*(rMHH**2d0 - rMHL**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**  &
                2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) +   &
                8d0*Ten20*cMTA**2d0*coupl(nGC_118)*coupl(nGC_119)*(-cMHL**2d0  &
                 + rMHH**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL&
                **2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 2d0*Ten27*coupl(nGC_57&
                )*coupl(nGC_61)*rMHL**2d0*(cMHL**2d0 - rMHH**2d0)/(cMHH**2d0*  &
                rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL** &
                2d0*rMHL**2d0) + 8d0*Ten28*coupl(nGC_57)*coupl(nGC_61)*(cMHL** &
                2d0 - rMHH**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 -  &
                cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 2d0*Ten29*coupl(  &
                nGC_57)*coupl(nGC_61)*rMHL**2d0*(cMHL**2d0 - rMHH**2d0)/(cMHH**&
                2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 +    &
                cMHL**2d0*rMHL**2d0) + 2d0*cima*Ten3*(coupl(nGC_18)*rMHH**2d0  &
                 - coupl(nGC_18)*rMHL**2d0 - 4d0*coupl(nGC_30)*rMHH**2d0 + 4d0*&
                coupl(nGC_30)*rMHL**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL &
                **2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 2d0*Ten30*&
                rMHL**2d0*(cMHL**2d0*coupl(nGC_34)*coupl(nGC_47) + cMHL**2d0*  &
                coupl(nGC_35)*coupl(nGC_46) - coupl(nGC_34)*coupl(nGC_47)*rMHH &
                **2d0 - coupl(nGC_35)*coupl(nGC_46)*rMHH**2d0)/(cMHH**2d0*rMHH &
                **2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0* &
                rMHL**2d0) + 8d0*Ten31*(cMHL**2d0*coupl(nGC_34)*coupl(nGC_47   &
                ) + cMHL**2d0*coupl(nGC_35)*coupl(nGC_46) - coupl(nGC_34)*coupl&
                (nGC_47)*rMHH**2d0 - coupl(nGC_35)*coupl(nGC_46)*rMHH**2d0)/(  &
                cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0&
                 + cMHL**2d0*rMHL**2d0) + 2d0*Ten32*rMHL**2d0*(cMHL**2d0*coupl(&
                nGC_34)*coupl(nGC_47) + cMHL**2d0*coupl(nGC_35)*coupl(nGC_46   &
                ) - coupl(nGC_34)*coupl(nGC_47)*rMHH**2d0 - coupl(nGC_35)*coupl&
                (nGC_46)*rMHH**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 &
                 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 8d0*Ten33*coupl&
                (nGC_98)*coupl(nGC_99)*rMHL**2d0*(-cMHL**2d0 + rMHH**2d0)/(cMHH&
                **2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 +  &
                cMHL**2d0*rMHL**2d0) + 32d0*Ten34*coupl(nGC_98)*coupl(nGC_99   &
                )*(-cMHL**2d0 + rMHH**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*   &
                rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 8d0*  &
                Ten35*coupl(nGC_98)*coupl(nGC_99)*rMHL**2d0*(-cMHL**2d0 + rMHH &
                **2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0* &
                rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 8d0*Ten36*coupl(nGC_103)*   &
                coupl(nGC_104)*rMHL**2d0*(-cMHL**2d0 + rMHH**2d0)/(cMHH**2d0*  &
                rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL** &
                2d0*rMHL**2d0) + 32d0*Ten37*coupl(nGC_103)*coupl(nGC_104)*(-   &
                cMHL**2d0 + rMHH**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL** &
                2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 8d0*Ten38*  &
                coupl(nGC_103)*coupl(nGC_104)*rMHL**2d0*(-cMHL**2d0 + rMHH**2d0&
                )/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**&
                2d0 + cMHL**2d0*rMHL**2d0) + 8d0*Ten39*coupl(nGC_118)*coupl(   &
                nGC_119)*rMHL**2d0*(-cMHL**2d0 + rMHH**2d0)/(cMHH**2d0*rMHH**  &
                2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*   &
                rMHL**2d0) + 32d0*Ten40*coupl(nGC_118)*coupl(nGC_119)*(-cMHL** &
                2d0 + rMHH**2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 -  &
                cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0) + 8d0*Ten41*coupl(  &
                nGC_118)*coupl(nGC_119)*rMHL**2d0*(-cMHL**2d0 + rMHH**2d0)/(   &
                cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0&
                 + cMHL**2d0*rMHL**2d0) + pi**2d0*(-768d0*cima*Nc*cMB**2d0*cMHH&
                **2d0*cMHL**2d0*coupl(nGC_83)*coupl(nGC_84)*rMHH**2d0/(96d0*   &
                cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 - 96d0*cima*pi**2d0*&
                cMHH**4d0*cMHL**2d0*rMHL**2d0 - 96d0*cima*pi**2d0*cMHH**2d0*   &
                cMHL**4d0*rMHH**2d0 + 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*   &
                rMHL**2d0) + 768d0*cima*Nc*cMB**2d0*cMHH**2d0*cMHL**2d0*coupl( &
                nGC_83)*coupl(nGC_84)*rMHL**2d0/(96d0*cima*pi**2d0*cMHH**4d0*  &
                cMHL**2d0*rMHH**2d0 - 96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*   &
                rMHL**2d0 - 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 +  &
                96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0) - 768d0*cima* &
                Nc*cMC**2d0*cMHH**2d0*cMHL**2d0*coupl(nGC_88)*coupl(nGC_89)*   &
                rMHH**2d0/(96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 -   &
                96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - 96d0*cima*pi &
                **2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 + 96d0*cima*pi**2d0*cMHH** &
                2d0*cMHL**4d0*rMHL**2d0) + 768d0*cima*Nc*cMC**2d0*cMHH**2d0*   &
                cMHL**2d0*coupl(nGC_88)*coupl(nGC_89)*rMHL**2d0/(96d0*cima*pi**&
                2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 - 96d0*cima*pi**2d0*cMHH**4d0&
                *cMHL**2d0*rMHL**2d0 - 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*  &
                rMHH**2d0 + 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0) - &
                768d0*cima*Nc*cMD**2d0*cMHH**2d0*cMHL**2d0*coupl(nGC_93)*coupl(&
                nGC_94)*rMHH**2d0/(96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHH**&
                2d0 - 96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - 96d0*  &
                cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 + 96d0*cima*pi**2d0*&
                cMHH**2d0*cMHL**4d0*rMHL**2d0) + 768d0*cima*Nc*cMD**2d0*cMHH** &
                2d0*cMHL**2d0*coupl(nGC_93)*coupl(nGC_94)*rMHL**2d0/(96d0*cima*&
                pi**2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 - 96d0*cima*pi**2d0*cMHH &
                **4d0*cMHL**2d0*rMHL**2d0 - 96d0*cima*pi**2d0*cMHH**2d0*cMHL** &
                4d0*rMHH**2d0 + 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0&
                ) + 128d0*cima*Nc*cMHH**2d0*cMHL**4d0*coupl(nGC_108)*coupl(    &
                nGC_109)*rMHH**2d0/(96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHH &
                **2d0 - 96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - 96d0*&
                cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 + 96d0*cima*pi**2d0*&
                cMHH**2d0*cMHL**4d0*rMHL**2d0) - 128d0*cima*Nc*cMHH**2d0*cMHL**&
                4d0*coupl(nGC_108)*coupl(nGC_109)*rMHL**2d0/(96d0*cima*pi**2d0*&
                cMHH**4d0*cMHL**2d0*rMHH**2d0 - 96d0*cima*pi**2d0*cMHH**4d0*   &
                cMHL**2d0*rMHL**2d0 - 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*   &
                rMHH**2d0 + 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0) + &
                128d0*cima*Nc*cMHH**2d0*cMHL**4d0*coupl(nGC_113)*coupl(nGC_114 &
                )*rMHH**2d0/(96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 - &
                96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - 96d0*cima*pi &
                **2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 + 96d0*cima*pi**2d0*cMHH** &
                2d0*cMHL**4d0*rMHL**2d0) - 128d0*cima*Nc*cMHH**2d0*cMHL**4d0*  &
                coupl(nGC_113)*coupl(nGC_114)*rMHL**2d0/(96d0*cima*pi**2d0*cMHH&
                **4d0*cMHL**2d0*rMHH**2d0 - 96d0*cima*pi**2d0*cMHH**4d0*cMHL** &
                2d0*rMHL**2d0 - 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0&
                 + 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0) + 128d0*   &
                cima*Nc*cMHH**2d0*cMHL**4d0*coupl(nGC_123)*coupl(nGC_124)*rMHH &
                **2d0/(96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 - 96d0* &
                cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - 96d0*cima*pi**2d0*&
                cMHH**2d0*cMHL**4d0*rMHH**2d0 + 96d0*cima*pi**2d0*cMHH**2d0*   &
                cMHL**4d0*rMHL**2d0) - 128d0*cima*Nc*cMHH**2d0*cMHL**4d0*coupl(&
                nGC_123)*coupl(nGC_124)*rMHL**2d0/(96d0*cima*pi**2d0*cMHH**4d0*&
                cMHL**2d0*rMHH**2d0 - 96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*   &
                rMHL**2d0 - 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 +  &
                96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0) + 128d0*cima* &
                Nc*cMHH**2d0*cMHL**4d0*coupl(nGC_83)*coupl(nGC_84)*rMHH**2d0/( &
                96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 - 96d0*cima*pi &
                **2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - 96d0*cima*pi**2d0*cMHH** &
                2d0*cMHL**4d0*rMHH**2d0 + 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0&
                *rMHL**2d0) - 128d0*cima*Nc*cMHH**2d0*cMHL**4d0*coupl(nGC_83)* &
                coupl(nGC_84)*rMHL**2d0/(96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*&
                rMHH**2d0 - 96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 -  &
                96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 + 96d0*cima*pi &
                **2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0) + 128d0*cima*Nc*cMHH**2d0*&
                cMHL**4d0*coupl(nGC_88)*coupl(nGC_89)*rMHH**2d0/(96d0*cima*pi**&
                2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 - 96d0*cima*pi**2d0*cMHH**4d0&
                *cMHL**2d0*rMHL**2d0 - 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*  &
                rMHH**2d0 + 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0) - &
                128d0*cima*Nc*cMHH**2d0*cMHL**4d0*coupl(nGC_88)*coupl(nGC_89)* &
                rMHL**2d0/(96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 -   &
                96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - 96d0*cima*pi &
                **2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 + 96d0*cima*pi**2d0*cMHH** &
                2d0*cMHL**4d0*rMHL**2d0) + 128d0*cima*Nc*cMHH**2d0*cMHL**4d0*  &
                coupl(nGC_93)*coupl(nGC_94)*rMHH**2d0/(96d0*cima*pi**2d0*cMHH**&
                4d0*cMHL**2d0*rMHH**2d0 - 96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0&
                *rMHL**2d0 - 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 + &
                96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0) - 128d0*cima* &
                Nc*cMHH**2d0*cMHL**4d0*coupl(nGC_93)*coupl(nGC_94)*rMHL**2d0/( &
                96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 - 96d0*cima*pi &
                **2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - 96d0*cima*pi**2d0*cMHH** &
                2d0*cMHL**4d0*rMHH**2d0 + 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0&
                *rMHL**2d0) - 768d0*cima*Nc*cMHH**2d0*cMHL**2d0*cMS**2d0*coupl(&
                nGC_108)*coupl(nGC_109)*rMHH**2d0/(96d0*cima*pi**2d0*cMHH**4d0*&
                cMHL**2d0*rMHH**2d0 - 96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*   &
                rMHL**2d0 - 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 +  &
                96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0) + 768d0*cima* &
                Nc*cMHH**2d0*cMHL**2d0*cMS**2d0*coupl(nGC_108)*coupl(nGC_109)* &
                rMHL**2d0/(96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 -   &
                96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - 96d0*cima*pi &
                **2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 + 96d0*cima*pi**2d0*cMHH** &
                2d0*cMHL**4d0*rMHL**2d0) - 768d0*cima*Nc*cMHH**2d0*cMHL**2d0*  &
                cMT**2d0*coupl(nGC_113)*coupl(nGC_114)*rMHH**2d0/(96d0*cima*pi &
                **2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 - 96d0*cima*pi**2d0*cMHH** &
                4d0*cMHL**2d0*rMHL**2d0 - 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0&
                *rMHH**2d0 + 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0   &
                ) + 768d0*cima*Nc*cMHH**2d0*cMHL**2d0*cMT**2d0*coupl(nGC_113)* &
                coupl(nGC_114)*rMHL**2d0/(96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0&
                *rMHH**2d0 - 96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - &
                96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 + 96d0*cima*pi &
                **2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0) - 768d0*cima*Nc*cMHH**2d0*&
                cMHL**2d0*cMU**2d0*coupl(nGC_123)*coupl(nGC_124)*rMHH**2d0/(   &
                96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 - 96d0*cima*pi &
                **2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - 96d0*cima*pi**2d0*cMHH** &
                2d0*cMHL**4d0*rMHH**2d0 + 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0&
                *rMHL**2d0) + 768d0*cima*Nc*cMHH**2d0*cMHL**2d0*cMU**2d0*coupl(&
                nGC_123)*coupl(nGC_124)*rMHL**2d0/(96d0*cima*pi**2d0*cMHH**4d0*&
                cMHL**2d0*rMHH**2d0 - 96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*   &
                rMHL**2d0 - 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 +  &
                96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0) - 768d0*cima* &
                cME**2d0*cMHH**2d0*cMHL**2d0*coupl(nGC_98)*coupl(nGC_99)*rMHH**&
                2d0/(96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 - 96d0*   &
                cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - 96d0*cima*pi**2d0*&
                cMHH**2d0*cMHL**4d0*rMHH**2d0 + 96d0*cima*pi**2d0*cMHH**2d0*   &
                cMHL**4d0*rMHL**2d0) + 768d0*cima*cME**2d0*cMHH**2d0*cMHL**2d0*&
                coupl(nGC_98)*coupl(nGC_99)*rMHL**2d0/(96d0*cima*pi**2d0*cMHH**&
                4d0*cMHL**2d0*rMHH**2d0 - 96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0&
                *rMHL**2d0 - 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 + &
                96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0) + 128d0*cima* &
                cMHH**2d0*cMHL**4d0*coupl(nGC_103)*coupl(nGC_104)*rMHH**2d0/(  &
                96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 - 96d0*cima*pi &
                **2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - 96d0*cima*pi**2d0*cMHH** &
                2d0*cMHL**4d0*rMHH**2d0 + 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0&
                *rMHL**2d0) - 128d0*cima*cMHH**2d0*cMHL**4d0*coupl(nGC_103)*   &
                coupl(nGC_104)*rMHL**2d0/(96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0&
                *rMHH**2d0 - 96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - &
                96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 + 96d0*cima*pi &
                **2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0) + 128d0*cima*cMHH**2d0*   &
                cMHL**4d0*coupl(nGC_118)*coupl(nGC_119)*rMHH**2d0/(96d0*cima*pi&
                **2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 - 96d0*cima*pi**2d0*cMHH** &
                4d0*cMHL**2d0*rMHL**2d0 - 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0&
                *rMHH**2d0 + 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0   &
                ) - 128d0*cima*cMHH**2d0*cMHL**4d0*coupl(nGC_118)*coupl(nGC_119&
                )*rMHL**2d0/(96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 - &
                96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - 96d0*cima*pi &
                **2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 + 96d0*cima*pi**2d0*cMHH** &
                2d0*cMHL**4d0*rMHL**2d0) - 32d0*cima*cMHH**2d0*cMHL**4d0*coupl(&
                nGC_34)*coupl(nGC_47)*rMHH**2d0/(96d0*cima*pi**2d0*cMHH**4d0*  &
                cMHL**2d0*rMHH**2d0 - 96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*   &
                rMHL**2d0 - 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 +  &
                96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0) + 32d0*cima*  &
                cMHH**2d0*cMHL**4d0*coupl(nGC_34)*coupl(nGC_47)*rMHL**2d0/(96d0&
                *cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 - 96d0*cima*pi**2d0&
                *cMHH**4d0*cMHL**2d0*rMHL**2d0 - 96d0*cima*pi**2d0*cMHH**2d0*  &
                cMHL**4d0*rMHH**2d0 + 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*   &
                rMHL**2d0) - 32d0*cima*cMHH**2d0*cMHL**4d0*coupl(nGC_35)*coupl(&
                nGC_46)*rMHH**2d0/(96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHH**&
                2d0 - 96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - 96d0*  &
                cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 + 96d0*cima*pi**2d0*&
                cMHH**2d0*cMHL**4d0*rMHL**2d0) + 32d0*cima*cMHH**2d0*cMHL**4d0*&
                coupl(nGC_35)*coupl(nGC_46)*rMHL**2d0/(96d0*cima*pi**2d0*cMHH**&
                4d0*cMHL**2d0*rMHH**2d0 - 96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0&
                *rMHL**2d0 - 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 + &
                96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0) - 32d0*cima*  &
                cMHH**2d0*cMHL**4d0*coupl(nGC_57)*coupl(nGC_61)*rMHH**2d0/(96d0&
                *cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 - 96d0*cima*pi**2d0&
                *cMHH**4d0*cMHL**2d0*rMHL**2d0 - 96d0*cima*pi**2d0*cMHH**2d0*  &
                cMHL**4d0*rMHH**2d0 + 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*   &
                rMHL**2d0) + 32d0*cima*cMHH**2d0*cMHL**4d0*coupl(nGC_57)*coupl(&
                nGC_61)*rMHL**2d0/(96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHH**&
                2d0 - 96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - 96d0*  &
                cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 + 96d0*cima*pi**2d0*&
                cMHH**2d0*cMHL**4d0*rMHL**2d0) + 128d0*cima*cMHH**2d0*cMHL**4d0&
                *coupl(nGC_98)*coupl(nGC_99)*rMHH**2d0/(96d0*cima*pi**2d0*cMHH &
                **4d0*cMHL**2d0*rMHH**2d0 - 96d0*cima*pi**2d0*cMHH**4d0*cMHL** &
                2d0*rMHL**2d0 - 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0&
                 + 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0) - 128d0*   &
                cima*cMHH**2d0*cMHL**4d0*coupl(nGC_98)*coupl(nGC_99)*rMHL**2d0 &
                /(96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 - 96d0*cima* &
                pi**2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - 96d0*cima*pi**2d0*cMHH &
                **2d0*cMHL**4d0*rMHH**2d0 + 96d0*cima*pi**2d0*cMHH**2d0*cMHL** &
                4d0*rMHL**2d0) - 768d0*cima*cMHH**2d0*cMHL**2d0*cMM**2d0*coupl(&
                nGC_103)*coupl(nGC_104)*rMHH**2d0/(96d0*cima*pi**2d0*cMHH**4d0*&
                cMHL**2d0*rMHH**2d0 - 96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*   &
                rMHL**2d0 - 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 +  &
                96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0) + 768d0*cima* &
                cMHH**2d0*cMHL**2d0*cMM**2d0*coupl(nGC_103)*coupl(nGC_104)*rMHL&
                **2d0/(96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 - 96d0* &
                cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - 96d0*cima*pi**2d0*&
                cMHH**2d0*cMHL**4d0*rMHH**2d0 + 96d0*cima*pi**2d0*cMHH**2d0*   &
                cMHL**4d0*rMHL**2d0) - 768d0*cima*cMHH**2d0*cMHL**2d0*cMTA**2d0&
                *coupl(nGC_118)*coupl(nGC_119)*rMHH**2d0/(96d0*cima*pi**2d0*   &
                cMHH**4d0*cMHL**2d0*rMHH**2d0 - 96d0*cima*pi**2d0*cMHH**4d0*   &
                cMHL**2d0*rMHL**2d0 - 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*   &
                rMHH**2d0 + 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0) + &
                768d0*cima*cMHH**2d0*cMHL**2d0*cMTA**2d0*coupl(nGC_118)*coupl( &
                nGC_119)*rMHL**2d0/(96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHH &
                **2d0 - 96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - 96d0*&
                cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 + 96d0*cima*pi**2d0*&
                cMHH**2d0*cMHL**4d0*rMHL**2d0) - 384d0*cMHH**2d0*cMHL**2d0*cMW &
                **2d0*coupl(nGC_30)*rMHH**2d0/(96d0*cima*pi**2d0*cMHH**4d0*cMHL&
                **2d0*rMHH**2d0 - 96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHL** &
                2d0 - 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 + 96d0*  &
                cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0) + 384d0*cMHH**2d0* &
                cMHL**2d0*cMW**2d0*coupl(nGC_30)*rMHL**2d0/(96d0*cima*pi**2d0* &
                cMHH**4d0*cMHL**2d0*rMHH**2d0 - 96d0*cima*pi**2d0*cMHH**4d0*   &
                cMHL**2d0*rMHL**2d0 - 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*   &
                rMHH**2d0 + 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0) + &
                192d0*cima*cMHH**2d0*cMHL**2d0*cMW**2d0*coupl(nGC_34)*coupl(   &
                nGC_47)*rMHH**2d0/(96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHH**&
                2d0 - 96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - 96d0*  &
                cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 + 96d0*cima*pi**2d0*&
                cMHH**2d0*cMHL**4d0*rMHL**2d0) - 192d0*cima*cMHH**2d0*cMHL**2d0&
                *cMW**2d0*coupl(nGC_34)*coupl(nGC_47)*rMHL**2d0/(96d0*cima*pi**&
                2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 - 96d0*cima*pi**2d0*cMHH**4d0&
                *cMHL**2d0*rMHL**2d0 - 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*  &
                rMHH**2d0 + 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0) + &
                192d0*cima*cMHH**2d0*cMHL**2d0*cMW**2d0*coupl(nGC_35)*coupl(   &
                nGC_46)*rMHH**2d0/(96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHH**&
                2d0 - 96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - 96d0*  &
                cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 + 96d0*cima*pi**2d0*&
                cMHH**2d0*cMHL**4d0*rMHL**2d0) - 192d0*cima*cMHH**2d0*cMHL**2d0&
                *cMW**2d0*coupl(nGC_35)*coupl(nGC_46)*rMHL**2d0/(96d0*cima*pi**&
                2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 - 96d0*cima*pi**2d0*cMHH**4d0&
                *cMHL**2d0*rMHL**2d0 - 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*  &
                rMHH**2d0 + 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0) + &
                192d0*cima*cMHH**2d0*cMHL**2d0*cMZ**2d0*coupl(nGC_57)*coupl(   &
                nGC_61)*rMHH**2d0/(96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHH**&
                2d0 - 96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - 96d0*  &
                cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 + 96d0*cima*pi**2d0*&
                cMHH**2d0*cMHL**4d0*rMHL**2d0) - 192d0*cima*cMHH**2d0*cMHL**2d0&
                *cMZ**2d0*coupl(nGC_57)*coupl(nGC_61)*rMHL**2d0/(96d0*cima*pi**&
                2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 - 96d0*cima*pi**2d0*cMHH**4d0&
                *cMHL**2d0*rMHL**2d0 - 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*  &
                rMHH**2d0 + 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0) - &
                192d0*cMHH**2d0*cMHL**2d0*cMZ**2d0*coupl(nGC_66)*rMHH**2d0/(   &
                96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 - 96d0*cima*pi &
                **2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - 96d0*cima*pi**2d0*cMHH** &
                2d0*cMHL**4d0*rMHH**2d0 + 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0&
                *rMHL**2d0) + 192d0*cMHH**2d0*cMHL**2d0*cMZ**2d0*coupl(nGC_66)*&
                rMHL**2d0/(96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 -   &
                96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - 96d0*cima*pi &
                **2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 + 96d0*cima*pi**2d0*cMHH** &
                2d0*cMHL**4d0*rMHL**2d0) + 384d0*cima*cMHH**2d0*cMHL**2d0*coupl&
                (nGC_69)*coupl(nGC_70)*rMHH**2d0/(96d0*cima*pi**2d0*cMHH**4d0* &
                cMHL**2d0*rMHH**2d0 - 96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*   &
                rMHL**2d0 - 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 +  &
                96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0) - 384d0*cima* &
                cMHH**2d0*cMHL**2d0*coupl(nGC_69)*coupl(nGC_70)*rMHL**2d0/(96d0&
                *cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHH**2d0 - 96d0*cima*pi**2d0&
                *cMHH**4d0*cMHL**2d0*rMHL**2d0 - 96d0*cima*pi**2d0*cMHH**2d0*  &
                cMHL**4d0*rMHH**2d0 + 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*   &
                rMHL**2d0) + 192d0*cima*cMHH**2d0*cMHL**2d0*coupl(nGC_72)*coupl&
                (nGC_73)*rMHH**2d0/(96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHH &
                **2d0 - 96d0*cima*pi**2d0*cMHH**4d0*cMHL**2d0*rMHL**2d0 - 96d0*&
                cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0 + 96d0*cima*pi**2d0*&
                cMHH**2d0*cMHL**4d0*rMHL**2d0) - 192d0*cima*cMHH**2d0*cMHL**2d0&
                *coupl(nGC_72)*coupl(nGC_73)*rMHL**2d0/(96d0*cima*pi**2d0*cMHH &
                **4d0*cMHL**2d0*rMHH**2d0 - 96d0*cima*pi**2d0*cMHH**4d0*cMHL** &
                2d0*rMHL**2d0 - 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHH**2d0&
                 + 96d0*cima*pi**2d0*cMHH**2d0*cMHL**4d0*rMHL**2d0)))/(16d0*pi &
                **2d0) + 2d0*cima*coupl(nGC_76)*dtHl_QED1*(rMHH**2d0 - rMHL**  &
                2d0)/(cMHL**2d0*(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 -   &
                cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0)) + 2d0*cima*coupl(  &
                nGC_79)*dtHh_QED1*(rMHH**2d0 - rMHL**2d0)/(cMHH**2d0*(cMHH**2d0&
                *rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**&
                2d0*rMHL**2d0))
    if (.not. complex_mass_scheme) then
      dZHhHl_QED2 = cone*real(dZHhHl_QED2,kind=dp)
    end if 
end subroutine set_ctparameter142
end module ctparameter142
