!******************************************************************************!
!                                                                              !
!    ctparameter175.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter175.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2019-10-09 13:26             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter175
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter175()
  dl3_l1_fin_QED4 = dMHH2_MS_BSM_QED2*l3*(cMHH**10d0*ca**2d0*cw**2d0*sa**2d0 - &
                    cMHH**10d0*ca**2d0*cw**2d0 - cMHH**10d0*ca**2d0*sa**2d0 +  &
                    cMHH**10d0*ca**2d0 - 3d0*cMHH**8d0*cMHL**2d0*ca**2d0*cw**  &
                    2d0*sa**2d0 + 3d0*cMHH**8d0*cMHL**2d0*ca**2d0*cw**2d0 + 3d0&
                    *cMHH**8d0*cMHL**2d0*ca**2d0*sa**2d0 - 3d0*cMHH**8d0*cMHL**&
                    2d0*ca**2d0 + 2d0*cMHH**8d0*cMHL**2d0*cw**2d0*sa**4d0 - 2d0&
                    *cMHH**8d0*cMHL**2d0*cw**2d0*sa**2d0 - 2d0*cMHH**8d0*cMHL**&
                    2d0*sa**4d0 + 2d0*cMHH**8d0*cMHL**2d0*sa**2d0 + 2d0*cMHH** &
                    6d0*cMHL**4d0*ca**2d0*cw**2d0*sa**2d0 - 2d0*cMHH**6d0*cMHL &
                    **4d0*ca**2d0*cw**2d0 - 2d0*cMHH**6d0*cMHL**4d0*ca**2d0*sa &
                    **2d0 + 2d0*cMHH**6d0*cMHL**4d0*ca**2d0 - 8d0*cMHH**6d0*   &
                    cMHL**4d0*cw**2d0*sa**4d0 + 8d0*cMHH**6d0*cMHL**4d0*cw**2d0&
                    *sa**2d0 + 8d0*cMHH**6d0*cMHL**4d0*sa**4d0 - 8d0*cMHH**6d0*&
                    cMHL**4d0*sa**2d0 + 2d0*cMHH**4d0*cMHL**6d0*ca**2d0*cw**2d0&
                    *sa**2d0 - 2d0*cMHH**4d0*cMHL**6d0*ca**2d0*cw**2d0 - 2d0*  &
                    cMHH**4d0*cMHL**6d0*ca**2d0*sa**2d0 + 2d0*cMHH**4d0*cMHL** &
                    6d0*ca**2d0 + 12d0*cMHH**4d0*cMHL**6d0*cw**2d0*sa**4d0 -   &
                    12d0*cMHH**4d0*cMHL**6d0*cw**2d0*sa**2d0 - 12d0*cMHH**4d0* &
                    cMHL**6d0*sa**4d0 + 12d0*cMHH**4d0*cMHL**6d0*sa**2d0 - 3d0*&
                    cMHH**2d0*cMHL**8d0*ca**2d0*cw**2d0*sa**2d0 + 3d0*cMHH**2d0&
                    *cMHL**8d0*ca**2d0*cw**2d0 + 3d0*cMHH**2d0*cMHL**8d0*ca**  &
                    2d0*sa**2d0 - 3d0*cMHH**2d0*cMHL**8d0*ca**2d0 - 8d0*cMHH** &
                    2d0*cMHL**8d0*cw**2d0*sa**4d0 + 8d0*cMHH**2d0*cMHL**8d0*cw &
                    **2d0*sa**2d0 + 8d0*cMHH**2d0*cMHL**8d0*sa**4d0 - 8d0*cMHH &
                    **2d0*cMHL**8d0*sa**2d0 + cMHL**10d0*ca**2d0*cw**2d0*sa**  &
                    2d0 - cMHL**10d0*ca**2d0*cw**2d0 - cMHL**10d0*ca**2d0*sa** &
                    2d0 + cMHL**10d0*ca**2d0 + 2d0*cMHL**10d0*cw**2d0*sa**4d0  &
                     - 2d0*cMHL**10d0*cw**2d0*sa**2d0 - 2d0*cMHL**10d0*sa**4d0 &
                     + 2d0*cMHL**10d0*sa**2d0)/(2d0*ca**2d0*sw**2d0*(cMHH**12d0&
                    *sa**2d0 - cMHH**12d0 - 6d0*cMHH**10d0*cMHL**2d0*sa**2d0 + &
                    5d0*cMHH**10d0*cMHL**2d0 + 15d0*cMHH**8d0*cMHL**4d0*sa**2d0&
                     - 10d0*cMHH**8d0*cMHL**4d0 - 20d0*cMHH**6d0*cMHL**6d0*sa**&
                    2d0 + 10d0*cMHH**6d0*cMHL**6d0 + 15d0*cMHH**4d0*cMHL**8d0* &
                    sa**2d0 - 5d0*cMHH**4d0*cMHL**8d0 - 6d0*cMHH**2d0*cMHL**   &
                    10d0*sa**2d0 + cMHH**2d0*cMHL**10d0 + cMHL**12d0*sa**2d0   &
                    )) + dMHH2_QED2*l3*(-cMHH**10d0*ca**2d0*cw**2d0*sa**2d0 +  &
                    cMHH**10d0*ca**2d0*cw**2d0 + cMHH**10d0*ca**2d0*sa**2d0 -  &
                    cMHH**10d0*ca**2d0 + 3d0*cMHH**8d0*cMHL**2d0*ca**2d0*cw**  &
                    2d0*sa**2d0 - 3d0*cMHH**8d0*cMHL**2d0*ca**2d0*cw**2d0 - 3d0&
                    *cMHH**8d0*cMHL**2d0*ca**2d0*sa**2d0 + 3d0*cMHH**8d0*cMHL**&
                    2d0*ca**2d0 - 2d0*cMHH**8d0*cMHL**2d0*cw**2d0*sa**4d0 + 2d0&
                    *cMHH**8d0*cMHL**2d0*cw**2d0*sa**2d0 + 2d0*cMHH**8d0*cMHL**&
                    2d0*sa**4d0 - 2d0*cMHH**8d0*cMHL**2d0*sa**2d0 - 2d0*cMHH** &
                    6d0*cMHL**4d0*ca**2d0*cw**2d0*sa**2d0 + 2d0*cMHH**6d0*cMHL &
                    **4d0*ca**2d0*cw**2d0 + 2d0*cMHH**6d0*cMHL**4d0*ca**2d0*sa &
                    **2d0 - 2d0*cMHH**6d0*cMHL**4d0*ca**2d0 + 8d0*cMHH**6d0*   &
                    cMHL**4d0*cw**2d0*sa**4d0 - 8d0*cMHH**6d0*cMHL**4d0*cw**2d0&
                    *sa**2d0 - 8d0*cMHH**6d0*cMHL**4d0*sa**4d0 + 8d0*cMHH**6d0*&
                    cMHL**4d0*sa**2d0 - 2d0*cMHH**4d0*cMHL**6d0*ca**2d0*cw**2d0&
                    *sa**2d0 + 2d0*cMHH**4d0*cMHL**6d0*ca**2d0*cw**2d0 + 2d0*  &
                    cMHH**4d0*cMHL**6d0*ca**2d0*sa**2d0 - 2d0*cMHH**4d0*cMHL** &
                    6d0*ca**2d0 - 12d0*cMHH**4d0*cMHL**6d0*cw**2d0*sa**4d0 +   &
                    12d0*cMHH**4d0*cMHL**6d0*cw**2d0*sa**2d0 + 12d0*cMHH**4d0* &
                    cMHL**6d0*sa**4d0 - 12d0*cMHH**4d0*cMHL**6d0*sa**2d0 + 3d0*&
                    cMHH**2d0*cMHL**8d0*ca**2d0*cw**2d0*sa**2d0 - 3d0*cMHH**2d0&
                    *cMHL**8d0*ca**2d0*cw**2d0 - 3d0*cMHH**2d0*cMHL**8d0*ca**  &
                    2d0*sa**2d0 + 3d0*cMHH**2d0*cMHL**8d0*ca**2d0 + 8d0*cMHH** &
                    2d0*cMHL**8d0*cw**2d0*sa**4d0 - 8d0*cMHH**2d0*cMHL**8d0*cw &
                    **2d0*sa**2d0 - 8d0*cMHH**2d0*cMHL**8d0*sa**4d0 + 8d0*cMHH &
                    **2d0*cMHL**8d0*sa**2d0 - cMHL**10d0*ca**2d0*cw**2d0*sa**  &
                    2d0 + cMHL**10d0*ca**2d0*cw**2d0 + cMHL**10d0*ca**2d0*sa** &
                    2d0 - cMHL**10d0*ca**2d0 - 2d0*cMHL**10d0*cw**2d0*sa**4d0  &
                     + 2d0*cMHL**10d0*cw**2d0*sa**2d0 + 2d0*cMHL**10d0*sa**4d0 &
                     - 2d0*cMHL**10d0*sa**2d0)/(2d0*ca**2d0*sw**2d0*(cMHH**12d0&
                    *sa**2d0 - cMHH**12d0 - 6d0*cMHH**10d0*cMHL**2d0*sa**2d0 + &
                    5d0*cMHH**10d0*cMHL**2d0 + 15d0*cMHH**8d0*cMHL**4d0*sa**2d0&
                     - 10d0*cMHH**8d0*cMHL**4d0 - 20d0*cMHH**6d0*cMHL**6d0*sa**&
                    2d0 + 10d0*cMHH**6d0*cMHL**6d0 + 15d0*cMHH**4d0*cMHL**8d0* &
                    sa**2d0 - 5d0*cMHH**4d0*cMHL**8d0 - 6d0*cMHH**2d0*cMHL**   &
                    10d0*sa**2d0 + cMHH**2d0*cMHL**10d0 + cMHL**12d0*sa**2d0   &
                    )) + dMHL2_MS_BSM_QED2*l3*(-2d0*cMHH**10d0*ca**2d0*cw**2d0*&
                    sa**2d0 + 2d0*cMHH**10d0*ca**2d0*cw**2d0 + 2d0*cMHH**10d0* &
                    ca**2d0*sa**2d0 - 2d0*cMHH**10d0*ca**2d0 - cMHH**10d0*cw** &
                    2d0*sa**4d0 + cMHH**10d0*cw**2d0*sa**2d0 + cMHH**10d0*sa** &
                    4d0 - cMHH**10d0*sa**2d0 + 8d0*cMHH**8d0*cMHL**2d0*ca**2d0*&
                    cw**2d0*sa**2d0 - 8d0*cMHH**8d0*cMHL**2d0*ca**2d0*cw**2d0  &
                     - 8d0*cMHH**8d0*cMHL**2d0*ca**2d0*sa**2d0 + 8d0*cMHH**8d0*&
                    cMHL**2d0*ca**2d0 + 3d0*cMHH**8d0*cMHL**2d0*cw**2d0*sa**4d0&
                     - 3d0*cMHH**8d0*cMHL**2d0*cw**2d0*sa**2d0 - 3d0*cMHH**8d0*&
                    cMHL**2d0*sa**4d0 + 3d0*cMHH**8d0*cMHL**2d0*sa**2d0 - 12d0*&
                    cMHH**6d0*cMHL**4d0*ca**2d0*cw**2d0*sa**2d0 + 12d0*cMHH**  &
                    6d0*cMHL**4d0*ca**2d0*cw**2d0 + 12d0*cMHH**6d0*cMHL**4d0*ca&
                    **2d0*sa**2d0 - 12d0*cMHH**6d0*cMHL**4d0*ca**2d0 - 2d0*cMHH&
                    **6d0*cMHL**4d0*cw**2d0*sa**4d0 + 2d0*cMHH**6d0*cMHL**4d0* &
                    cw**2d0*sa**2d0 + 2d0*cMHH**6d0*cMHL**4d0*sa**4d0 - 2d0*   &
                    cMHH**6d0*cMHL**4d0*sa**2d0 + 8d0*cMHH**4d0*cMHL**6d0*ca** &
                    2d0*cw**2d0*sa**2d0 - 8d0*cMHH**4d0*cMHL**6d0*ca**2d0*cw** &
                    2d0 - 8d0*cMHH**4d0*cMHL**6d0*ca**2d0*sa**2d0 + 8d0*cMHH** &
                    4d0*cMHL**6d0*ca**2d0 - 2d0*cMHH**4d0*cMHL**6d0*cw**2d0*sa &
                    **4d0 + 2d0*cMHH**4d0*cMHL**6d0*cw**2d0*sa**2d0 + 2d0*cMHH &
                    **4d0*cMHL**6d0*sa**4d0 - 2d0*cMHH**4d0*cMHL**6d0*sa**2d0  &
                     - 2d0*cMHH**2d0*cMHL**8d0*ca**2d0*cw**2d0*sa**2d0 + 2d0*  &
                    cMHH**2d0*cMHL**8d0*ca**2d0*cw**2d0 + 2d0*cMHH**2d0*cMHL** &
                    8d0*ca**2d0*sa**2d0 - 2d0*cMHH**2d0*cMHL**8d0*ca**2d0 + 3d0&
                    *cMHH**2d0*cMHL**8d0*cw**2d0*sa**4d0 - 3d0*cMHH**2d0*cMHL**&
                    8d0*cw**2d0*sa**2d0 - 3d0*cMHH**2d0*cMHL**8d0*sa**4d0 + 3d0&
                    *cMHH**2d0*cMHL**8d0*sa**2d0 - cMHL**10d0*cw**2d0*sa**4d0  &
                     + cMHL**10d0*cw**2d0*sa**2d0 + cMHL**10d0*sa**4d0 - cMHL**&
                    10d0*sa**2d0)/(2d0*ca**2d0*sw**2d0*(cMHH**12d0*sa**2d0 -   &
                    cMHH**12d0 - 6d0*cMHH**10d0*cMHL**2d0*sa**2d0 + 5d0*cMHH** &
                    10d0*cMHL**2d0 + 15d0*cMHH**8d0*cMHL**4d0*sa**2d0 - 10d0*  &
                    cMHH**8d0*cMHL**4d0 - 20d0*cMHH**6d0*cMHL**6d0*sa**2d0 +   &
                    10d0*cMHH**6d0*cMHL**6d0 + 15d0*cMHH**4d0*cMHL**8d0*sa**2d0&
                     - 5d0*cMHH**4d0*cMHL**8d0 - 6d0*cMHH**2d0*cMHL**10d0*sa** &
                    2d0 + cMHH**2d0*cMHL**10d0 + cMHL**12d0*sa**2d0)) +        &
                    dMHL2_QED2*l3*(2d0*cMHH**10d0*ca**2d0*cw**2d0*sa**2d0 - 2d0&
                    *cMHH**10d0*ca**2d0*cw**2d0 - 2d0*cMHH**10d0*ca**2d0*sa**  &
                    2d0 + 2d0*cMHH**10d0*ca**2d0 + cMHH**10d0*cw**2d0*sa**4d0  &
                     - cMHH**10d0*cw**2d0*sa**2d0 - cMHH**10d0*sa**4d0 + cMHH**&
                    10d0*sa**2d0 - 8d0*cMHH**8d0*cMHL**2d0*ca**2d0*cw**2d0*sa**&
                    2d0 + 8d0*cMHH**8d0*cMHL**2d0*ca**2d0*cw**2d0 + 8d0*cMHH** &
                    8d0*cMHL**2d0*ca**2d0*sa**2d0 - 8d0*cMHH**8d0*cMHL**2d0*ca &
                    **2d0 - 3d0*cMHH**8d0*cMHL**2d0*cw**2d0*sa**4d0 + 3d0*cMHH &
                    **8d0*cMHL**2d0*cw**2d0*sa**2d0 + 3d0*cMHH**8d0*cMHL**2d0* &
                    sa**4d0 - 3d0*cMHH**8d0*cMHL**2d0*sa**2d0 + 12d0*cMHH**6d0*&
                    cMHL**4d0*ca**2d0*cw**2d0*sa**2d0 - 12d0*cMHH**6d0*cMHL**  &
                    4d0*ca**2d0*cw**2d0 - 12d0*cMHH**6d0*cMHL**4d0*ca**2d0*sa**&
                    2d0 + 12d0*cMHH**6d0*cMHL**4d0*ca**2d0 + 2d0*cMHH**6d0*cMHL&
                    **4d0*cw**2d0*sa**4d0 - 2d0*cMHH**6d0*cMHL**4d0*cw**2d0*sa &
                    **2d0 - 2d0*cMHH**6d0*cMHL**4d0*sa**4d0 + 2d0*cMHH**6d0*   &
                    cMHL**4d0*sa**2d0 - 8d0*cMHH**4d0*cMHL**6d0*ca**2d0*cw**2d0&
                    *sa**2d0 + 8d0*cMHH**4d0*cMHL**6d0*ca**2d0*cw**2d0 + 8d0*  &
                    cMHH**4d0*cMHL**6d0*ca**2d0*sa**2d0 - 8d0*cMHH**4d0*cMHL** &
                    6d0*ca**2d0 + 2d0*cMHH**4d0*cMHL**6d0*cw**2d0*sa**4d0 - 2d0&
                    *cMHH**4d0*cMHL**6d0*cw**2d0*sa**2d0 - 2d0*cMHH**4d0*cMHL**&
                    6d0*sa**4d0 + 2d0*cMHH**4d0*cMHL**6d0*sa**2d0 + 2d0*cMHH** &
                    2d0*cMHL**8d0*ca**2d0*cw**2d0*sa**2d0 - 2d0*cMHH**2d0*cMHL &
                    **8d0*ca**2d0*cw**2d0 - 2d0*cMHH**2d0*cMHL**8d0*ca**2d0*sa &
                    **2d0 + 2d0*cMHH**2d0*cMHL**8d0*ca**2d0 - 3d0*cMHH**2d0*   &
                    cMHL**8d0*cw**2d0*sa**4d0 + 3d0*cMHH**2d0*cMHL**8d0*cw**2d0&
                    *sa**2d0 + 3d0*cMHH**2d0*cMHL**8d0*sa**4d0 - 3d0*cMHH**2d0*&
                    cMHL**8d0*sa**2d0 + cMHL**10d0*cw**2d0*sa**4d0 - cMHL**10d0&
                    *cw**2d0*sa**2d0 - cMHL**10d0*sa**4d0 + cMHL**10d0*sa**2d0 &
                    )/(2d0*ca**2d0*sw**2d0*(cMHH**12d0*sa**2d0 - cMHH**12d0 -  &
                    6d0*cMHH**10d0*cMHL**2d0*sa**2d0 + 5d0*cMHH**10d0*cMHL**2d0&
                     + 15d0*cMHH**8d0*cMHL**4d0*sa**2d0 - 10d0*cMHH**8d0*cMHL**&
                    4d0 - 20d0*cMHH**6d0*cMHL**6d0*sa**2d0 + 10d0*cMHH**6d0*   &
                    cMHL**6d0 + 15d0*cMHH**4d0*cMHL**8d0*sa**2d0 - 5d0*cMHH**  &
                    4d0*cMHL**8d0 - 6d0*cMHH**2d0*cMHL**10d0*sa**2d0 + cMHH**  &
                    2d0*cMHL**10d0 + cMHL**12d0*sa**2d0)) + dZee_MS_BSM_QED2*l3&
                    *(cMHH**12d0*ca**2d0*cw**2d0*sa**2d0 - cMHH**12d0*ca**2d0* &
                    cw**2d0 - cMHH**12d0*ca**2d0*sa**2d0 + cMHH**12d0*ca**2d0  &
                     - 5d0*cMHH**10d0*cMHL**2d0*ca**2d0*cw**2d0*sa**2d0 + 5d0* &
                    cMHH**10d0*cMHL**2d0*ca**2d0*cw**2d0 + 5d0*cMHH**10d0*cMHL &
                    **2d0*ca**2d0*sa**2d0 - 5d0*cMHH**10d0*cMHL**2d0*ca**2d0 + &
                    cMHH**10d0*cMHL**2d0*cw**2d0*sa**4d0 - cMHH**10d0*cMHL**2d0&
                    *cw**2d0*sa**2d0 - cMHH**10d0*cMHL**2d0*sa**4d0 + cMHH**   &
                    10d0*cMHL**2d0*sa**2d0 + 10d0*cMHH**8d0*cMHL**4d0*ca**2d0* &
                    cw**2d0*sa**2d0 - 10d0*cMHH**8d0*cMHL**4d0*ca**2d0*cw**2d0 &
                     - 10d0*cMHH**8d0*cMHL**4d0*ca**2d0*sa**2d0 + 10d0*cMHH**  &
                    8d0*cMHL**4d0*ca**2d0 - 5d0*cMHH**8d0*cMHL**4d0*cw**2d0*sa &
                    **4d0 + 5d0*cMHH**8d0*cMHL**4d0*cw**2d0*sa**2d0 + 5d0*cMHH &
                    **8d0*cMHL**4d0*sa**4d0 - 5d0*cMHH**8d0*cMHL**4d0*sa**2d0  &
                     - 10d0*cMHH**6d0*cMHL**6d0*ca**2d0*cw**2d0*sa**2d0 + 10d0*&
                    cMHH**6d0*cMHL**6d0*ca**2d0*cw**2d0 + 10d0*cMHH**6d0*cMHL**&
                    6d0*ca**2d0*sa**2d0 - 10d0*cMHH**6d0*cMHL**6d0*ca**2d0 +   &
                    10d0*cMHH**6d0*cMHL**6d0*cw**2d0*sa**4d0 - 10d0*cMHH**6d0* &
                    cMHL**6d0*cw**2d0*sa**2d0 - 10d0*cMHH**6d0*cMHL**6d0*sa**  &
                    4d0 + 10d0*cMHH**6d0*cMHL**6d0*sa**2d0 + 5d0*cMHH**4d0*cMHL&
                    **8d0*ca**2d0*cw**2d0*sa**2d0 - 5d0*cMHH**4d0*cMHL**8d0*ca &
                    **2d0*cw**2d0 - 5d0*cMHH**4d0*cMHL**8d0*ca**2d0*sa**2d0 +  &
                    5d0*cMHH**4d0*cMHL**8d0*ca**2d0 - 10d0*cMHH**4d0*cMHL**8d0*&
                    cw**2d0*sa**4d0 + 10d0*cMHH**4d0*cMHL**8d0*cw**2d0*sa**2d0 &
                     + 10d0*cMHH**4d0*cMHL**8d0*sa**4d0 - 10d0*cMHH**4d0*cMHL**&
                    8d0*sa**2d0 - cMHH**2d0*cMHL**10d0*ca**2d0*cw**2d0*sa**2d0 &
                     + cMHH**2d0*cMHL**10d0*ca**2d0*cw**2d0 + cMHH**2d0*cMHL** &
                    10d0*ca**2d0*sa**2d0 - cMHH**2d0*cMHL**10d0*ca**2d0 + 5d0* &
                    cMHH**2d0*cMHL**10d0*cw**2d0*sa**4d0 - 5d0*cMHH**2d0*cMHL**&
                    10d0*cw**2d0*sa**2d0 - 5d0*cMHH**2d0*cMHL**10d0*sa**4d0 +  &
                    5d0*cMHH**2d0*cMHL**10d0*sa**2d0 - cMHL**12d0*cw**2d0*sa** &
                    4d0 + cMHL**12d0*cw**2d0*sa**2d0 + cMHL**12d0*sa**4d0 -    &
                    cMHL**12d0*sa**2d0)/(ca**2d0*sw**2d0*(cMHH**12d0*sa**2d0 - &
                    cMHH**12d0 - 6d0*cMHH**10d0*cMHL**2d0*sa**2d0 + 5d0*cMHH** &
                    10d0*cMHL**2d0 + 15d0*cMHH**8d0*cMHL**4d0*sa**2d0 - 10d0*  &
                    cMHH**8d0*cMHL**4d0 - 20d0*cMHH**6d0*cMHL**6d0*sa**2d0 +   &
                    10d0*cMHH**6d0*cMHL**6d0 + 15d0*cMHH**4d0*cMHL**8d0*sa**2d0&
                     - 5d0*cMHH**4d0*cMHL**8d0 - 6d0*cMHH**2d0*cMHL**10d0*sa** &
                    2d0 + cMHH**2d0*cMHL**10d0 + cMHL**12d0*sa**2d0)) +        &
                    dZee_QED2*l3*(-cMHH**12d0*ca**2d0*cw**2d0*sa**2d0 + cMHH** &
                    12d0*ca**2d0*cw**2d0 + cMHH**12d0*ca**2d0*sa**2d0 - cMHH** &
                    12d0*ca**2d0 + 5d0*cMHH**10d0*cMHL**2d0*ca**2d0*cw**2d0*sa &
                    **2d0 - 5d0*cMHH**10d0*cMHL**2d0*ca**2d0*cw**2d0 - 5d0*cMHH&
                    **10d0*cMHL**2d0*ca**2d0*sa**2d0 + 5d0*cMHH**10d0*cMHL**2d0&
                    *ca**2d0 - cMHH**10d0*cMHL**2d0*cw**2d0*sa**4d0 + cMHH**   &
                    10d0*cMHL**2d0*cw**2d0*sa**2d0 + cMHH**10d0*cMHL**2d0*sa** &
                    4d0 - cMHH**10d0*cMHL**2d0*sa**2d0 - 10d0*cMHH**8d0*cMHL** &
                    4d0*ca**2d0*cw**2d0*sa**2d0 + 10d0*cMHH**8d0*cMHL**4d0*ca**&
                    2d0*cw**2d0 + 10d0*cMHH**8d0*cMHL**4d0*ca**2d0*sa**2d0 -   &
                    10d0*cMHH**8d0*cMHL**4d0*ca**2d0 + 5d0*cMHH**8d0*cMHL**4d0*&
                    cw**2d0*sa**4d0 - 5d0*cMHH**8d0*cMHL**4d0*cw**2d0*sa**2d0  &
                     - 5d0*cMHH**8d0*cMHL**4d0*sa**4d0 + 5d0*cMHH**8d0*cMHL**  &
                    4d0*sa**2d0 + 10d0*cMHH**6d0*cMHL**6d0*ca**2d0*cw**2d0*sa**&
                    2d0 - 10d0*cMHH**6d0*cMHL**6d0*ca**2d0*cw**2d0 - 10d0*cMHH &
                    **6d0*cMHL**6d0*ca**2d0*sa**2d0 + 10d0*cMHH**6d0*cMHL**6d0*&
                    ca**2d0 - 10d0*cMHH**6d0*cMHL**6d0*cw**2d0*sa**4d0 + 10d0* &
                    cMHH**6d0*cMHL**6d0*cw**2d0*sa**2d0 + 10d0*cMHH**6d0*cMHL**&
                    6d0*sa**4d0 - 10d0*cMHH**6d0*cMHL**6d0*sa**2d0 - 5d0*cMHH**&
                    4d0*cMHL**8d0*ca**2d0*cw**2d0*sa**2d0 + 5d0*cMHH**4d0*cMHL &
                    **8d0*ca**2d0*cw**2d0 + 5d0*cMHH**4d0*cMHL**8d0*ca**2d0*sa &
                    **2d0 - 5d0*cMHH**4d0*cMHL**8d0*ca**2d0 + 10d0*cMHH**4d0*  &
                    cMHL**8d0*cw**2d0*sa**4d0 - 10d0*cMHH**4d0*cMHL**8d0*cw**  &
                    2d0*sa**2d0 - 10d0*cMHH**4d0*cMHL**8d0*sa**4d0 + 10d0*cMHH &
                    **4d0*cMHL**8d0*sa**2d0 + cMHH**2d0*cMHL**10d0*ca**2d0*cw**&
                    2d0*sa**2d0 - cMHH**2d0*cMHL**10d0*ca**2d0*cw**2d0 - cMHH**&
                    2d0*cMHL**10d0*ca**2d0*sa**2d0 + cMHH**2d0*cMHL**10d0*ca** &
                    2d0 - 5d0*cMHH**2d0*cMHL**10d0*cw**2d0*sa**4d0 + 5d0*cMHH**&
                    2d0*cMHL**10d0*cw**2d0*sa**2d0 + 5d0*cMHH**2d0*cMHL**10d0* &
                    sa**4d0 - 5d0*cMHH**2d0*cMHL**10d0*sa**2d0 + cMHL**12d0*cw &
                    **2d0*sa**4d0 - cMHL**12d0*cw**2d0*sa**2d0 - cMHL**12d0*sa &
                    **4d0 + cMHL**12d0*sa**2d0)/(ca**2d0*sw**2d0*(cMHH**12d0*sa&
                    **2d0 - cMHH**12d0 - 6d0*cMHH**10d0*cMHL**2d0*sa**2d0 + 5d0&
                    *cMHH**10d0*cMHL**2d0 + 15d0*cMHH**8d0*cMHL**4d0*sa**2d0 - &
                    10d0*cMHH**8d0*cMHL**4d0 - 20d0*cMHH**6d0*cMHL**6d0*sa**2d0&
                     + 10d0*cMHH**6d0*cMHL**6d0 + 15d0*cMHH**4d0*cMHL**8d0*sa**&
                    2d0 - 5d0*cMHH**4d0*cMHL**8d0 - 6d0*cMHH**2d0*cMHL**10d0*sa&
                    **2d0 + cMHH**2d0*cMHL**10d0 + cMHL**12d0*sa**2d0)) +      &
                    da_MS_BSM_QED2*l3*(-cMHH**12d0*sa**6d0 + 3d0*cMHH**12d0*sa &
                    **4d0 - 3d0*cMHH**12d0*sa**2d0 + cMHH**12d0 + 6d0*cMHH**   &
                    10d0*cMHL**2d0*sa**6d0 - 16d0*cMHH**10d0*cMHL**2d0*sa**4d0 &
                     + 15d0*cMHH**10d0*cMHL**2d0*sa**2d0 - 5d0*cMHH**10d0*cMHL &
                    **2d0 - 15d0*cMHH**8d0*cMHL**4d0*sa**6d0 + 35d0*cMHH**8d0* &
                    cMHL**4d0*sa**4d0 - 30d0*cMHH**8d0*cMHL**4d0*sa**2d0 + 10d0&
                    *cMHH**8d0*cMHL**4d0 + 20d0*cMHH**6d0*cMHL**6d0*sa**6d0 -  &
                    40d0*cMHH**6d0*cMHL**6d0*sa**4d0 + 30d0*cMHH**6d0*cMHL**6d0&
                    *sa**2d0 - 10d0*cMHH**6d0*cMHL**6d0 - 15d0*cMHH**4d0*cMHL**&
                    8d0*sa**6d0 + 25d0*cMHH**4d0*cMHL**8d0*sa**4d0 - 15d0*cMHH &
                    **4d0*cMHL**8d0*sa**2d0 + 5d0*cMHH**4d0*cMHL**8d0 + 6d0*   &
                    cMHH**2d0*cMHL**10d0*sa**6d0 - 8d0*cMHH**2d0*cMHL**10d0*sa &
                    **4d0 + 3d0*cMHH**2d0*cMHL**10d0*sa**2d0 - cMHH**2d0*cMHL**&
                    10d0 - cMHL**12d0*sa**6d0 + cMHL**12d0*sa**4d0)/(ca**3d0*sa&
                    *(cMHH**12d0*sa**2d0 - cMHH**12d0 - 6d0*cMHH**10d0*cMHL**  &
                    2d0*sa**2d0 + 5d0*cMHH**10d0*cMHL**2d0 + 15d0*cMHH**8d0*   &
                    cMHL**4d0*sa**2d0 - 10d0*cMHH**8d0*cMHL**4d0 - 20d0*cMHH** &
                    6d0*cMHL**6d0*sa**2d0 + 10d0*cMHH**6d0*cMHL**6d0 + 15d0*   &
                    cMHH**4d0*cMHL**8d0*sa**2d0 - 5d0*cMHH**4d0*cMHL**8d0 - 6d0&
                    *cMHH**2d0*cMHL**10d0*sa**2d0 + cMHH**2d0*cMHL**10d0 + cMHL&
                    **12d0*sa**2d0)) + da_QED2*l3*(cMHH**12d0*sa**6d0 - 3d0*   &
                    cMHH**12d0*sa**4d0 + 3d0*cMHH**12d0*sa**2d0 - cMHH**12d0 - &
                    6d0*cMHH**10d0*cMHL**2d0*sa**6d0 + 16d0*cMHH**10d0*cMHL**  &
                    2d0*sa**4d0 - 15d0*cMHH**10d0*cMHL**2d0*sa**2d0 + 5d0*cMHH &
                    **10d0*cMHL**2d0 + 15d0*cMHH**8d0*cMHL**4d0*sa**6d0 - 35d0*&
                    cMHH**8d0*cMHL**4d0*sa**4d0 + 30d0*cMHH**8d0*cMHL**4d0*sa**&
                    2d0 - 10d0*cMHH**8d0*cMHL**4d0 - 20d0*cMHH**6d0*cMHL**6d0* &
                    sa**6d0 + 40d0*cMHH**6d0*cMHL**6d0*sa**4d0 - 30d0*cMHH**6d0&
                    *cMHL**6d0*sa**2d0 + 10d0*cMHH**6d0*cMHL**6d0 + 15d0*cMHH**&
                    4d0*cMHL**8d0*sa**6d0 - 25d0*cMHH**4d0*cMHL**8d0*sa**4d0 + &
                    15d0*cMHH**4d0*cMHL**8d0*sa**2d0 - 5d0*cMHH**4d0*cMHL**8d0 &
                     - 6d0*cMHH**2d0*cMHL**10d0*sa**6d0 + 8d0*cMHH**2d0*cMHL** &
                    10d0*sa**4d0 - 3d0*cMHH**2d0*cMHL**10d0*sa**2d0 + cMHH**2d0&
                    *cMHL**10d0 + cMHL**12d0*sa**6d0 - cMHL**12d0*sa**4d0)/(ca &
                    **3d0*sa*(cMHH**12d0*sa**2d0 - cMHH**12d0 - 6d0*cMHH**10d0*&
                    cMHL**2d0*sa**2d0 + 5d0*cMHH**10d0*cMHL**2d0 + 15d0*cMHH** &
                    8d0*cMHL**4d0*sa**2d0 - 10d0*cMHH**8d0*cMHL**4d0 - 20d0*   &
                    cMHH**6d0*cMHL**6d0*sa**2d0 + 10d0*cMHH**6d0*cMHL**6d0 +   &
                    15d0*cMHH**4d0*cMHL**8d0*sa**2d0 - 5d0*cMHH**4d0*cMHL**8d0 &
                     - 6d0*cMHH**2d0*cMHL**10d0*sa**2d0 + cMHH**2d0*cMHL**10d0 &
                     + cMHL**12d0*sa**2d0)) + cw**4d0*dMZ2_MS_BSM_QED2*l3*(cMHH&
                    **12d0*ca**2d0*sa**2d0 - cMHH**12d0*ca**2d0 - 5d0*cMHH**   &
                    10d0*cMHL**2d0*ca**2d0*sa**2d0 + 5d0*cMHH**10d0*cMHL**2d0* &
                    ca**2d0 + cMHH**10d0*cMHL**2d0*sa**4d0 - cMHH**10d0*cMHL** &
                    2d0*sa**2d0 + 10d0*cMHH**8d0*cMHL**4d0*ca**2d0*sa**2d0 -   &
                    10d0*cMHH**8d0*cMHL**4d0*ca**2d0 - 5d0*cMHH**8d0*cMHL**4d0*&
                    sa**4d0 + 5d0*cMHH**8d0*cMHL**4d0*sa**2d0 - 10d0*cMHH**6d0*&
                    cMHL**6d0*ca**2d0*sa**2d0 + 10d0*cMHH**6d0*cMHL**6d0*ca**  &
                    2d0 + 10d0*cMHH**6d0*cMHL**6d0*sa**4d0 - 10d0*cMHH**6d0*   &
                    cMHL**6d0*sa**2d0 + 5d0*cMHH**4d0*cMHL**8d0*ca**2d0*sa**2d0&
                     - 5d0*cMHH**4d0*cMHL**8d0*ca**2d0 - 10d0*cMHH**4d0*cMHL** &
                    8d0*sa**4d0 + 10d0*cMHH**4d0*cMHL**8d0*sa**2d0 - cMHH**2d0*&
                    cMHL**10d0*ca**2d0*sa**2d0 + cMHH**2d0*cMHL**10d0*ca**2d0  &
                     + 5d0*cMHH**2d0*cMHL**10d0*sa**4d0 - 5d0*cMHH**2d0*cMHL** &
                    10d0*sa**2d0 - cMHL**12d0*sa**4d0 + cMHL**12d0*sa**2d0)/(  &
                    2d0*cMW**2d0*ca**2d0*sw**2d0*(cMHH**12d0*sa**2d0 - cMHH**  &
                    12d0 - 6d0*cMHH**10d0*cMHL**2d0*sa**2d0 + 5d0*cMHH**10d0*  &
                    cMHL**2d0 + 15d0*cMHH**8d0*cMHL**4d0*sa**2d0 - 10d0*cMHH** &
                    8d0*cMHL**4d0 - 20d0*cMHH**6d0*cMHL**6d0*sa**2d0 + 10d0*   &
                    cMHH**6d0*cMHL**6d0 + 15d0*cMHH**4d0*cMHL**8d0*sa**2d0 -   &
                    5d0*cMHH**4d0*cMHL**8d0 - 6d0*cMHH**2d0*cMHL**10d0*sa**2d0 &
                     + cMHH**2d0*cMHL**10d0 + cMHL**12d0*sa**2d0)) + cw**4d0*  &
                    dMZ2_QED2*l3*(-cMHH**12d0*ca**2d0*sa**2d0 + cMHH**12d0*ca**&
                    2d0 + 5d0*cMHH**10d0*cMHL**2d0*ca**2d0*sa**2d0 - 5d0*cMHH**&
                    10d0*cMHL**2d0*ca**2d0 - cMHH**10d0*cMHL**2d0*sa**4d0 +    &
                    cMHH**10d0*cMHL**2d0*sa**2d0 - 10d0*cMHH**8d0*cMHL**4d0*ca &
                    **2d0*sa**2d0 + 10d0*cMHH**8d0*cMHL**4d0*ca**2d0 + 5d0*cMHH&
                    **8d0*cMHL**4d0*sa**4d0 - 5d0*cMHH**8d0*cMHL**4d0*sa**2d0  &
                     + 10d0*cMHH**6d0*cMHL**6d0*ca**2d0*sa**2d0 - 10d0*cMHH**  &
                    6d0*cMHL**6d0*ca**2d0 - 10d0*cMHH**6d0*cMHL**6d0*sa**4d0 + &
                    10d0*cMHH**6d0*cMHL**6d0*sa**2d0 - 5d0*cMHH**4d0*cMHL**8d0*&
                    ca**2d0*sa**2d0 + 5d0*cMHH**4d0*cMHL**8d0*ca**2d0 + 10d0*  &
                    cMHH**4d0*cMHL**8d0*sa**4d0 - 10d0*cMHH**4d0*cMHL**8d0*sa**&
                    2d0 + cMHH**2d0*cMHL**10d0*ca**2d0*sa**2d0 - cMHH**2d0*cMHL&
                    **10d0*ca**2d0 - 5d0*cMHH**2d0*cMHL**10d0*sa**4d0 + 5d0*   &
                    cMHH**2d0*cMHL**10d0*sa**2d0 + cMHL**12d0*sa**4d0 - cMHL** &
                    12d0*sa**2d0)/(2d0*cMW**2d0*ca**2d0*sw**2d0*(cMHH**12d0*sa &
                    **2d0 - cMHH**12d0 - 6d0*cMHH**10d0*cMHL**2d0*sa**2d0 + 5d0&
                    *cMHH**10d0*cMHL**2d0 + 15d0*cMHH**8d0*cMHL**4d0*sa**2d0 - &
                    10d0*cMHH**8d0*cMHL**4d0 - 20d0*cMHH**6d0*cMHL**6d0*sa**2d0&
                     + 10d0*cMHH**6d0*cMHL**6d0 + 15d0*cMHH**4d0*cMHL**8d0*sa**&
                    2d0 - 5d0*cMHH**4d0*cMHL**8d0 - 6d0*cMHH**2d0*cMHL**10d0*sa&
                    **2d0 + cMHH**2d0*cMHL**10d0 + cMHL**12d0*sa**2d0)) +      &
                    dMW2_MS_BSM_QED2*l3*(-2d0*cMHH**12d0*ca**2d0*cw**2d0*sa**  &
                    2d0 + 2d0*cMHH**12d0*ca**2d0*cw**2d0 + cMHH**12d0*ca**2d0* &
                    sa**2d0 - cMHH**12d0*ca**2d0 + 10d0*cMHH**10d0*cMHL**2d0*ca&
                    **2d0*cw**2d0*sa**2d0 - 10d0*cMHH**10d0*cMHL**2d0*ca**2d0* &
                    cw**2d0 - 5d0*cMHH**10d0*cMHL**2d0*ca**2d0*sa**2d0 + 5d0*  &
                    cMHH**10d0*cMHL**2d0*ca**2d0 - 2d0*cMHH**10d0*cMHL**2d0*cw &
                    **2d0*sa**4d0 + 2d0*cMHH**10d0*cMHL**2d0*cw**2d0*sa**2d0 + &
                    cMHH**10d0*cMHL**2d0*sa**4d0 - cMHH**10d0*cMHL**2d0*sa**2d0&
                     - 20d0*cMHH**8d0*cMHL**4d0*ca**2d0*cw**2d0*sa**2d0 + 20d0*&
                    cMHH**8d0*cMHL**4d0*ca**2d0*cw**2d0 + 10d0*cMHH**8d0*cMHL**&
                    4d0*ca**2d0*sa**2d0 - 10d0*cMHH**8d0*cMHL**4d0*ca**2d0 +   &
                    10d0*cMHH**8d0*cMHL**4d0*cw**2d0*sa**4d0 - 10d0*cMHH**8d0* &
                    cMHL**4d0*cw**2d0*sa**2d0 - 5d0*cMHH**8d0*cMHL**4d0*sa**4d0&
                     + 5d0*cMHH**8d0*cMHL**4d0*sa**2d0 + 20d0*cMHH**6d0*cMHL** &
                    6d0*ca**2d0*cw**2d0*sa**2d0 - 20d0*cMHH**6d0*cMHL**6d0*ca**&
                    2d0*cw**2d0 - 10d0*cMHH**6d0*cMHL**6d0*ca**2d0*sa**2d0 +   &
                    10d0*cMHH**6d0*cMHL**6d0*ca**2d0 - 20d0*cMHH**6d0*cMHL**6d0&
                    *cw**2d0*sa**4d0 + 20d0*cMHH**6d0*cMHL**6d0*cw**2d0*sa**2d0&
                     + 10d0*cMHH**6d0*cMHL**6d0*sa**4d0 - 10d0*cMHH**6d0*cMHL**&
                    6d0*sa**2d0 - 10d0*cMHH**4d0*cMHL**8d0*ca**2d0*cw**2d0*sa**&
                    2d0 + 10d0*cMHH**4d0*cMHL**8d0*ca**2d0*cw**2d0 + 5d0*cMHH**&
                    4d0*cMHL**8d0*ca**2d0*sa**2d0 - 5d0*cMHH**4d0*cMHL**8d0*ca &
                    **2d0 + 20d0*cMHH**4d0*cMHL**8d0*cw**2d0*sa**4d0 - 20d0*   &
                    cMHH**4d0*cMHL**8d0*cw**2d0*sa**2d0 - 10d0*cMHH**4d0*cMHL**&
                    8d0*sa**4d0 + 10d0*cMHH**4d0*cMHL**8d0*sa**2d0 + 2d0*cMHH**&
                    2d0*cMHL**10d0*ca**2d0*cw**2d0*sa**2d0 - 2d0*cMHH**2d0*cMHL&
                    **10d0*ca**2d0*cw**2d0 - cMHH**2d0*cMHL**10d0*ca**2d0*sa** &
                    2d0 + cMHH**2d0*cMHL**10d0*ca**2d0 - 10d0*cMHH**2d0*cMHL** &
                    10d0*cw**2d0*sa**4d0 + 10d0*cMHH**2d0*cMHL**10d0*cw**2d0*sa&
                    **2d0 + 5d0*cMHH**2d0*cMHL**10d0*sa**4d0 - 5d0*cMHH**2d0*  &
                    cMHL**10d0*sa**2d0 + 2d0*cMHL**12d0*cw**2d0*sa**4d0 - 2d0* &
                    cMHL**12d0*cw**2d0*sa**2d0 - cMHL**12d0*sa**4d0 + cMHL**   &
                    12d0*sa**2d0)/(2d0*cMW**2d0*ca**2d0*sw**2d0*(cMHH**12d0*sa &
                    **2d0 - cMHH**12d0 - 6d0*cMHH**10d0*cMHL**2d0*sa**2d0 + 5d0&
                    *cMHH**10d0*cMHL**2d0 + 15d0*cMHH**8d0*cMHL**4d0*sa**2d0 - &
                    10d0*cMHH**8d0*cMHL**4d0 - 20d0*cMHH**6d0*cMHL**6d0*sa**2d0&
                     + 10d0*cMHH**6d0*cMHL**6d0 + 15d0*cMHH**4d0*cMHL**8d0*sa**&
                    2d0 - 5d0*cMHH**4d0*cMHL**8d0 - 6d0*cMHH**2d0*cMHL**10d0*sa&
                    **2d0 + cMHH**2d0*cMHL**10d0 + cMHL**12d0*sa**2d0)) +      &
                    dMW2_QED2*l3*(2d0*cMHH**12d0*ca**2d0*cw**2d0*sa**2d0 - 2d0*&
                    cMHH**12d0*ca**2d0*cw**2d0 - cMHH**12d0*ca**2d0*sa**2d0 +  &
                    cMHH**12d0*ca**2d0 - 10d0*cMHH**10d0*cMHL**2d0*ca**2d0*cw**&
                    2d0*sa**2d0 + 10d0*cMHH**10d0*cMHL**2d0*ca**2d0*cw**2d0 +  &
                    5d0*cMHH**10d0*cMHL**2d0*ca**2d0*sa**2d0 - 5d0*cMHH**10d0* &
                    cMHL**2d0*ca**2d0 + 2d0*cMHH**10d0*cMHL**2d0*cw**2d0*sa**  &
                    4d0 - 2d0*cMHH**10d0*cMHL**2d0*cw**2d0*sa**2d0 - cMHH**10d0&
                    *cMHL**2d0*sa**4d0 + cMHH**10d0*cMHL**2d0*sa**2d0 + 20d0*  &
                    cMHH**8d0*cMHL**4d0*ca**2d0*cw**2d0*sa**2d0 - 20d0*cMHH**  &
                    8d0*cMHL**4d0*ca**2d0*cw**2d0 - 10d0*cMHH**8d0*cMHL**4d0*ca&
                    **2d0*sa**2d0 + 10d0*cMHH**8d0*cMHL**4d0*ca**2d0 - 10d0*   &
                    cMHH**8d0*cMHL**4d0*cw**2d0*sa**4d0 + 10d0*cMHH**8d0*cMHL**&
                    4d0*cw**2d0*sa**2d0 + 5d0*cMHH**8d0*cMHL**4d0*sa**4d0 - 5d0&
                    *cMHH**8d0*cMHL**4d0*sa**2d0 - 20d0*cMHH**6d0*cMHL**6d0*ca &
                    **2d0*cw**2d0*sa**2d0 + 20d0*cMHH**6d0*cMHL**6d0*ca**2d0*cw&
                    **2d0 + 10d0*cMHH**6d0*cMHL**6d0*ca**2d0*sa**2d0 - 10d0*   &
                    cMHH**6d0*cMHL**6d0*ca**2d0 + 20d0*cMHH**6d0*cMHL**6d0*cw**&
                    2d0*sa**4d0 - 20d0*cMHH**6d0*cMHL**6d0*cw**2d0*sa**2d0 -   &
                    10d0*cMHH**6d0*cMHL**6d0*sa**4d0 + 10d0*cMHH**6d0*cMHL**6d0&
                    *sa**2d0 + 10d0*cMHH**4d0*cMHL**8d0*ca**2d0*cw**2d0*sa**2d0&
                     - 10d0*cMHH**4d0*cMHL**8d0*ca**2d0*cw**2d0 - 5d0*cMHH**4d0&
                    *cMHL**8d0*ca**2d0*sa**2d0 + 5d0*cMHH**4d0*cMHL**8d0*ca**  &
                    2d0 - 20d0*cMHH**4d0*cMHL**8d0*cw**2d0*sa**4d0 + 20d0*cMHH &
                    **4d0*cMHL**8d0*cw**2d0*sa**2d0 + 10d0*cMHH**4d0*cMHL**8d0*&
                    sa**4d0 - 10d0*cMHH**4d0*cMHL**8d0*sa**2d0 - 2d0*cMHH**2d0*&
                    cMHL**10d0*ca**2d0*cw**2d0*sa**2d0 + 2d0*cMHH**2d0*cMHL**  &
                    10d0*ca**2d0*cw**2d0 + cMHH**2d0*cMHL**10d0*ca**2d0*sa**2d0&
                     - cMHH**2d0*cMHL**10d0*ca**2d0 + 10d0*cMHH**2d0*cMHL**10d0&
                    *cw**2d0*sa**4d0 - 10d0*cMHH**2d0*cMHL**10d0*cw**2d0*sa**  &
                    2d0 - 5d0*cMHH**2d0*cMHL**10d0*sa**4d0 + 5d0*cMHH**2d0*cMHL&
                    **10d0*sa**2d0 - 2d0*cMHL**12d0*cw**2d0*sa**4d0 + 2d0*cMHL &
                    **12d0*cw**2d0*sa**2d0 + cMHL**12d0*sa**4d0 - cMHL**12d0*sa&
                    **2d0)/(2d0*cMW**2d0*ca**2d0*sw**2d0*(cMHH**12d0*sa**2d0 - &
                    cMHH**12d0 - 6d0*cMHH**10d0*cMHL**2d0*sa**2d0 + 5d0*cMHH** &
                    10d0*cMHL**2d0 + 15d0*cMHH**8d0*cMHL**4d0*sa**2d0 - 10d0*  &
                    cMHH**8d0*cMHL**4d0 - 20d0*cMHH**6d0*cMHL**6d0*sa**2d0 +   &
                    10d0*cMHH**6d0*cMHL**6d0 + 15d0*cMHH**4d0*cMHL**8d0*sa**2d0&
                     - 5d0*cMHH**4d0*cMHL**8d0 - 6d0*cMHH**2d0*cMHL**10d0*sa** &
                    2d0 + cMHH**2d0*cMHL**10d0 + cMHL**12d0*sa**2d0))
    if (.not. complex_mass_scheme) then
      dl3_l1_fin_QED4 = cone*real(dl3_l1_fin_QED4,kind=dp)
    end if 
end subroutine set_ctparameter175
end module ctparameter175
