!******************************************************************************!
!                                                                              !
!    ctparameter178.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter178.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2019-10-09 13:26             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter178
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter178()
  if (dl3_QED4_scheme .eq. 2) then
    dl3_QED4 = 2d0*cMW*dZDV_QED2*l3**2d0*vevs*(-cMHH**2d0 + cMHL**2d0)/(ca*gw* &
               sa*(cMHH**4d0 - 2d0*cMHH**2d0*cMHL**2d0 + cMHL**4d0)) +         &
               dMHH2_QED2*l3*(cMHH**2d0 - cMHL**2d0)/(cMHH**4d0 - 2d0*cMHH**2d0&
               *cMHL**2d0 + cMHL**4d0) + dMHL2_QED2*l3*(-cMHH**2d0 + cMHL**2d0 &
               )/(cMHH**4d0 - 2d0*cMHH**2d0*cMHL**2d0 + cMHL**4d0) + dZee_QED2*&
               l3*(cMHH**4d0*ca*gw**2d0*sa*vev - 2d0*cMHH**2d0*cMHL**2d0*ca*gw &
               **2d0*sa*vev + 4d0*cMHH**2d0*cMW**2d0*l3*vevs + cMHL**4d0*ca*gw &
               **2d0*sa*vev - 4d0*cMHL**2d0*cMW**2d0*l3*vevs)/(ca*gw**2d0*sa*  &
               vev*(cMHH**4d0 - 2d0*cMHH**2d0*cMHL**2d0 + cMHL**4d0)) + da_QED2&
               *l3*(-2d0*cMHH**4d0*sa**2d0 + cMHH**4d0 + 4d0*cMHH**2d0*cMHL**  &
               2d0*sa**2d0 - 2d0*cMHH**2d0*cMHL**2d0 - 2d0*cMHL**4d0*sa**2d0 + &
               cMHL**4d0)/(ca*sa*(cMHH**4d0 - 2d0*cMHH**2d0*cMHL**2d0 + cMHL** &
               4d0)) + cw**4d0*dMZ2_QED2*l3*(-cMHH**4d0*ca*gw**2d0*sa*vev + 2d0&
               *cMHH**2d0*cMHL**2d0*ca*gw**2d0*sa*vev - 4d0*cMHH**2d0*cMW**2d0*&
               l3*vevs - cMHL**4d0*ca*gw**2d0*sa*vev + 4d0*cMHL**2d0*cMW**2d0* &
               l3*vevs)/(2d0*cMW**2d0*ca*gw**2d0*sa*sw**2d0*vev*(cMHH**4d0 -   &
               2d0*cMHH**2d0*cMHL**2d0 + cMHL**4d0)) + dMW2_QED2*l3*(-2d0*cMHH &
               **4d0*ca*gw**2d0*sa*sw**2d0*vev + cMHH**4d0*ca*gw**2d0*sa*vev + &
               4d0*cMHH**2d0*cMHL**2d0*ca*gw**2d0*sa*sw**2d0*vev - 2d0*cMHH**  &
               2d0*cMHL**2d0*ca*gw**2d0*sa*vev - 8d0*cMHH**2d0*cMW**2d0*l3*sw**&
               2d0*vevs + 4d0*cMHH**2d0*cMW**2d0*l3*vevs - 2d0*cMHL**4d0*ca*gw &
               **2d0*sa*sw**2d0*vev + cMHL**4d0*ca*gw**2d0*sa*vev + 8d0*cMHL** &
               2d0*cMW**2d0*l3*sw**2d0*vevs - 4d0*cMHL**2d0*cMW**2d0*l3*vevs)/(&
               2d0*cMW**2d0*ca*gw**2d0*sa*sw**2d0*vev*(cMHH**4d0 - 2d0*cMHH**  &
               2d0*cMHL**2d0 + cMHL**4d0))
    if (.not. complex_mass_scheme) then
      dl3_QED4 = cone*real(dl3_QED4,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter178
end module ctparameter178
