!******************************************************************************!
!                                                                              !
!    ctparameter20.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter20.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2019-10-09 13:26             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter20
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter20()
  dZZ_QED2 = (2d0*Nc*Ten549*(coupl(nGC_51)**2d0 + coupl(nGC_54)**2d0)/3d0 + 2d0&
             *Nc*Ten550*(coupl(nGC_51)**2d0 + coupl(nGC_54)**2d0)/3d0 + 2d0*Nc*&
             Ten551*(coupl(nGC_51)**2d0 + coupl(nGC_54)**2d0)/3d0 + 2d0*Nc*    &
             Ten552*(coupl(nGC_50)**2d0 + coupl(nGC_53)**2d0)/3d0 + 2d0*Nc*    &
             Ten553*(coupl(nGC_50)**2d0 + coupl(nGC_53)**2d0)/3d0 + 2d0*Nc*    &
             Ten554*(coupl(nGC_50)**2d0 + coupl(nGC_53)**2d0)/3d0 + 2d0*Nc*    &
             Ten595*(-cMU**2d0*coupl(nGC_51)**2d0 + 6d0*cMU**2d0*coupl(nGC_51)*&
             coupl(nGC_54) - cMU**2d0*coupl(nGC_54)**2d0 + coupl(nGC_51)**2d0* &
             rMZ**2d0 + coupl(nGC_54)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*Ten596*(-cMC &
             **2d0*coupl(nGC_51)**2d0 + 6d0*cMC**2d0*coupl(nGC_51)*coupl(nGC_54&
             ) - cMC**2d0*coupl(nGC_54)**2d0 + coupl(nGC_51)**2d0*rMZ**2d0 +   &
             coupl(nGC_54)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*Ten597*(-cMT**2d0*coupl(&
             nGC_51)**2d0 + 6d0*cMT**2d0*coupl(nGC_51)*coupl(nGC_54) - cMT**2d0&
             *coupl(nGC_54)**2d0 + coupl(nGC_51)**2d0*rMZ**2d0 + coupl(nGC_54  &
             )**2d0*rMZ**2d0)/3d0 + 2d0*Nc*Ten598*(-cMD**2d0*coupl(nGC_50)**2d0&
              + 6d0*cMD**2d0*coupl(nGC_50)*coupl(nGC_53) - cMD**2d0*coupl(     &
             nGC_53)**2d0 + coupl(nGC_50)**2d0*rMZ**2d0 + coupl(nGC_53)**2d0*  &
             rMZ**2d0)/3d0 + 2d0*Nc*Ten599*(-cMS**2d0*coupl(nGC_50)**2d0 + 6d0*&
             cMS**2d0*coupl(nGC_50)*coupl(nGC_53) - cMS**2d0*coupl(nGC_53)**2d0&
              + coupl(nGC_50)**2d0*rMZ**2d0 + coupl(nGC_53)**2d0*rMZ**2d0)/3d0 &
              + 2d0*Nc*Ten600*(-cMB**2d0*coupl(nGC_50)**2d0 + 6d0*cMB**2d0*    &
             coupl(nGC_50)*coupl(nGC_53) - cMB**2d0*coupl(nGC_53)**2d0 + coupl(&
             nGC_50)**2d0*rMZ**2d0 + coupl(nGC_53)**2d0*rMZ**2d0)/3d0 + Ten0*  &
             coupl(nGC_57)**2d0*(-cMHL**2d0 + cMZ**2d0)/(3d0*rMZ**4d0) + Ten1*(&
             cMHH**2d0*coupl(nGC_61)**2d0 + cMHL**2d0*coupl(nGC_57)**2d0 - cMZ &
             **2d0*coupl(nGC_57)**2d0 - cMZ**2d0*coupl(nGC_61)**2d0)/(3d0*rMZ**&
             4d0) + Ten2*coupl(nGC_61)**2d0*(-cMHH**2d0 + cMZ**2d0)/(3d0*rMZ** &
             4d0) + Ten543*coupl(nGC_57)**2d0*(cMHL**4d0 - 2d0*cMHL**2d0*cMZ** &
             2d0 + cMZ**4d0 - rMZ**4d0)/(3d0*rMZ**4d0) + Ten544*coupl(nGC_61)**&
             2d0*(cMHH**4d0 - 2d0*cMHH**2d0*cMZ**2d0 + cMZ**4d0 - rMZ**4d0)/(  &
             3d0*rMZ**4d0) + Ten545*(-coupl(nGC_36)**2d0/12d0 - 13d0*coupl(    &
             nGC_37)**2d0/4d0 + coupl(nGC_55)**2d0/3d0) + Ten546*(2d0*coupl(   &
             nGC_52)**2d0/3d0 + 2d0*coupl(nGC_55)**2d0/3d0) + Ten547*(2d0*coupl&
             (nGC_52)**2d0/3d0 + 2d0*coupl(nGC_55)**2d0/3d0) + Ten548*(2d0*    &
             coupl(nGC_52)**2d0/3d0 + 2d0*coupl(nGC_55)**2d0/3d0) + 2d0*Ten590*&
             coupl(nGC_56)**2d0 + Ten591*(cMW**2d0*coupl(nGC_36)**2d0/3d0 - 5d0&
             *cMW**2d0*coupl(nGC_37)**2d0 - 4d0*cMW**2d0*coupl(nGC_55)**2d0/3d0&
              - coupl(nGC_36)**2d0*rMZ**2d0/12d0 - 13d0*coupl(nGC_37)**2d0*rMZ &
             **2d0/4d0 + coupl(nGC_55)**2d0*rMZ**2d0/3d0 + 2d0*coupl(nGC_68)** &
             2d0) + Ten592*(-2d0*cME**2d0*coupl(nGC_52)**2d0/3d0 + 4d0*cME**2d0&
             *coupl(nGC_52)*coupl(nGC_55) - 2d0*cME**2d0*coupl(nGC_55)**2d0/3d0&
              + 2d0*coupl(nGC_52)**2d0*rMZ**2d0/3d0 + 2d0*coupl(nGC_55)**2d0*  &
             rMZ**2d0/3d0) + Ten593*(-2d0*cMM**2d0*coupl(nGC_52)**2d0/3d0 + 4d0&
             *cMM**2d0*coupl(nGC_52)*coupl(nGC_55) - 2d0*cMM**2d0*coupl(nGC_55 &
             )**2d0/3d0 + 2d0*coupl(nGC_52)**2d0*rMZ**2d0/3d0 + 2d0*coupl(     &
             nGC_55)**2d0*rMZ**2d0/3d0) + Ten594*(-2d0*cMTA**2d0*coupl(nGC_52  &
             )**2d0/3d0 + 4d0*cMTA**2d0*coupl(nGC_52)*coupl(nGC_55) - 2d0*cMTA &
             **2d0*coupl(nGC_55)**2d0/3d0 + 2d0*coupl(nGC_52)**2d0*rMZ**2d0/3d0&
              + 2d0*coupl(nGC_55)**2d0*rMZ**2d0/3d0) + 2d0*Ten601*coupl(nGC_56 &
             )**2d0*rMZ**2d0 + Ten602*(-cMHL**4d0*coupl(nGC_57)**2d0 + 2d0*cMHL&
             **2d0*cMZ**2d0*coupl(nGC_57)**2d0 + 2d0*cMHL**2d0*coupl(nGC_57)** &
             2d0*rMZ**2d0 - cMZ**4d0*coupl(nGC_57)**2d0 + 2d0*cMZ**2d0*coupl(  &
             nGC_57)**2d0*rMZ**2d0 - coupl(nGC_57)**2d0*rMZ**4d0 + 3d0*coupl(  &
             nGC_72)**2d0*rMZ**2d0)/(3d0*rMZ**2d0) + Ten603*(-cMHH**4d0*coupl( &
             nGC_61)**2d0 + 2d0*cMHH**2d0*cMZ**2d0*coupl(nGC_61)**2d0 + 2d0*   &
             cMHH**2d0*coupl(nGC_61)**2d0*rMZ**2d0 - cMZ**4d0*coupl(nGC_61)**  &
             2d0 + 2d0*cMZ**2d0*coupl(nGC_61)**2d0*rMZ**2d0 - coupl(nGC_61)**  &
             2d0*rMZ**4d0 + 3d0*coupl(nGC_73)**2d0*rMZ**2d0)/(3d0*rMZ**2d0) +  &
             pi**2d0*(-2d0*Nc*coupl(nGC_50)**2d0/(3d0*pi**2d0) - 2d0*Nc*coupl( &
             nGC_51)**2d0/(3d0*pi**2d0) - 2d0*Nc*coupl(nGC_53)**2d0/(3d0*pi**  &
             2d0) - 2d0*Nc*coupl(nGC_54)**2d0/(3d0*pi**2d0) - coupl(nGC_36)**  &
             2d0/(18d0*pi**2d0) - coupl(nGC_37)**2d0/(6d0*pi**2d0) - 2d0*coupl(&
             nGC_52)**2d0/(3d0*pi**2d0) - 4d0*coupl(nGC_55)**2d0/(9d0*pi**2d0  &
             ) - 2d0*coupl(nGC_56)**2d0/(3d0*pi**2d0) - 2d0*coupl(nGC_57)**2d0 &
             /(9d0*pi**2d0) - 2d0*coupl(nGC_61)**2d0/(9d0*pi**2d0)))/(16d0*pi**&
             2d0)
    if (.not. complex_mass_scheme) then
      dZZ_QED2 = cone*real(dZZ_QED2,kind=dp)
    end if 
end subroutine set_ctparameter20
end module ctparameter20
