!******************************************************************************!
!                                                                              !
!    ctparameter65.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter65.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2019-10-09 13:26             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter65
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter65()
  OD12_BFM_QED2 = (Ten107*ca*ee**2d0*sa/(2d0*cw**2d0*sw**2d0) + Ten108*ca*ee** &
                  2d0*sa/sw**2d0 + Ten13*ca*ee**2d0*sa/(2d0*cw**2d0*sw**2d0) + &
                  Ten14*ca*ee**2d0*sa/sw**2d0)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      OD12_BFM_QED2 = cone*real(OD12_BFM_QED2,kind=dp)
    end if 
end subroutine set_ctparameter65
end module ctparameter65
