!******************************************************************************!
!                                                                              !
!    ctparameter73.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter73.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2019-10-09 13:26             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter73
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter73()
  if (dMC_QED2_scheme .eq. 0) then
    dMC_QED2 = (2d0*Ten290*cMC*coupl(nGC_2)**2d0 + Ten291*cMC*(-2d0*coupl(     &
               nGC_51)**2d0 + 8d0*coupl(nGC_51)*coupl(nGC_54) - 2d0*coupl(     &
               nGC_54)**2d0 - coupl(nGC_86)**2d0 - 2d0*coupl(nGC_86)*coupl(    &
               nGC_87) - coupl(nGC_87)**2d0)/2d0 + Ten292*(-cMC*coupl(nGC_105  &
               )**2d0/2d0 - cMC*coupl(nGC_33)**2d0 - cMC*coupl(nGC_85)**2d0/2d0&
                - cMS*coupl(nGC_105)*coupl(nGC_85)) + Ten293*cMC*coupl(nGC_89  &
               )**2d0 + Ten294*cMC*coupl(nGC_88)**2d0 - 2d0*Ten295*cMC*coupl(  &
               nGC_2)**2d0 + Ten296*cMC*(-coupl(nGC_51)**2d0 - coupl(nGC_54)** &
               2d0 - coupl(nGC_86)*coupl(nGC_87)) + Ten297*cMC*(-coupl(nGC_105 &
               )**2d0 - 2d0*coupl(nGC_33)**2d0 - coupl(nGC_85)**2d0)/2d0 -     &
               Ten298*cMC*coupl(nGC_89)**2d0 - Ten299*cMC*coupl(nGC_88)**2d0 + &
               2d0*Ten300*cMC*coupl(nGC_89)**2d0*rMC*(-cMC + rMC) + 2d0*Ten301*&
               cMC*coupl(nGC_88)**2d0*rMC*(-cMC + rMC) + 4d0*Ten302*coupl(nGC_2&
               )**2d0*rMC*(2d0*cMC**2d0 - 3d0*cMC*rMC + rMC**2d0) + Ten303*rMC &
               *(8d0*cMC**2d0*coupl(nGC_51)*coupl(nGC_54) - cMC**2d0*coupl(    &
               nGC_86)**2d0 - cMC**2d0*coupl(nGC_87)**2d0 - 2d0*cMC*coupl(     &
               nGC_51)**2d0*rMC - 8d0*cMC*coupl(nGC_51)*coupl(nGC_54)*rMC - 2d0&
               *cMC*coupl(nGC_54)**2d0*rMC + cMC*coupl(nGC_86)**2d0*rMC - 2d0* &
               cMC*coupl(nGC_86)*coupl(nGC_87)*rMC + cMC*coupl(nGC_87)**2d0*rMC&
                + 2d0*coupl(nGC_51)**2d0*rMC**2d0 + 2d0*coupl(nGC_54)**2d0*rMC &
               **2d0 + 2d0*coupl(nGC_86)*coupl(nGC_87)*rMC**2d0) + Ten304*rMC  &
               *(-2d0*cMC*cMS*coupl(nGC_105)*coupl(nGC_85) - cMC*coupl(nGC_105 &
               )**2d0*rMC - 2d0*cMC*coupl(nGC_33)**2d0*rMC - cMC*coupl(nGC_85  &
               )**2d0*rMC + 2d0*cMS*coupl(nGC_105)*coupl(nGC_85)*rMC + coupl(  &
               nGC_105)**2d0*rMC**2d0 + 2d0*coupl(nGC_33)**2d0*rMC**2d0 + coupl&
               (nGC_85)**2d0*rMC**2d0) + 2d0*Ten305*coupl(nGC_89)**2d0*rMC**2d0&
               *(cMC - rMC) + 2d0*Ten306*coupl(nGC_88)**2d0*rMC**2d0*(cMC - rMC&
               ) + 4d0*Ten307*coupl(nGC_2)**2d0*rMC**2d0*(-cMC + rMC) + 2d0*   &
               Ten308*rMC**2d0*(-cMC*coupl(nGC_51)**2d0 - cMC*coupl(nGC_54)**  &
               2d0 - cMC*coupl(nGC_86)*coupl(nGC_87) + coupl(nGC_51)**2d0*rMC  &
                + coupl(nGC_54)**2d0*rMC + coupl(nGC_86)*coupl(nGC_87)*rMC) +  &
               Ten309*rMC**2d0*(-cMC*coupl(nGC_105)**2d0 - 2d0*cMC*coupl(nGC_33&
               )**2d0 - cMC*coupl(nGC_85)**2d0 + coupl(nGC_105)**2d0*rMC + 2d0*&
               coupl(nGC_33)**2d0*rMC + coupl(nGC_85)**2d0*rMC) + pi**2d0*(-   &
               32d0*aEW*cMC**2d0/(9d0*pi*rMC) + 32d0*aEW*rMC/(9d0*pi) - cMC*   &
               coupl(nGC_2)**2d0/pi**2d0 + cMC*coupl(nGC_33)**2d0/(2d0*pi**2d0 &
               ) + cMC*coupl(nGC_51)**2d0/(2d0*pi**2d0) - 2d0*cMC*coupl(nGC_51 &
               )*coupl(nGC_54)/pi**2d0 + cMC*coupl(nGC_54)**2d0/(2d0*pi**2d0   &
               )))/(16d0*pi**2d0) + cima*coupl(nGC_88)*dtHl_QED1/cMHL**2d0 +   &
               cima*coupl(nGC_89)*dtHh_QED1/cMHH**2d0
    if (.not. complex_mass_scheme) then
      dMC_QED2 = cone*real(dMC_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter73
end module ctparameter73
