!******************************************************************************!
!                                                                              !
!    ctparameter88.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter88.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2019-10-09 13:26             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter88
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter88()
  if (dZuR_QED2_scheme .eq. 2) then
    dZuR_QED2 = (Ten201*coupl(nGC_2)**2d0 + Ten263*coupl(nGC_120)**2d0 + Ten264&
                *coupl(nGC_120)**2d0 + Ten265*(-coupl(nGC_121)*coupl(nGC_122   &
                ) - 2d0*coupl(nGC_51)**2d0) - Ten266*coupl(nGC_124)**2d0 -     &
                Ten267*coupl(nGC_123)**2d0 - coupl(nGC_51)**2d0)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZuR_QED2 = cone*real(dZuR_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter88
end module ctparameter88
