!******************************************************************************!
!                                                                              !
!    ctparameter90.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter90.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2019-10-09 13:26             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter90
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter90()
  DeltaUV = DeltaUV + log(muUV**2/muMS_BSM**2)
  dZZA_MS_BSM_QED2 = DeltaUV*(17d0*cMW**2d0*coupl(nGC_3)*coupl(nGC_37) - cMW** &
                     2d0*coupl(nGC_36)*coupl(nGC_4) + 4d0*cMW**2d0*coupl(nGC_4 &
                     )*coupl(nGC_55) + 6d0*cima*cMW**2d0*coupl(nGC_41) - 2d0*  &
                     cima*cMW**2d0*coupl(nGC_58) - 4d0*coupl(nGC_68)*coupl(    &
                     nGC_71))/(16d0*pi**2d0*cMZ**2d0)
    if (.not. complex_mass_scheme) then
      dZZA_MS_BSM_QED2 = cone*real(dZZA_MS_BSM_QED2,kind=dp)
    end if 
  DeltaUV = DeltaUV - log(muUV**2/muMS_BSM**2)
end subroutine set_ctparameter90
end module ctparameter90
