!******************************************************************************!
!                                                                              !
!    derived_ctparameter.f90                                                   !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   derived_ctparameter.f90                        |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2019-10-09 13:26             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module derived_ctparameter
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_derived_ctparameter()
  dsw2_QED2 = cw**4d0*dMZ2_QED2/cMW**2d0 - cw**2d0*dMW2_QED2/cMW**2d0
  dl2_QED4 = ca**2d0*dMHL2_QED2*gw**2d0*sw**2d0*(-cw**2d0 + 1d0)/(2d0*cMW**2d0 &
             *(cw**4d0 - 2d0*cw**2d0 + 1d0)) + ca*da_QED2*gw**2d0*sa*sw**2d0*(-&
             cMHH**2d0*cw**2d0 + cMHH**2d0 + cMHL**2d0*cw**2d0 - cMHL**2d0)/(  &
             cMW**2d0*(cw**4d0 - 2d0*cw**2d0 + 1d0)) + dMHH2_QED2*gw**2d0*sa** &
             2d0*sw**2d0*(-cw**2d0 + 1d0)/(2d0*cMW**2d0*(cw**4d0 - 2d0*cw**2d0 &
              + 1d0)) + dZee_QED2*gw**2d0*sw**2d0*(-cMHH**2d0*cw**2d0*sa**2d0  &
              + cMHH**2d0*sa**2d0 - cMHL**2d0*ca**2d0*cw**2d0 + cMHL**2d0*ca** &
             2d0)/(cMW**2d0*(cw**4d0 - 2d0*cw**2d0 + 1d0)) + cw**4d0*dMZ2_QED2*&
             gw**2d0*sw**2d0*(-cMHH**2d0*sa**2d0 - cMHL**2d0*ca**2d0)/(2d0*cMW &
             **4d0*(cw**4d0 - 2d0*cw**2d0 + 1d0)) + dMW2_QED2*gw**2d0*sw**2d0*(&
             2d0*cMHH**2d0*cw**2d0*sa**2d0 - cMHH**2d0*sa**2d0 + 2d0*cMHL**2d0*&
             ca**2d0*cw**2d0 - cMHL**2d0*ca**2d0)/(2d0*cMW**4d0*(cw**4d0 - 2d0*&
             cw**2d0 + 1d0))
  dyt_QED1_QCD2 = sqrt(2d0)*dMT_QCD2*gw/(2d0*cMW)
  dyt_QED3 = sqrt(2d0)*cMT*dZee_QED2*gw/(2d0*cMW) + sqrt(2d0)*cMT*dMW2_QED2*gw &
             *(-2d0*sw**2d0 + 1d0)/(4d0*cMW**3d0*sw**2d0) + sqrt(2d0)*cMT*     &
             dMZ2_QED2*gw*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(4d0*cMW**3d0*sw**2d0 &
             ) + sqrt(2d0)*dMT_QED2*gw/(2d0*cMW)
  dsw_QED2 = cw**4d0*dMZ2_QED2/(2d0*cMW**2d0*sw) - cw**2d0*dMW2_QED2/(2d0*cMW**&
             2d0*sw)
  dyup_QED3 = sqrt(2d0)*cMU*dZee_QED2*gw/(2d0*cMW) + sqrt(2d0)*cMU*dMW2_QED2*gw&
              *(-2d0*sw**2d0 + 1d0)/(4d0*cMW**3d0*sw**2d0) + sqrt(2d0)*cMU*    &
              dMZ2_QED2*gw*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(4d0*cMW**3d0*sw**2d0&
              ) + sqrt(2d0)*dMU_QED2*gw/(2d0*cMW)
  dyup_QED1_QCD2 = sqrt(2d0)*dMU_QCD2*gw/(2d0*cMW)
  dmu22_QED2 = -4d0*cMW**2d0*dZee_QED2*l3/gw**2d0 + 2d0*cMW**2d0*dl3_QED4/gw** &
               2d0 + ca*da_QED2*sa*(-cMHH**2d0 + cMHL**2d0) + 2d0*cw**4d0*     &
               dMZ2_QED2*l3/(gw**2d0*sw**2d0) + dMHH2_QED2*(-sa**2d0 + 1d0)/2d0&
                + dMHL2_QED2*sa**2d0/2d0 + 2d0*dMW2_QED2*l3*(2d0*sw**2d0 - 1d0 &
               )/(gw**2d0*sw**2d0)
  dg1_QED3 = -dZee_QED2*gw*sw/(2d0*cw) - cw*dMZ2_QED2*gw*sw/(4d0*cMW**2d0) +   &
             dMW2_QED2*gw*sw/(4d0*cMW**2d0*cw)
  dmu12_QED2 = ca**2d0*dMHL2_QED2*(cMHH**2d0*cw**2d0*gw**2d0*sa**2d0*sw**2d0 - &
               cMHH**2d0*gw**2d0*sa**2d0*sw**2d0 - cMHL**2d0*cw**2d0*gw**2d0*sa&
               **2d0*sw**2d0 + cMHL**2d0*gw**2d0*sa**2d0*sw**2d0 + 2d0*cMW**2d0&
               *cw**4d0*l3 - 4d0*cMW**2d0*cw**2d0*l3 + 2d0*cMW**2d0*l3)/(4d0*  &
               cMW**2d0*l3*(cw**4d0 - 2d0*cw**2d0 + 1d0)) + ca**2d0*dZee_QED2* &
               gw**2d0*sa**2d0*sw**2d0*(-cMHH**4d0*cw**2d0 + cMHH**4d0 + 2d0*  &
               cMHH**2d0*cMHL**2d0*cw**2d0 - 2d0*cMHH**2d0*cMHL**2d0 - cMHL**  &
               4d0*cw**2d0 + cMHL**4d0)/(4d0*cMW**2d0*l3*(cw**4d0 - 2d0*cw**2d0&
                + 1d0)) + ca**2d0*dl3_QED4*gw**2d0*sa**2d0*sw**2d0*(cMHH**4d0* &
               cw**2d0 - cMHH**4d0 - 2d0*cMHH**2d0*cMHL**2d0*cw**2d0 + 2d0*cMHH&
               **2d0*cMHL**2d0 + cMHL**4d0*cw**2d0 - cMHL**4d0)/(8d0*cMW**2d0* &
               l3**2d0*(cw**4d0 - 2d0*cw**2d0 + 1d0)) + ca*da_QED2*sa*(-cMHH** &
               4d0*ca**2d0*cw**2d0*gw**2d0*sw**2d0 + cMHH**4d0*ca**2d0*gw**2d0*&
               sw**2d0 + cMHH**4d0*cw**2d0*gw**2d0*sa**2d0*sw**2d0 - cMHH**4d0*&
               gw**2d0*sa**2d0*sw**2d0 + 2d0*cMHH**2d0*cMHL**2d0*ca**2d0*cw**  &
               2d0*gw**2d0*sw**2d0 - 2d0*cMHH**2d0*cMHL**2d0*ca**2d0*gw**2d0*sw&
               **2d0 - 2d0*cMHH**2d0*cMHL**2d0*cw**2d0*gw**2d0*sa**2d0*sw**2d0 &
                + 2d0*cMHH**2d0*cMHL**2d0*gw**2d0*sa**2d0*sw**2d0 + 4d0*cMHH** &
               2d0*cMW**2d0*cw**4d0*l3 - 8d0*cMHH**2d0*cMW**2d0*cw**2d0*l3 +   &
               4d0*cMHH**2d0*cMW**2d0*l3 - cMHL**4d0*ca**2d0*cw**2d0*gw**2d0*sw&
               **2d0 + cMHL**4d0*ca**2d0*gw**2d0*sw**2d0 + cMHL**4d0*cw**2d0*gw&
               **2d0*sa**2d0*sw**2d0 - cMHL**4d0*gw**2d0*sa**2d0*sw**2d0 - 4d0*&
               cMHL**2d0*cMW**2d0*cw**4d0*l3 + 8d0*cMHL**2d0*cMW**2d0*cw**2d0* &
               l3 - 4d0*cMHL**2d0*cMW**2d0*l3)/(4d0*cMW**2d0*l3*(cw**4d0 - 2d0*&
               cw**2d0 + 1d0)) + dMHH2_QED2*sa**2d0*(-cMHH**2d0*ca**2d0*cw**2d0&
               *gw**2d0*sw**2d0 + cMHH**2d0*ca**2d0*gw**2d0*sw**2d0 + cMHL**2d0&
               *ca**2d0*cw**2d0*gw**2d0*sw**2d0 - cMHL**2d0*ca**2d0*gw**2d0*sw &
               **2d0 + 2d0*cMW**2d0*cw**4d0*l3 - 4d0*cMW**2d0*cw**2d0*l3 + 2d0*&
               cMW**2d0*l3)/(4d0*cMW**2d0*l3*(cw**4d0 - 2d0*cw**2d0 + 1d0)) +  &
               ca**2d0*cw**4d0*dMZ2_QED2*gw**2d0*sa**2d0*sw**2d0*(-cMHH**4d0 + &
               2d0*cMHH**2d0*cMHL**2d0 - cMHL**4d0)/(8d0*cMW**4d0*l3*(cw**4d0  &
                - 2d0*cw**2d0 + 1d0)) + ca**2d0*dMW2_QED2*gw**2d0*sa**2d0*sw** &
               2d0*(2d0*cMHH**4d0*cw**2d0 - cMHH**4d0 - 4d0*cMHH**2d0*cMHL**2d0&
               *cw**2d0 + 2d0*cMHH**2d0*cMHL**2d0 + 2d0*cMHL**4d0*cw**2d0 -    &
               cMHL**4d0)/(8d0*cMW**4d0*l3*(cw**4d0 - 2d0*cw**2d0 + 1d0))
  dys_QED3 = sqrt(2d0)*cMS*dZee_QED2*gw/(2d0*cMW) + sqrt(2d0)*cMS*dMW2_QED2*gw &
             *(-2d0*sw**2d0 + 1d0)/(4d0*cMW**3d0*sw**2d0) + sqrt(2d0)*cMS*     &
             dMZ2_QED2*gw*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(4d0*cMW**3d0*sw**2d0 &
             ) + sqrt(2d0)*dMS_QED2*gw/(2d0*cMW)
  dys_QED1_QCD2 = sqrt(2d0)*dMS_QCD2*gw/(2d0*cMW)
  dytau_QED3 = sqrt(2d0)*cMTA*dZee_QED2*gw/(2d0*cMW) + sqrt(2d0)*cMTA*dMW2_QED2&
               *gw*(-2d0*sw**2d0 + 1d0)/(4d0*cMW**3d0*sw**2d0) + sqrt(2d0)*cMTA&
               *dMZ2_QED2*gw*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(4d0*cMW**3d0*sw** &
               2d0) + sqrt(2d0)*dMTA_QED2*gw/(2d0*cMW)
  dym_QED3 = sqrt(2d0)*cMM*dZee_QED2*gw/(2d0*cMW) + sqrt(2d0)*cMM*dMW2_QED2*gw &
             *(-2d0*sw**2d0 + 1d0)/(4d0*cMW**3d0*sw**2d0) + sqrt(2d0)*cMM*     &
             dMZ2_QED2*gw*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(4d0*cMW**3d0*sw**2d0 &
             ) + sqrt(2d0)*dMM_QED2*gw/(2d0*cMW)
  dl1_QED4 = 4d0*cMW**2d0*dMHH2_QED2*l3**2d0*(cMHH**2d0*ca**2d0*cw**2d0 - cMHH &
             **2d0*ca**2d0 + cMHL**2d0*ca**2d0*cw**2d0 - cMHL**2d0*ca**2d0 +   &
             2d0*cMHL**2d0*cw**2d0*sa**2d0 - 2d0*cMHL**2d0*sa**2d0)/(ca**2d0*gw&
             **2d0*sa**2d0*sw**2d0*(cMHH**6d0 - 3d0*cMHH**4d0*cMHL**2d0 + 3d0* &
             cMHH**2d0*cMHL**4d0 - cMHL**6d0)) + 4d0*cMW**2d0*dMHL2_QED2*l3**  &
             2d0*(-2d0*cMHH**2d0*ca**2d0*cw**2d0 + 2d0*cMHH**2d0*ca**2d0 - cMHH&
             **2d0*cw**2d0*sa**2d0 + cMHH**2d0*sa**2d0 - cMHL**2d0*cw**2d0*sa**&
             2d0 + cMHL**2d0*sa**2d0)/(ca**2d0*gw**2d0*sa**2d0*sw**2d0*(cMHH** &
             6d0 - 3d0*cMHH**4d0*cMHL**2d0 + 3d0*cMHH**2d0*cMHL**4d0 - cMHL**  &
             6d0)) + 8d0*cMW**2d0*dZee_QED2*l3**2d0*(cMHH**4d0*ca**2d0*cw**2d0 &
              - cMHH**4d0*ca**2d0 - cMHH**2d0*cMHL**2d0*ca**2d0*cw**2d0 + cMHH &
             **2d0*cMHL**2d0*ca**2d0 + cMHH**2d0*cMHL**2d0*cw**2d0*sa**2d0 -   &
             cMHH**2d0*cMHL**2d0*sa**2d0 - cMHL**4d0*cw**2d0*sa**2d0 + cMHL**  &
             4d0*sa**2d0)/(ca**2d0*gw**2d0*sa**2d0*sw**2d0*(cMHH**6d0 - 3d0*   &
             cMHH**4d0*cMHL**2d0 + 3d0*cMHH**2d0*cMHL**4d0 - cMHL**6d0)) + 8d0*&
             cMW**2d0*dl3_QED4*l3*(-cMHH**4d0*ca**2d0*cw**2d0 + cMHH**4d0*ca** &
             2d0 + cMHH**2d0*cMHL**2d0*ca**2d0*cw**2d0 - cMHH**2d0*cMHL**2d0*ca&
             **2d0 - cMHH**2d0*cMHL**2d0*cw**2d0*sa**2d0 + cMHH**2d0*cMHL**2d0*&
             sa**2d0 + cMHL**4d0*cw**2d0*sa**2d0 - cMHL**4d0*sa**2d0)/(ca**2d0*&
             gw**2d0*sa**2d0*sw**2d0*(cMHH**6d0 - 3d0*cMHH**4d0*cMHL**2d0 + 3d0&
             *cMHH**2d0*cMHL**4d0 - cMHL**6d0)) + 8d0*cMW**2d0*da_QED2*l3**2d0 &
             *(cMHH**4d0*ca**4d0*cw**2d0 - cMHH**4d0*ca**4d0 - cMHH**2d0*cMHL**&
             2d0*ca**4d0*cw**2d0 + cMHH**2d0*cMHL**2d0*ca**4d0 - cMHH**2d0*cMHL&
             **2d0*cw**2d0*sa**4d0 + cMHH**2d0*cMHL**2d0*sa**4d0 + cMHL**4d0*cw&
             **2d0*sa**4d0 - cMHL**4d0*sa**4d0)/(ca**3d0*gw**2d0*sa**3d0*sw**  &
             2d0*(cMHH**6d0 - 3d0*cMHH**4d0*cMHL**2d0 + 3d0*cMHH**2d0*cMHL**4d0&
              - cMHL**6d0)) + 4d0*cw**4d0*dMZ2_QED2*l3**2d0*(cMHH**4d0*ca**2d0 &
              - cMHH**2d0*cMHL**2d0*ca**2d0 + cMHH**2d0*cMHL**2d0*sa**2d0 -    &
             cMHL**4d0*sa**2d0)/(ca**2d0*gw**2d0*sa**2d0*sw**2d0*(cMHH**6d0 -  &
             3d0*cMHH**4d0*cMHL**2d0 + 3d0*cMHH**2d0*cMHL**4d0 - cMHL**6d0)) + &
             4d0*dMW2_QED2*l3**2d0*(-2d0*cMHH**4d0*ca**2d0*cw**2d0 + cMHH**4d0*&
             ca**2d0 + 2d0*cMHH**2d0*cMHL**2d0*ca**2d0*cw**2d0 - cMHH**2d0*cMHL&
             **2d0*ca**2d0 - 2d0*cMHH**2d0*cMHL**2d0*cw**2d0*sa**2d0 + cMHH**  &
             2d0*cMHL**2d0*sa**2d0 + 2d0*cMHL**4d0*cw**2d0*sa**2d0 - cMHL**4d0*&
             sa**2d0)/(ca**2d0*gw**2d0*sa**2d0*sw**2d0*(cMHH**6d0 - 3d0*cMHH** &
             4d0*cMHL**2d0 + 3d0*cMHH**2d0*cMHL**4d0 - cMHL**6d0))
  dvev_QED1 = 2d0*cMW*dZee_QED2*(cw**2d0 - 1d0)/(gw*sw**2d0) + cw**4d0*        &
              dMZ2_QED2/(cMW*gw*sw**2d0) + dMW2_QED2*(-2d0*cw**2d0 + 1d0)/(cMW*&
              gw*sw**2d0)
  dMPS_QED2 = sqrt(2d0)*dMHH2_QED2/(4d0*sqrt(cMHH**2d0 + cMHL**2d0)) + sqrt(2d0&
              )*dMHL2_QED2/(4d0*sqrt(cMHH**2d0 + cMHL**2d0))
  dgw_QED3 = dZee_QED2*gw - cw**4d0*dMZ2_QED2*gw/(2d0*cMW**2d0*sw**2d0) + cw** &
             2d0*dMW2_QED2*gw/(2d0*cMW**2d0*sw**2d0)
  dvevs_QED1 = ca*dMHH2_QED2*gw*sa/(2d0*cMW*l3) - ca*dMHL2_QED2*gw*sa/(2d0*cMW*&
               l3) + ca*dZee_QED2*gw*sa*(cMHH**2d0 - cMHL**2d0)/(2d0*cMW*l3) + &
               ca*dl3_QED4*gw*sa*(-cMHH**2d0 + cMHL**2d0)/(2d0*cMW*l3**2d0) +  &
               da_QED2*gw*(cMHH**2d0*ca**2d0 - cMHH**2d0*sa**2d0 - cMHL**2d0*ca&
               **2d0 + cMHL**2d0*sa**2d0)/(2d0*cMW*l3) + ca*cw**4d0*dMZ2_QED2* &
               gw*sa*(-cMHH**2d0 + cMHL**2d0)/(4d0*cMW**3d0*l3*sw**2d0) + ca*  &
               dMW2_QED2*gw*sa*(cMHH**2d0*cw**2d0 - cMHH**2d0*sw**2d0 - cMHL** &
               2d0*cw**2d0 + cMHL**2d0*sw**2d0)/(4d0*cMW**3d0*l3*sw**2d0)
  dcw_QED2 = -cw**3d0*dMZ2_QED2/(2d0*cMW**2d0) + cw*dMW2_QED2/(2d0*cMW**2d0)
  dye_QED3 = sqrt(2d0)*cME*dZee_QED2*gw/(2d0*cMW) + sqrt(2d0)*cME*dMW2_QED2*gw &
             *(-2d0*sw**2d0 + 1d0)/(4d0*cMW**3d0*sw**2d0) + sqrt(2d0)*cME*     &
             dMZ2_QED2*gw*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(4d0*cMW**3d0*sw**2d0 &
             ) + sqrt(2d0)*dME_QED2*gw/(2d0*cMW)
  dydo_QED3 = sqrt(2d0)*cMD*dZee_QED2*gw/(2d0*cMW) + sqrt(2d0)*cMD*dMW2_QED2*gw&
              *(-2d0*sw**2d0 + 1d0)/(4d0*cMW**3d0*sw**2d0) + sqrt(2d0)*cMD*    &
              dMZ2_QED2*gw*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(4d0*cMW**3d0*sw**2d0&
              ) + sqrt(2d0)*dMD_QED2*gw/(2d0*cMW)
  dydo_QED1_QCD2 = sqrt(2d0)*dMD_QCD2*gw/(2d0*cMW)
  dyb_QED3 = sqrt(2d0)*cMB*dZee_QED2*gw/(2d0*cMW) + sqrt(2d0)*cMB*dMW2_QED2*gw &
             *(-2d0*sw**2d0 + 1d0)/(4d0*cMW**3d0*sw**2d0) + sqrt(2d0)*cMB*     &
             dMZ2_QED2*gw*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(4d0*cMW**3d0*sw**2d0 &
             ) + sqrt(2d0)*dMB_QED2*gw/(2d0*cMW)
  dyb_QED1_QCD2 = sqrt(2d0)*dMB_QCD2*gw/(2d0*cMW)
  dyc_QED3 = sqrt(2d0)*cMC*dZee_QED2*gw/(2d0*cMW) + sqrt(2d0)*cMC*dMW2_QED2*gw &
             *(-2d0*sw**2d0 + 1d0)/(4d0*cMW**3d0*sw**2d0) + sqrt(2d0)*cMC*     &
             dMZ2_QED2*gw*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(4d0*cMW**3d0*sw**2d0 &
             ) + sqrt(2d0)*dMC_QED2*gw/(2d0*cMW)
  dyc_QED1_QCD2 = sqrt(2d0)*dMC_QCD2*gw/(2d0*cMW)
end subroutine set_derived_ctparameter
end module derived_ctparameter
