!******************************************************************************!
!                                                                              !
!    lcFSFa0.f90                                                               !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   lcFSFa0.f90                                    |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2019-10-09 13:25             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module lcFSFa0
  use class_vertices
  use constants_mdl
  implicit none
  contains
    subroutine loopFSFa0(ty, co, wl, P1, PL1, w2, P2, PL2, m, wp, riMaxIn,     &
    riMaxOut, rankInc)
      use class_vertices
      integer, intent(in) :: riMaxIn, riMaxOut, rankInc
      complex (kind = dp), intent(in), dimension(0:3) :: P1, PL1
      complex (kind = dp), intent(in), dimension(0:3, 0:riMaxIn) :: wl
      complex (kind = dp), intent(in), dimension(0:3) :: P2, PL2
      complex (kind = dp), intent(in), dimension(0:3) :: w2
      complex (dp), intent(out), dimension(0:3,0:riMaxOut) :: wp
      complex (kind = dp), intent(in) :: m
      complex (kind = dp), dimension(0:3) :: pl, p
      integer, intent(in) :: ty
      complex (kind = dp), dimension(0:), intent(in) :: co
      complex (kind = dp), dimension(0:3) :: sp1
      complex (kind = dp), dimension(0:3,0:3) :: sp2
      complex (kind = dp), dimension(0:3,0:3,0:3) :: sp3
      complex (kind = dp), dimension(0:3,0:3,0:3,0:3) :: sp4
      character(len=3) :: ty_str
      integer :: riOut, j
      logical :: isFirstRI
      integer :: mu, nu, ro, ta, te, tu
      select case(ty)
      case(FSFa0)
!       ProjP(3,1)*c0
!       ProjM(3,1)*c1
        pl(:) = PL1(:) + PL2(:)
        do j = riMaxIn, 0, -1
          wp(0,j) = cima*co(0)*m*w2(0)*wl(0,j) - cima*co(1)*pl(0)*w2(0)*wl(2,j &
                    ) - cima*co(1)*pl(3)*w2(0)*wl(3,j)
          wp(1,j) = cima*co(0)*m*w2(0)*wl(1,j) - cima*co(1)*pl(1)*w2(0)*wl(3,j &
                    ) - cima*co(1)*pl(2)*w2(0)*wl(2,j)
          wp(2,j) = -cima*co(0)*pl(1)*w2(0)*wl(0,j) + cima*co(0)*pl(3)*w2(0)*wl&
                    (1,j) + cima*co(1)*m*w2(0)*wl(2,j)
          wp(3,j) = -cima*co(0)*pl(0)*w2(0)*wl(1,j) + cima*co(0)*pl(2)*w2(0)*wl&
                    (0,j) + cima*co(1)*m*w2(0)*wl(3,j)
          if(rankInc .lt. 1) cycle
          sp2(0,0) = -cima*co(1)*w2(0)*wl(2,j)
          sp2(0,1) = -cima*co(1)*w2(0)*wl(3,j)
          sp2(0,2) = -cima*co(0)*w2(0)*wl(0,j)
          sp2(0,3) = -cima*co(0)*w2(0)*wl(1,j)
          sp2(1,0) = cima*co(1)*w2(0)*wl(3,j)
          sp2(1,1) = cima*co(1)*w2(0)*wl(2,j)
          sp2(1,2) = -cima*co(0)*w2(0)*wl(1,j)
          sp2(1,3) = -cima*co(0)*w2(0)*wl(0,j)
          sp2(2,0) = co(1)*w2(0)*wl(3,j)
          sp2(2,1) = -co(1)*w2(0)*wl(2,j)
          sp2(2,2) = -co(0)*w2(0)*wl(1,j)
          sp2(2,3) = co(0)*w2(0)*wl(0,j)
          sp2(3,0) = cima*co(1)*w2(0)*wl(2,j)
          sp2(3,1) = -cima*co(1)*w2(0)*wl(3,j)
          sp2(3,2) = -cima*co(0)*w2(0)*wl(0,j)
          sp2(3,3) = cima*co(0)*w2(0)*wl(1,j)
          do mu = 0, 3
            riOut = incRI(mu, j)
            wp(:,riOut) = wp(:,riOut) + sp2(mu,:)
          end do 
        end do 
      end select 
    end subroutine loopFSFa0
end module lcFSFa0
