!******************************************************************************!
!                                                                              !
!    tcFaF0.f90                                                                !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   tcFaF0.f90                                     |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2019-10-09 13:25             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module tcFaF0
  use class_vertices
  use constants_mdl
  implicit none
  contains
    subroutine treeFaF0(ty, co, w1, P1, PL1, den, m, wout, last, VB_last)
      use class_vertices
      integer, intent(in) :: ty
      logical, intent(inout) :: VB_last
      logical, intent(in) :: last
      complex(kind=dp), dimension(0:), intent(in) :: co
      complex(kind=dp), intent(in), dimension(0:3) :: P1, PL1
      complex(kind=dp), intent(in), dimension(0:3) :: w1
      complex(kind=dp), intent(in) :: m
      complex(kind=dp), intent(in) :: den
      complex(kind=dp), dimension(0:3), intent(out) :: wout
      character(len=3) :: ty_str
      complex(kind=dp), dimension(0:3) :: pl, p
      select case(ty)
      case(FaF0)
!       GammaM(-1,1,2)*P(-1,2)*c0
    if (last .eqv. .false.) then
      pl(:) = PL1(:)
      wout(0) = P1(0)*(-co(0)*pl(1)*w1(0) + co(0)*pl(2)*w1(1)) + P1(1)*(-co(0)*&
                pl(1)*w1(1) + co(0)*pl(2)*w1(0)) + P1(2)*(-cima*co(0)*pl(1)*w1(&
                1) - cima*co(0)*pl(2)*w1(0)) + P1(3)*(-co(0)*pl(1)*w1(0) - co(0&
                )*pl(2)*w1(1))
      wout(1) = P1(0)*(-co(0)*pl(0)*w1(1) + co(0)*pl(3)*w1(0)) + P1(1)*(-co(0)*&
                pl(0)*w1(0) + co(0)*pl(3)*w1(1)) + P1(2)*(cima*co(0)*pl(0)*w1(0&
                ) + cima*co(0)*pl(3)*w1(1)) + P1(3)*(co(0)*pl(0)*w1(1) + co(0)*&
                pl(3)*w1(0))
      wout(2) = -P1(0)*co(0)*m*w1(0) - P1(1)*co(0)*m*w1(1) - P1(2)*cima*co(0)*m&
                *w1(1) - P1(3)*co(0)*m*w1(0)
      wout(3) = -P1(0)*co(0)*m*w1(1) - P1(1)*co(0)*m*w1(0) + P1(2)*cima*co(0)*m&
                *w1(0) + P1(3)*co(0)*m*w1(1)
    else
      wout(0) = 0
      wout(1) = 0
      wout(2) = -P1(0)*co(0)*w1(0) - P1(1)*co(0)*w1(1) - P1(2)*cima*co(0)*w1(1 &
                ) - P1(3)*co(0)*w1(0)
      wout(3) = -P1(0)*co(0)*w1(1) - P1(1)*co(0)*w1(0) + P1(2)*cima*co(0)*w1(0 &
                ) + P1(3)*co(0)*w1(1)
    end if 
      end select 
    end subroutine treeFaF0
end module tcFaF0
