!******************************************************************************!
!                                                                              !
!    tcVVV0.f90                                                                !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   tcVVV0.f90                                     |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2019-10-09 13:25             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module tcVVV0
  use class_vertices
  use constants_mdl
  implicit none
  contains
    subroutine treeVVV0(ty, co, w1, P1, PL1, w2, P2, PL2, den, m, wout, last,  &
    VB_last)
      use class_vertices
      integer, intent(in) :: ty
      logical, intent(inout) :: VB_last
      logical, intent(in) :: last
      complex(kind=dp), dimension(0:), intent(in) :: co
      complex(kind=dp), intent(in), dimension(0:3) :: P1, PL1
      complex(kind=dp), intent(in), dimension(0:3) :: w1
      complex(kind=dp), intent(in), dimension(0:3) :: P2, PL2
      complex(kind=dp), intent(in), dimension(0:3) :: w2
      complex(kind=dp), intent(in) :: m
      complex(kind=dp), intent(in) :: den
      complex(kind=dp), dimension(0:3), intent(out) :: wout
      character(len=3) :: ty_str
      complex(kind=dp), dimension(0:3) :: pl, p
      select case(ty)
      case(VVV0)
!       c0*(Metric(1,2)*P(3,1) - Metric(1,2)*P(3,2) - Metric(1,3)*P(2,1) + Metric
!       (1,3)*P(2,3) + Metric(2,3)*P(1,2) - Metric(2,3)*P(1,3))
        if (last) VB_last = .true.
        wout = P1(0)*co(0)*w1(0)*w2(:) - 2*P1(0)*co(0)*w1(:)*w2(0) - P1(1)*co(0&
               )*w1(1)*w2(:) + 2*P1(1)*co(0)*w1(:)*w2(1) - P1(2)*co(0)*w1(2)*w2&
               (:) + 2*P1(2)*co(0)*w1(:)*w2(2) - P1(3)*co(0)*w1(3)*w2(:) + 2*P1&
               (3)*co(0)*w1(:)*w2(3) + P1(:)*(co(0)*w1(0)*w2(0) - co(0)*w1(1)* &
               w2(1) - co(0)*w1(2)*w2(2) - co(0)*w1(3)*w2(3)) + 2*P2(0)*co(0)* &
               w1(0)*w2(:) - P2(0)*co(0)*w1(:)*w2(0) - 2*P2(1)*co(0)*w1(1)*w2  &
               (:) + P2(1)*co(0)*w1(:)*w2(1) - 2*P2(2)*co(0)*w1(2)*w2(:) + P2(2&
               )*co(0)*w1(:)*w2(2) - 2*P2(3)*co(0)*w1(3)*w2(:) + P2(3)*co(0)*w1&
               (:)*w2(3) + P2(:)*(-co(0)*w1(0)*w2(0) + co(0)*w1(1)*w2(1) + co(0&
               )*w1(2)*w2(2) + co(0)*w1(3)*w2(3))
      end select 
    end subroutine treeVVV0
end module tcVVV0
