!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2019-10-09 13:25             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl3()
    coupl(nGC_5238) = coupl(nGC_4759)*dZee_QED2
    coupl(nGC_5239) = coupl(nGC_4571)*dsw_QED2 + coupl(nGC_4572)*dZee_QED2
    coupl(nGC_9448) = coupl(nGC_5352) + coupl(nGC_9443)
    coupl(nGC_5335) = coupl(nGC_4753)*dyup_QED3
    coupl(nGC_5334) = coupl(nGC_4753)*dyup_QED1_QCD2
    coupl(nGC_5233) = coupl(nGC_217)*dvev_QED1 + coupl(nGC_219)*dl1_QED4 +     &
                      coupl(nGC_221)*dl2_QED4 + coupl(nGC_223)*dvevs_QED1 +    &
                      coupl(nGC_225)*da_QED2 + coupl(nGC_227)*dl3_QED4
    coupl(nGC_5230) = coupl(nGC_4804)*da_QED2 + coupl(nGC_4805)*dl2_QED4 +     &
                      coupl(nGC_4806)*dl1_QED4 + coupl(nGC_4807)*dl3_QED4
    coupl(nGC_5231) = coupl(nGC_4696)*da_QED2 + coupl(nGC_4697)*dl2_QED4 +     &
                      coupl(nGC_4698)*dvev_QED1 + coupl(nGC_4699)*dvevs_QED1 + &
                      coupl(nGC_4700)*dl3_QED4
    coupl(nGC_10873) = coupl(nGC_10870) + coupl(nGC_5310)
    coupl(nGC_5237) = coupl(nGC_4762)*dZee_QED2
    coupl(nGC_5234) = coupl(nGC_4691)*da_QED2 + coupl(nGC_4692)*dl2_QED4 +     &
                      coupl(nGC_4693)*dvev_QED1 + coupl(nGC_4694)*dvevs_QED1 + &
                      coupl(nGC_4695)*dl3_QED4
    coupl(nGC_5235) = coupl(nGC_231)*dvev_QED1 + coupl(nGC_233)*dl1_QED4 +     &
                      coupl(nGC_235)*dl2_QED4 + coupl(nGC_237)*dvevs_QED1 +    &
                      coupl(nGC_239)*da_QED2 + coupl(nGC_241)*dl3_QED4
    coupl(nGC_TS_GC_108_Hl) = -coupl(nGC_108)*dtHl_QED1/cMHL**2d0
    coupl(nGC_7216) = coupl(nGC_18)*dZHh_QED2/2d0 + coupl(nGC_18)*dZHl_QED2/2d0&
                       + coupl(nGC_19)*dZHhHl_QED2/2d0 + coupl(nGC_20)*        &
                      dZHlHh_QED2/2d0 + coupl(nGC_5229)
    coupl(nGC_8401) = coupl(nGC_119)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
    coupl(nGC_7190) = coupl(nGC_120)*dZdL_QCD2/2d0 + coupl(nGC_120)*dZuR_QCD2/ &
                      2d0 + coupl(nGC_5283)
    coupl(nGC_7192) = coupl(nGC_120)*dZdL_QED2/2d0 + coupl(nGC_120)*dZuR_QED2/ &
                      2d0 + coupl(nGC_5284)
    coupl(nGC_7461) = coupl(nGC_5233) + coupl(nGC_76)*dZHlHh_QED2 + coupl(     &
                      nGC_77)*dZHhHl_QED2/2d0 + coupl(nGC_79)*dZHh_QED2 + coupl&
                      (nGC_79)*dZHl_QED2/2d0 + coupl(nGC_TS_GC_22_Hh) + coupl( &
                      nGC_TS_GC_25_Hl)
    coupl(nGC_5071) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_50) + coupl(nGC_105)**  &
                      2d0*coupl(nGC_54) + coupl(nGC_106)*coupl(nGC_107)*coupl( &
                      nGC_53) + coupl(nGC_108)**2d0*coupl(nGC_53) + coupl(     &
                      nGC_109)**2d0*coupl(nGC_53) + 4d0*coupl(nGC_50)**3d0)/(  &
                      32d0*pi**2d0)
    coupl(nGC_5297) = coupl(nGC_4741)*dys_QED1_QCD2
    coupl(nGC_5010) = (-coupl(nGC_110)*coupl(nGC_2481)*coupl(nGC_33) - coupl(  &
                      nGC_110)*coupl(nGC_80)*coupl(nGC_84) - coupl(nGC_111)**  &
                      2d0*coupl(nGC_114) - coupl(nGC_111)*coupl(nGC_1691)*coupl&
                      (nGC_54) - coupl(nGC_111)*coupl(nGC_51)*coupl(nGC_61) -  &
                      coupl(nGC_113)**2d0*coupl(nGC_114) - coupl(nGC_114)**3d0 &
                       + 8d0*coupl(nGC_114)*coupl(nGC_2)**2d0 + 8d0*coupl(     &
                      nGC_114)*coupl(nGC_51)*coupl(nGC_54))/(32d0*pi**2d0)
    coupl(nGC_7724) = coupl(nGC_115)*dZnu_tauL_QED2/2d0 + coupl(nGC_115)*      &
                      dZtauMinusR_QED2/2d0 + coupl(nGC_5319)
    coupl(nGC_7650) = coupl(nGC_3)*dZA_QED2/2d0 + coupl(nGC_3)*dZWMinus_QED2 + &
                      coupl(nGC_37)*dZZA_QED2/2d0 + coupl(nGC_5214)
    coupl(nGC_5076) = (coupl(nGC_121)*coupl(nGC_122)*coupl(nGC_51) + coupl(    &
                      nGC_123)**2d0*coupl(nGC_51) + coupl(nGC_124)**2d0*coupl( &
                      nGC_51) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_54) + 4d0*coupl&
                      (nGC_33)**2d0*coupl(nGC_37) + 4d0*coupl(nGC_33)**2d0*    &
                      coupl(nGC_53) + coupl(nGC_50)*coupl(nGC_90)**2d0 + 4d0*  &
                      coupl(nGC_54)**3d0)/(32d0*pi**2d0)
    coupl(nGC_7654) = coupl(nGC_5)*dZA_QED2 + coupl(nGC_5)*dZWMinus_QED2 +     &
                      coupl(nGC_5215)
    coupl(nGC_7655) = -coupl(nGC_7653)/2d0 + coupl(nGC_7654)
    coupl(nGC_7066) = coupl(nGC_17)*dZZA_QED2/2d0 + coupl(nGC_40)*dZHlHh_QED2/ &
                      2d0 + coupl(nGC_48)*dZA_QED2/2d0 + coupl(nGC_48)*        &
                      dZHh_QED2/2d0 + coupl(nGC_48)*dZWMinus_QED2/2d0 + coupl( &
                      nGC_5241)
    coupl(nGC_5249) = coupl(nGC_4788)*dsw_QED2 + coupl(nGC_4789)*dZee_QED2
    coupl(nGC_5247) = coupl(nGC_4828)*dsw_QED2 + coupl(nGC_4829)*da_QED2 +     &
                      coupl(nGC_4830)*dZee_QED2
    coupl(nGC_5243) = coupl(nGC_4818)*dsw_QED2 + coupl(nGC_4819)*dZee_QED2
    coupl(nGC_5242) = coupl(nGC_4688)*dsw_QED2 + coupl(nGC_4689)*dvev_QED1 +   &
                      coupl(nGC_4690)*dZee_QED2
    coupl(nGC_5240) = coupl(nGC_4584)*dsw_QED2 + coupl(nGC_4585)*da_QED2 +     &
                      coupl(nGC_4586)*dZee_QED2
    coupl(nGC_7267) = coupl(nGC_1)*dZbL_QCD2
    coupl(nGC_TS_GC_104_Hh) = -coupl(nGC_104)*dtHh_QED1/cMHH**2d0
    coupl(nGC_7264) = coupl(nGC_1)*dZbR_QCD2
    coupl(nGC_7687) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_5238)
    coupl(nGC_8405) = coupl(nGC_118)*dZHlHh_QED2/2d0 + coupl(nGC_119)*dZHh_QED2&
                      /2d0 + coupl(nGC_5331)
    coupl(nGC_7269) = coupl(nGC_1)*dZbR_QED2 + coupl(nGC_50)*dZZA_QED2/2d0
    coupl(nGC_5108) = (-32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_105)**2d0 -   &
                      32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_110)**2d0 - 32d0&
                      *Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_120)**2d0 - 32d0*Nc*&
                      cima*coupl(nGC_1)**2d0*coupl(nGC_80)**2d0 - 32d0*Nc*cima*&
                      coupl(nGC_1)**2d0*coupl(nGC_85)**2d0 - 32d0*Nc*cima*coupl&
                      (nGC_1)**2d0*coupl(nGC_90)**2d0 + 40d0*Nc*cima*coupl(    &
                      nGC_1)*coupl(nGC_105)**2d0*coupl(nGC_2) + 40d0*Nc*cima*  &
                      coupl(nGC_1)*coupl(nGC_110)**2d0*coupl(nGC_2) + 40d0*Nc* &
                      cima*coupl(nGC_1)*coupl(nGC_120)**2d0*coupl(nGC_2) + 40d0&
                      *Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_80)**2d0 +  &
                      40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_85)**2d0&
                       + 40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_90)**&
                      2d0 - 32d0*Nc*cima*coupl(nGC_105)**2d0*coupl(nGC_2)**2d0 &
                       - 32d0*Nc*cima*coupl(nGC_110)**2d0*coupl(nGC_2)**2d0 -  &
                      32d0*Nc*cima*coupl(nGC_120)**2d0*coupl(nGC_2)**2d0 - 32d0&
                      *Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_80)**2d0 - 32d0*Nc* &
                      cima*coupl(nGC_2)**2d0*coupl(nGC_85)**2d0 - 32d0*Nc*cima*&
                      coupl(nGC_2)**2d0*coupl(nGC_90)**2d0 - 32d0*cima*coupl(  &
                      nGC_100)**2d0*coupl(nGC_4)**2d0 - 32d0*cima*coupl(nGC_115&
                      )**2d0*coupl(nGC_4)**2d0 + 9d0*cima*coupl(nGC_1933)*coupl&
                      (nGC_3)**2d0*coupl(nGC_46) + 9d0*cima*coupl(nGC_2481)*   &
                      coupl(nGC_47)*coupl(nGC_551)**2d0 + 9d0*cima*coupl(      &
                      nGC_2531)*coupl(nGC_35)*coupl(nGC_551)**2d0 + 24d0*cima* &
                      coupl(nGC_26)*coupl(nGC_817) + 9d0*cima*coupl(nGC_3)**2d0&
                      *coupl(nGC_32)*coupl(nGC_569) + 9d0*cima*coupl(nGC_3)**  &
                      2d0*coupl(nGC_34)*coupl(nGC_427) + 9d0*cima*coupl(nGC_32 &
                      )*coupl(nGC_551)**2d0*coupl(nGC_569) + 4d0*cima*coupl(   &
                      nGC_4)**2d0*coupl(nGC_477)**2d0 + 8d0*cima*coupl(nGC_4)**&
                      2d0*coupl(nGC_647)**2d0 - 32d0*cima*coupl(nGC_4)**2d0*   &
                      coupl(nGC_95)**2d0 + 4d0*cima*coupl(nGC_55)**2d0*coupl(  &
                      nGC_647)**2d0 - 6d0*coupl(nGC_1933)*coupl(nGC_3)*coupl(  &
                      nGC_48) - 6d0*coupl(nGC_1933)*coupl(nGC_46)*coupl(nGC_817&
                      ) - 6d0*coupl(nGC_2481)*coupl(nGC_48)*coupl(nGC_551) -   &
                      6d0*coupl(nGC_2531)*coupl(nGC_40)*coupl(nGC_551) + 36d0* &
                      coupl(nGC_26)*coupl(nGC_3)**2d0 + 36d0*coupl(nGC_26)*    &
                      coupl(nGC_551)**2d0 - 6d0*coupl(nGC_3)*coupl(nGC_32)*    &
                      coupl(nGC_38) - 6d0*coupl(nGC_3)*coupl(nGC_34)*coupl(    &
                      nGC_40) - 6d0*coupl(nGC_3)*coupl(nGC_39)*coupl(nGC_569   &
                      ) - 6d0*coupl(nGC_3)*coupl(nGC_40)*coupl(nGC_427) - 6d0* &
                      coupl(nGC_3)*coupl(nGC_46)*coupl(nGC_48) - 6d0*coupl(    &
                      nGC_32)*coupl(nGC_39)*coupl(nGC_551) - 6d0*coupl(nGC_32)*&
                      coupl(nGC_569)*coupl(nGC_817) - 6d0*coupl(nGC_34)*coupl( &
                      nGC_427)*coupl(nGC_817) - 6d0*coupl(nGC_35)*coupl(nGC_40 &
                      )*coupl(nGC_551) - 6d0*coupl(nGC_38)*coupl(nGC_551)*coupl&
                      (nGC_569) - 6d0*coupl(nGC_47)*coupl(nGC_48)*coupl(nGC_551&
                      ) + 6d0*coupl(nGC_477)**2d0*coupl(nGC_6) + 6d0*coupl(    &
                      nGC_6)*coupl(nGC_647)**2d0)/(192d0*pi**2d0)
    coupl(nGC_7099) = coupl(nGC_11)*dZtR_QED2
    coupl(nGC_9856) = coupl(nGC_TS_GC_35_Hl) + coupl(nGC_TS_GC_47_Hh)
    coupl(nGC_8129) = coupl(nGC_5235) + coupl(nGC_76)*dZHh_QED2/2d0 + coupl(   &
                      nGC_76)*dZHl_QED2 + coupl(nGC_78)*dZHlHh_QED2/2d0 + coupl&
                      (nGC_79)*dZHhHl_QED2 + coupl(nGC_TS_GC_21_Hl) + coupl(   &
                      nGC_TS_GC_25_Hh)
    coupl(nGC_4949) = (8d0*coupl(nGC_1)*coupl(nGC_120)*coupl(nGC_2) + coupl(   &
                      nGC_1)*coupl(nGC_120)*coupl(nGC_4) + coupl(nGC_120)*coupl&
                      (nGC_2)*coupl(nGC_647) + coupl(nGC_120)*coupl(nGC_477)*  &
                      coupl(nGC_51) + 8d0*coupl(nGC_120)*coupl(nGC_51)*coupl(  &
                      nGC_53) + coupl(nGC_120)*coupl(nGC_53)*coupl(nGC_55) +   &
                      coupl(nGC_121)*coupl(nGC_32)*coupl(nGC_33) - coupl(      &
                      nGC_121)*coupl(nGC_90)*coupl(nGC_92) + coupl(nGC_123)*   &
                      coupl(nGC_33)*coupl(nGC_427) - coupl(nGC_123)*coupl(     &
                      nGC_90)*coupl(nGC_93) + coupl(nGC_124)*coupl(nGC_1933)*  &
                      coupl(nGC_33) - coupl(nGC_124)*coupl(nGC_90)*coupl(nGC_94&
                      ))/(32d0*pi**2d0)
    coupl(nGC_4948) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_90) + coupl(    &
                      nGC_1)*coupl(nGC_4)*coupl(nGC_90) - coupl(nGC_120)*coupl(&
                      nGC_122)*coupl(nGC_91) - coupl(nGC_120)*coupl(nGC_123)*  &
                      coupl(nGC_93) - coupl(nGC_120)*coupl(nGC_124)*coupl(     &
                      nGC_94) + coupl(nGC_2)*coupl(nGC_647)*coupl(nGC_90) +    &
                      coupl(nGC_33)*coupl(nGC_35)*coupl(nGC_93) + coupl(nGC_33 &
                      )*coupl(nGC_47)*coupl(nGC_94) + coupl(nGC_33)*coupl(     &
                      nGC_569)*coupl(nGC_91) + coupl(nGC_477)*coupl(nGC_54)*   &
                      coupl(nGC_90) + 8d0*coupl(nGC_50)*coupl(nGC_54)*coupl(   &
                      nGC_90) + coupl(nGC_50)*coupl(nGC_55)*coupl(nGC_90))/(   &
                      32d0*pi**2d0)
    coupl(nGC_5101) = coupl(nGC_11)*sq2*(coupl(nGC_110)**2d0 + coupl(nGC_111)* &
                      coupl(nGC_112) + coupl(nGC_113)**2d0 + coupl(nGC_114)**  &
                      2d0 + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_51)**2d0)/(  &
                      64d0*pi**2d0)
    coupl(nGC_4943) = (2d0*Nc*cMB*coupl(nGC_33)*coupl(nGC_50)*coupl(nGC_80) -  &
                      2d0*Nc*cMB*coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_80) -   &
                      2d0*Nc*cMB*coupl(nGC_33)*coupl(nGC_54)*coupl(nGC_80) +   &
                      2d0*Nc*cMC*coupl(nGC_33)*coupl(nGC_51)*coupl(nGC_85) -   &
                      2d0*Nc*cMC*coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_85) -   &
                      2d0*Nc*cMC*coupl(nGC_33)*coupl(nGC_54)*coupl(nGC_85) +   &
                      2d0*Nc*cMD*coupl(nGC_33)*coupl(nGC_50)*coupl(nGC_90) -   &
                      2d0*Nc*cMD*coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_90) -   &
                      2d0*Nc*cMD*coupl(nGC_33)*coupl(nGC_54)*coupl(nGC_90) +   &
                      2d0*Nc*cMS*coupl(nGC_105)*coupl(nGC_33)*coupl(nGC_50) -  &
                      2d0*Nc*cMS*coupl(nGC_105)*coupl(nGC_33)*coupl(nGC_53) -  &
                      2d0*Nc*cMS*coupl(nGC_105)*coupl(nGC_33)*coupl(nGC_54) +  &
                      2d0*Nc*cMT*coupl(nGC_110)*coupl(nGC_33)*coupl(nGC_51) -  &
                      2d0*Nc*cMT*coupl(nGC_110)*coupl(nGC_33)*coupl(nGC_53) -  &
                      2d0*Nc*cMT*coupl(nGC_110)*coupl(nGC_33)*coupl(nGC_54) +  &
                      2d0*Nc*cMU*coupl(nGC_120)*coupl(nGC_33)*coupl(nGC_51) -  &
                      2d0*Nc*cMU*coupl(nGC_120)*coupl(nGC_33)*coupl(nGC_53) -  &
                      2d0*Nc*cMU*coupl(nGC_120)*coupl(nGC_33)*coupl(nGC_54) +  &
                      2d0*cME*coupl(nGC_33)*coupl(nGC_52)*coupl(nGC_95) - 2d0* &
                      cME*coupl(nGC_33)*coupl(nGC_55)*coupl(nGC_95) - 2d0*cME* &
                      coupl(nGC_33)*coupl(nGC_56)*coupl(nGC_95) + 2d0*cMM*coupl&
                      (nGC_100)*coupl(nGC_33)*coupl(nGC_52) - 2d0*cMM*coupl(   &
                      nGC_100)*coupl(nGC_33)*coupl(nGC_55) - 2d0*cMM*coupl(    &
                      nGC_100)*coupl(nGC_33)*coupl(nGC_56) + 2d0*cMTA*coupl(   &
                      nGC_115)*coupl(nGC_33)*coupl(nGC_52) - 2d0*cMTA*coupl(   &
                      nGC_115)*coupl(nGC_33)*coupl(nGC_55) - 2d0*cMTA*coupl(   &
                      nGC_115)*coupl(nGC_33)*coupl(nGC_56) + 4d0*cima*coupl(   &
                      nGC_29)*coupl(nGC_68) + 4d0*cima*coupl(nGC_443)*coupl(   &
                      nGC_71) - coupl(nGC_1933)*coupl(nGC_509)*coupl(nGC_73) - &
                      coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_68) + 6d0*coupl(nGC_3&
                      )*coupl(nGC_509)*coupl(nGC_71) - coupl(nGC_35)*coupl(    &
                      nGC_509)*coupl(nGC_69) + 6d0*coupl(nGC_37)*coupl(nGC_509 &
                      )*coupl(nGC_68) - coupl(nGC_37)*coupl(nGC_55)*coupl(     &
                      nGC_68) - coupl(nGC_427)*coupl(nGC_509)*coupl(nGC_72) -  &
                      coupl(nGC_47)*coupl(nGC_509)*coupl(nGC_70))/(32d0*pi**2d0&
                      )
    coupl(nGC_4942) = (4d0*Nc*coupl(nGC_105)*coupl(nGC_108)*coupl(nGC_33) - 4d0&
                      *Nc*coupl(nGC_110)*coupl(nGC_113)*coupl(nGC_33) - 4d0*Nc*&
                      coupl(nGC_120)*coupl(nGC_123)*coupl(nGC_33) + 4d0*Nc*    &
                      coupl(nGC_33)*coupl(nGC_80)*coupl(nGC_83) - 4d0*Nc*coupl(&
                      nGC_33)*coupl(nGC_85)*coupl(nGC_88) + 4d0*Nc*coupl(nGC_33&
                      )*coupl(nGC_90)*coupl(nGC_93) + 4d0*coupl(nGC_100)*coupl(&
                      nGC_103)*coupl(nGC_33) + 4d0*coupl(nGC_115)*coupl(nGC_118&
                      )*coupl(nGC_33) + coupl(nGC_1933)**2d0*coupl(nGC_2531) + &
                      coupl(nGC_2531)*coupl(nGC_32)**2d0 + coupl(nGC_2531)*    &
                      coupl(nGC_427)**2d0 + 4d0*coupl(nGC_33)*coupl(nGC_95)*   &
                      coupl(nGC_98) - 6d0*coupl(nGC_35)*coupl(nGC_477)*coupl(  &
                      nGC_509) - 6d0*coupl(nGC_35)*coupl(nGC_551)*coupl(nGC_647&
                      ) - 6d0*coupl(nGC_37)*coupl(nGC_569)*coupl(nGC_57) +     &
                      coupl(nGC_421)*coupl(nGC_55)*coupl(nGC_569))/(96d0*pi**  &
                      2d0)
    coupl(nGC_4941) = (4d0*Nc*coupl(nGC_105)*coupl(nGC_109)*coupl(nGC_33) - 4d0&
                      *Nc*coupl(nGC_110)*coupl(nGC_114)*coupl(nGC_33) - 4d0*Nc*&
                      coupl(nGC_120)*coupl(nGC_124)*coupl(nGC_33) + 4d0*Nc*    &
                      coupl(nGC_33)*coupl(nGC_80)*coupl(nGC_84) - 4d0*Nc*coupl(&
                      nGC_33)*coupl(nGC_85)*coupl(nGC_89) + 4d0*Nc*coupl(nGC_33&
                      )*coupl(nGC_90)*coupl(nGC_94) + 4d0*coupl(nGC_100)*coupl(&
                      nGC_104)*coupl(nGC_33) + 4d0*coupl(nGC_115)*coupl(nGC_119&
                      )*coupl(nGC_33) + coupl(nGC_1691)*coupl(nGC_55)*coupl(   &
                      nGC_569) + coupl(nGC_1933)**2d0*coupl(nGC_2481) + coupl( &
                      nGC_2481)*coupl(nGC_32)**2d0 + coupl(nGC_2481)*coupl(    &
                      nGC_427)**2d0 + 4d0*coupl(nGC_33)*coupl(nGC_95)*coupl(   &
                      nGC_99) - 6d0*coupl(nGC_37)*coupl(nGC_569)*coupl(nGC_61  &
                      ) - 6d0*coupl(nGC_47)*coupl(nGC_477)*coupl(nGC_509) - 6d0&
                      *coupl(nGC_47)*coupl(nGC_551)*coupl(nGC_647))/(96d0*pi** &
                      2d0)
    coupl(nGC_4940) = (4d0*Nc*coupl(nGC_105)*coupl(nGC_107)*coupl(nGC_33) - 4d0&
                      *Nc*coupl(nGC_110)*coupl(nGC_112)*coupl(nGC_33) - 4d0*Nc*&
                      coupl(nGC_120)*coupl(nGC_122)*coupl(nGC_33) + 4d0*Nc*    &
                      coupl(nGC_33)*coupl(nGC_80)*coupl(nGC_82) - 4d0*Nc*coupl(&
                      nGC_33)*coupl(nGC_85)*coupl(nGC_87) + 4d0*Nc*coupl(nGC_33&
                      )*coupl(nGC_90)*coupl(nGC_92) + 4d0*coupl(nGC_100)*coupl(&
                      nGC_102)*coupl(nGC_33) + 4d0*coupl(nGC_115)*coupl(nGC_117&
                      )*coupl(nGC_33) - 6d0*coupl(nGC_1691)*coupl(nGC_37)*coupl&
                      (nGC_47) + coupl(nGC_1933)**2d0*coupl(nGC_32) + coupl(   &
                      nGC_32)**3d0 + coupl(nGC_32)*coupl(nGC_427)**2d0 + 4d0*  &
                      coupl(nGC_33)*coupl(nGC_95)*coupl(nGC_97) - 6d0*coupl(   &
                      nGC_35)*coupl(nGC_37)*coupl(nGC_421) + coupl(nGC_35)*    &
                      coupl(nGC_55)*coupl(nGC_57) + coupl(nGC_47)*coupl(nGC_55 &
                      )*coupl(nGC_61) - 6d0*coupl(nGC_477)*coupl(nGC_509)*coupl&
                      (nGC_569) - 6d0*coupl(nGC_551)*coupl(nGC_569)*coupl(     &
                      nGC_647))/(96d0*pi**2d0)
    coupl(nGC_4947) = (8d0*coupl(nGC_1)*coupl(nGC_105)*coupl(nGC_2) - coupl(   &
                      nGC_1)*coupl(nGC_105)*coupl(nGC_647) - coupl(nGC_105)*   &
                      coupl(nGC_2)*coupl(nGC_4) - coupl(nGC_105)*coupl(nGC_477 &
                      )*coupl(nGC_50) + 8d0*coupl(nGC_105)*coupl(nGC_50)*coupl(&
                      nGC_54) - coupl(nGC_105)*coupl(nGC_54)*coupl(nGC_55) -   &
                      coupl(nGC_106)*coupl(nGC_32)*coupl(nGC_33) - coupl(      &
                      nGC_106)*coupl(nGC_85)*coupl(nGC_87) - coupl(nGC_108)*   &
                      coupl(nGC_33)*coupl(nGC_427) - coupl(nGC_108)*coupl(     &
                      nGC_85)*coupl(nGC_88) - coupl(nGC_109)*coupl(nGC_1933)*  &
                      coupl(nGC_33) - coupl(nGC_109)*coupl(nGC_85)*coupl(nGC_89&
                      ))/(32d0*pi**2d0)
    coupl(nGC_4946) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_85) - coupl(    &
                      nGC_1)*coupl(nGC_647)*coupl(nGC_85) - coupl(nGC_105)*    &
                      coupl(nGC_107)*coupl(nGC_86) - coupl(nGC_105)*coupl(     &
                      nGC_108)*coupl(nGC_88) - coupl(nGC_105)*coupl(nGC_109)*  &
                      coupl(nGC_89) - coupl(nGC_2)*coupl(nGC_4)*coupl(nGC_85   &
                      ) - coupl(nGC_33)*coupl(nGC_35)*coupl(nGC_88) - coupl(   &
                      nGC_33)*coupl(nGC_47)*coupl(nGC_89) - coupl(nGC_33)*coupl&
                      (nGC_569)*coupl(nGC_86) - coupl(nGC_477)*coupl(nGC_53)*  &
                      coupl(nGC_85) + 8d0*coupl(nGC_51)*coupl(nGC_53)*coupl(   &
                      nGC_85) - coupl(nGC_51)*coupl(nGC_55)*coupl(nGC_85))/(   &
                      32d0*pi**2d0)
    coupl(nGC_4945) = (8d0*coupl(nGC_1)*coupl(nGC_110)*coupl(nGC_2) + coupl(   &
                      nGC_1)*coupl(nGC_110)*coupl(nGC_4) + coupl(nGC_110)*coupl&
                      (nGC_2)*coupl(nGC_647) + coupl(nGC_110)*coupl(nGC_477)*  &
                      coupl(nGC_51) + 8d0*coupl(nGC_110)*coupl(nGC_51)*coupl(  &
                      nGC_53) + coupl(nGC_110)*coupl(nGC_53)*coupl(nGC_55) +   &
                      coupl(nGC_111)*coupl(nGC_32)*coupl(nGC_33) - coupl(      &
                      nGC_111)*coupl(nGC_80)*coupl(nGC_82) + coupl(nGC_113)*   &
                      coupl(nGC_33)*coupl(nGC_427) - coupl(nGC_113)*coupl(     &
                      nGC_80)*coupl(nGC_83) + coupl(nGC_114)*coupl(nGC_1933)*  &
                      coupl(nGC_33) - coupl(nGC_114)*coupl(nGC_80)*coupl(nGC_84&
                      ))/(32d0*pi**2d0)
    coupl(nGC_4944) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_80) + coupl(    &
                      nGC_1)*coupl(nGC_4)*coupl(nGC_80) - coupl(nGC_110)*coupl(&
                      nGC_112)*coupl(nGC_81) - coupl(nGC_110)*coupl(nGC_113)*  &
                      coupl(nGC_83) - coupl(nGC_110)*coupl(nGC_114)*coupl(     &
                      nGC_84) + coupl(nGC_2)*coupl(nGC_647)*coupl(nGC_80) +    &
                      coupl(nGC_33)*coupl(nGC_35)*coupl(nGC_83) + coupl(nGC_33 &
                      )*coupl(nGC_47)*coupl(nGC_84) + coupl(nGC_33)*coupl(     &
                      nGC_569)*coupl(nGC_81) + coupl(nGC_477)*coupl(nGC_54)*   &
                      coupl(nGC_80) + 8d0*coupl(nGC_50)*coupl(nGC_54)*coupl(   &
                      nGC_80) + coupl(nGC_50)*coupl(nGC_55)*coupl(nGC_80))/(   &
                      32d0*pi**2d0)
    coupl(nGC_5052) = coupl(nGC_33)*(-coupl(nGC_3)*coupl(nGC_4) - coupl(nGC_37 &
                      )*coupl(nGC_55) - coupl(nGC_509)*coupl(nGC_56) + coupl(  &
                      nGC_55)*coupl(nGC_56))/(8d0*pi**2d0)
    coupl(nGC_TS_GC_28_Hl) = -coupl(nGC_28)*dtHl_QED1/cMHL**2d0
    coupl(nGC_5050) = coupl(nGC_33)*(coupl(nGC_1)*coupl(nGC_2) - coupl(nGC_1)* &
                      coupl(nGC_3) - coupl(nGC_2)*coupl(nGC_551) - coupl(nGC_37&
                      )*coupl(nGC_53) - coupl(nGC_509)*coupl(nGC_54) + coupl(  &
                      nGC_53)*coupl(nGC_54))/(8d0*pi**2d0)
    coupl(nGC_7369) = coupl(nGC_33)*dZWMinus_QED2/2d0 + coupl(nGC_33)*         &
                      dZeMinusL_QED2/2d0 + coupl(nGC_33)*dZnu_eL_QED2/2d0 +    &
                      coupl(nGC_5274)
    coupl(nGC_5057) = (coupl(nGC_105)**2d0*coupl(nGC_50) + 4d0*coupl(nGC_2)**  &
                      2d0*coupl(nGC_54) + 4d0*coupl(nGC_33)**2d0*coupl(nGC_37  &
                      ) + 4d0*coupl(nGC_33)**2d0*coupl(nGC_53) + coupl(nGC_51)*&
                      coupl(nGC_86)*coupl(nGC_87) + coupl(nGC_51)*coupl(nGC_88 &
                      )**2d0 + coupl(nGC_51)*coupl(nGC_89)**2d0 + 4d0*coupl(   &
                      nGC_54)**3d0)/(32d0*pi**2d0)
    coupl(nGC_7404) = coupl(nGC_18)*dZHhHl_QED2 + coupl(nGC_20)*dZHl_QED2 +    &
                      coupl(nGC_5224)
    coupl(nGC_7093) = coupl(nGC_40)*dZA_QED2/2d0 + coupl(nGC_40)*dZHl_QED2/2d0 &
                       + coupl(nGC_40)*dZWMinus_QED2/2d0 + coupl(nGC_48)*      &
                      dZHhHl_QED2/2d0 + coupl(nGC_5240) + coupl(nGC_9)*        &
                      dZZA_QED2/2d0
    coupl(nGC_TS_GC_123_Hl) = -coupl(nGC_123)*dtHl_QED1/cMHL**2d0
    coupl(nGC_5119) = (4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_105)*coupl(nGC_108)* &
                      coupl(nGC_33) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_110)*&
                      coupl(nGC_113)*coupl(nGC_33) - 16d0*Nc*cima*coupl(nGC_1)*&
                      coupl(nGC_120)*coupl(nGC_123)*coupl(nGC_33) + 4d0*Nc*cima&
                      *coupl(nGC_1)*coupl(nGC_33)*coupl(nGC_80)*coupl(nGC_83   &
                      ) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_33)*coupl(nGC_85 &
                      )*coupl(nGC_88) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_33)*&
                      coupl(nGC_90)*coupl(nGC_93) - 16d0*Nc*cima*coupl(nGC_105 &
                      )*coupl(nGC_108)*coupl(nGC_2)*coupl(nGC_33) + 4d0*Nc*cima&
                      *coupl(nGC_110)*coupl(nGC_113)*coupl(nGC_2)*coupl(nGC_33 &
                      ) + 4d0*Nc*cima*coupl(nGC_120)*coupl(nGC_123)*coupl(nGC_2&
                      )*coupl(nGC_33) - 16d0*Nc*cima*coupl(nGC_2)*coupl(nGC_33 &
                      )*coupl(nGC_80)*coupl(nGC_83) + 4d0*Nc*cima*coupl(nGC_2)*&
                      coupl(nGC_33)*coupl(nGC_85)*coupl(nGC_88) - 16d0*Nc*cima*&
                      coupl(nGC_2)*coupl(nGC_33)*coupl(nGC_90)*coupl(nGC_93) + &
                      4d0*cima*coupl(nGC_100)*coupl(nGC_103)*coupl(nGC_33)*    &
                      coupl(nGC_4) + 4d0*cima*coupl(nGC_115)*coupl(nGC_118)*   &
                      coupl(nGC_33)*coupl(nGC_4) + 4d0*cima*coupl(nGC_2481)**  &
                      2d0*coupl(nGC_427)*coupl(nGC_647) + 4d0*cima*coupl(      &
                      nGC_2531)**2d0*coupl(nGC_427)*coupl(nGC_647) + 9d0*cima* &
                      coupl(nGC_3)*coupl(nGC_34)*coupl(nGC_4)*coupl(nGC_551) + &
                      9d0*cima*coupl(nGC_3)*coupl(nGC_509)*coupl(nGC_569)*coupl&
                      (nGC_57) + 4d0*cima*coupl(nGC_32)**2d0*coupl(nGC_427)*   &
                      coupl(nGC_647) + 4d0*cima*coupl(nGC_33)*coupl(nGC_4)*    &
                      coupl(nGC_95)*coupl(nGC_98) + 9d0*cima*coupl(nGC_34)*    &
                      coupl(nGC_37)*coupl(nGC_55)*coupl(nGC_551) + 4d0*cima*   &
                      coupl(nGC_4)*coupl(nGC_421)*coupl(nGC_477)*coupl(nGC_569 &
                      ) + 24d0*cima*coupl(nGC_40)*coupl(nGC_5) + 24d0*cima*    &
                      coupl(nGC_443)*coupl(nGC_9) + 6d0*coupl(nGC_2481)*coupl( &
                      nGC_427)*coupl(nGC_48) + 6d0*coupl(nGC_2531)*coupl(nGC_40&
                      )*coupl(nGC_427) - 6d0*coupl(nGC_26)*coupl(nGC_34)*coupl(&
                      nGC_551) - 6d0*coupl(nGC_28)*coupl(nGC_3)*coupl(nGC_34   &
                      ) - 6d0*coupl(nGC_3)*coupl(nGC_30)*coupl(nGC_46) - 6d0*  &
                      coupl(nGC_3)*coupl(nGC_34)*coupl(nGC_6) + 36d0*coupl(    &
                      nGC_3)*coupl(nGC_40)*coupl(nGC_551) + 36d0*coupl(nGC_3)* &
                      coupl(nGC_509)*coupl(nGC_9) + 6d0*coupl(nGC_32)*coupl(   &
                      nGC_38)*coupl(nGC_427) - 6d0*coupl(nGC_34)*coupl(nGC_37)*&
                      coupl(nGC_58) - 6d0*coupl(nGC_34)*coupl(nGC_4)*coupl(    &
                      nGC_5) - 6d0*coupl(nGC_34)*coupl(nGC_443)*coupl(nGC_55   &
                      ) + 6d0*coupl(nGC_38)*coupl(nGC_421)*coupl(nGC_477) - 6d0&
                      *coupl(nGC_38)*coupl(nGC_509)*coupl(nGC_57) - 6d0*coupl( &
                      nGC_40)*coupl(nGC_477)*coupl(nGC_509) - 6d0*coupl(nGC_40 &
                      )*coupl(nGC_551)*coupl(nGC_647) - 6d0*coupl(nGC_443)*    &
                      coupl(nGC_569)*coupl(nGC_57))/(192d0*pi**2d0)
    coupl(nGC_5118) = (4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_105)*coupl(nGC_109)* &
                      coupl(nGC_33) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_110)*&
                      coupl(nGC_114)*coupl(nGC_33) - 16d0*Nc*cima*coupl(nGC_1)*&
                      coupl(nGC_120)*coupl(nGC_124)*coupl(nGC_33) + 4d0*Nc*cima&
                      *coupl(nGC_1)*coupl(nGC_33)*coupl(nGC_80)*coupl(nGC_84   &
                      ) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_33)*coupl(nGC_85 &
                      )*coupl(nGC_89) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_33)*&
                      coupl(nGC_90)*coupl(nGC_94) - 16d0*Nc*cima*coupl(nGC_105 &
                      )*coupl(nGC_109)*coupl(nGC_2)*coupl(nGC_33) + 4d0*Nc*cima&
                      *coupl(nGC_110)*coupl(nGC_114)*coupl(nGC_2)*coupl(nGC_33 &
                      ) + 4d0*Nc*cima*coupl(nGC_120)*coupl(nGC_124)*coupl(nGC_2&
                      )*coupl(nGC_33) - 16d0*Nc*cima*coupl(nGC_2)*coupl(nGC_33 &
                      )*coupl(nGC_80)*coupl(nGC_84) + 4d0*Nc*cima*coupl(nGC_2)*&
                      coupl(nGC_33)*coupl(nGC_85)*coupl(nGC_89) - 16d0*Nc*cima*&
                      coupl(nGC_2)*coupl(nGC_33)*coupl(nGC_90)*coupl(nGC_94) + &
                      4d0*cima*coupl(nGC_100)*coupl(nGC_104)*coupl(nGC_33)*    &
                      coupl(nGC_4) + 4d0*cima*coupl(nGC_115)*coupl(nGC_119)*   &
                      coupl(nGC_33)*coupl(nGC_4) + 4d0*cima*coupl(nGC_1691)*   &
                      coupl(nGC_4)*coupl(nGC_477)*coupl(nGC_569) + 24d0*cima*  &
                      coupl(nGC_17)*coupl(nGC_443) + 4d0*cima*coupl(nGC_1933)* &
                      coupl(nGC_2481)**2d0*coupl(nGC_647) + 4d0*cima*coupl(    &
                      nGC_1933)*coupl(nGC_2531)**2d0*coupl(nGC_647) + 4d0*cima*&
                      coupl(nGC_1933)*coupl(nGC_32)**2d0*coupl(nGC_647) + 9d0* &
                      cima*coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_46)*coupl(      &
                      nGC_551) + 9d0*cima*coupl(nGC_3)*coupl(nGC_509)*coupl(   &
                      nGC_569)*coupl(nGC_61) + 4d0*cima*coupl(nGC_33)*coupl(   &
                      nGC_4)*coupl(nGC_95)*coupl(nGC_99) + 9d0*cima*coupl(     &
                      nGC_37)*coupl(nGC_46)*coupl(nGC_55)*coupl(nGC_551) + 24d0&
                      *cima*coupl(nGC_48)*coupl(nGC_5) + 6d0*coupl(nGC_1691)*  &
                      coupl(nGC_38)*coupl(nGC_477) + 36d0*coupl(nGC_17)*coupl( &
                      nGC_3)*coupl(nGC_509) + 6d0*coupl(nGC_1933)*coupl(       &
                      nGC_2481)*coupl(nGC_48) + 6d0*coupl(nGC_1933)*coupl(     &
                      nGC_2531)*coupl(nGC_40) + 6d0*coupl(nGC_1933)*coupl(     &
                      nGC_32)*coupl(nGC_38) - 6d0*coupl(nGC_26)*coupl(nGC_46)* &
                      coupl(nGC_551) - 6d0*coupl(nGC_3)*coupl(nGC_30)*coupl(   &
                      nGC_34) - 6d0*coupl(nGC_3)*coupl(nGC_31)*coupl(nGC_46) - &
                      6d0*coupl(nGC_3)*coupl(nGC_46)*coupl(nGC_6) + 36d0*coupl(&
                      nGC_3)*coupl(nGC_48)*coupl(nGC_551) - 6d0*coupl(nGC_37)* &
                      coupl(nGC_46)*coupl(nGC_58) - 6d0*coupl(nGC_38)*coupl(   &
                      nGC_509)*coupl(nGC_61) - 6d0*coupl(nGC_4)*coupl(nGC_46)* &
                      coupl(nGC_5) - 6d0*coupl(nGC_443)*coupl(nGC_46)*coupl(   &
                      nGC_55) - 6d0*coupl(nGC_443)*coupl(nGC_569)*coupl(nGC_61 &
                      ) - 6d0*coupl(nGC_477)*coupl(nGC_48)*coupl(nGC_509) - 6d0&
                      *coupl(nGC_48)*coupl(nGC_551)*coupl(nGC_647))/(192d0*pi**&
                      2d0)
    coupl(nGC_5343) = coupl(nGC_4748)*dyt_QED3
    coupl(nGC_5113) = (-24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_109)**2d0 -   &
                      24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_84)**2d0 - 24d0*&
                      Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_94)**2d0 - 24d0*Nc*  &
                      cima*coupl(nGC_114)**2d0*coupl(nGC_2)**2d0 - 24d0*Nc*cima&
                      *coupl(nGC_124)**2d0*coupl(nGC_2)**2d0 - 24d0*Nc*cima*   &
                      coupl(nGC_2)**2d0*coupl(nGC_89)**2d0 - 24d0*cima*coupl(  &
                      nGC_104)**2d0*coupl(nGC_4)**2d0 - 24d0*cima*coupl(nGC_119&
                      )**2d0*coupl(nGC_4)**2d0 + 9d0*cima*coupl(nGC_1933)*coupl&
                      (nGC_46)*coupl(nGC_551)**2d0 + 4d0*cima*coupl(nGC_1933)* &
                      coupl(nGC_46)*coupl(nGC_647)**2d0 + 9d0*cima*coupl(      &
                      nGC_2481)*coupl(nGC_3)**2d0*coupl(nGC_47) + 4d0*cima*    &
                      coupl(nGC_2481)*coupl(nGC_4)**2d0*coupl(nGC_47) + 12d0*  &
                      cima*coupl(nGC_31)*coupl(nGC_817) - 24d0*cima*coupl(nGC_4&
                      )**2d0*coupl(nGC_99)**2d0 + 3d0*coupl(nGC_1933)*coupl(   &
                      nGC_46)*coupl(nGC_6) - 3d0*coupl(nGC_1933)*coupl(nGC_46)*&
                      coupl(nGC_817) - 6d0*coupl(nGC_1933)*coupl(nGC_48)*coupl(&
                      nGC_551) - 6d0*coupl(nGC_2481)*coupl(nGC_3)*coupl(nGC_48 &
                      ) + 3d0*coupl(nGC_2481)*coupl(nGC_47)*coupl(nGC_6) - 3d0*&
                      coupl(nGC_2481)*coupl(nGC_47)*coupl(nGC_817) + 18d0*coupl&
                      (nGC_3)**2d0*coupl(nGC_31) - 6d0*coupl(nGC_3)*coupl(     &
                      nGC_47)*coupl(nGC_48) + 18d0*coupl(nGC_31)*coupl(nGC_551 &
                      )**2d0 - 6d0*coupl(nGC_46)*coupl(nGC_48)*coupl(nGC_551   &
                      ))/(96d0*pi**2d0)
    coupl(nGC_5112) = (-24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_106)*coupl(   &
                      nGC_107) - 24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_81)* &
                      coupl(nGC_82) - 24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(    &
                      nGC_91)*coupl(nGC_92) - 24d0*Nc*cima*coupl(nGC_111)*coupl&
                      (nGC_112)*coupl(nGC_2)**2d0 - 24d0*Nc*cima*coupl(nGC_121 &
                      )*coupl(nGC_122)*coupl(nGC_2)**2d0 - 24d0*Nc*cima*coupl( &
                      nGC_2)**2d0*coupl(nGC_86)*coupl(nGC_87) - 24d0*cima*coupl&
                      (nGC_101)*coupl(nGC_102)*coupl(nGC_4)**2d0 - 24d0*cima*  &
                      coupl(nGC_116)*coupl(nGC_117)*coupl(nGC_4)**2d0 + 12d0*  &
                      cima*coupl(nGC_26)*coupl(nGC_817) + 9d0*cima*coupl(nGC_3 &
                      )**2d0*coupl(nGC_32)*coupl(nGC_569) + 4d0*cima*coupl(    &
                      nGC_32)*coupl(nGC_4)**2d0*coupl(nGC_569) + 9d0*cima*coupl&
                      (nGC_32)*coupl(nGC_551)**2d0*coupl(nGC_569) + 4d0*cima*  &
                      coupl(nGC_32)*coupl(nGC_569)*coupl(nGC_647)**2d0 - 24d0* &
                      cima*coupl(nGC_4)**2d0*coupl(nGC_96)*coupl(nGC_97) + 18d0&
                      *coupl(nGC_26)*coupl(nGC_3)**2d0 + 18d0*coupl(nGC_26)*   &
                      coupl(nGC_551)**2d0 - 6d0*coupl(nGC_3)*coupl(nGC_32)*    &
                      coupl(nGC_39) - 6d0*coupl(nGC_3)*coupl(nGC_38)*coupl(    &
                      nGC_569) - 6d0*coupl(nGC_32)*coupl(nGC_38)*coupl(nGC_551 &
                      ) + 6d0*coupl(nGC_32)*coupl(nGC_569)*coupl(nGC_6) - 6d0* &
                      coupl(nGC_32)*coupl(nGC_569)*coupl(nGC_817) - 6d0*coupl( &
                      nGC_39)*coupl(nGC_551)*coupl(nGC_569))/(96d0*pi**2d0)
    coupl(nGC_5111) = (-12d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_33)**2d0 +    &
                      36d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_33)**2d0&
                       - 12d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_33)**2d0 -   &
                      8d0*cima*coupl(nGC_3)**2d0*coupl(nGC_509)**2d0 - 24d0*   &
                      cima*coupl(nGC_3)**2d0*coupl(nGC_551)**2d0 - 12d0*cima*  &
                      coupl(nGC_33)**2d0*coupl(nGC_4)**2d0 - 16d0*cima*coupl(  &
                      nGC_37)**2d0*coupl(nGC_551)**2d0 + 12d0*cima*coupl(      &
                      nGC_443)**2d0 + 12d0*cima*coupl(nGC_5)**2d0 + 3d0*coupl( &
                      nGC_1347)*coupl(nGC_3)**2d0 + 3d0*coupl(nGC_27)*coupl(   &
                      nGC_551)**2d0 + 6d0*coupl(nGC_3)*coupl(nGC_41)*coupl(    &
                      nGC_509) + 36d0*coupl(nGC_3)*coupl(nGC_5)*coupl(nGC_551  &
                      ) + 6d0*coupl(nGC_3)*coupl(nGC_551)*coupl(nGC_817) + 36d0&
                      *coupl(nGC_37)*coupl(nGC_443)*coupl(nGC_551) + 3d0*coupl(&
                      nGC_5)*coupl(nGC_509)**2d0 + 3d0*coupl(nGC_5)*coupl(     &
                      nGC_551)**2d0)/(96d0*pi**2d0)
    coupl(nGC_5110) = (18d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_33)**2d0 - 30d0&
                      *Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_33)**2d0 +  &
                      18d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_33)**2d0 + 6d0* &
                      cima*coupl(nGC_27)*coupl(nGC_817) - 8d0*cima*coupl(nGC_3 &
                      )**2d0*coupl(nGC_509)**2d0 - 16d0*cima*coupl(nGC_3)**2d0*&
                      coupl(nGC_551)**2d0 + 18d0*cima*coupl(nGC_33)**2d0*coupl(&
                      nGC_4)**2d0 - 8d0*cima*coupl(nGC_37)**2d0*coupl(nGC_551  &
                      )**2d0 + 9d0*coupl(nGC_27)*coupl(nGC_3)**2d0 + 9d0*coupl(&
                      nGC_27)*coupl(nGC_551)**2d0 + 3d0*coupl(nGC_3)*coupl(    &
                      nGC_443)*coupl(nGC_509) + 6d0*coupl(nGC_3)*coupl(nGC_5)* &
                      coupl(nGC_551) + 3d0*coupl(nGC_37)*coupl(nGC_443)*coupl( &
                      nGC_551) + 9d0*coupl(nGC_509)**2d0*coupl(nGC_817) + 9d0* &
                      coupl(nGC_551)**2d0*coupl(nGC_817))/(48d0*pi**2d0)
    coupl(nGC_7560) = coupl(nGC_5338) + coupl(nGC_86)*dZcL_QCD2/2d0 + coupl(   &
                      nGC_86)*dZcR_QCD2/2d0
    coupl(nGC_7561) = coupl(nGC_5337) + coupl(nGC_87)*dZcL_QED2/2d0 + coupl(   &
                      nGC_87)*dZcR_QED2/2d0
    coupl(nGC_7562) = coupl(nGC_5339) + coupl(nGC_86)*dZcL_QED2/2d0 + coupl(   &
                      nGC_86)*dZcR_QED2/2d0
    coupl(nGC_5114) = (-24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_108)**2d0 -   &
                      24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_83)**2d0 - 24d0*&
                      Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_93)**2d0 - 24d0*Nc*  &
                      cima*coupl(nGC_113)**2d0*coupl(nGC_2)**2d0 - 24d0*Nc*cima&
                      *coupl(nGC_123)**2d0*coupl(nGC_2)**2d0 - 24d0*Nc*cima*   &
                      coupl(nGC_2)**2d0*coupl(nGC_88)**2d0 - 24d0*cima*coupl(  &
                      nGC_103)**2d0*coupl(nGC_4)**2d0 - 24d0*cima*coupl(nGC_118&
                      )**2d0*coupl(nGC_4)**2d0 + 9d0*cima*coupl(nGC_2531)*coupl&
                      (nGC_3)**2d0*coupl(nGC_35) + 4d0*cima*coupl(nGC_2531)*   &
                      coupl(nGC_35)*coupl(nGC_4)**2d0 + 12d0*cima*coupl(nGC_28 &
                      )*coupl(nGC_817) + 9d0*cima*coupl(nGC_34)*coupl(nGC_427)*&
                      coupl(nGC_551)**2d0 + 4d0*cima*coupl(nGC_34)*coupl(      &
                      nGC_427)*coupl(nGC_647)**2d0 - 24d0*cima*coupl(nGC_4)**  &
                      2d0*coupl(nGC_98)**2d0 - 6d0*coupl(nGC_2531)*coupl(nGC_3 &
                      )*coupl(nGC_40) + 3d0*coupl(nGC_2531)*coupl(nGC_35)*coupl&
                      (nGC_6) - 3d0*coupl(nGC_2531)*coupl(nGC_35)*coupl(nGC_817&
                      ) + 18d0*coupl(nGC_28)*coupl(nGC_3)**2d0 + 18d0*coupl(   &
                      nGC_28)*coupl(nGC_551)**2d0 - 6d0*coupl(nGC_3)*coupl(    &
                      nGC_35)*coupl(nGC_40) - 6d0*coupl(nGC_34)*coupl(nGC_40)* &
                      coupl(nGC_551) + 3d0*coupl(nGC_34)*coupl(nGC_427)*coupl( &
                      nGC_6) - 3d0*coupl(nGC_34)*coupl(nGC_427)*coupl(nGC_817  &
                      ) - 6d0*coupl(nGC_40)*coupl(nGC_427)*coupl(nGC_551))/(   &
                      96d0*pi**2d0)
    coupl(nGC_9132) = coupl(nGC_MHH)*dZHhHl_QED2/2d0 + coupl(nGC_MHL)*         &
                      dZHlHh_QED2/2d0 + coupl(nGC_TS_GC_76_Hl) + coupl(        &
                      nGC_TS_GC_79_Hh)
    coupl(nGC_13331) = coupl(nGC_5236) + 3d0*coupl(nGC_77)*dZHh_QED2/2d0 + 3d0*&
                       coupl(nGC_79)*dZHlHh_QED2/2d0 + coupl(nGC_TS_GC_22_Hl   &
                       ) + coupl(nGC_TS_GC_24_Hh)
    coupl(nGC_10058) = -coupl(nGC_7586)
    coupl(nGC_5053) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_53) + coupl(nGC_110)**  &
                      2d0*coupl(nGC_51) + 4d0*coupl(nGC_33)**2d0*coupl(nGC_509 &
                      ) + 4d0*coupl(nGC_33)**2d0*coupl(nGC_54) + coupl(nGC_50)*&
                      coupl(nGC_81)*coupl(nGC_82) + coupl(nGC_50)*coupl(nGC_83 &
                      )**2d0 + coupl(nGC_50)*coupl(nGC_84)**2d0 + 4d0*coupl(   &
                      nGC_53)**3d0)/(32d0*pi**2d0)
    coupl(nGC_5349) = coupl(nGC_277)*dyt_QED1_QCD2
    coupl(nGC_7597) = coupl(nGC_7163) + coupl(nGC_7595)
    coupl(nGC_13509) = coupl(nGC_13500) + coupl(nGC_5434)
    coupl(nGC_13505) = coupl(nGC_MI)*dZuR_QED2
    coupl(nGC_TS_GC_77_Hh) = -coupl(nGC_77)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_30_Hl) = -coupl(nGC_30)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_30_Hh) = -coupl(nGC_30)*dtHh_QED1/cMHH**2d0
    coupl(nGC_7922) = coupl(nGC_3)*dZWMinus_QED2/2d0 + coupl(nGC_5214)
    coupl(nGC_7923) = -coupl(nGC_7922)
    coupl(nGC_5027) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_93) - coupl(nGC_120)*   &
                      coupl(nGC_123)*coupl(nGC_90) - coupl(nGC_33)*coupl(      &
                      nGC_427)*coupl(nGC_90) - coupl(nGC_421)*coupl(nGC_53)*   &
                      coupl(nGC_92) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl(   &
                      nGC_93) - coupl(nGC_50)*coupl(nGC_57)*coupl(nGC_92) -    &
                      coupl(nGC_92)**2d0*coupl(nGC_93) - coupl(nGC_93)**3d0 -  &
                      coupl(nGC_93)*coupl(nGC_94)**2d0)/(32d0*pi**2d0)
    coupl(nGC_5026) = coupl(nGC_11)**2d0*coupl(nGC_88)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5025) = (-coupl(nGC_105)*coupl(nGC_108)*coupl(nGC_85) + 8d0*coupl&
                      (nGC_2)**2d0*coupl(nGC_88) - coupl(nGC_33)*coupl(nGC_35)*&
                      coupl(nGC_85) - coupl(nGC_421)*coupl(nGC_51)*coupl(nGC_87&
                      ) + 8d0*coupl(nGC_51)*coupl(nGC_54)*coupl(nGC_88) - coupl&
                      (nGC_54)*coupl(nGC_57)*coupl(nGC_87) - coupl(nGC_87)**2d0&
                      *coupl(nGC_88) - coupl(nGC_88)**3d0 - coupl(nGC_88)*coupl&
                      (nGC_89)**2d0)/(32d0*pi**2d0)
    coupl(nGC_5024) = (-coupl(nGC_105)*coupl(nGC_108)*coupl(nGC_85) + 8d0*coupl&
                      (nGC_2)**2d0*coupl(nGC_88) - coupl(nGC_2531)*coupl(nGC_33&
                      )*coupl(nGC_85) - coupl(nGC_421)*coupl(nGC_54)*coupl(    &
                      nGC_86) + 8d0*coupl(nGC_51)*coupl(nGC_54)*coupl(nGC_88   &
                      ) - coupl(nGC_51)*coupl(nGC_57)*coupl(nGC_86) - coupl(   &
                      nGC_86)**2d0*coupl(nGC_88) - coupl(nGC_88)**3d0 - coupl( &
                      nGC_88)*coupl(nGC_89)**2d0)/(32d0*pi**2d0)
    coupl(nGC_5023) = coupl(nGC_11)**2d0*coupl(nGC_83)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5022) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_83) - coupl(nGC_110)*   &
                      coupl(nGC_113)*coupl(nGC_80) - coupl(nGC_33)*coupl(nGC_34&
                      )*coupl(nGC_80) - coupl(nGC_421)*coupl(nGC_50)*coupl(    &
                      nGC_81) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl(nGC_83   &
                      ) - coupl(nGC_53)*coupl(nGC_57)*coupl(nGC_81) - coupl(   &
                      nGC_81)**2d0*coupl(nGC_83) - coupl(nGC_83)**3d0 - coupl( &
                      nGC_83)*coupl(nGC_84)**2d0)/(32d0*pi**2d0)
    coupl(nGC_5021) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_83) - coupl(nGC_110)*   &
                      coupl(nGC_113)*coupl(nGC_80) - coupl(nGC_33)*coupl(      &
                      nGC_427)*coupl(nGC_80) - coupl(nGC_421)*coupl(nGC_53)*   &
                      coupl(nGC_82) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl(   &
                      nGC_83) - coupl(nGC_50)*coupl(nGC_57)*coupl(nGC_82) -    &
                      coupl(nGC_82)**2d0*coupl(nGC_83) - coupl(nGC_83)**3d0 -  &
                      coupl(nGC_83)*coupl(nGC_84)**2d0)/(32d0*pi**2d0)
    coupl(nGC_5020) = (-8d0*Nc*cMB*coupl(nGC_50)**2d0*coupl(nGC_83) + 8d0*Nc*  &
                      cMB*coupl(nGC_50)*coupl(nGC_53)*coupl(nGC_83) - 8d0*Nc*  &
                      cMB*coupl(nGC_53)**2d0*coupl(nGC_83) - 8d0*Nc*cMC*coupl( &
                      nGC_51)**2d0*coupl(nGC_88) + 8d0*Nc*cMC*coupl(nGC_51)*   &
                      coupl(nGC_54)*coupl(nGC_88) - 8d0*Nc*cMC*coupl(nGC_54)** &
                      2d0*coupl(nGC_88) - 8d0*Nc*cMD*coupl(nGC_50)**2d0*coupl( &
                      nGC_93) + 8d0*Nc*cMD*coupl(nGC_50)*coupl(nGC_53)*coupl(  &
                      nGC_93) - 8d0*Nc*cMD*coupl(nGC_53)**2d0*coupl(nGC_93) -  &
                      8d0*Nc*cMS*coupl(nGC_108)*coupl(nGC_50)**2d0 + 8d0*Nc*cMS&
                      *coupl(nGC_108)*coupl(nGC_50)*coupl(nGC_53) - 8d0*Nc*cMS*&
                      coupl(nGC_108)*coupl(nGC_53)**2d0 - 8d0*Nc*cMT*coupl(    &
                      nGC_113)*coupl(nGC_51)**2d0 + 8d0*Nc*cMT*coupl(nGC_113)* &
                      coupl(nGC_51)*coupl(nGC_54) - 8d0*Nc*cMT*coupl(nGC_113)* &
                      coupl(nGC_54)**2d0 - 8d0*Nc*cMU*coupl(nGC_123)*coupl(    &
                      nGC_51)**2d0 + 8d0*Nc*cMU*coupl(nGC_123)*coupl(nGC_51)*  &
                      coupl(nGC_54) - 8d0*Nc*cMU*coupl(nGC_123)*coupl(nGC_54)**&
                      2d0 - 8d0*cME*coupl(nGC_52)**2d0*coupl(nGC_98) + 8d0*cME*&
                      coupl(nGC_52)*coupl(nGC_55)*coupl(nGC_98) - 8d0*cME*coupl&
                      (nGC_55)**2d0*coupl(nGC_98) - 8d0*cMM*coupl(nGC_103)*    &
                      coupl(nGC_52)**2d0 + 8d0*cMM*coupl(nGC_103)*coupl(nGC_52 &
                      )*coupl(nGC_55) - 8d0*cMM*coupl(nGC_103)*coupl(nGC_55)** &
                      2d0 - 8d0*cMTA*coupl(nGC_118)*coupl(nGC_52)**2d0 + 8d0*  &
                      cMTA*coupl(nGC_118)*coupl(nGC_52)*coupl(nGC_55) - 8d0*   &
                      cMTA*coupl(nGC_118)*coupl(nGC_55)**2d0 + 4d0*cima*coupl( &
                      nGC_469)*coupl(nGC_69) - coupl(nGC_2531)*coupl(nGC_37)*  &
                      coupl(nGC_68) - coupl(nGC_34)*coupl(nGC_509)*coupl(nGC_68&
                      ) - coupl(nGC_35)*coupl(nGC_37)*coupl(nGC_68) + 6d0*coupl&
                      (nGC_37)**2d0*coupl(nGC_69) - coupl(nGC_427)*coupl(      &
                      nGC_509)*coupl(nGC_68) + 6d0*coupl(nGC_509)**2d0*coupl(  &
                      nGC_69))/(32d0*pi**2d0)
    coupl(nGC_TS_GC_94_Hh) = -coupl(nGC_94)*dtHh_QED1/cMHH**2d0
    coupl(nGC_7312) = coupl(nGC_29)*dZWMinus_QED2 + coupl(nGC_29)*dZZ_QED2 +   &
                      coupl(nGC_5219)
    coupl(nGC_5029) = coupl(nGC_11)**2d0*coupl(nGC_93)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5028) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_93) - coupl(nGC_120)*   &
                      coupl(nGC_123)*coupl(nGC_90) - coupl(nGC_33)*coupl(nGC_34&
                      )*coupl(nGC_90) - coupl(nGC_421)*coupl(nGC_50)*coupl(    &
                      nGC_91) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl(nGC_93   &
                      ) - coupl(nGC_53)*coupl(nGC_57)*coupl(nGC_91) - coupl(   &
                      nGC_91)**2d0*coupl(nGC_93) - coupl(nGC_93)**3d0 - coupl( &
                      nGC_93)*coupl(nGC_94)**2d0)/(32d0*pi**2d0)
    coupl(nGC_7490) = coupl(nGC_2)*dZtR_QCD2
    coupl(nGC_7492) = coupl(nGC_2)*dZtL_QED2 + coupl(nGC_54)*dZZA_QED2/2d0
    coupl(nGC_9857) = coupl(nGC_5448) + coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0
    coupl(nGC_7494) = coupl(nGC_2)*dZtR_QED2 + coupl(nGC_51)*dZZA_QED2/2d0
    coupl(nGC_7691) = coupl(nGC_7687) + coupl(nGC_7689)
    coupl(nGC_5203) = (-10d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 6d0*cima*coupl(&
                      nGC_589)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_583)*sq2&
                      **2d0 + 18d0*coupl(nGC_10)**2d0*coupl(nGC_589)*sq2**2d0  &
                      )/(192d0*pi**2d0)
    coupl(nGC_5202) = (-10d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 6d0*cima*coupl(&
                      nGC_589)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2 &
                      **2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_587)*sq2**2d0 + &
                      15d0*coupl(nGC_10)**2d0*coupl(nGC_589)*sq2**2d0)/(192d0* &
                      pi**2d0)
    coupl(nGC_5201) = (-20d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*cima*coupl&
                      (nGC_589)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2&
                      **2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_583)*sq2**2d0 + &
                      3d0*coupl(nGC_10)**2d0*coupl(nGC_587)*sq2**2d0 + 33d0*   &
                      coupl(nGC_10)**2d0*coupl(nGC_589)*sq2**2d0)/(384d0*pi**  &
                      2d0)
    coupl(nGC_5200) = (-5d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 3d0*cima*coupl( &
                      nGC_12)**2d0 - 6d0*cima*coupl(nGC_12)*coupl(nGC_587) +   &
                      3d0*cima*coupl(nGC_587)**2d0 + 9d0*coupl(nGC_10)**2d0*   &
                      coupl(nGC_12)*sq2**2d0 - 6d0*coupl(nGC_10)**2d0*coupl(   &
                      nGC_587)*sq2**2d0)/(96d0*pi**2d0)
    coupl(nGC_5207) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 + 3d0*&
                      Nc*coupl(nGC_10)**2d0*coupl(nGC_583) - 9d0*Nc*coupl(     &
                      nGC_10)**2d0*coupl(nGC_589) - 60d0*cima*coupl(nGC_11)**  &
                      4d0*sq2**2d0)/(768d0*pi**2d0)
    coupl(nGC_5206) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 + 9d0*&
                      Nc*coupl(nGC_10)**2d0*coupl(nGC_583) - 3d0*Nc*coupl(     &
                      nGC_10)**2d0*coupl(nGC_589) - 60d0*cima*coupl(nGC_11)**  &
                      4d0*sq2**2d0)/(768d0*pi**2d0)
    coupl(nGC_5205) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*Nc*cima*&
                      coupl(nGC_12)**2d0 + 12d0*Nc*cima*coupl(nGC_587)**2d0 +  &
                      39d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2**2d0 - 3d0* &
                      Nc*coupl(nGC_10)**2d0*coupl(nGC_587)*sq2**2d0 + 36d0*cima&
                      *coupl(nGC_11)**4d0*sq2**4d0)/(768d0*pi**2d0)
    coupl(nGC_5204) = (-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*cima*&
                      coupl(nGC_12)*coupl(nGC_587) + 12d0*Nc*coupl(nGC_10)**2d0&
                      *coupl(nGC_12)*sq2**2d0 - 9d0*Nc*coupl(nGC_10)**2d0*coupl&
                      (nGC_587)*sq2**2d0 + 18d0*cima*coupl(nGC_11)**4d0*sq2**  &
                      4d0)/(384d0*pi**2d0)
    coupl(nGC_5209) = (-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*cima*&
                      coupl(nGC_12)*coupl(nGC_587) + 9d0*Nc*coupl(nGC_10)**2d0*&
                      coupl(nGC_12)*sq2**2d0 - 12d0*Nc*coupl(nGC_10)**2d0*coupl&
                      (nGC_587)*sq2**2d0 + 18d0*cima*coupl(nGC_11)**4d0*sq2**  &
                      4d0)/(384d0*pi**2d0)
    coupl(nGC_5208) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 24d0*Nc*cima*&
                      coupl(nGC_12)*coupl(nGC_587) + 3d0*Nc*coupl(nGC_10)**2d0*&
                      coupl(nGC_12)*sq2**2d0 - 39d0*Nc*coupl(nGC_10)**2d0*coupl&
                      (nGC_587)*sq2**2d0 + 36d0*cima*coupl(nGC_11)**4d0*sq2**  &
                      4d0)/(768d0*pi**2d0)
    coupl(nGC_5256) = coupl(nGC_4637)*dsw_QED2 + coupl(nGC_4638)*dcw_QED2 +    &
                      coupl(nGC_4639)*da_QED2 + coupl(nGC_4640)*dZee_QED2
    coupl(nGC_7991) = coupl(nGC_5326) + coupl(nGC_98)*dZHl_QED2/2d0 + coupl(   &
                      nGC_99)*dZHhHl_QED2/2d0
    coupl(nGC_7143) = coupl(nGC_17)*dZHhHl_QED2/2d0 + coupl(nGC_40)*dZAZ_QED2/ &
                      2d0 + coupl(nGC_5260) + coupl(nGC_9)*dZHl_QED2/2d0 +     &
                      coupl(nGC_9)*dZWMinus_QED2/2d0 + coupl(nGC_9)*dZZ_QED2/  &
                      2d0
    coupl(nGC_10804) = coupl(nGC_MI)*dZnu_tauL_QED2
    coupl(nGC_7992) = coupl(nGC_7990) + coupl(nGC_7991)
    coupl(nGC_7146) = coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_5212)
    coupl(nGC_7147) = -coupl(nGC_7146)
    coupl(nGC_5364) = coupl(nGC_4649)*dsw_QED2 + coupl(nGC_4650)*dcw_QED2 +    &
                      coupl(nGC_4651)*dMZ2_QED2 + coupl(nGC_4652)*dZee_QED2 +  &
                      coupl(nGC_4653)*da_QED2
    coupl(nGC_5365) = coupl(nGC_4654)*dsw_QED2 + coupl(nGC_4655)*dcw_QED2 +    &
                      coupl(nGC_4656)*dMZ2_QED2 + coupl(nGC_4657)*dZee_QED2 +  &
                      coupl(nGC_4658)*da_QED2
    coupl(nGC_5360) = coupl(nGC_4641)*dcw_QED2 + coupl(nGC_4642)*dMW2_QED2 +   &
                      coupl(nGC_4643)*dsw_QED2 + coupl(nGC_4644)*dZee_QED2
    coupl(nGC_5362) = coupl(nGC_4587)*dsw_QED2 + coupl(nGC_4588)*dMW2_QED2 +   &
                      coupl(nGC_4589)*dZee_QED2
    coupl(nGC_4837) = cima*(-4d0*Nc*coupl(nGC_1)**2d0 - 4d0*Nc*coupl(nGC_2)**  &
                      2d0 - coupl(nGC_3)**2d0 - 4d0*coupl(nGC_4)**2d0 - coupl( &
                      nGC_551)**2d0)/(32d0*pi**2d0)
    coupl(nGC_7385) = coupl(nGC_32)*dZWMinus_QED2/2d0 + coupl(nGC_5243)
    coupl(nGC_5276) = coupl(nGC_4625)*dsw_QED2 + coupl(nGC_4626)*dcw_QED2 +    &
                      coupl(nGC_4627)*dZee_QED2
    coupl(nGC_7223) = coupl(nGC_108)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_TS_GC_113_Hl) = -coupl(nGC_113)*dtHl_QED1/cMHL**2d0
    coupl(nGC_8022) = coupl(nGC_106)*dZsL_QED2/2d0 + coupl(nGC_106)*dZsR_QED2/ &
                      2d0 + coupl(nGC_5300)
    coupl(nGC_7225) = coupl(nGC_108)*dZHl_QED2/2d0 + coupl(nGC_109)*dZHhHl_QED2&
                      /2d0 + coupl(nGC_5307)
    coupl(nGC_7224) = coupl(nGC_108)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_TS_GC_114_Hh) = -coupl(nGC_114)*dtHh_QED1/cMHH**2d0
    coupl(nGC_9679) = coupl(nGC_11)*dZdR_QED2
    coupl(nGC_7688) = coupl(nGC_4)*dZmuMinusR_QED2 + coupl(nGC_52)*dZZA_QED2/2d0
    coupl(nGC_7170) = coupl(nGC_7163) + coupl(nGC_7167)
    coupl(nGC_TS_GC_124_Hh) = -coupl(nGC_124)*dtHh_QED1/cMHH**2d0
    coupl(nGC_9254) = coupl(nGC_2)*dZcR_QCD2
    coupl(nGC_4989) = (24d0*Nc*cMB*coupl(nGC_83)**2d0*coupl(nGC_84) + 24d0*Nc* &
                      cMC*coupl(nGC_88)**2d0*coupl(nGC_89) + 24d0*Nc*cMD*coupl(&
                      nGC_93)**2d0*coupl(nGC_94) + 24d0*Nc*cMS*coupl(nGC_108)**&
                      2d0*coupl(nGC_109) + 24d0*Nc*cMT*coupl(nGC_113)**2d0*    &
                      coupl(nGC_114) + 24d0*Nc*cMU*coupl(nGC_123)**2d0*coupl(  &
                      nGC_124) + 24d0*cME*coupl(nGC_98)**2d0*coupl(nGC_99) +   &
                      24d0*cMM*coupl(nGC_103)**2d0*coupl(nGC_104) + 24d0*cMTA* &
                      coupl(nGC_118)**2d0*coupl(nGC_119) + 4d0*cima*coupl(     &
                      nGC_28)*coupl(nGC_70) + 8d0*cima*coupl(nGC_30)*coupl(    &
                      nGC_69) + 2d0*cima*coupl(nGC_65)*coupl(nGC_73) + 4d0*cima&
                      *coupl(nGC_66)*coupl(nGC_72) - coupl(nGC_1691)*coupl(    &
                      nGC_57)*coupl(nGC_72) + coupl(nGC_1691)*coupl(nGC_57)*   &
                      coupl(nGC_75) - coupl(nGC_1933)*coupl(nGC_34)*coupl(     &
                      nGC_69) + coupl(nGC_1933)*coupl(nGC_34)*coupl(nGC_75) -  &
                      coupl(nGC_2481)*coupl(nGC_35)*coupl(nGC_69) + coupl(     &
                      nGC_2481)*coupl(nGC_35)*coupl(nGC_75) - coupl(nGC_2531)* &
                      coupl(nGC_35)*coupl(nGC_70) + coupl(nGC_2531)*coupl(     &
                      nGC_35)*coupl(nGC_74) - coupl(nGC_2531)*coupl(nGC_47)*   &
                      coupl(nGC_69) + coupl(nGC_2531)*coupl(nGC_47)*coupl(     &
                      nGC_75) - coupl(nGC_34)*coupl(nGC_427)*coupl(nGC_70) +   &
                      coupl(nGC_34)*coupl(nGC_427)*coupl(nGC_74) - coupl(      &
                      nGC_421)*coupl(nGC_57)*coupl(nGC_73) + coupl(nGC_421)*   &
                      coupl(nGC_57)*coupl(nGC_74) - coupl(nGC_421)*coupl(nGC_61&
                      )*coupl(nGC_72) + coupl(nGC_421)*coupl(nGC_61)*coupl(    &
                      nGC_75) - coupl(nGC_427)*coupl(nGC_46)*coupl(nGC_69) +   &
                      coupl(nGC_427)*coupl(nGC_46)*coupl(nGC_75))/(32d0*pi**2d0&
                      )
    coupl(nGC_9257) = coupl(nGC_2)*dZcL_QCD2
    coupl(nGC_4987) = 3d0*(8d0*Nc*cMB*coupl(nGC_84)**3d0 + 8d0*Nc*cMC*coupl(   &
                      nGC_89)**3d0 + 8d0*Nc*cMD*coupl(nGC_94)**3d0 + 8d0*Nc*cMS&
                      *coupl(nGC_109)**3d0 + 8d0*Nc*cMT*coupl(nGC_114)**3d0 +  &
                      8d0*Nc*cMU*coupl(nGC_124)**3d0 + 8d0*cME*coupl(nGC_99)** &
                      3d0 + 8d0*cMM*coupl(nGC_104)**3d0 + 8d0*cMTA*coupl(      &
                      nGC_119)**3d0 + 4d0*cima*coupl(nGC_31)*coupl(nGC_70) +   &
                      2d0*cima*coupl(nGC_67)*coupl(nGC_73) - coupl(nGC_1691)*  &
                      coupl(nGC_61)*coupl(nGC_73) + coupl(nGC_1691)*coupl(     &
                      nGC_61)*coupl(nGC_74) - coupl(nGC_1933)*coupl(nGC_46)*   &
                      coupl(nGC_70) + coupl(nGC_1933)*coupl(nGC_46)*coupl(     &
                      nGC_74) - coupl(nGC_2481)*coupl(nGC_47)*coupl(nGC_70) +  &
                      coupl(nGC_2481)*coupl(nGC_47)*coupl(nGC_74))/(32d0*pi**  &
                      2d0)
    coupl(nGC_4986) = coupl(nGC_11)**2d0*coupl(nGC_122)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4985) = (-coupl(nGC_120)*coupl(nGC_33)*coupl(nGC_569) - coupl(   &
                      nGC_120)*coupl(nGC_90)*coupl(nGC_92) - coupl(nGC_121)*   &
                      coupl(nGC_122)**2d0 - coupl(nGC_121)*coupl(nGC_123)**2d0 &
                       - coupl(nGC_121)*coupl(nGC_124)**2d0 + 8d0*coupl(nGC_122&
                      )*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_122)*coupl(nGC_51)*  &
                      coupl(nGC_54) - coupl(nGC_123)*coupl(nGC_421)*coupl(     &
                      nGC_54) - coupl(nGC_123)*coupl(nGC_51)*coupl(nGC_57) -   &
                      coupl(nGC_124)*coupl(nGC_1691)*coupl(nGC_54) - coupl(    &
                      nGC_124)*coupl(nGC_51)*coupl(nGC_61))/(32d0*pi**2d0)
    coupl(nGC_4984) = coupl(nGC_11)**2d0*coupl(nGC_121)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4983) = (-coupl(nGC_120)*coupl(nGC_32)*coupl(nGC_33) - coupl(    &
                      nGC_120)*coupl(nGC_90)*coupl(nGC_91) - coupl(nGC_121)**  &
                      2d0*coupl(nGC_122) + 8d0*coupl(nGC_121)*coupl(nGC_2)**2d0&
                       + 8d0*coupl(nGC_121)*coupl(nGC_51)*coupl(nGC_54) - coupl&
                      (nGC_122)*coupl(nGC_123)**2d0 - coupl(nGC_122)*coupl(    &
                      nGC_124)**2d0 - coupl(nGC_123)*coupl(nGC_421)*coupl(     &
                      nGC_51) - coupl(nGC_123)*coupl(nGC_54)*coupl(nGC_57) -   &
                      coupl(nGC_124)*coupl(nGC_1691)*coupl(nGC_51) - coupl(    &
                      nGC_124)*coupl(nGC_54)*coupl(nGC_61))/(32d0*pi**2d0)
    coupl(nGC_4982) = (coupl(nGC_115)*coupl(nGC_33)*coupl(nGC_569) - coupl(    &
                      nGC_116)*coupl(nGC_117)**2d0 - coupl(nGC_116)*coupl(     &
                      nGC_118)**2d0 - coupl(nGC_116)*coupl(nGC_119)**2d0 + 8d0*&
                      coupl(nGC_117)*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_117)*   &
                      coupl(nGC_52)*coupl(nGC_55) + coupl(nGC_118)*coupl(      &
                      nGC_421)*coupl(nGC_55) + coupl(nGC_118)*coupl(nGC_52)*   &
                      coupl(nGC_57) + coupl(nGC_119)*coupl(nGC_1691)*coupl(    &
                      nGC_55) + coupl(nGC_119)*coupl(nGC_52)*coupl(nGC_61))/(  &
                      32d0*pi**2d0)
    coupl(nGC_4981) = (coupl(nGC_115)*coupl(nGC_32)*coupl(nGC_33) - coupl(     &
                      nGC_116)**2d0*coupl(nGC_117) + 8d0*coupl(nGC_116)*coupl( &
                      nGC_4)**2d0 + 8d0*coupl(nGC_116)*coupl(nGC_52)*coupl(    &
                      nGC_55) - coupl(nGC_117)*coupl(nGC_118)**2d0 - coupl(    &
                      nGC_117)*coupl(nGC_119)**2d0 + coupl(nGC_118)*coupl(     &
                      nGC_421)*coupl(nGC_52) + coupl(nGC_118)*coupl(nGC_55)*   &
                      coupl(nGC_57) + coupl(nGC_119)*coupl(nGC_1691)*coupl(    &
                      nGC_52) + coupl(nGC_119)*coupl(nGC_55)*coupl(nGC_61))/(  &
                      32d0*pi**2d0)
    coupl(nGC_4980) = coupl(nGC_11)**2d0*coupl(nGC_112)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5298) = coupl(nGC_4741)*dys_QED3
    coupl(nGC_5299) = coupl(nGC_4742)*dys_QED1_QCD2
    coupl(nGC_7039) = coupl(nGC_39)*dZA_QED2/2d0 + coupl(nGC_39)*dZWMinus_QED2/&
                      2d0 + coupl(nGC_5239) + coupl(nGC_8)*dZZA_QED2/2d0
    coupl(nGC_9313) = coupl(nGC_5449) + coupl(nGC_MZ_GF)*dZZ_QED2/2d0
    coupl(nGC_7035) = coupl(nGC_33)*dZWMinus_QED2/2d0 + coupl(nGC_33)*         &
                      dZnu_tauL_QED2/2d0 + coupl(nGC_33)*dZtauMinusL_QED2/2d0  &
                       + coupl(nGC_5274)
    coupl(nGC_4865) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_50)*coupl(nGC_53&
                      ))/(8d0*pi**2d0)
    coupl(nGC_7031) = coupl(nGC_33)*dZWMinus_QED2/2d0 + coupl(nGC_33)*         &
                      dZmuMinusL_QED2/2d0 + coupl(nGC_33)*dZnu_muL_QED2/2d0 +  &
                      coupl(nGC_5274)
    coupl(nGC_5096) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_105 &
                      )**2d0 + coupl(nGC_106)*coupl(nGC_107) + coupl(nGC_108)**&
                      2d0 + coupl(nGC_109)**2d0 + 4d0*coupl(nGC_50)**2d0)/(64d0&
                      *pi**2d0)
    coupl(nGC_5097) = coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_10  &
                      ) - coupl(nGC_11))/(64d0*pi**2d0*Nc)
    coupl(nGC_5094) = coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_10   &
                      ) + coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
    coupl(nGC_5095) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_106 &
                      )*coupl(nGC_107) + coupl(nGC_108)**2d0 + coupl(nGC_109)**&
                      2d0 + 4d0*coupl(nGC_33)**2d0 + 4d0*coupl(nGC_53)**2d0 +  &
                      coupl(nGC_85)**2d0)/(64d0*pi**2d0)
    coupl(nGC_5092) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(nGC_106&
                      )*coupl(nGC_107) - coupl(nGC_108)**2d0 - coupl(nGC_109)**&
                      2d0 - 4d0*coupl(nGC_33)**2d0 - 4d0*coupl(nGC_53)**2d0 -  &
                      coupl(nGC_85)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_5093) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(nGC_105&
                      )**2d0 - coupl(nGC_106)*coupl(nGC_107) - coupl(nGC_108)**&
                      2d0 - coupl(nGC_109)**2d0 - 4d0*coupl(nGC_50)**2d0)/(64d0&
                      *pi**2d0*Nc)
    coupl(nGC_5090) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(      &
                      nGC_120)**2d0 - 4d0*coupl(nGC_33)**2d0 - 4d0*coupl(nGC_53&
                      )**2d0 - coupl(nGC_91)*coupl(nGC_92) - coupl(nGC_93)**2d0&
                       - coupl(nGC_94)**2d0)/(64d0*pi**2d0)
    coupl(nGC_5091) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(  &
                      nGC_50)**2d0 - coupl(nGC_90)**2d0 - coupl(nGC_91)*coupl( &
                      nGC_92) - coupl(nGC_93)**2d0 - coupl(nGC_94)**2d0)/(64d0*&
                      pi**2d0)
    coupl(nGC_10143) = coupl(nGC_5321) + coupl(nGC_97)*dZeMinusL_QED2/2d0 +    &
                       coupl(nGC_97)*dZeMinusR_QED2/2d0
    coupl(nGC_10142) = coupl(nGC_5320) + coupl(nGC_96)*dZeMinusL_QED2/2d0 +    &
                       coupl(nGC_96)*dZeMinusR_QED2/2d0
    coupl(nGC_5098) = coupl(nGC_11)*sq2*(-coupl(nGC_111)*coupl(nGC_112) - coupl&
                      (nGC_113)**2d0 - coupl(nGC_114)**2d0 - 4d0*coupl(nGC_2)**&
                      2d0 - 4d0*coupl(nGC_33)**2d0 - 4d0*coupl(nGC_54)**2d0 -  &
                      coupl(nGC_80)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_5099) = coupl(nGC_11)*sq2*(-coupl(nGC_110)**2d0 - coupl(nGC_111)*&
                      coupl(nGC_112) - coupl(nGC_113)**2d0 - coupl(nGC_114)**  &
                      2d0 - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(nGC_51)**2d0)/(  &
                      64d0*pi**2d0*Nc)
    coupl(nGC_7521) = coupl(nGC_44)*dZHlHh_QED2/2d0 + coupl(nGC_49)*dZHh_QED2/ &
                      2d0 + coupl(nGC_5359)
    coupl(nGC_7529) = coupl(nGC_50)*dZZ_QED2/2d0 + coupl(nGC_50)*dZsR_QED2 +   &
                      coupl(nGC_5277)
    coupl(nGC_5006) = (coupl(nGC_100)*coupl(nGC_33)*coupl(nGC_47) - coupl(     &
                      nGC_102)**2d0*coupl(nGC_104) + coupl(nGC_102)*coupl(     &
                      nGC_1691)*coupl(nGC_52) + coupl(nGC_102)*coupl(nGC_55)*  &
                      coupl(nGC_61) - coupl(nGC_103)**2d0*coupl(nGC_104) -     &
                      coupl(nGC_104)**3d0 + 8d0*coupl(nGC_104)*coupl(nGC_4)**  &
                      2d0 + 8d0*coupl(nGC_104)*coupl(nGC_52)*coupl(nGC_55))/(  &
                      32d0*pi**2d0)
    coupl(nGC_4909) = (coupl(nGC_115)**2d0*coupl(nGC_4) + 4d0*coupl(nGC_3)*    &
                      coupl(nGC_33)**2d0 + 4d0*coupl(nGC_33)**2d0*coupl(nGC_4  &
                      ))/(32d0*pi**2d0)
    coupl(nGC_TS_GC_84_Hh) = -coupl(nGC_84)*dtHh_QED1/cMHH**2d0
    coupl(nGC_7915) = coupl(nGC_121)*dZuL_QED2/2d0 + coupl(nGC_121)*dZuR_QED2/ &
                      2d0 + coupl(nGC_5333)
    coupl(nGC_7914) = coupl(nGC_122)*dZuL_QED2/2d0 + coupl(nGC_122)*dZuR_QED2/ &
                      2d0 + coupl(nGC_5335)
    coupl(nGC_4914) = coupl(nGC_4)*(coupl(nGC_116)*coupl(nGC_117) + coupl(     &
                      nGC_118)**2d0 + coupl(nGC_119)**2d0 + 4d0*coupl(nGC_4)** &
                      2d0 + 4d0*coupl(nGC_52)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4915) = (coupl(nGC_116)*coupl(nGC_117)*coupl(nGC_4) + coupl(     &
                      nGC_118)**2d0*coupl(nGC_4) + coupl(nGC_119)**2d0*coupl(  &
                      nGC_4) - 4d0*coupl(nGC_3)*coupl(nGC_33)**2d0 + 4d0*coupl(&
                      nGC_4)**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_55)**2d0)/(32d0*&
                      pi**2d0)
    coupl(nGC_4917) = (coupl(nGC_1)*coupl(nGC_120)**2d0 + coupl(nGC_121)*coupl(&
                      nGC_122)*coupl(nGC_2) + coupl(nGC_123)**2d0*coupl(nGC_2  &
                      ) + coupl(nGC_124)**2d0*coupl(nGC_2) + 4d0*coupl(nGC_2)**&
                      3d0 + 4d0*coupl(nGC_2)*coupl(nGC_51)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4910) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_106)*    &
                      coupl(nGC_107) + coupl(nGC_1)*coupl(nGC_108)**2d0 + coupl&
                      (nGC_1)*coupl(nGC_109)**2d0 + 4d0*coupl(nGC_1)*coupl(    &
                      nGC_53)**2d0 + 4d0*coupl(nGC_2)*coupl(nGC_33)**2d0 +     &
                      coupl(nGC_2)*coupl(nGC_85)**2d0 + 4d0*coupl(nGC_33)**2d0*&
                      coupl(nGC_551))/(32d0*pi**2d0)
    coupl(nGC_4911) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_106)*    &
                      coupl(nGC_107) + coupl(nGC_1)*coupl(nGC_108)**2d0 + coupl&
                      (nGC_1)*coupl(nGC_109)**2d0 + 4d0*coupl(nGC_1)*coupl(    &
                      nGC_50)**2d0 + coupl(nGC_105)**2d0*coupl(nGC_2))/(32d0*pi&
                      **2d0)
    coupl(nGC_4912) = (4d0*coupl(nGC_1)*coupl(nGC_33)**2d0 + coupl(nGC_1)*coupl&
                      (nGC_80)**2d0 + coupl(nGC_111)*coupl(nGC_112)*coupl(nGC_2&
                      ) + coupl(nGC_113)**2d0*coupl(nGC_2) + coupl(nGC_114)**  &
                      2d0*coupl(nGC_2) + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(    &
                      nGC_2)*coupl(nGC_54)**2d0 + 4d0*coupl(nGC_3)*coupl(nGC_33&
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_4913) = (coupl(nGC_1)*coupl(nGC_110)**2d0 + coupl(nGC_111)*coupl(&
                      nGC_112)*coupl(nGC_2) + coupl(nGC_113)**2d0*coupl(nGC_2  &
                      ) + coupl(nGC_114)**2d0*coupl(nGC_2) + 4d0*coupl(nGC_2)**&
                      3d0 + 4d0*coupl(nGC_2)*coupl(nGC_51)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4918) = (4d0*Nc*cMB*coupl(nGC_110)**2d0*coupl(nGC_84) + 4d0*Nc*  &
                      cMB*coupl(nGC_110)*coupl(nGC_114)*coupl(nGC_80) + 4d0*Nc*&
                      cMB*coupl(nGC_80)**2d0*coupl(nGC_84) + 4d0*Nc*cMC*coupl( &
                      nGC_105)**2d0*coupl(nGC_89) + 4d0*Nc*cMC*coupl(nGC_105)* &
                      coupl(nGC_109)*coupl(nGC_85) + 4d0*Nc*cMC*coupl(nGC_85)**&
                      2d0*coupl(nGC_89) + 4d0*Nc*cMD*coupl(nGC_120)**2d0*coupl(&
                      nGC_94) + 4d0*Nc*cMD*coupl(nGC_120)*coupl(nGC_124)*coupl(&
                      nGC_90) + 4d0*Nc*cMD*coupl(nGC_90)**2d0*coupl(nGC_94) +  &
                      4d0*Nc*cMS*coupl(nGC_105)**2d0*coupl(nGC_109) + 4d0*Nc*  &
                      cMS*coupl(nGC_105)*coupl(nGC_85)*coupl(nGC_89) + 4d0*Nc* &
                      cMS*coupl(nGC_109)*coupl(nGC_85)**2d0 + 4d0*Nc*cMT*coupl(&
                      nGC_110)**2d0*coupl(nGC_114) + 4d0*Nc*cMT*coupl(nGC_110)*&
                      coupl(nGC_80)*coupl(nGC_84) + 4d0*Nc*cMT*coupl(nGC_114)* &
                      coupl(nGC_80)**2d0 + 4d0*Nc*cMU*coupl(nGC_120)**2d0*coupl&
                      (nGC_124) + 4d0*Nc*cMU*coupl(nGC_120)*coupl(nGC_90)*coupl&
                      (nGC_94) + 4d0*Nc*cMU*coupl(nGC_124)*coupl(nGC_90)**2d0  &
                       + 4d0*cME*coupl(nGC_95)**2d0*coupl(nGC_99) + 4d0*cMM*   &
                      coupl(nGC_100)**2d0*coupl(nGC_104) + 4d0*cMTA*coupl(     &
                      nGC_115)**2d0*coupl(nGC_119) + 8d0*cima*coupl(nGC_17)*   &
                      coupl(nGC_68) + 4d0*cima*coupl(nGC_26)*coupl(nGC_70) +   &
                      8d0*cima*coupl(nGC_48)*coupl(nGC_71) + 2d0*cima*coupl(   &
                      nGC_63)*coupl(nGC_73) - coupl(nGC_1691)*coupl(nGC_32)*   &
                      coupl(nGC_68) + coupl(nGC_1933)*coupl(nGC_2481)*coupl(   &
                      nGC_74) - coupl(nGC_1933)*coupl(nGC_46)*coupl(nGC_70) +  &
                      coupl(nGC_2481)*coupl(nGC_35)*coupl(nGC_79) + coupl(     &
                      nGC_2481)*coupl(nGC_427)*coupl(nGC_75) + coupl(nGC_2481)*&
                      coupl(nGC_47)*coupl(nGC_77) - coupl(nGC_2481)*coupl(     &
                      nGC_477)*coupl(nGC_68) - coupl(nGC_2481)*coupl(nGC_647)* &
                      coupl(nGC_71) + coupl(nGC_2531)*coupl(nGC_35)*coupl(     &
                      nGC_76) + coupl(nGC_2531)*coupl(nGC_47)*coupl(nGC_79) -  &
                      coupl(nGC_32)*coupl(nGC_569)*coupl(nGC_70) + coupl(nGC_32&
                      )*coupl(nGC_569)*coupl(nGC_74) - coupl(nGC_34)*coupl(    &
                      nGC_427)*coupl(nGC_70) + coupl(nGC_34)*coupl(nGC_47)*    &
                      coupl(nGC_75) + coupl(nGC_46)*coupl(nGC_47)*coupl(nGC_74 &
                      ) - coupl(nGC_47)*coupl(nGC_477)*coupl(nGC_68) - coupl(  &
                      nGC_47)*coupl(nGC_647)*coupl(nGC_71) + coupl(nGC_477)**  &
                      2d0*coupl(nGC_74) - coupl(nGC_55)**2d0*coupl(nGC_73) -   &
                      coupl(nGC_569)*coupl(nGC_61)*coupl(nGC_68) + coupl(      &
                      nGC_647)**2d0*coupl(nGC_74))/(32d0*pi**2d0)
    coupl(nGC_4919) = (4d0*Nc*cMB*coupl(nGC_110)**2d0*coupl(nGC_83) + 4d0*Nc*  &
                      cMB*coupl(nGC_110)*coupl(nGC_113)*coupl(nGC_80) + 4d0*Nc*&
                      cMB*coupl(nGC_80)**2d0*coupl(nGC_83) + 4d0*Nc*cMC*coupl( &
                      nGC_105)**2d0*coupl(nGC_88) + 4d0*Nc*cMC*coupl(nGC_105)* &
                      coupl(nGC_108)*coupl(nGC_85) + 4d0*Nc*cMC*coupl(nGC_85)**&
                      2d0*coupl(nGC_88) + 4d0*Nc*cMD*coupl(nGC_120)**2d0*coupl(&
                      nGC_93) + 4d0*Nc*cMD*coupl(nGC_120)*coupl(nGC_123)*coupl(&
                      nGC_90) + 4d0*Nc*cMD*coupl(nGC_90)**2d0*coupl(nGC_93) +  &
                      4d0*Nc*cMS*coupl(nGC_105)**2d0*coupl(nGC_108) + 4d0*Nc*  &
                      cMS*coupl(nGC_105)*coupl(nGC_85)*coupl(nGC_88) + 4d0*Nc* &
                      cMS*coupl(nGC_108)*coupl(nGC_85)**2d0 + 4d0*Nc*cMT*coupl(&
                      nGC_110)**2d0*coupl(nGC_113) + 4d0*Nc*cMT*coupl(nGC_110)*&
                      coupl(nGC_80)*coupl(nGC_83) + 4d0*Nc*cMT*coupl(nGC_113)* &
                      coupl(nGC_80)**2d0 + 4d0*Nc*cMU*coupl(nGC_120)**2d0*coupl&
                      (nGC_123) + 4d0*Nc*cMU*coupl(nGC_120)*coupl(nGC_90)*coupl&
                      (nGC_93) + 4d0*Nc*cMU*coupl(nGC_123)*coupl(nGC_90)**2d0  &
                       + 4d0*cME*coupl(nGC_95)**2d0*coupl(nGC_98) + 4d0*cMM*   &
                      coupl(nGC_100)**2d0*coupl(nGC_103) + 4d0*cMTA*coupl(     &
                      nGC_115)**2d0*coupl(nGC_118) + 4d0*cima*coupl(nGC_26)*   &
                      coupl(nGC_69) + 8d0*cima*coupl(nGC_40)*coupl(nGC_71) +   &
                      2d0*cima*coupl(nGC_63)*coupl(nGC_72) + 8d0*cima*coupl(   &
                      nGC_68)*coupl(nGC_9) + coupl(nGC_1933)*coupl(nGC_2531)*  &
                      coupl(nGC_74) - coupl(nGC_1933)*coupl(nGC_46)*coupl(     &
                      nGC_69) + coupl(nGC_2481)*coupl(nGC_35)*coupl(nGC_76) +  &
                      coupl(nGC_2481)*coupl(nGC_47)*coupl(nGC_79) + coupl(     &
                      nGC_2531)*coupl(nGC_35)*coupl(nGC_78) + coupl(nGC_2531)* &
                      coupl(nGC_427)*coupl(nGC_75) + coupl(nGC_2531)*coupl(    &
                      nGC_47)*coupl(nGC_76) - coupl(nGC_2531)*coupl(nGC_477)*  &
                      coupl(nGC_68) - coupl(nGC_2531)*coupl(nGC_647)*coupl(    &
                      nGC_71) - coupl(nGC_32)*coupl(nGC_421)*coupl(nGC_68) -   &
                      coupl(nGC_32)*coupl(nGC_569)*coupl(nGC_69) + coupl(nGC_32&
                      )*coupl(nGC_569)*coupl(nGC_75) + coupl(nGC_34)*coupl(    &
                      nGC_35)*coupl(nGC_75) - coupl(nGC_34)*coupl(nGC_427)*    &
                      coupl(nGC_69) + coupl(nGC_35)*coupl(nGC_46)*coupl(nGC_74 &
                      ) - coupl(nGC_35)*coupl(nGC_477)*coupl(nGC_68) - coupl(  &
                      nGC_35)*coupl(nGC_647)*coupl(nGC_71) + coupl(nGC_477)**  &
                      2d0*coupl(nGC_75) - coupl(nGC_55)**2d0*coupl(nGC_72) -   &
                      coupl(nGC_569)*coupl(nGC_57)*coupl(nGC_68) + coupl(      &
                      nGC_647)**2d0*coupl(nGC_75))/(32d0*pi**2d0)
    coupl(nGC_5273) = coupl(nGC_259)*dZgs_QCD2
    coupl(nGC_5267) = coupl(nGC_4672)*dsw_QED2 + coupl(nGC_4673)*dcw_QED2 +    &
                      coupl(nGC_4674)*da_QED2 + coupl(nGC_4675)*dZee_QED2
    coupl(nGC_7299) = coupl(nGC_1)*dZdL_QCD2
    coupl(nGC_9872) = coupl(nGC_5445) + coupl(nGC_MZ)*dZZ_QED2 + coupl(        &
                      nGC_TS_GC_72_Hl) + coupl(nGC_TS_GC_73_Hh)
    coupl(nGC_8377) = coupl(nGC_TS_GC_34_Hl) + coupl(nGC_TS_GC_46_Hh)
    coupl(nGC_8378) = coupl(nGC_5447) + coupl(nGC_MW_GF)*dZWMinus_QED2/2d0
    coupl(nGC_7308) = coupl(nGC_38)*dZA_QED2/2d0 + coupl(nGC_38)*dZWMinus_QED2/&
                      2d0 + coupl(nGC_5246) + coupl(nGC_7)*dZZA_QED2/2d0
    coupl(nGC_7290) = coupl(nGC_5305) + coupl(nGC_93)*dZHl_QED2/2d0 + coupl(   &
                      nGC_94)*dZHhHl_QED2/2d0
    coupl(nGC_7291) = coupl(nGC_7284) + coupl(nGC_7290)
    coupl(nGC_7296) = coupl(nGC_1)*dZdR_QCD2
    coupl(nGC_5144) = (20d0*Nc*cima*coupl(nGC_105)*coupl(nGC_106)*coupl(nGC_33 &
                      )*coupl(nGC_50) - 16d0*Nc*cima*coupl(nGC_105)*coupl(     &
                      nGC_106)*coupl(nGC_33)*coupl(nGC_53) - 16d0*Nc*cima*coupl&
                      (nGC_105)*coupl(nGC_106)*coupl(nGC_33)*coupl(nGC_54) +   &
                      20d0*Nc*cima*coupl(nGC_110)*coupl(nGC_111)*coupl(nGC_33)*&
                      coupl(nGC_51) - 16d0*Nc*cima*coupl(nGC_110)*coupl(nGC_111&
                      )*coupl(nGC_33)*coupl(nGC_53) - 16d0*Nc*cima*coupl(      &
                      nGC_110)*coupl(nGC_111)*coupl(nGC_33)*coupl(nGC_54) +    &
                      20d0*Nc*cima*coupl(nGC_120)*coupl(nGC_121)*coupl(nGC_33)*&
                      coupl(nGC_51) - 16d0*Nc*cima*coupl(nGC_120)*coupl(nGC_121&
                      )*coupl(nGC_33)*coupl(nGC_53) - 16d0*Nc*cima*coupl(      &
                      nGC_120)*coupl(nGC_121)*coupl(nGC_33)*coupl(nGC_54) +    &
                      20d0*Nc*cima*coupl(nGC_33)*coupl(nGC_50)*coupl(nGC_80)*  &
                      coupl(nGC_81) + 20d0*Nc*cima*coupl(nGC_33)*coupl(nGC_50)*&
                      coupl(nGC_90)*coupl(nGC_91) + 20d0*Nc*cima*coupl(nGC_33)*&
                      coupl(nGC_51)*coupl(nGC_85)*coupl(nGC_86) - 16d0*Nc*cima*&
                      coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_80)*coupl(nGC_81   &
                      ) - 16d0*Nc*cima*coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_85&
                      )*coupl(nGC_86) - 16d0*Nc*cima*coupl(nGC_33)*coupl(nGC_53&
                      )*coupl(nGC_90)*coupl(nGC_91) - 16d0*Nc*cima*coupl(nGC_33&
                      )*coupl(nGC_54)*coupl(nGC_80)*coupl(nGC_81) - 16d0*Nc*   &
                      cima*coupl(nGC_33)*coupl(nGC_54)*coupl(nGC_85)*coupl(    &
                      nGC_86) - 16d0*Nc*cima*coupl(nGC_33)*coupl(nGC_54)*coupl(&
                      nGC_90)*coupl(nGC_91) + 20d0*cima*coupl(nGC_100)*coupl(  &
                      nGC_101)*coupl(nGC_33)*coupl(nGC_52) - 16d0*cima*coupl(  &
                      nGC_100)*coupl(nGC_101)*coupl(nGC_33)*coupl(nGC_55) -    &
                      16d0*cima*coupl(nGC_100)*coupl(nGC_101)*coupl(nGC_33)*   &
                      coupl(nGC_56) + 20d0*cima*coupl(nGC_115)*coupl(nGC_116)* &
                      coupl(nGC_33)*coupl(nGC_52) - 16d0*cima*coupl(nGC_115)*  &
                      coupl(nGC_116)*coupl(nGC_33)*coupl(nGC_55) - 16d0*cima*  &
                      coupl(nGC_115)*coupl(nGC_116)*coupl(nGC_33)*coupl(nGC_56 &
                      ) + 4d0*cima*coupl(nGC_1691)*coupl(nGC_2481)*coupl(nGC_32&
                      )**2d0 + 9d0*cima*coupl(nGC_1691)*coupl(nGC_37)*coupl(   &
                      nGC_46)*coupl(nGC_509) + 4d0*cima*coupl(nGC_2481)**2d0*  &
                      coupl(nGC_32)*coupl(nGC_477) + 4d0*cima*coupl(nGC_2481)* &
                      coupl(nGC_32)**2d0*coupl(nGC_61) + 4d0*cima*coupl(       &
                      nGC_2531)**2d0*coupl(nGC_32)*coupl(nGC_477) + 4d0*cima*  &
                      coupl(nGC_2531)*coupl(nGC_32)**2d0*coupl(nGC_421) + 4d0* &
                      cima*coupl(nGC_2531)*coupl(nGC_32)**2d0*coupl(nGC_57) +  &
                      24d0*cima*coupl(nGC_29)*coupl(nGC_7) + 9d0*cima*coupl(   &
                      nGC_3)*coupl(nGC_4)*coupl(nGC_509)*coupl(nGC_569) + 4d0* &
                      cima*coupl(nGC_32)**3d0*coupl(nGC_477) + 20d0*cima*coupl(&
                      nGC_33)*coupl(nGC_52)*coupl(nGC_95)*coupl(nGC_96) - 16d0*&
                      cima*coupl(nGC_33)*coupl(nGC_55)*coupl(nGC_95)*coupl(    &
                      nGC_96) - 16d0*cima*coupl(nGC_33)*coupl(nGC_56)*coupl(   &
                      nGC_95)*coupl(nGC_96) + 9d0*cima*coupl(nGC_34)*coupl(    &
                      nGC_37)*coupl(nGC_421)*coupl(nGC_509) + 4d0*cima*coupl(  &
                      nGC_34)*coupl(nGC_477)*coupl(nGC_55)*coupl(nGC_57) + 9d0*&
                      cima*coupl(nGC_37)*coupl(nGC_509)*coupl(nGC_55)*coupl(   &
                      nGC_569) + 24d0*cima*coupl(nGC_38)*coupl(nGC_443) + 4d0* &
                      cima*coupl(nGC_46)*coupl(nGC_477)*coupl(nGC_55)*coupl(   &
                      nGC_61) + 4d0*cima*coupl(nGC_477)*coupl(nGC_569)*coupl(  &
                      nGC_57)**2d0 + 4d0*cima*coupl(nGC_477)*coupl(nGC_569)*   &
                      coupl(nGC_61)**2d0 - 6d0*coupl(nGC_1691)*coupl(nGC_17)*  &
                      coupl(nGC_509) - 6d0*coupl(nGC_1691)*coupl(nGC_29)*coupl(&
                      nGC_46) + 6d0*coupl(nGC_17)*coupl(nGC_2481)*coupl(nGC_32 &
                      ) + 6d0*coupl(nGC_17)*coupl(nGC_477)*coupl(nGC_61) + 6d0*&
                      coupl(nGC_2531)*coupl(nGC_32)*coupl(nGC_9) - 6d0*coupl(  &
                      nGC_26)*coupl(nGC_37)*coupl(nGC_569) - 6d0*coupl(nGC_26)*&
                      coupl(nGC_509)*coupl(nGC_569) - 6d0*coupl(nGC_29)*coupl( &
                      nGC_34)*coupl(nGC_421) - 6d0*coupl(nGC_29)*coupl(nGC_55)*&
                      coupl(nGC_569) - 6d0*coupl(nGC_3)*coupl(nGC_4)*coupl(    &
                      nGC_7) - 6d0*coupl(nGC_3)*coupl(nGC_569)*coupl(nGC_58) + &
                      6d0*coupl(nGC_32)**2d0*coupl(nGC_7) + 36d0*coupl(nGC_37)*&
                      coupl(nGC_38)*coupl(nGC_551) + 36d0*coupl(nGC_37)*coupl( &
                      nGC_509)*coupl(nGC_7) - 6d0*coupl(nGC_37)*coupl(nGC_55)* &
                      coupl(nGC_7) - 6d0*coupl(nGC_37)*coupl(nGC_569)*coupl(   &
                      nGC_63) - 6d0*coupl(nGC_4)*coupl(nGC_443)*coupl(nGC_569  &
                      ) - 6d0*coupl(nGC_421)*coupl(nGC_509)*coupl(nGC_9) + 6d0*&
                      coupl(nGC_477)*coupl(nGC_57)*coupl(nGC_9) - 6d0*coupl(   &
                      nGC_509)*coupl(nGC_569)*coupl(nGC_64))/(192d0*pi**2d0)
    coupl(nGC_5145) = (20d0*Nc*cima*coupl(nGC_105)*coupl(nGC_109)*coupl(nGC_33 &
                      )*coupl(nGC_50) - 16d0*Nc*cima*coupl(nGC_105)*coupl(     &
                      nGC_109)*coupl(nGC_33)*coupl(nGC_53) - 16d0*Nc*cima*coupl&
                      (nGC_105)*coupl(nGC_109)*coupl(nGC_33)*coupl(nGC_54) +   &
                      20d0*Nc*cima*coupl(nGC_110)*coupl(nGC_114)*coupl(nGC_33)*&
                      coupl(nGC_51) - 16d0*Nc*cima*coupl(nGC_110)*coupl(nGC_114&
                      )*coupl(nGC_33)*coupl(nGC_53) - 16d0*Nc*cima*coupl(      &
                      nGC_110)*coupl(nGC_114)*coupl(nGC_33)*coupl(nGC_54) +    &
                      20d0*Nc*cima*coupl(nGC_120)*coupl(nGC_124)*coupl(nGC_33)*&
                      coupl(nGC_51) - 16d0*Nc*cima*coupl(nGC_120)*coupl(nGC_124&
                      )*coupl(nGC_33)*coupl(nGC_53) - 16d0*Nc*cima*coupl(      &
                      nGC_120)*coupl(nGC_124)*coupl(nGC_33)*coupl(nGC_54) +    &
                      20d0*Nc*cima*coupl(nGC_33)*coupl(nGC_50)*coupl(nGC_80)*  &
                      coupl(nGC_84) + 20d0*Nc*cima*coupl(nGC_33)*coupl(nGC_50)*&
                      coupl(nGC_90)*coupl(nGC_94) + 20d0*Nc*cima*coupl(nGC_33)*&
                      coupl(nGC_51)*coupl(nGC_85)*coupl(nGC_89) - 16d0*Nc*cima*&
                      coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_80)*coupl(nGC_84   &
                      ) - 16d0*Nc*cima*coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_85&
                      )*coupl(nGC_89) - 16d0*Nc*cima*coupl(nGC_33)*coupl(nGC_53&
                      )*coupl(nGC_90)*coupl(nGC_94) - 16d0*Nc*cima*coupl(nGC_33&
                      )*coupl(nGC_54)*coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*   &
                      cima*coupl(nGC_33)*coupl(nGC_54)*coupl(nGC_85)*coupl(    &
                      nGC_89) - 16d0*Nc*cima*coupl(nGC_33)*coupl(nGC_54)*coupl(&
                      nGC_90)*coupl(nGC_94) + 20d0*cima*coupl(nGC_100)*coupl(  &
                      nGC_104)*coupl(nGC_33)*coupl(nGC_52) - 16d0*cima*coupl(  &
                      nGC_100)*coupl(nGC_104)*coupl(nGC_33)*coupl(nGC_55) -    &
                      16d0*cima*coupl(nGC_100)*coupl(nGC_104)*coupl(nGC_33)*   &
                      coupl(nGC_56) + 20d0*cima*coupl(nGC_115)*coupl(nGC_119)* &
                      coupl(nGC_33)*coupl(nGC_52) - 16d0*cima*coupl(nGC_115)*  &
                      coupl(nGC_119)*coupl(nGC_33)*coupl(nGC_55) - 16d0*cima*  &
                      coupl(nGC_115)*coupl(nGC_119)*coupl(nGC_33)*coupl(nGC_56 &
                      ) + 4d0*cima*coupl(nGC_1691)**2d0*coupl(nGC_46)*coupl(   &
                      nGC_477) + 4d0*cima*coupl(nGC_1691)*coupl(nGC_1933)*coupl&
                      (nGC_2481)*coupl(nGC_32) + 4d0*cima*coupl(nGC_1691)*coupl&
                      (nGC_34)*coupl(nGC_421)*coupl(nGC_477) + 4d0*cima*coupl( &
                      nGC_1691)*coupl(nGC_477)*coupl(nGC_55)*coupl(nGC_569) +  &
                      24d0*cima*coupl(nGC_17)*coupl(nGC_29) + 4d0*cima*coupl(  &
                      nGC_1933)*coupl(nGC_2481)**2d0*coupl(nGC_477) + 4d0*cima*&
                      coupl(nGC_1933)*coupl(nGC_2481)*coupl(nGC_32)*coupl(     &
                      nGC_61) + 4d0*cima*coupl(nGC_1933)*coupl(nGC_2531)**2d0* &
                      coupl(nGC_477) + 4d0*cima*coupl(nGC_1933)*coupl(nGC_2531 &
                      )*coupl(nGC_32)*coupl(nGC_421) + 4d0*cima*coupl(nGC_1933 &
                      )*coupl(nGC_2531)*coupl(nGC_32)*coupl(nGC_57) + 4d0*cima*&
                      coupl(nGC_1933)*coupl(nGC_32)**2d0*coupl(nGC_477) + 9d0* &
                      cima*coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_46)*coupl(      &
                      nGC_509) + 20d0*cima*coupl(nGC_33)*coupl(nGC_52)*coupl(  &
                      nGC_95)*coupl(nGC_99) - 16d0*cima*coupl(nGC_33)*coupl(   &
                      nGC_55)*coupl(nGC_95)*coupl(nGC_99) - 16d0*cima*coupl(   &
                      nGC_33)*coupl(nGC_56)*coupl(nGC_95)*coupl(nGC_99) + 9d0* &
                      cima*coupl(nGC_37)*coupl(nGC_46)*coupl(nGC_509)*coupl(   &
                      nGC_55) + 9d0*cima*coupl(nGC_37)*coupl(nGC_509)*coupl(   &
                      nGC_569)*coupl(nGC_61) + 24d0*cima*coupl(nGC_443)*coupl( &
                      nGC_48) + 6d0*coupl(nGC_1691)*coupl(nGC_477)*coupl(nGC_7 &
                      ) + 6d0*coupl(nGC_17)*coupl(nGC_1933)*coupl(nGC_2481) -  &
                      6d0*coupl(nGC_17)*coupl(nGC_3)*coupl(nGC_4) + 36d0*coupl(&
                      nGC_17)*coupl(nGC_37)*coupl(nGC_509) - 6d0*coupl(nGC_17)*&
                      coupl(nGC_37)*coupl(nGC_55) + 6d0*coupl(nGC_1933)*coupl( &
                      nGC_2531)*coupl(nGC_9) + 6d0*coupl(nGC_1933)*coupl(nGC_32&
                      )*coupl(nGC_7) - 6d0*coupl(nGC_26)*coupl(nGC_46)*coupl(  &
                      nGC_509) - 6d0*coupl(nGC_29)*coupl(nGC_46)*coupl(nGC_55  &
                      ) - 6d0*coupl(nGC_29)*coupl(nGC_569)*coupl(nGC_61) - 6d0*&
                      coupl(nGC_3)*coupl(nGC_46)*coupl(nGC_58) - 6d0*coupl(    &
                      nGC_30)*coupl(nGC_34)*coupl(nGC_37) - 6d0*coupl(nGC_31)* &
                      coupl(nGC_37)*coupl(nGC_46) - 6d0*coupl(nGC_34)*coupl(   &
                      nGC_509)*coupl(nGC_66) - 6d0*coupl(nGC_37)*coupl(nGC_46)*&
                      coupl(nGC_63) + 36d0*coupl(nGC_37)*coupl(nGC_48)*coupl(  &
                      nGC_551) - 6d0*coupl(nGC_4)*coupl(nGC_443)*coupl(nGC_46  &
                      ) - 6d0*coupl(nGC_46)*coupl(nGC_509)*coupl(nGC_67) - 6d0*&
                      coupl(nGC_509)*coupl(nGC_61)*coupl(nGC_7))/(192d0*pi**2d0&
                      )
    coupl(nGC_5146) = (20d0*Nc*cima*coupl(nGC_105)*coupl(nGC_108)*coupl(nGC_33 &
                      )*coupl(nGC_50) - 16d0*Nc*cima*coupl(nGC_105)*coupl(     &
                      nGC_108)*coupl(nGC_33)*coupl(nGC_53) - 16d0*Nc*cima*coupl&
                      (nGC_105)*coupl(nGC_108)*coupl(nGC_33)*coupl(nGC_54) +   &
                      20d0*Nc*cima*coupl(nGC_110)*coupl(nGC_113)*coupl(nGC_33)*&
                      coupl(nGC_51) - 16d0*Nc*cima*coupl(nGC_110)*coupl(nGC_113&
                      )*coupl(nGC_33)*coupl(nGC_53) - 16d0*Nc*cima*coupl(      &
                      nGC_110)*coupl(nGC_113)*coupl(nGC_33)*coupl(nGC_54) +    &
                      20d0*Nc*cima*coupl(nGC_120)*coupl(nGC_123)*coupl(nGC_33)*&
                      coupl(nGC_51) - 16d0*Nc*cima*coupl(nGC_120)*coupl(nGC_123&
                      )*coupl(nGC_33)*coupl(nGC_53) - 16d0*Nc*cima*coupl(      &
                      nGC_120)*coupl(nGC_123)*coupl(nGC_33)*coupl(nGC_54) +    &
                      20d0*Nc*cima*coupl(nGC_33)*coupl(nGC_50)*coupl(nGC_80)*  &
                      coupl(nGC_83) + 20d0*Nc*cima*coupl(nGC_33)*coupl(nGC_50)*&
                      coupl(nGC_90)*coupl(nGC_93) + 20d0*Nc*cima*coupl(nGC_33)*&
                      coupl(nGC_51)*coupl(nGC_85)*coupl(nGC_88) - 16d0*Nc*cima*&
                      coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_80)*coupl(nGC_83   &
                      ) - 16d0*Nc*cima*coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_85&
                      )*coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_33)*coupl(nGC_53&
                      )*coupl(nGC_90)*coupl(nGC_93) - 16d0*Nc*cima*coupl(nGC_33&
                      )*coupl(nGC_54)*coupl(nGC_80)*coupl(nGC_83) - 16d0*Nc*   &
                      cima*coupl(nGC_33)*coupl(nGC_54)*coupl(nGC_85)*coupl(    &
                      nGC_88) - 16d0*Nc*cima*coupl(nGC_33)*coupl(nGC_54)*coupl(&
                      nGC_90)*coupl(nGC_93) + 20d0*cima*coupl(nGC_100)*coupl(  &
                      nGC_103)*coupl(nGC_33)*coupl(nGC_52) - 16d0*cima*coupl(  &
                      nGC_100)*coupl(nGC_103)*coupl(nGC_33)*coupl(nGC_55) -    &
                      16d0*cima*coupl(nGC_100)*coupl(nGC_103)*coupl(nGC_33)*   &
                      coupl(nGC_56) + 20d0*cima*coupl(nGC_115)*coupl(nGC_118)* &
                      coupl(nGC_33)*coupl(nGC_52) - 16d0*cima*coupl(nGC_115)*  &
                      coupl(nGC_118)*coupl(nGC_33)*coupl(nGC_55) - 16d0*cima*  &
                      coupl(nGC_115)*coupl(nGC_118)*coupl(nGC_33)*coupl(nGC_56 &
                      ) + 4d0*cima*coupl(nGC_1691)*coupl(nGC_2481)*coupl(nGC_32&
                      )*coupl(nGC_427) + 4d0*cima*coupl(nGC_1691)*coupl(nGC_421&
                      )*coupl(nGC_46)*coupl(nGC_477) + 4d0*cima*coupl(nGC_2481 &
                      )**2d0*coupl(nGC_427)*coupl(nGC_477) + 4d0*cima*coupl(   &
                      nGC_2481)*coupl(nGC_32)*coupl(nGC_427)*coupl(nGC_61) +   &
                      4d0*cima*coupl(nGC_2531)**2d0*coupl(nGC_427)*coupl(      &
                      nGC_477) + 4d0*cima*coupl(nGC_2531)*coupl(nGC_32)*coupl( &
                      nGC_421)*coupl(nGC_427) + 4d0*cima*coupl(nGC_2531)*coupl(&
                      nGC_32)*coupl(nGC_427)*coupl(nGC_57) + 24d0*cima*coupl(  &
                      nGC_29)*coupl(nGC_9) + 9d0*cima*coupl(nGC_3)*coupl(nGC_34&
                      )*coupl(nGC_4)*coupl(nGC_509) + 4d0*cima*coupl(nGC_32)** &
                      2d0*coupl(nGC_427)*coupl(nGC_477) + 20d0*cima*coupl(     &
                      nGC_33)*coupl(nGC_52)*coupl(nGC_95)*coupl(nGC_98) - 16d0*&
                      cima*coupl(nGC_33)*coupl(nGC_55)*coupl(nGC_95)*coupl(    &
                      nGC_98) - 16d0*cima*coupl(nGC_33)*coupl(nGC_56)*coupl(   &
                      nGC_95)*coupl(nGC_98) + 9d0*cima*coupl(nGC_34)*coupl(    &
                      nGC_37)*coupl(nGC_509)*coupl(nGC_55) + 4d0*cima*coupl(   &
                      nGC_34)*coupl(nGC_421)**2d0*coupl(nGC_477) + 9d0*cima*   &
                      coupl(nGC_37)*coupl(nGC_509)*coupl(nGC_569)*coupl(nGC_57 &
                      ) + 24d0*cima*coupl(nGC_40)*coupl(nGC_443) + 4d0*cima*   &
                      coupl(nGC_421)*coupl(nGC_477)*coupl(nGC_55)*coupl(nGC_569&
                      ) + 6d0*coupl(nGC_17)*coupl(nGC_2481)*coupl(nGC_427) +   &
                      6d0*coupl(nGC_2531)*coupl(nGC_427)*coupl(nGC_9) - 6d0*   &
                      coupl(nGC_26)*coupl(nGC_34)*coupl(nGC_509) - 6d0*coupl(  &
                      nGC_28)*coupl(nGC_34)*coupl(nGC_37) - 6d0*coupl(nGC_29)* &
                      coupl(nGC_34)*coupl(nGC_55) - 6d0*coupl(nGC_29)*coupl(   &
                      nGC_569)*coupl(nGC_57) - 6d0*coupl(nGC_3)*coupl(nGC_34)* &
                      coupl(nGC_58) - 6d0*coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_9&
                      ) - 6d0*coupl(nGC_30)*coupl(nGC_37)*coupl(nGC_46) + 6d0* &
                      coupl(nGC_32)*coupl(nGC_427)*coupl(nGC_7) - 6d0*coupl(   &
                      nGC_34)*coupl(nGC_37)*coupl(nGC_63) - 6d0*coupl(nGC_34)* &
                      coupl(nGC_4)*coupl(nGC_443) - 6d0*coupl(nGC_34)*coupl(   &
                      nGC_509)*coupl(nGC_65) + 36d0*coupl(nGC_37)*coupl(nGC_40 &
                      )*coupl(nGC_551) + 36d0*coupl(nGC_37)*coupl(nGC_509)*    &
                      coupl(nGC_9) - 6d0*coupl(nGC_37)*coupl(nGC_55)*coupl(    &
                      nGC_9) + 6d0*coupl(nGC_421)*coupl(nGC_477)*coupl(nGC_7   &
                      ) - 6d0*coupl(nGC_46)*coupl(nGC_509)*coupl(nGC_66) - 6d0*&
                      coupl(nGC_509)*coupl(nGC_57)*coupl(nGC_7))/(192d0*pi**2d0&
                      )
    coupl(nGC_5147) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_105)**2d0 - &
                      coupl(nGC_110)**2d0 - coupl(nGC_120)**2d0 - coupl(nGC_80 &
                      )**2d0 - coupl(nGC_85)**2d0 - coupl(nGC_90)**2d0)/(32d0* &
                      pi**2d0)
    coupl(nGC_5140) = (20d0*Nc*cima*coupl(nGC_105)**2d0*coupl(nGC_108)*coupl(  &
                      nGC_109) + 20d0*Nc*cima*coupl(nGC_105)**2d0*coupl(nGC_88 &
                      )*coupl(nGC_89) + 20d0*Nc*cima*coupl(nGC_105)*coupl(     &
                      nGC_108)*coupl(nGC_85)*coupl(nGC_89) + 20d0*Nc*cima*coupl&
                      (nGC_105)*coupl(nGC_109)*coupl(nGC_85)*coupl(nGC_88) +   &
                      20d0*Nc*cima*coupl(nGC_108)*coupl(nGC_109)*coupl(nGC_85  &
                      )**2d0 + 20d0*Nc*cima*coupl(nGC_110)**2d0*coupl(nGC_113)*&
                      coupl(nGC_114) + 20d0*Nc*cima*coupl(nGC_110)**2d0*coupl( &
                      nGC_83)*coupl(nGC_84) + 20d0*Nc*cima*coupl(nGC_110)*coupl&
                      (nGC_113)*coupl(nGC_80)*coupl(nGC_84) + 20d0*Nc*cima*    &
                      coupl(nGC_110)*coupl(nGC_114)*coupl(nGC_80)*coupl(nGC_83 &
                      ) + 20d0*Nc*cima*coupl(nGC_113)*coupl(nGC_114)*coupl(    &
                      nGC_80)**2d0 + 20d0*Nc*cima*coupl(nGC_120)**2d0*coupl(   &
                      nGC_123)*coupl(nGC_124) + 20d0*Nc*cima*coupl(nGC_120)**  &
                      2d0*coupl(nGC_93)*coupl(nGC_94) + 20d0*Nc*cima*coupl(    &
                      nGC_120)*coupl(nGC_123)*coupl(nGC_90)*coupl(nGC_94) +    &
                      20d0*Nc*cima*coupl(nGC_120)*coupl(nGC_124)*coupl(nGC_90)*&
                      coupl(nGC_93) + 20d0*Nc*cima*coupl(nGC_123)*coupl(nGC_124&
                      )*coupl(nGC_90)**2d0 + 20d0*Nc*cima*coupl(nGC_80)**2d0*  &
                      coupl(nGC_83)*coupl(nGC_84) + 20d0*Nc*cima*coupl(nGC_85  &
                      )**2d0*coupl(nGC_88)*coupl(nGC_89) + 20d0*Nc*cima*coupl( &
                      nGC_90)**2d0*coupl(nGC_93)*coupl(nGC_94) + 20d0*cima*    &
                      coupl(nGC_100)**2d0*coupl(nGC_103)*coupl(nGC_104) + 20d0*&
                      cima*coupl(nGC_115)**2d0*coupl(nGC_118)*coupl(nGC_119) - &
                      5d0*cima*coupl(nGC_1691)*coupl(nGC_32)*coupl(nGC_427)*   &
                      coupl(nGC_55) - 5d0*cima*coupl(nGC_1691)*coupl(nGC_32)*  &
                      coupl(nGC_569)*coupl(nGC_57) - 5d0*cima*coupl(nGC_1691)* &
                      coupl(nGC_55)**2d0*coupl(nGC_57) + 24d0*cima*coupl(nGC_17&
                      )*coupl(nGC_9) - 5d0*cima*coupl(nGC_1933)*coupl(nGC_2481 &
                      )*coupl(nGC_35)*coupl(nGC_46) - 5d0*cima*coupl(nGC_1933)*&
                      coupl(nGC_2531)*coupl(nGC_46)*coupl(nGC_47) - 5d0*cima*  &
                      coupl(nGC_2481)*coupl(nGC_32)*coupl(nGC_35)*coupl(nGC_569&
                      ) - 5d0*cima*coupl(nGC_2481)*coupl(nGC_32)*coupl(nGC_421 &
                      )*coupl(nGC_477) - 5d0*cima*coupl(nGC_2481)*coupl(nGC_34 &
                      )*coupl(nGC_35)*coupl(nGC_427) - 5d0*cima*coupl(nGC_2481 &
                      )*coupl(nGC_35)*coupl(nGC_477)**2d0 - 5d0*cima*coupl(    &
                      nGC_2481)*coupl(nGC_35)*coupl(nGC_647)**2d0 - 5d0*cima*  &
                      coupl(nGC_2531)*coupl(nGC_32)*coupl(nGC_47)*coupl(nGC_569&
                      ) - 5d0*cima*coupl(nGC_2531)*coupl(nGC_34)*coupl(nGC_427 &
                      )*coupl(nGC_47) - 5d0*cima*coupl(nGC_2531)*coupl(nGC_47)*&
                      coupl(nGC_477)**2d0 - 5d0*cima*coupl(nGC_2531)*coupl(    &
                      nGC_47)*coupl(nGC_647)**2d0 + 12d0*cima*coupl(nGC_26)*   &
                      coupl(nGC_30) - 5d0*cima*coupl(nGC_32)*coupl(nGC_421)*   &
                      coupl(nGC_569)*coupl(nGC_61) - 5d0*cima*coupl(nGC_34)*   &
                      coupl(nGC_55)*coupl(nGC_569)*coupl(nGC_61) + 24d0*cima*  &
                      coupl(nGC_40)*coupl(nGC_48) - 5d0*cima*coupl(nGC_421)*   &
                      coupl(nGC_55)**2d0*coupl(nGC_61) - 5d0*cima*coupl(nGC_47 &
                      )*coupl(nGC_477)*coupl(nGC_569)*coupl(nGC_57) + 6d0*cima*&
                      coupl(nGC_63)*coupl(nGC_66) + 20d0*cima*coupl(nGC_95)**  &
                      2d0*coupl(nGC_98)*coupl(nGC_99) + 3d0*coupl(nGC_13)*coupl&
                      (nGC_421)*coupl(nGC_61) + 3d0*coupl(nGC_14)*coupl(       &
                      nGC_2531)*coupl(nGC_47) + 3d0*coupl(nGC_14)*coupl(nGC_427&
                      )*coupl(nGC_46) - 3d0*coupl(nGC_1691)*coupl(nGC_32)*coupl&
                      (nGC_9) - 3d0*coupl(nGC_1691)*coupl(nGC_57)*coupl(nGC_63 &
                      ) - 3d0*coupl(nGC_17)*coupl(nGC_2531)*coupl(nGC_477) -   &
                      3d0*coupl(nGC_17)*coupl(nGC_32)*coupl(nGC_421) - 3d0*    &
                      coupl(nGC_17)*coupl(nGC_35)*coupl(nGC_477) - 3d0*coupl(  &
                      nGC_17)*coupl(nGC_569)*coupl(nGC_57) + 3d0*coupl(nGC_18)*&
                      coupl(nGC_1933)*coupl(nGC_2481) + 3d0*coupl(nGC_18)*coupl&
                      (nGC_2531)*coupl(nGC_427) + 3d0*coupl(nGC_18)*coupl(     &
                      nGC_32)*coupl(nGC_569) + 3d0*coupl(nGC_18)*coupl(nGC_34)*&
                      coupl(nGC_35) + 3d0*coupl(nGC_18)*coupl(nGC_46)*coupl(   &
                      nGC_47) + 3d0*coupl(nGC_18)*coupl(nGC_477)**2d0 + 3d0*   &
                      coupl(nGC_18)*coupl(nGC_647)**2d0 + 3d0*coupl(nGC_19)*   &
                      coupl(nGC_1933)*coupl(nGC_2531) + 3d0*coupl(nGC_19)*coupl&
                      (nGC_35)*coupl(nGC_46) - 3d0*coupl(nGC_1933)*coupl(nGC_26&
                      )*coupl(nGC_34) - 3d0*coupl(nGC_1933)*coupl(nGC_30)*coupl&
                      (nGC_46) + 3d0*coupl(nGC_20)*coupl(nGC_2481)*coupl(      &
                      nGC_427) + 3d0*coupl(nGC_20)*coupl(nGC_34)*coupl(nGC_47  &
                      ) + 3d0*coupl(nGC_21)*coupl(nGC_2531)*coupl(nGC_35) + 3d0&
                      *coupl(nGC_22)*coupl(nGC_2481)*coupl(nGC_47) + 3d0*coupl(&
                      nGC_2481)*coupl(nGC_25)*coupl(nGC_35) - 3d0*coupl(       &
                      nGC_2481)*coupl(nGC_26)*coupl(nGC_35) - 3d0*coupl(       &
                      nGC_2481)*coupl(nGC_40)*coupl(nGC_647) - 3d0*coupl(      &
                      nGC_2481)*coupl(nGC_477)*coupl(nGC_9) + 3d0*coupl(nGC_25 &
                      )*coupl(nGC_2531)*coupl(nGC_47) - 3d0*coupl(nGC_2531)*   &
                      coupl(nGC_48)*coupl(nGC_647) - 3d0*coupl(nGC_30)*coupl(  &
                      nGC_32)*coupl(nGC_569) - 3d0*coupl(nGC_30)*coupl(nGC_34)*&
                      coupl(nGC_427) - 3d0*coupl(nGC_35)*coupl(nGC_48)*coupl(  &
                      nGC_647) - 3d0*coupl(nGC_40)*coupl(nGC_47)*coupl(nGC_647 &
                      ) - 3d0*coupl(nGC_47)*coupl(nGC_477)*coupl(nGC_9) - 3d0* &
                      coupl(nGC_55)**2d0*coupl(nGC_66) - 3d0*coupl(nGC_569)*   &
                      coupl(nGC_61)*coupl(nGC_9))/(96d0*pi**2d0)
    coupl(nGC_5141) = (20d0*Nc*cima*coupl(nGC_105)**2d0*coupl(nGC_108)**2d0 +  &
                      20d0*Nc*cima*coupl(nGC_105)**2d0*coupl(nGC_88)**2d0 +    &
                      40d0*Nc*cima*coupl(nGC_105)*coupl(nGC_108)*coupl(nGC_85)*&
                      coupl(nGC_88) + 20d0*Nc*cima*coupl(nGC_108)**2d0*coupl(  &
                      nGC_85)**2d0 + 20d0*Nc*cima*coupl(nGC_110)**2d0*coupl(   &
                      nGC_113)**2d0 + 20d0*Nc*cima*coupl(nGC_110)**2d0*coupl(  &
                      nGC_83)**2d0 + 40d0*Nc*cima*coupl(nGC_110)*coupl(nGC_113 &
                      )*coupl(nGC_80)*coupl(nGC_83) + 20d0*Nc*cima*coupl(      &
                      nGC_113)**2d0*coupl(nGC_80)**2d0 + 20d0*Nc*cima*coupl(   &
                      nGC_120)**2d0*coupl(nGC_123)**2d0 + 20d0*Nc*cima*coupl(  &
                      nGC_120)**2d0*coupl(nGC_93)**2d0 + 40d0*Nc*cima*coupl(   &
                      nGC_120)*coupl(nGC_123)*coupl(nGC_90)*coupl(nGC_93) +    &
                      20d0*Nc*cima*coupl(nGC_123)**2d0*coupl(nGC_90)**2d0 +    &
                      20d0*Nc*cima*coupl(nGC_80)**2d0*coupl(nGC_83)**2d0 + 20d0&
                      *Nc*cima*coupl(nGC_85)**2d0*coupl(nGC_88)**2d0 + 20d0*Nc*&
                      cima*coupl(nGC_90)**2d0*coupl(nGC_93)**2d0 + 20d0*cima*  &
                      coupl(nGC_100)**2d0*coupl(nGC_103)**2d0 + 20d0*cima*coupl&
                      (nGC_115)**2d0*coupl(nGC_118)**2d0 - 10d0*cima*coupl(    &
                      nGC_1933)*coupl(nGC_2531)*coupl(nGC_35)*coupl(nGC_46) -  &
                      10d0*cima*coupl(nGC_2531)*coupl(nGC_32)*coupl(nGC_35)*   &
                      coupl(nGC_569) - 5d0*cima*coupl(nGC_2531)*coupl(nGC_32)* &
                      coupl(nGC_421)*coupl(nGC_477) - 10d0*cima*coupl(nGC_2531 &
                      )*coupl(nGC_34)*coupl(nGC_35)*coupl(nGC_427) - 10d0*cima*&
                      coupl(nGC_2531)*coupl(nGC_35)*coupl(nGC_477)**2d0 - 10d0*&
                      cima*coupl(nGC_2531)*coupl(nGC_35)*coupl(nGC_647)**2d0 + &
                      12d0*cima*coupl(nGC_26)*coupl(nGC_28) - 5d0*cima*coupl(  &
                      nGC_32)*coupl(nGC_421)*coupl(nGC_427)*coupl(nGC_55) -    &
                      10d0*cima*coupl(nGC_32)*coupl(nGC_421)*coupl(nGC_569)*   &
                      coupl(nGC_57) - 5d0*cima*coupl(nGC_34)*coupl(nGC_55)*    &
                      coupl(nGC_569)*coupl(nGC_57) - 5d0*cima*coupl(nGC_35)*   &
                      coupl(nGC_477)*coupl(nGC_569)*coupl(nGC_57) + 24d0*cima* &
                      coupl(nGC_40)**2d0 - 10d0*cima*coupl(nGC_421)*coupl(     &
                      nGC_55)**2d0*coupl(nGC_57) + 6d0*cima*coupl(nGC_63)*coupl&
                      (nGC_65) + 24d0*cima*coupl(nGC_9)**2d0 + 20d0*cima*coupl(&
                      nGC_95)**2d0*coupl(nGC_98)**2d0 + 3d0*coupl(nGC_13)*coupl&
                      (nGC_421)*coupl(nGC_57) + 3d0*coupl(nGC_14)*coupl(       &
                      nGC_2531)*coupl(nGC_35) + 3d0*coupl(nGC_14)*coupl(nGC_34 &
                      )*coupl(nGC_427) + 6d0*coupl(nGC_18)*coupl(nGC_1933)*    &
                      coupl(nGC_2531) + 6d0*coupl(nGC_18)*coupl(nGC_35)*coupl( &
                      nGC_46) - 3d0*coupl(nGC_1933)*coupl(nGC_28)*coupl(nGC_46 &
                      ) + 6d0*coupl(nGC_20)*coupl(nGC_2531)*coupl(nGC_427) +   &
                      3d0*coupl(nGC_20)*coupl(nGC_32)*coupl(nGC_569) + 6d0*    &
                      coupl(nGC_20)*coupl(nGC_34)*coupl(nGC_35) + 3d0*coupl(   &
                      nGC_20)*coupl(nGC_477)**2d0 + 3d0*coupl(nGC_20)*coupl(   &
                      nGC_647)**2d0 + 3d0*coupl(nGC_21)*coupl(nGC_2481)*coupl( &
                      nGC_35) + 3d0*coupl(nGC_21)*coupl(nGC_2531)*coupl(nGC_47 &
                      ) + 3d0*coupl(nGC_23)*coupl(nGC_2531)*coupl(nGC_35) + 3d0&
                      *coupl(nGC_2481)*coupl(nGC_25)*coupl(nGC_47) - 3d0*coupl(&
                      nGC_2531)*coupl(nGC_26)*coupl(nGC_35) - 6d0*coupl(       &
                      nGC_2531)*coupl(nGC_40)*coupl(nGC_647) - 6d0*coupl(      &
                      nGC_2531)*coupl(nGC_477)*coupl(nGC_9) - 3d0*coupl(nGC_26 &
                      )*coupl(nGC_34)*coupl(nGC_427) - 3d0*coupl(nGC_28)*coupl(&
                      nGC_32)*coupl(nGC_569) - 3d0*coupl(nGC_28)*coupl(nGC_34)*&
                      coupl(nGC_427) - 6d0*coupl(nGC_32)*coupl(nGC_421)*coupl( &
                      nGC_9) - 6d0*coupl(nGC_35)*coupl(nGC_40)*coupl(nGC_647   &
                      ) - 6d0*coupl(nGC_35)*coupl(nGC_477)*coupl(nGC_9) - 3d0* &
                      coupl(nGC_421)*coupl(nGC_57)*coupl(nGC_63) - 3d0*coupl(  &
                      nGC_55)**2d0*coupl(nGC_65) - 6d0*coupl(nGC_569)*coupl(   &
                      nGC_57)*coupl(nGC_9))/(96d0*pi**2d0)
    coupl(nGC_5142) = (-16d0*Nc*cima*coupl(nGC_105)**2d0*coupl(nGC_33)**2d0 -  &
                      16d0*Nc*cima*coupl(nGC_110)**2d0*coupl(nGC_33)**2d0 -    &
                      16d0*Nc*cima*coupl(nGC_120)**2d0*coupl(nGC_33)**2d0 -    &
                      16d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_80)**2d0 - 16d0&
                      *Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_85)**2d0 - 16d0*Nc*&
                      cima*coupl(nGC_33)**2d0*coupl(nGC_90)**2d0 - 16d0*cima*  &
                      coupl(nGC_100)**2d0*coupl(nGC_33)**2d0 - 16d0*cima*coupl(&
                      nGC_115)**2d0*coupl(nGC_33)**2d0 + 4d0*cima*coupl(       &
                      nGC_1933)*coupl(nGC_2481)*coupl(nGC_34)*coupl(nGC_35) +  &
                      4d0*cima*coupl(nGC_1933)*coupl(nGC_2481)*coupl(nGC_46)*  &
                      coupl(nGC_47) + 4d0*cima*coupl(nGC_1933)*coupl(nGC_2481)*&
                      coupl(nGC_569)**2d0 + 4d0*cima*coupl(nGC_1933)*coupl(    &
                      nGC_46)*coupl(nGC_477)**2d0 + 9d0*cima*coupl(nGC_1933)*  &
                      coupl(nGC_46)*coupl(nGC_509)**2d0 + 9d0*cima*coupl(      &
                      nGC_1933)*coupl(nGC_46)*coupl(nGC_551)**2d0 + 4d0*cima*  &
                      coupl(nGC_1933)*coupl(nGC_46)*coupl(nGC_647)**2d0 + 4d0* &
                      cima*coupl(nGC_2481)**2d0*coupl(nGC_35)**2d0 + 4d0*cima* &
                      coupl(nGC_2481)**2d0*coupl(nGC_47)**2d0 + 4d0*cima*coupl(&
                      nGC_2481)**2d0*coupl(nGC_569)**2d0 + 4d0*cima*coupl(     &
                      nGC_2531)**2d0*coupl(nGC_35)**2d0 + 4d0*cima*coupl(      &
                      nGC_2531)**2d0*coupl(nGC_47)**2d0 + 4d0*cima*coupl(      &
                      nGC_2531)**2d0*coupl(nGC_569)**2d0 + 4d0*cima*coupl(     &
                      nGC_2531)*coupl(nGC_34)*coupl(nGC_35)*coupl(nGC_427) +   &
                      4d0*cima*coupl(nGC_2531)*coupl(nGC_427)*coupl(nGC_46)*   &
                      coupl(nGC_47) + 4d0*cima*coupl(nGC_2531)*coupl(nGC_427)* &
                      coupl(nGC_569)**2d0 + 24d0*cima*coupl(nGC_26)*coupl(     &
                      nGC_27) + 9d0*cima*coupl(nGC_3)**2d0*coupl(nGC_4)**2d0 + &
                      18d0*cima*coupl(nGC_3)*coupl(nGC_37)*coupl(nGC_4)*coupl( &
                      nGC_55) + 4d0*cima*coupl(nGC_32)**2d0*coupl(nGC_34)*coupl&
                      (nGC_35) + 4d0*cima*coupl(nGC_32)**2d0*coupl(nGC_35)**2d0&
                       + 4d0*cima*coupl(nGC_32)**2d0*coupl(nGC_46)*coupl(nGC_47&
                      ) + 4d0*cima*coupl(nGC_32)**2d0*coupl(nGC_47)**2d0 + 8d0*&
                      cima*coupl(nGC_32)**2d0*coupl(nGC_569)**2d0 + 4d0*cima*  &
                      coupl(nGC_32)*coupl(nGC_477)**2d0*coupl(nGC_569) + 9d0*  &
                      cima*coupl(nGC_32)*coupl(nGC_509)**2d0*coupl(nGC_569) +  &
                      9d0*cima*coupl(nGC_32)*coupl(nGC_551)**2d0*coupl(nGC_569 &
                      ) + 4d0*cima*coupl(nGC_32)*coupl(nGC_569)*coupl(nGC_647  &
                      )**2d0 - 16d0*cima*coupl(nGC_33)**2d0*coupl(nGC_95)**2d0 &
                       + 4d0*cima*coupl(nGC_34)*coupl(nGC_427)*coupl(nGC_477)**&
                      2d0 + 9d0*cima*coupl(nGC_34)*coupl(nGC_427)*coupl(nGC_509&
                      )**2d0 + 9d0*cima*coupl(nGC_34)*coupl(nGC_427)*coupl(    &
                      nGC_551)**2d0 + 4d0*cima*coupl(nGC_34)*coupl(nGC_427)*   &
                      coupl(nGC_647)**2d0 + 9d0*cima*coupl(nGC_37)**2d0*coupl( &
                      nGC_55)**2d0 + 9d0*cima*coupl(nGC_4)**2d0*coupl(nGC_551  &
                      )**2d0 + 18d0*cima*coupl(nGC_4)*coupl(nGC_509)*coupl(    &
                      nGC_55)*coupl(nGC_551) + 24d0*cima*coupl(nGC_41)*coupl(  &
                      nGC_58) + 12d0*cima*coupl(nGC_469)*coupl(nGC_63) + 9d0*  &
                      cima*coupl(nGC_509)**2d0*coupl(nGC_55)**2d0 + 12d0*cima* &
                      coupl(nGC_6)*coupl(nGC_817) - 6d0*coupl(nGC_17)*coupl(   &
                      nGC_1933)*coupl(nGC_509) - 6d0*coupl(nGC_17)*coupl(nGC_46&
                      )*coupl(nGC_509) - 6d0*coupl(nGC_1933)*coupl(nGC_27)*    &
                      coupl(nGC_46) - 6d0*coupl(nGC_1933)*coupl(nGC_48)*coupl( &
                      nGC_551) + 6d0*coupl(nGC_2481)*coupl(nGC_30)*coupl(nGC_35&
                      ) + 6d0*coupl(nGC_2481)*coupl(nGC_31)*coupl(nGC_47) + 6d0&
                      *coupl(nGC_2531)*coupl(nGC_28)*coupl(nGC_35) + 6d0*coupl(&
                      nGC_2531)*coupl(nGC_30)*coupl(nGC_47) - 12d0*coupl(nGC_26&
                      )*coupl(nGC_3)*coupl(nGC_4) + 6d0*coupl(nGC_26)*coupl(   &
                      nGC_32)*coupl(nGC_569) - 12d0*coupl(nGC_26)*coupl(nGC_37 &
                      )*coupl(nGC_55) - 12d0*coupl(nGC_26)*coupl(nGC_4)*coupl( &
                      nGC_551) + 6d0*coupl(nGC_26)*coupl(nGC_477)**2d0 + 36d0* &
                      coupl(nGC_26)*coupl(nGC_509)**2d0 - 12d0*coupl(nGC_26)*  &
                      coupl(nGC_509)*coupl(nGC_55) + 36d0*coupl(nGC_26)*coupl( &
                      nGC_551)**2d0 + 6d0*coupl(nGC_26)*coupl(nGC_647)**2d0 -  &
                      6d0*coupl(nGC_27)*coupl(nGC_32)*coupl(nGC_569) - 6d0*    &
                      coupl(nGC_27)*coupl(nGC_34)*coupl(nGC_427) + 36d0*coupl( &
                      nGC_3)**2d0*coupl(nGC_6) + 72d0*coupl(nGC_3)*coupl(nGC_37&
                      )*coupl(nGC_58) - 6d0*coupl(nGC_32)*coupl(nGC_38)*coupl( &
                      nGC_551) - 6d0*coupl(nGC_32)*coupl(nGC_509)*coupl(nGC_7  &
                      ) - 6d0*coupl(nGC_34)*coupl(nGC_40)*coupl(nGC_551) - 6d0*&
                      coupl(nGC_34)*coupl(nGC_509)*coupl(nGC_9) + 36d0*coupl(  &
                      nGC_37)**2d0*coupl(nGC_63) - 6d0*coupl(nGC_39)*coupl(    &
                      nGC_551)*coupl(nGC_569) - 6d0*coupl(nGC_4)**2d0*coupl(   &
                      nGC_817) - 12d0*coupl(nGC_4)*coupl(nGC_41)*coupl(nGC_55  &
                      ) - 6d0*coupl(nGC_40)*coupl(nGC_427)*coupl(nGC_551) - 6d0&
                      *coupl(nGC_427)*coupl(nGC_509)*coupl(nGC_9) - 6d0*coupl( &
                      nGC_46)*coupl(nGC_48)*coupl(nGC_551) - 6d0*coupl(nGC_469 &
                      )*coupl(nGC_55)**2d0 - 6d0*coupl(nGC_509)*coupl(nGC_569)*&
                      coupl(nGC_8))/(192d0*pi**2d0)
    coupl(nGC_5143) = (-16d0*Nc*cima*coupl(nGC_105)**2d0*coupl(nGC_50)**2d0 +  &
                      20d0*Nc*cima*coupl(nGC_105)**2d0*coupl(nGC_50)*coupl(    &
                      nGC_54) - 16d0*Nc*cima*coupl(nGC_105)**2d0*coupl(nGC_54  &
                      )**2d0 - 16d0*Nc*cima*coupl(nGC_110)**2d0*coupl(nGC_51)**&
                      2d0 + 20d0*Nc*cima*coupl(nGC_110)**2d0*coupl(nGC_51)*    &
                      coupl(nGC_53) - 16d0*Nc*cima*coupl(nGC_110)**2d0*coupl(  &
                      nGC_53)**2d0 - 16d0*Nc*cima*coupl(nGC_120)**2d0*coupl(   &
                      nGC_51)**2d0 + 20d0*Nc*cima*coupl(nGC_120)**2d0*coupl(   &
                      nGC_51)*coupl(nGC_53) - 16d0*Nc*cima*coupl(nGC_120)**2d0*&
                      coupl(nGC_53)**2d0 - 16d0*Nc*cima*coupl(nGC_50)**2d0*    &
                      coupl(nGC_80)**2d0 - 16d0*Nc*cima*coupl(nGC_50)**2d0*    &
                      coupl(nGC_90)**2d0 + 20d0*Nc*cima*coupl(nGC_50)*coupl(   &
                      nGC_54)*coupl(nGC_80)**2d0 + 20d0*Nc*cima*coupl(nGC_50)* &
                      coupl(nGC_54)*coupl(nGC_90)**2d0 - 16d0*Nc*cima*coupl(   &
                      nGC_51)**2d0*coupl(nGC_85)**2d0 + 20d0*Nc*cima*coupl(    &
                      nGC_51)*coupl(nGC_53)*coupl(nGC_85)**2d0 - 16d0*Nc*cima* &
                      coupl(nGC_53)**2d0*coupl(nGC_85)**2d0 - 16d0*Nc*cima*    &
                      coupl(nGC_54)**2d0*coupl(nGC_80)**2d0 - 16d0*Nc*cima*    &
                      coupl(nGC_54)**2d0*coupl(nGC_90)**2d0 - 16d0*cima*coupl( &
                      nGC_100)**2d0*coupl(nGC_52)**2d0 + 20d0*cima*coupl(      &
                      nGC_100)**2d0*coupl(nGC_52)*coupl(nGC_56) - 16d0*cima*   &
                      coupl(nGC_100)**2d0*coupl(nGC_56)**2d0 - 16d0*cima*coupl(&
                      nGC_115)**2d0*coupl(nGC_52)**2d0 + 20d0*cima*coupl(      &
                      nGC_115)**2d0*coupl(nGC_52)*coupl(nGC_56) - 16d0*cima*   &
                      coupl(nGC_115)**2d0*coupl(nGC_56)**2d0 + 4d0*cima*coupl( &
                      nGC_1691)*coupl(nGC_2481)*coupl(nGC_35)*coupl(nGC_57) +  &
                      4d0*cima*coupl(nGC_1691)*coupl(nGC_2481)*coupl(nGC_47)*  &
                      coupl(nGC_61) + 4d0*cima*coupl(nGC_1691)*coupl(nGC_32)*  &
                      coupl(nGC_569)*coupl(nGC_61) + 9d0*cima*coupl(nGC_1933)* &
                      coupl(nGC_37)**2d0*coupl(nGC_46) + 4d0*cima*coupl(       &
                      nGC_2531)*coupl(nGC_35)*coupl(nGC_421)*coupl(nGC_57) +   &
                      4d0*cima*coupl(nGC_2531)*coupl(nGC_421)*coupl(nGC_47)*   &
                      coupl(nGC_61) + 12d0*cima*coupl(nGC_26)*coupl(nGC_469) + &
                      9d0*cima*coupl(nGC_32)*coupl(nGC_37)**2d0*coupl(nGC_569  &
                      ) + 4d0*cima*coupl(nGC_32)*coupl(nGC_421)*coupl(nGC_569)*&
                      coupl(nGC_57) + 9d0*cima*coupl(nGC_34)*coupl(nGC_37)**2d0&
                      *coupl(nGC_427) + 4d0*cima*coupl(nGC_477)**2d0*coupl(    &
                      nGC_55)**2d0 - 16d0*cima*coupl(nGC_52)**2d0*coupl(nGC_95 &
                      )**2d0 + 20d0*cima*coupl(nGC_52)*coupl(nGC_56)*coupl(    &
                      nGC_95)**2d0 + 4d0*cima*coupl(nGC_55)**2d0*coupl(nGC_647 &
                      )**2d0 - 16d0*cima*coupl(nGC_56)**2d0*coupl(nGC_95)**2d0 &
                       - 6d0*coupl(nGC_17)*coupl(nGC_1933)*coupl(nGC_37) - 6d0*&
                      coupl(nGC_17)*coupl(nGC_37)*coupl(nGC_46) - 3d0*coupl(   &
                      nGC_1933)*coupl(nGC_46)*coupl(nGC_469) + 3d0*coupl(      &
                      nGC_2481)*coupl(nGC_35)*coupl(nGC_66) + 3d0*coupl(       &
                      nGC_2481)*coupl(nGC_47)*coupl(nGC_67) + 3d0*coupl(       &
                      nGC_2531)*coupl(nGC_35)*coupl(nGC_65) + 3d0*coupl(       &
                      nGC_2531)*coupl(nGC_47)*coupl(nGC_66) + 18d0*coupl(nGC_26&
                      )*coupl(nGC_37)**2d0 + 18d0*coupl(nGC_26)*coupl(nGC_509  &
                      )**2d0 - 6d0*coupl(nGC_32)*coupl(nGC_37)*coupl(nGC_7) -  &
                      3d0*coupl(nGC_32)*coupl(nGC_469)*coupl(nGC_569) + 3d0*   &
                      coupl(nGC_32)*coupl(nGC_569)*coupl(nGC_64) - 6d0*coupl(  &
                      nGC_34)*coupl(nGC_37)*coupl(nGC_9) - 3d0*coupl(nGC_34)*  &
                      coupl(nGC_427)*coupl(nGC_469) - 6d0*coupl(nGC_37)*coupl( &
                      nGC_427)*coupl(nGC_9) - 6d0*coupl(nGC_37)*coupl(nGC_569)*&
                      coupl(nGC_8) + 3d0*coupl(nGC_477)**2d0*coupl(nGC_63) +   &
                      3d0*coupl(nGC_63)*coupl(nGC_647)**2d0)/(96d0*pi**2d0)
    coupl(nGC_12967) = 2d0*coupl(nGC_12)*dZg_QCD2 + coupl(nGC_5213)
    coupl(nGC_5062) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_50) + 4d0*coupl(nGC_50  &
                      )**3d0 + coupl(nGC_53)*coupl(nGC_91)*coupl(nGC_92) +     &
                      coupl(nGC_53)*coupl(nGC_93)**2d0 + coupl(nGC_53)*coupl(  &
                      nGC_94)**2d0 + coupl(nGC_54)*coupl(nGC_90)**2d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_5061) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_53) + coupl(nGC_120)**  &
                      2d0*coupl(nGC_51) + 4d0*coupl(nGC_33)**2d0*coupl(nGC_509 &
                      ) + 4d0*coupl(nGC_33)**2d0*coupl(nGC_54) + coupl(nGC_50)*&
                      coupl(nGC_91)*coupl(nGC_92) + coupl(nGC_50)*coupl(nGC_93 &
                      )**2d0 + coupl(nGC_50)*coupl(nGC_94)**2d0 + 4d0*coupl(   &
                      nGC_53)**3d0)/(32d0*pi**2d0)
    coupl(nGC_5148) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_105)**2d0 +  &
                      coupl(nGC_110)**2d0 + coupl(nGC_120)**2d0 + coupl(nGC_80 &
                      )**2d0 + coupl(nGC_85)**2d0 + coupl(nGC_90)**2d0)/(32d0* &
                      pi**2d0*Nc)
    coupl(nGC_5149) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(    &
                      nGC_50) + coupl(nGC_1)*coupl(nGC_53) + coupl(nGC_2)*coupl&
                      (nGC_51) + coupl(nGC_2)*coupl(nGC_54))/(32d0*pi**2d0)
    coupl(nGC_5064) = (-4d0*coupl(nGC_33)**2d0*coupl(nGC_37) + 4d0*coupl(nGC_33&
                      )**2d0*coupl(nGC_56) + 4d0*coupl(nGC_4)**2d0*coupl(nGC_55&
                      ) + coupl(nGC_52)*coupl(nGC_96)*coupl(nGC_97) + coupl(   &
                      nGC_52)*coupl(nGC_98)**2d0 + coupl(nGC_52)*coupl(nGC_99  &
                      )**2d0 + 4d0*coupl(nGC_55)**3d0)/(32d0*pi**2d0)
    coupl(nGC_7646) = coupl(nGC_5265) + coupl(nGC_58)*dZAZ_QED2 + coupl(nGC_63 &
                      )*dZZ_QED2
    coupl(nGC_8877) = coupl(nGC_114)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_8876) = coupl(nGC_114)*(dZtL_QED2 + dZtR_QED2)/2d0
    coupl(nGC_7642) = -2d0*coupl(nGC_7641)
    coupl(nGC_7301) = coupl(nGC_1)*dZdR_QED2 + coupl(nGC_50)*dZZA_QED2/2d0
    coupl(nGC_7292) = coupl(nGC_5306) + coupl(nGC_7285)
    coupl(nGC_7759) = coupl(nGC_102)*dZmuMinusL_QED2/2d0 + coupl(nGC_102)*     &
                      dZmuMinusR_QED2/2d0 + coupl(nGC_5322)
    coupl(nGC_5328) = coupl(nGC_263)*da_QED2 + coupl(nGC_265)*dytau_QED3
    coupl(nGC_8471) = -coupl(nGC_8470)
    coupl(nGC_14269) = -coupl(nGC_4942)
    coupl(nGC_5069) = (coupl(nGC_115)**2d0*coupl(nGC_52) + 4d0*coupl(nGC_33)** &
                      2d0*coupl(nGC_37) + 4d0*coupl(nGC_33)**2d0*coupl(nGC_55  &
                      ) + 4d0*coupl(nGC_56)**3d0)/(32d0*pi**2d0)
    coupl(nGC_5068) = (coupl(nGC_100)**2d0*coupl(nGC_52) + 4d0*coupl(nGC_33)** &
                      2d0*coupl(nGC_37) + 4d0*coupl(nGC_33)**2d0*coupl(nGC_55  &
                      ) + 4d0*coupl(nGC_56)**3d0)/(32d0*pi**2d0)
    coupl(nGC_7070) = coupl(nGC_30)*dZHlHh_QED2 + coupl(nGC_31)*dZHh_QED2 +    &
                      coupl(nGC_31)*dZWMinus_QED2 + coupl(nGC_5252)
    coupl(nGC_11313) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
    coupl(nGC_9427) = coupl(nGC_5435) + coupl(nGC_TS_GC_88_Hl) + coupl(        &
                      nGC_TS_GC_89_Hh)
    coupl(nGC_9426) = coupl(nGC_MI)*dZcR_QCD2
    coupl(nGC_9425) = coupl(nGC_MI)*dZcR_QED2
    coupl(nGC_9424) = coupl(nGC_MC)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_9423) = coupl(nGC_MC)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_9422) = coupl(nGC_MI)*dZcL_QCD2
    coupl(nGC_9421) = coupl(nGC_MI)*dZcL_QED2
    coupl(nGC_5253) = coupl(nGC_4676)*dsw_QED2 + coupl(nGC_4677)*dvev_QED1 +   &
                      coupl(nGC_4678)*da_QED2 + coupl(nGC_4679)*dZee_QED2
    coupl(nGC_8118) = coupl(nGC_4)*dZeMinusL_QED2 + coupl(nGC_55)*dZZA_QED2/2d0
    coupl(nGC_8119) = coupl(nGC_4)*dZeMinusR_QED2 + coupl(nGC_52)*dZZA_QED2/2d0
    coupl(nGC_7276) = coupl(nGC_5279) + coupl(nGC_56)*dZZ_QED2/2d0 + coupl(    &
                      nGC_56)*dZnu_muL_QED2
    coupl(nGC_7400) = coupl(nGC_5312) + coupl(nGC_7397)
    coupl(nGC_7270) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_5272)
    coupl(nGC_7271) = coupl(nGC_1)*dZbL_QED2 + coupl(nGC_53)*dZZA_QED2/2d0
    coupl(nGC_7272) = coupl(nGC_7269) + coupl(nGC_7270)
    coupl(nGC_7273) = coupl(nGC_7270) + coupl(nGC_7271)
    coupl(nGC_7176) = coupl(nGC_21)*dZHlHh_QED2 + coupl(nGC_22)*dZHhHl_QED2 +  &
                      coupl(nGC_25)*dZHh_QED2 + coupl(nGC_25)*dZHl_QED2 + coupl&
                      (nGC_5227)
    coupl(nGC_TS_GC_9_Hl) = -coupl(nGC_9)*dtHl_QED1/cMHL**2d0
    coupl(nGC_5197) = (20d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*cima*&
                      coupl(nGC_12)*coupl(nGC_589) + 12d0*Nc*cima*coupl(nGC_587&
                      )*coupl(nGC_589) - 21d0*Nc*coupl(nGC_10)**2d0*coupl(     &
                      nGC_12)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*coupl(      &
                      nGC_583)*sq2**2d0 + 15d0*Nc*coupl(nGC_10)**2d0*coupl(    &
                      nGC_587)*sq2**2d0 - 15d0*Nc*coupl(nGC_10)**2d0*coupl(    &
                      nGC_589)*sq2**2d0 - 12d0*cima*coupl(nGC_11)**4d0*sq2**4d0&
                      )/(768d0*pi**2d0*Nc)
    coupl(nGC_5196) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*Nc*cima*&
                      coupl(nGC_12)**2d0 + 12d0*Nc*cima*coupl(nGC_587)**2d0 +  &
                      21d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2**2d0 - 21d0*&
                      Nc*coupl(nGC_10)**2d0*coupl(nGC_587)*sq2**2d0 + 36d0*cima&
                      *coupl(nGC_11)**4d0*sq2**4d0)/(768d0*pi**2d0)
    coupl(nGC_5195) = sq2**2d0*(-2d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 + 3d0*&
                      Nc*coupl(nGC_10)**2d0*coupl(nGC_583) - 3d0*Nc*coupl(     &
                      nGC_10)**2d0*coupl(nGC_589) - 30d0*cima*coupl(nGC_11)**  &
                      4d0*sq2**2d0)/(384d0*pi**2d0)
    coupl(nGC_5067) = (coupl(nGC_101)*coupl(nGC_102)*coupl(nGC_52) + coupl(    &
                      nGC_103)**2d0*coupl(nGC_52) + coupl(nGC_104)**2d0*coupl( &
                      nGC_52) - 4d0*coupl(nGC_33)**2d0*coupl(nGC_37) + 4d0*    &
                      coupl(nGC_33)**2d0*coupl(nGC_56) + 4d0*coupl(nGC_4)**2d0*&
                      coupl(nGC_55) + 4d0*coupl(nGC_55)**3d0)/(32d0*pi**2d0)
    coupl(nGC_5199) = (10d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 6d0*Nc*cima* &
                      coupl(nGC_12)*coupl(nGC_589) + 6d0*Nc*cima*coupl(nGC_587 &
                      )*coupl(nGC_589) - 9d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_12&
                      )*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_583)*sq2&
                      **2d0 + 9d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_587)*sq2**2d0&
                       - 9d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_589)*sq2**2d0 -   &
                      6d0*cima*coupl(nGC_11)**4d0*sq2**4d0)/(384d0*pi**2d0*Nc)
    coupl(nGC_5198) = (5d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 3d0*Nc*cima*  &
                      coupl(nGC_12)*coupl(nGC_589) + 3d0*Nc*cima*coupl(nGC_587 &
                      )*coupl(nGC_589) - 6d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_12&
                      )*sq2**2d0 + 3d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_587)*sq2&
                      **2d0 - 3d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_589)*sq2**2d0&
                       - 3d0*cima*coupl(nGC_11)**4d0*sq2**4d0)/(192d0*pi**2d0* &
                      Nc)
    coupl(nGC_TS_GC_40_Hl) = -coupl(nGC_40)*dtHl_QED1/cMHL**2d0
    coupl(nGC_9954) = coupl(nGC_5365) + coupl(nGC_60)*dZHlHh_QED2/2d0 + coupl( &
                      nGC_62)*dZHh_QED2/2d0
    coupl(nGC_7408) = coupl(nGC_33)*dZWMinus_QED2/2d0 + coupl(nGC_33)*dZbL_QED2&
                      /2d0 + coupl(nGC_33)*dZtL_QED2/2d0 + coupl(nGC_5274)
    coupl(nGC_9815) = coupl(nGC_5437) + coupl(nGC_TS_GC_113_Hl) + coupl(       &
                      nGC_TS_GC_114_Hh)
    coupl(nGC_4958) = coupl(nGC_11)**2d0*coupl(nGC_82)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4959) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_81) - coupl(nGC_110)*   &
                      coupl(nGC_111)*coupl(nGC_80) - coupl(nGC_1691)*coupl(    &
                      nGC_53)*coupl(nGC_84) - coupl(nGC_33)*coupl(nGC_569)*    &
                      coupl(nGC_80) - coupl(nGC_421)*coupl(nGC_53)*coupl(nGC_83&
                      ) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl(nGC_81) - coupl&
                      (nGC_50)*coupl(nGC_57)*coupl(nGC_83) - coupl(nGC_50)*    &
                      coupl(nGC_61)*coupl(nGC_84) - coupl(nGC_81)**2d0*coupl(  &
                      nGC_82) - coupl(nGC_82)*coupl(nGC_83)**2d0 - coupl(nGC_82&
                      )*coupl(nGC_84)**2d0)/(32d0*pi**2d0)
  end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
