!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2019-10-09 13:25             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl4()
    coupl(nGC_8600) = coupl(nGC_TS_GC_74_Hh) + coupl(nGC_TS_GC_75_Hl)
    coupl(nGC_9174) = coupl(nGC_21)*dZHh_QED2/2d0 + 3d0*coupl(nGC_21)*dZHl_QED2&
                      /2d0 + coupl(nGC_23)*dZHlHh_QED2/2d0 + 3d0*coupl(nGC_25)*&
                      dZHhHl_QED2/2d0 + coupl(nGC_5230)
    coupl(nGC_4950) = (coupl(nGC_33)*coupl(nGC_35)*coupl(nGC_98) + coupl(nGC_33&
                      )*coupl(nGC_47)*coupl(nGC_99) + coupl(nGC_33)*coupl(     &
                      nGC_569)*coupl(nGC_96) + coupl(nGC_4)**2d0*coupl(nGC_95  &
                      ) + coupl(nGC_477)*coupl(nGC_56)*coupl(nGC_95) + coupl(  &
                      nGC_52)*coupl(nGC_55)*coupl(nGC_95) + 8d0*coupl(nGC_52)* &
                      coupl(nGC_56)*coupl(nGC_95))/(32d0*pi**2d0)
    coupl(nGC_4951) = (coupl(nGC_100)*coupl(nGC_4)**2d0 + coupl(nGC_100)*coupl(&
                      nGC_477)*coupl(nGC_56) + coupl(nGC_100)*coupl(nGC_52)*   &
                      coupl(nGC_55) + 8d0*coupl(nGC_100)*coupl(nGC_52)*coupl(  &
                      nGC_56) + coupl(nGC_101)*coupl(nGC_33)*coupl(nGC_569) +  &
                      coupl(nGC_103)*coupl(nGC_33)*coupl(nGC_35) + coupl(      &
                      nGC_104)*coupl(nGC_33)*coupl(nGC_47))/(32d0*pi**2d0)
    coupl(nGC_4952) = (-coupl(nGC_115)*coupl(nGC_4)*coupl(nGC_647) - coupl(    &
                      nGC_115)*coupl(nGC_477)*coupl(nGC_52) + 8d0*coupl(nGC_115&
                      )*coupl(nGC_52)*coupl(nGC_56) - coupl(nGC_115)*coupl(    &
                      nGC_55)*coupl(nGC_56) - coupl(nGC_116)*coupl(nGC_32)*    &
                      coupl(nGC_33) - coupl(nGC_118)*coupl(nGC_33)*coupl(      &
                      nGC_427) - coupl(nGC_119)*coupl(nGC_1933)*coupl(nGC_33   &
                      ))/(32d0*pi**2d0)
    coupl(nGC_4953) = (4d0*Nc*cMB*coupl(nGC_81)**2d0*coupl(nGC_84) + 16d0*Nc*  &
                      cMB*coupl(nGC_81)*coupl(nGC_82)*coupl(nGC_84) + 4d0*Nc*  &
                      cMB*coupl(nGC_82)**2d0*coupl(nGC_84) + 4d0*Nc*cMC*coupl( &
                      nGC_86)**2d0*coupl(nGC_89) + 16d0*Nc*cMC*coupl(nGC_86)*  &
                      coupl(nGC_87)*coupl(nGC_89) + 4d0*Nc*cMC*coupl(nGC_87)** &
                      2d0*coupl(nGC_89) + 4d0*Nc*cMD*coupl(nGC_91)**2d0*coupl( &
                      nGC_94) + 16d0*Nc*cMD*coupl(nGC_91)*coupl(nGC_92)*coupl( &
                      nGC_94) + 4d0*Nc*cMD*coupl(nGC_92)**2d0*coupl(nGC_94) +  &
                      4d0*Nc*cMS*coupl(nGC_106)**2d0*coupl(nGC_109) + 16d0*Nc* &
                      cMS*coupl(nGC_106)*coupl(nGC_107)*coupl(nGC_109) + 4d0*Nc&
                      *cMS*coupl(nGC_107)**2d0*coupl(nGC_109) + 4d0*Nc*cMT*    &
                      coupl(nGC_111)**2d0*coupl(nGC_114) + 16d0*Nc*cMT*coupl(  &
                      nGC_111)*coupl(nGC_112)*coupl(nGC_114) + 4d0*Nc*cMT*coupl&
                      (nGC_112)**2d0*coupl(nGC_114) + 4d0*Nc*cMU*coupl(nGC_121 &
                      )**2d0*coupl(nGC_124) + 16d0*Nc*cMU*coupl(nGC_121)*coupl(&
                      nGC_122)*coupl(nGC_124) + 4d0*Nc*cMU*coupl(nGC_122)**2d0*&
                      coupl(nGC_124) + 4d0*cME*coupl(nGC_96)**2d0*coupl(nGC_99 &
                      ) + 16d0*cME*coupl(nGC_96)*coupl(nGC_97)*coupl(nGC_99) + &
                      4d0*cME*coupl(nGC_97)**2d0*coupl(nGC_99) + 4d0*cMM*coupl(&
                      nGC_101)**2d0*coupl(nGC_104) + 16d0*cMM*coupl(nGC_101)*  &
                      coupl(nGC_102)*coupl(nGC_104) + 4d0*cMM*coupl(nGC_102)** &
                      2d0*coupl(nGC_104) + 4d0*cMTA*coupl(nGC_116)**2d0*coupl( &
                      nGC_119) + 16d0*cMTA*coupl(nGC_116)*coupl(nGC_117)*coupl(&
                      nGC_119) + 4d0*cMTA*coupl(nGC_117)**2d0*coupl(nGC_119) + &
                      4d0*cima*coupl(nGC_26)*coupl(nGC_70) + 2d0*cima*coupl(   &
                      nGC_64)*coupl(nGC_73) + coupl(nGC_1691)**2d0*coupl(nGC_74&
                      ) + coupl(nGC_1691)*coupl(nGC_421)*coupl(nGC_75) + coupl(&
                      nGC_1691)*coupl(nGC_57)*coupl(nGC_79) - coupl(nGC_1691)* &
                      coupl(nGC_61)*coupl(nGC_73) + coupl(nGC_1691)*coupl(     &
                      nGC_61)*coupl(nGC_77) - 2d0*coupl(nGC_32)*coupl(nGC_569)*&
                      coupl(nGC_70) + 2d0*coupl(nGC_32)*coupl(nGC_569)*coupl(  &
                      nGC_74) - coupl(nGC_421)*coupl(nGC_57)*coupl(nGC_73) +   &
                      coupl(nGC_421)*coupl(nGC_57)*coupl(nGC_76) + coupl(      &
                      nGC_421)*coupl(nGC_61)*coupl(nGC_79) + coupl(nGC_57)*    &
                      coupl(nGC_61)*coupl(nGC_75) + coupl(nGC_61)**2d0*coupl(  &
                      nGC_74))/(32d0*pi**2d0)
    coupl(nGC_4954) = (4d0*Nc*cMB*coupl(nGC_81)**2d0*coupl(nGC_83) + 16d0*Nc*  &
                      cMB*coupl(nGC_81)*coupl(nGC_82)*coupl(nGC_83) + 4d0*Nc*  &
                      cMB*coupl(nGC_82)**2d0*coupl(nGC_83) + 4d0*Nc*cMC*coupl( &
                      nGC_86)**2d0*coupl(nGC_88) + 16d0*Nc*cMC*coupl(nGC_86)*  &
                      coupl(nGC_87)*coupl(nGC_88) + 4d0*Nc*cMC*coupl(nGC_87)** &
                      2d0*coupl(nGC_88) + 4d0*Nc*cMD*coupl(nGC_91)**2d0*coupl( &
                      nGC_93) + 16d0*Nc*cMD*coupl(nGC_91)*coupl(nGC_92)*coupl( &
                      nGC_93) + 4d0*Nc*cMD*coupl(nGC_92)**2d0*coupl(nGC_93) +  &
                      4d0*Nc*cMS*coupl(nGC_106)**2d0*coupl(nGC_108) + 16d0*Nc* &
                      cMS*coupl(nGC_106)*coupl(nGC_107)*coupl(nGC_108) + 4d0*Nc&
                      *cMS*coupl(nGC_107)**2d0*coupl(nGC_108) + 4d0*Nc*cMT*    &
                      coupl(nGC_111)**2d0*coupl(nGC_113) + 16d0*Nc*cMT*coupl(  &
                      nGC_111)*coupl(nGC_112)*coupl(nGC_113) + 4d0*Nc*cMT*coupl&
                      (nGC_112)**2d0*coupl(nGC_113) + 4d0*Nc*cMU*coupl(nGC_121 &
                      )**2d0*coupl(nGC_123) + 16d0*Nc*cMU*coupl(nGC_121)*coupl(&
                      nGC_122)*coupl(nGC_123) + 4d0*Nc*cMU*coupl(nGC_122)**2d0*&
                      coupl(nGC_123) + 4d0*cME*coupl(nGC_96)**2d0*coupl(nGC_98 &
                      ) + 16d0*cME*coupl(nGC_96)*coupl(nGC_97)*coupl(nGC_98) + &
                      4d0*cME*coupl(nGC_97)**2d0*coupl(nGC_98) + 4d0*cMM*coupl(&
                      nGC_101)**2d0*coupl(nGC_103) + 16d0*cMM*coupl(nGC_101)*  &
                      coupl(nGC_102)*coupl(nGC_103) + 4d0*cMM*coupl(nGC_102)** &
                      2d0*coupl(nGC_103) + 4d0*cMTA*coupl(nGC_116)**2d0*coupl( &
                      nGC_118) + 16d0*cMTA*coupl(nGC_116)*coupl(nGC_117)*coupl(&
                      nGC_118) + 4d0*cMTA*coupl(nGC_117)**2d0*coupl(nGC_118) + &
                      4d0*cima*coupl(nGC_26)*coupl(nGC_69) + 2d0*cima*coupl(   &
                      nGC_64)*coupl(nGC_72) + coupl(nGC_1691)*coupl(nGC_421)*  &
                      coupl(nGC_74) + coupl(nGC_1691)*coupl(nGC_57)*coupl(     &
                      nGC_76) - coupl(nGC_1691)*coupl(nGC_61)*coupl(nGC_72) +  &
                      coupl(nGC_1691)*coupl(nGC_61)*coupl(nGC_79) - 2d0*coupl( &
                      nGC_32)*coupl(nGC_569)*coupl(nGC_69) + 2d0*coupl(nGC_32)*&
                      coupl(nGC_569)*coupl(nGC_75) + coupl(nGC_421)**2d0*coupl(&
                      nGC_75) - coupl(nGC_421)*coupl(nGC_57)*coupl(nGC_72) +   &
                      coupl(nGC_421)*coupl(nGC_57)*coupl(nGC_78) + coupl(      &
                      nGC_421)*coupl(nGC_61)*coupl(nGC_76) + coupl(nGC_57)**2d0&
                      *coupl(nGC_75) + coupl(nGC_57)*coupl(nGC_61)*coupl(nGC_74&
                      ))/(32d0*pi**2d0)
    coupl(nGC_4955) = (-4d0*Nc*coupl(nGC_106)*coupl(nGC_109)*coupl(nGC_50) +   &
                      4d0*Nc*coupl(nGC_106)*coupl(nGC_109)*coupl(nGC_53) + 4d0*&
                      Nc*coupl(nGC_107)*coupl(nGC_109)*coupl(nGC_50) - 4d0*Nc* &
                      coupl(nGC_107)*coupl(nGC_109)*coupl(nGC_53) + 4d0*Nc*    &
                      coupl(nGC_111)*coupl(nGC_114)*coupl(nGC_51) - 4d0*Nc*    &
                      coupl(nGC_111)*coupl(nGC_114)*coupl(nGC_54) - 4d0*Nc*    &
                      coupl(nGC_112)*coupl(nGC_114)*coupl(nGC_51) + 4d0*Nc*    &
                      coupl(nGC_112)*coupl(nGC_114)*coupl(nGC_54) + 4d0*Nc*    &
                      coupl(nGC_121)*coupl(nGC_124)*coupl(nGC_51) - 4d0*Nc*    &
                      coupl(nGC_121)*coupl(nGC_124)*coupl(nGC_54) - 4d0*Nc*    &
                      coupl(nGC_122)*coupl(nGC_124)*coupl(nGC_51) + 4d0*Nc*    &
                      coupl(nGC_122)*coupl(nGC_124)*coupl(nGC_54) - 4d0*Nc*    &
                      coupl(nGC_50)*coupl(nGC_81)*coupl(nGC_84) + 4d0*Nc*coupl(&
                      nGC_50)*coupl(nGC_82)*coupl(nGC_84) - 4d0*Nc*coupl(nGC_50&
                      )*coupl(nGC_91)*coupl(nGC_94) + 4d0*Nc*coupl(nGC_50)*    &
                      coupl(nGC_92)*coupl(nGC_94) + 4d0*Nc*coupl(nGC_51)*coupl(&
                      nGC_86)*coupl(nGC_89) - 4d0*Nc*coupl(nGC_51)*coupl(nGC_87&
                      )*coupl(nGC_89) + 4d0*Nc*coupl(nGC_53)*coupl(nGC_81)*    &
                      coupl(nGC_84) - 4d0*Nc*coupl(nGC_53)*coupl(nGC_82)*coupl(&
                      nGC_84) + 4d0*Nc*coupl(nGC_53)*coupl(nGC_91)*coupl(nGC_94&
                      ) - 4d0*Nc*coupl(nGC_53)*coupl(nGC_92)*coupl(nGC_94) -   &
                      4d0*Nc*coupl(nGC_54)*coupl(nGC_86)*coupl(nGC_89) + 4d0*Nc&
                      *coupl(nGC_54)*coupl(nGC_87)*coupl(nGC_89) - 4d0*coupl(  &
                      nGC_101)*coupl(nGC_104)*coupl(nGC_52) + 4d0*coupl(nGC_101&
                      )*coupl(nGC_104)*coupl(nGC_55) + 4d0*coupl(nGC_102)*coupl&
                      (nGC_104)*coupl(nGC_52) - 4d0*coupl(nGC_102)*coupl(      &
                      nGC_104)*coupl(nGC_55) - 4d0*coupl(nGC_116)*coupl(nGC_119&
                      )*coupl(nGC_52) + 4d0*coupl(nGC_116)*coupl(nGC_119)*coupl&
                      (nGC_55) + 4d0*coupl(nGC_117)*coupl(nGC_119)*coupl(nGC_52&
                      ) - 4d0*coupl(nGC_117)*coupl(nGC_119)*coupl(nGC_55) +    &
                      coupl(nGC_1691)**3d0 + coupl(nGC_1691)*coupl(nGC_421)**  &
                      2d0 + coupl(nGC_1933)*coupl(nGC_477)*coupl(nGC_569) +    &
                      coupl(nGC_2481)*coupl(nGC_55)*coupl(nGC_569) - 6d0*coupl(&
                      nGC_32)*coupl(nGC_37)*coupl(nGC_47) - 6d0*coupl(nGC_32)* &
                      coupl(nGC_46)*coupl(nGC_509) - 4d0*coupl(nGC_52)*coupl(  &
                      nGC_96)*coupl(nGC_99) + 4d0*coupl(nGC_52)*coupl(nGC_97)* &
                      coupl(nGC_99) + 4d0*coupl(nGC_55)*coupl(nGC_96)*coupl(   &
                      nGC_99) - 4d0*coupl(nGC_55)*coupl(nGC_97)*coupl(nGC_99   &
                      ))/(96d0*pi**2d0)
    coupl(nGC_4956) = (-4d0*Nc*coupl(nGC_106)*coupl(nGC_108)*coupl(nGC_50) +   &
                      4d0*Nc*coupl(nGC_106)*coupl(nGC_108)*coupl(nGC_53) + 4d0*&
                      Nc*coupl(nGC_107)*coupl(nGC_108)*coupl(nGC_50) - 4d0*Nc* &
                      coupl(nGC_107)*coupl(nGC_108)*coupl(nGC_53) + 4d0*Nc*    &
                      coupl(nGC_111)*coupl(nGC_113)*coupl(nGC_51) - 4d0*Nc*    &
                      coupl(nGC_111)*coupl(nGC_113)*coupl(nGC_54) - 4d0*Nc*    &
                      coupl(nGC_112)*coupl(nGC_113)*coupl(nGC_51) + 4d0*Nc*    &
                      coupl(nGC_112)*coupl(nGC_113)*coupl(nGC_54) + 4d0*Nc*    &
                      coupl(nGC_121)*coupl(nGC_123)*coupl(nGC_51) - 4d0*Nc*    &
                      coupl(nGC_121)*coupl(nGC_123)*coupl(nGC_54) - 4d0*Nc*    &
                      coupl(nGC_122)*coupl(nGC_123)*coupl(nGC_51) + 4d0*Nc*    &
                      coupl(nGC_122)*coupl(nGC_123)*coupl(nGC_54) - 4d0*Nc*    &
                      coupl(nGC_50)*coupl(nGC_81)*coupl(nGC_83) + 4d0*Nc*coupl(&
                      nGC_50)*coupl(nGC_82)*coupl(nGC_83) - 4d0*Nc*coupl(nGC_50&
                      )*coupl(nGC_91)*coupl(nGC_93) + 4d0*Nc*coupl(nGC_50)*    &
                      coupl(nGC_92)*coupl(nGC_93) + 4d0*Nc*coupl(nGC_51)*coupl(&
                      nGC_86)*coupl(nGC_88) - 4d0*Nc*coupl(nGC_51)*coupl(nGC_87&
                      )*coupl(nGC_88) + 4d0*Nc*coupl(nGC_53)*coupl(nGC_81)*    &
                      coupl(nGC_83) - 4d0*Nc*coupl(nGC_53)*coupl(nGC_82)*coupl(&
                      nGC_83) + 4d0*Nc*coupl(nGC_53)*coupl(nGC_91)*coupl(nGC_93&
                      ) - 4d0*Nc*coupl(nGC_53)*coupl(nGC_92)*coupl(nGC_93) -   &
                      4d0*Nc*coupl(nGC_54)*coupl(nGC_86)*coupl(nGC_88) + 4d0*Nc&
                      *coupl(nGC_54)*coupl(nGC_87)*coupl(nGC_88) - 4d0*coupl(  &
                      nGC_101)*coupl(nGC_103)*coupl(nGC_52) + 4d0*coupl(nGC_101&
                      )*coupl(nGC_103)*coupl(nGC_55) + 4d0*coupl(nGC_102)*coupl&
                      (nGC_103)*coupl(nGC_52) - 4d0*coupl(nGC_102)*coupl(      &
                      nGC_103)*coupl(nGC_55) - 4d0*coupl(nGC_116)*coupl(nGC_118&
                      )*coupl(nGC_52) + 4d0*coupl(nGC_116)*coupl(nGC_118)*coupl&
                      (nGC_55) + 4d0*coupl(nGC_117)*coupl(nGC_118)*coupl(nGC_52&
                      ) - 4d0*coupl(nGC_117)*coupl(nGC_118)*coupl(nGC_55) +    &
                      coupl(nGC_1691)**2d0*coupl(nGC_421) + coupl(nGC_2531)*   &
                      coupl(nGC_55)*coupl(nGC_569) - 6d0*coupl(nGC_32)*coupl(  &
                      nGC_34)*coupl(nGC_509) - 6d0*coupl(nGC_32)*coupl(nGC_35)*&
                      coupl(nGC_37) + coupl(nGC_421)**3d0 + coupl(nGC_427)*    &
                      coupl(nGC_477)*coupl(nGC_569) - 4d0*coupl(nGC_52)*coupl( &
                      nGC_96)*coupl(nGC_98) + 4d0*coupl(nGC_52)*coupl(nGC_97)* &
                      coupl(nGC_98) + 4d0*coupl(nGC_55)*coupl(nGC_96)*coupl(   &
                      nGC_98) - 4d0*coupl(nGC_55)*coupl(nGC_97)*coupl(nGC_98   &
                      ))/(96d0*pi**2d0)
    coupl(nGC_4957) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_82) - coupl(nGC_110)*   &
                      coupl(nGC_112)*coupl(nGC_80) - coupl(nGC_1691)*coupl(    &
                      nGC_50)*coupl(nGC_84) - coupl(nGC_32)*coupl(nGC_33)*coupl&
                      (nGC_80) - coupl(nGC_421)*coupl(nGC_50)*coupl(nGC_83) +  &
                      8d0*coupl(nGC_50)*coupl(nGC_53)*coupl(nGC_82) - coupl(   &
                      nGC_53)*coupl(nGC_57)*coupl(nGC_83) - coupl(nGC_53)*coupl&
                      (nGC_61)*coupl(nGC_84) - coupl(nGC_81)*coupl(nGC_82)**2d0&
                       - coupl(nGC_81)*coupl(nGC_83)**2d0 - coupl(nGC_81)*coupl&
                      (nGC_84)**2d0)/(32d0*pi**2d0)
    coupl(nGC_12943) = -coupl(nGC_12942)
    coupl(nGC_TS_GC_119_Hh) = -coupl(nGC_119)*dtHh_QED1/cMHH**2d0
    coupl(nGC_7119) = coupl(nGC_7116) + coupl(nGC_7118)
    coupl(nGC_7414) = coupl(nGC_4)*dZAZ_QED2/2d0
    coupl(nGC_7559) = coupl(nGC_5336) + coupl(nGC_87)*dZcL_QCD2/2d0 + coupl(   &
                      nGC_87)*dZcR_QCD2/2d0
    coupl(nGC_5109) = (-12d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_33)**2d0 +    &
                      36d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_33)**2d0&
                       - 12d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_33)**2d0 -   &
                      16d0*cima*coupl(nGC_3)**2d0*coupl(nGC_509)**2d0 - 24d0*  &
                      cima*coupl(nGC_3)**2d0*coupl(nGC_551)**2d0 - 12d0*cima*  &
                      coupl(nGC_33)**2d0*coupl(nGC_4)**2d0 - 8d0*cima*coupl(   &
                      nGC_37)**2d0*coupl(nGC_551)**2d0 + 12d0*cima*coupl(      &
                      nGC_443)**2d0 + 12d0*cima*coupl(nGC_5)**2d0 + 3d0*coupl( &
                      nGC_1347)*coupl(nGC_551)**2d0 + 3d0*coupl(nGC_27)*coupl( &
                      nGC_3)**2d0 + 36d0*coupl(nGC_3)*coupl(nGC_443)*coupl(    &
                      nGC_509) + 36d0*coupl(nGC_3)*coupl(nGC_5)*coupl(nGC_551  &
                      ) + 6d0*coupl(nGC_3)*coupl(nGC_551)*coupl(nGC_817) + 6d0*&
                      coupl(nGC_37)*coupl(nGC_41)*coupl(nGC_551) + 3d0*coupl(  &
                      nGC_5)*coupl(nGC_509)**2d0 + 3d0*coupl(nGC_5)*coupl(     &
                      nGC_551)**2d0)/(96d0*pi**2d0)
    coupl(nGC_5342) = coupl(nGC_4748)*dyt_QED1_QCD2
    coupl(nGC_7532) = coupl(nGC_7163) + coupl(nGC_7530)
    coupl(nGC_5100) = coupl(nGC_11)*sq2*(coupl(nGC_111)*coupl(nGC_112) + coupl(&
                      nGC_113)**2d0 + coupl(nGC_114)**2d0 + 4d0*coupl(nGC_2)** &
                      2d0 + 4d0*coupl(nGC_33)**2d0 + 4d0*coupl(nGC_54)**2d0 +  &
                      coupl(nGC_80)**2d0)/(64d0*pi**2d0)
    coupl(nGC_7054) = coupl(nGC_2)*dZAZ_QED2/2d0
    coupl(nGC_5102) = coupl(nGC_11)*sq2*(-coupl(nGC_121)*coupl(nGC_122) - coupl&
                      (nGC_123)**2d0 - coupl(nGC_124)**2d0 - 4d0*coupl(nGC_2)**&
                      2d0 - 4d0*coupl(nGC_33)**2d0 - 4d0*coupl(nGC_54)**2d0 -  &
                      coupl(nGC_90)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_5103) = coupl(nGC_11)*sq2*(-coupl(nGC_120)**2d0 - coupl(nGC_121)*&
                      coupl(nGC_122) - coupl(nGC_123)**2d0 - coupl(nGC_124)**  &
                      2d0 - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(nGC_51)**2d0)/(  &
                      64d0*pi**2d0*Nc)
    coupl(nGC_5104) = coupl(nGC_11)*sq2*(coupl(nGC_121)*coupl(nGC_122) + coupl(&
                      nGC_123)**2d0 + coupl(nGC_124)**2d0 + 4d0*coupl(nGC_2)** &
                      2d0 + 4d0*coupl(nGC_33)**2d0 + 4d0*coupl(nGC_54)**2d0 +  &
                      coupl(nGC_90)**2d0)/(64d0*pi**2d0)
    coupl(nGC_5105) = coupl(nGC_11)*sq2*(coupl(nGC_120)**2d0 + coupl(nGC_121)* &
                      coupl(nGC_122) + coupl(nGC_123)**2d0 + coupl(nGC_124)**  &
                      2d0 + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_51)**2d0)/(  &
                      64d0*pi**2d0)
    coupl(nGC_5106) = sq2**3d0*(-11d0*Nc*cima*coupl(nGC_10)**3d0 - 48d0*coupl( &
                      nGC_11)**3d0)/(768d0*pi**2d0)
    coupl(nGC_5107) = sq2**3d0*(11d0*Nc*cima*coupl(nGC_10)**3d0 + 48d0*coupl(  &
                      nGC_11)**3d0)/(768d0*pi**2d0)
    coupl(nGC_5121) = (6d0*Nc*cima*coupl(nGC_1)**3d0*coupl(nGC_50) + 6d0*Nc*   &
                      cima*coupl(nGC_1)**3d0*coupl(nGC_53) + 6d0*Nc*cima*coupl(&
                      nGC_2)**3d0*coupl(nGC_51) + 6d0*Nc*cima*coupl(nGC_2)**3d0&
                      *coupl(nGC_54) - 20d0*cima*coupl(nGC_3)**3d0*coupl(nGC_37&
                      ) + 6d0*cima*coupl(nGC_4)**3d0*coupl(nGC_52) + 6d0*cima* &
                      coupl(nGC_4)**3d0*coupl(nGC_55) + 6d0*cima*coupl(nGC_41)*&
                      coupl(nGC_817) - 20d0*cima*coupl(nGC_509)*coupl(nGC_551  &
                      )**3d0 + 9d0*coupl(nGC_3)**2d0*coupl(nGC_41) + 3d0*coupl(&
                      nGC_3)**2d0*coupl(nGC_443) + 3d0*coupl(nGC_3)*coupl(     &
                      nGC_37)*coupl(nGC_5) + 9d0*coupl(nGC_3)*coupl(nGC_37)*   &
                      coupl(nGC_817) + 9d0*coupl(nGC_41)*coupl(nGC_551)**2d0 + &
                      3d0*coupl(nGC_443)*coupl(nGC_551)**2d0 + 3d0*coupl(nGC_5 &
                      )*coupl(nGC_509)*coupl(nGC_551) + 9d0*coupl(nGC_509)*    &
                      coupl(nGC_551)*coupl(nGC_817))/(48d0*pi**2d0)
    coupl(nGC_9126) = coupl(nGC_I)*dZHhHl_QED2/2d0
    coupl(nGC_9127) = coupl(nGC_I)*dZHlHh_QED2/2d0
    coupl(nGC_7057) = coupl(nGC_51)*dZcR_QCD2
    coupl(nGC_12972) = 2d0*coupl(nGC_12967)
    coupl(nGC_7854) = coupl(nGC_3)*dZA_QED2/2d0 + coupl(nGC_37)*dZZA_QED2/2d0  &
                       + coupl(nGC_5214)
    coupl(nGC_7855) = -coupl(nGC_7854)
    coupl(nGC_5117) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_105)**2d0*coupl(   &
                      nGC_50) + 10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_105)**2d0* &
                      coupl(nGC_54) + 10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_110  &
                      )**2d0*coupl(nGC_51) - 16d0*Nc*cima*coupl(nGC_1)*coupl(  &
                      nGC_110)**2d0*coupl(nGC_53) + 10d0*Nc*cima*coupl(nGC_1)* &
                      coupl(nGC_120)**2d0*coupl(nGC_51) - 16d0*Nc*cima*coupl(  &
                      nGC_1)*coupl(nGC_120)**2d0*coupl(nGC_53) - 16d0*Nc*cima* &
                      coupl(nGC_1)*coupl(nGC_50)*coupl(nGC_80)**2d0 - 16d0*Nc* &
                      cima*coupl(nGC_1)*coupl(nGC_50)*coupl(nGC_90)**2d0 + 10d0&
                      *Nc*cima*coupl(nGC_1)*coupl(nGC_51)*coupl(nGC_85)**2d0 - &
                      16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_53)*coupl(nGC_85)**  &
                      2d0 + 10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_54)*coupl(     &
                      nGC_80)**2d0 + 10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_54)*  &
                      coupl(nGC_90)**2d0 + 10d0*Nc*cima*coupl(nGC_105)**2d0*   &
                      coupl(nGC_2)*coupl(nGC_50) - 16d0*Nc*cima*coupl(nGC_105  &
                      )**2d0*coupl(nGC_2)*coupl(nGC_54) - 16d0*Nc*cima*coupl(  &
                      nGC_110)**2d0*coupl(nGC_2)*coupl(nGC_51) + 10d0*Nc*cima* &
                      coupl(nGC_110)**2d0*coupl(nGC_2)*coupl(nGC_53) - 16d0*Nc*&
                      cima*coupl(nGC_120)**2d0*coupl(nGC_2)*coupl(nGC_51) +    &
                      10d0*Nc*cima*coupl(nGC_120)**2d0*coupl(nGC_2)*coupl(     &
                      nGC_53) + 10d0*Nc*cima*coupl(nGC_2)*coupl(nGC_50)*coupl( &
                      nGC_80)**2d0 + 10d0*Nc*cima*coupl(nGC_2)*coupl(nGC_50)*  &
                      coupl(nGC_90)**2d0 - 16d0*Nc*cima*coupl(nGC_2)*coupl(    &
                      nGC_51)*coupl(nGC_85)**2d0 + 10d0*Nc*cima*coupl(nGC_2)*  &
                      coupl(nGC_53)*coupl(nGC_85)**2d0 - 16d0*Nc*cima*coupl(   &
                      nGC_2)*coupl(nGC_54)*coupl(nGC_80)**2d0 - 16d0*Nc*cima*  &
                      coupl(nGC_2)*coupl(nGC_54)*coupl(nGC_90)**2d0 - 16d0*cima&
                      *coupl(nGC_100)**2d0*coupl(nGC_4)*coupl(nGC_52) + 10d0*  &
                      cima*coupl(nGC_100)**2d0*coupl(nGC_4)*coupl(nGC_56) -    &
                      16d0*cima*coupl(nGC_115)**2d0*coupl(nGC_4)*coupl(nGC_52  &
                      ) + 10d0*cima*coupl(nGC_115)**2d0*coupl(nGC_4)*coupl(    &
                      nGC_56) + 9d0*cima*coupl(nGC_1933)*coupl(nGC_3)*coupl(   &
                      nGC_37)*coupl(nGC_46) + 12d0*cima*coupl(nGC_26)*coupl(   &
                      nGC_41) + 9d0*cima*coupl(nGC_3)*coupl(nGC_32)*coupl(     &
                      nGC_37)*coupl(nGC_569) + 9d0*cima*coupl(nGC_3)*coupl(    &
                      nGC_34)*coupl(nGC_37)*coupl(nGC_427) + 4d0*cima*coupl(   &
                      nGC_4)*coupl(nGC_477)**2d0*coupl(nGC_55) - 16d0*cima*    &
                      coupl(nGC_4)*coupl(nGC_52)*coupl(nGC_95)**2d0 + 4d0*cima*&
                      coupl(nGC_4)*coupl(nGC_55)*coupl(nGC_647)**2d0 + 10d0*   &
                      cima*coupl(nGC_4)*coupl(nGC_56)*coupl(nGC_95)**2d0 - 3d0*&
                      coupl(nGC_17)*coupl(nGC_1933)*coupl(nGC_3) - 3d0*coupl(  &
                      nGC_17)*coupl(nGC_3)*coupl(nGC_46) - 3d0*coupl(nGC_1933)*&
                      coupl(nGC_37)*coupl(nGC_48) - 3d0*coupl(nGC_1933)*coupl( &
                      nGC_41)*coupl(nGC_46) - 3d0*coupl(nGC_2481)*coupl(nGC_48 &
                      )*coupl(nGC_509) - 3d0*coupl(nGC_2531)*coupl(nGC_40)*    &
                      coupl(nGC_509) + 18d0*coupl(nGC_26)*coupl(nGC_3)*coupl(  &
                      nGC_37) + 18d0*coupl(nGC_26)*coupl(nGC_509)*coupl(nGC_551&
                      ) - 3d0*coupl(nGC_3)*coupl(nGC_32)*coupl(nGC_7) - 3d0*   &
                      coupl(nGC_3)*coupl(nGC_34)*coupl(nGC_9) - 3d0*coupl(nGC_3&
                      )*coupl(nGC_427)*coupl(nGC_9) - 3d0*coupl(nGC_3)*coupl(  &
                      nGC_569)*coupl(nGC_8) - 3d0*coupl(nGC_32)*coupl(nGC_37)* &
                      coupl(nGC_38) - 3d0*coupl(nGC_32)*coupl(nGC_39)*coupl(   &
                      nGC_509) - 3d0*coupl(nGC_32)*coupl(nGC_41)*coupl(nGC_569 &
                      ) - 3d0*coupl(nGC_34)*coupl(nGC_41)*coupl(nGC_427) - 3d0*&
                      coupl(nGC_37)*coupl(nGC_40)*coupl(nGC_427) + 3d0*coupl(  &
                      nGC_477)**2d0*coupl(nGC_58) + 3d0*coupl(nGC_58)*coupl(   &
                      nGC_647)**2d0)/(96d0*pi**2d0)
    coupl(nGC_13899) = -coupl(nGC_4956)
    coupl(nGC_5116) = (4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_105)*coupl(nGC_106)* &
                      coupl(nGC_33) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_110)*&
                      coupl(nGC_111)*coupl(nGC_33) - 16d0*Nc*cima*coupl(nGC_1)*&
                      coupl(nGC_120)*coupl(nGC_121)*coupl(nGC_33) + 4d0*Nc*cima&
                      *coupl(nGC_1)*coupl(nGC_33)*coupl(nGC_80)*coupl(nGC_81   &
                      ) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_33)*coupl(nGC_85 &
                      )*coupl(nGC_86) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_33)*&
                      coupl(nGC_90)*coupl(nGC_91) - 16d0*Nc*cima*coupl(nGC_105 &
                      )*coupl(nGC_106)*coupl(nGC_2)*coupl(nGC_33) + 4d0*Nc*cima&
                      *coupl(nGC_110)*coupl(nGC_111)*coupl(nGC_2)*coupl(nGC_33 &
                      ) + 4d0*Nc*cima*coupl(nGC_120)*coupl(nGC_121)*coupl(nGC_2&
                      )*coupl(nGC_33) - 16d0*Nc*cima*coupl(nGC_2)*coupl(nGC_33 &
                      )*coupl(nGC_80)*coupl(nGC_81) + 4d0*Nc*cima*coupl(nGC_2)*&
                      coupl(nGC_33)*coupl(nGC_85)*coupl(nGC_86) - 16d0*Nc*cima*&
                      coupl(nGC_2)*coupl(nGC_33)*coupl(nGC_90)*coupl(nGC_91) + &
                      4d0*cima*coupl(nGC_100)*coupl(nGC_101)*coupl(nGC_33)*    &
                      coupl(nGC_4) + 4d0*cima*coupl(nGC_115)*coupl(nGC_116)*   &
                      coupl(nGC_33)*coupl(nGC_4) + 9d0*cima*coupl(nGC_1691)*   &
                      coupl(nGC_3)*coupl(nGC_46)*coupl(nGC_509) + 4d0*cima*    &
                      coupl(nGC_2481)**2d0*coupl(nGC_32)*coupl(nGC_647) + 4d0* &
                      cima*coupl(nGC_2531)**2d0*coupl(nGC_32)*coupl(nGC_647) + &
                      9d0*cima*coupl(nGC_3)*coupl(nGC_34)*coupl(nGC_421)*coupl(&
                      nGC_509) + 9d0*cima*coupl(nGC_3)*coupl(nGC_4)*coupl(     &
                      nGC_551)*coupl(nGC_569) + 4d0*cima*coupl(nGC_32)**3d0*   &
                      coupl(nGC_647) + 4d0*cima*coupl(nGC_33)*coupl(nGC_4)*    &
                      coupl(nGC_95)*coupl(nGC_96) + 4d0*cima*coupl(nGC_34)*    &
                      coupl(nGC_4)*coupl(nGC_477)*coupl(nGC_57) + 9d0*cima*    &
                      coupl(nGC_37)*coupl(nGC_55)*coupl(nGC_551)*coupl(nGC_569 &
                      ) + 24d0*cima*coupl(nGC_38)*coupl(nGC_5) + 4d0*cima*coupl&
                      (nGC_4)*coupl(nGC_46)*coupl(nGC_477)*coupl(nGC_61) + 24d0&
                      *cima*coupl(nGC_443)*coupl(nGC_7) - 6d0*coupl(nGC_1691)* &
                      coupl(nGC_443)*coupl(nGC_46) - 6d0*coupl(nGC_1691)*coupl(&
                      nGC_48)*coupl(nGC_509) + 6d0*coupl(nGC_2481)*coupl(nGC_32&
                      )*coupl(nGC_48) + 6d0*coupl(nGC_2531)*coupl(nGC_32)*coupl&
                      (nGC_40) - 6d0*coupl(nGC_26)*coupl(nGC_3)*coupl(nGC_569  &
                      ) - 6d0*coupl(nGC_26)*coupl(nGC_551)*coupl(nGC_569) +    &
                      36d0*coupl(nGC_3)*coupl(nGC_38)*coupl(nGC_551) + 36d0*   &
                      coupl(nGC_3)*coupl(nGC_509)*coupl(nGC_7) - 6d0*coupl(    &
                      nGC_3)*coupl(nGC_569)*coupl(nGC_6) + 6d0*coupl(nGC_32)** &
                      2d0*coupl(nGC_38) - 6d0*coupl(nGC_34)*coupl(nGC_421)*    &
                      coupl(nGC_443) - 6d0*coupl(nGC_37)*coupl(nGC_569)*coupl( &
                      nGC_58) - 6d0*coupl(nGC_38)*coupl(nGC_477)*coupl(nGC_509 &
                      ) - 6d0*coupl(nGC_38)*coupl(nGC_551)*coupl(nGC_647) - 6d0&
                      *coupl(nGC_4)*coupl(nGC_5)*coupl(nGC_569) - 6d0*coupl(   &
                      nGC_40)*coupl(nGC_421)*coupl(nGC_509) + 6d0*coupl(nGC_40 &
                      )*coupl(nGC_477)*coupl(nGC_57) - 6d0*coupl(nGC_443)*coupl&
                      (nGC_55)*coupl(nGC_569) + 6d0*coupl(nGC_477)*coupl(nGC_48&
                      )*coupl(nGC_61))/(192d0*pi**2d0)
    coupl(nGC_7919) = coupl(nGC_5364) + coupl(nGC_60)*dZHl_QED2/2d0 + coupl(   &
                      nGC_62)*dZHhHl_QED2/2d0
    coupl(nGC_9297) = coupl(nGC_7270) + coupl(nGC_9295)
    coupl(nGC_5115) = (-48d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_108)*coupl(   &
                      nGC_109) - 48d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_83)* &
                      coupl(nGC_84) - 48d0*Nc*cima*coupl(nGC_1)**2d0*coupl(    &
                      nGC_93)*coupl(nGC_94) - 48d0*Nc*cima*coupl(nGC_113)*coupl&
                      (nGC_114)*coupl(nGC_2)**2d0 - 48d0*Nc*cima*coupl(nGC_123 &
                      )*coupl(nGC_124)*coupl(nGC_2)**2d0 - 48d0*Nc*cima*coupl( &
                      nGC_2)**2d0*coupl(nGC_88)*coupl(nGC_89) - 48d0*cima*coupl&
                      (nGC_103)*coupl(nGC_104)*coupl(nGC_4)**2d0 - 48d0*cima*  &
                      coupl(nGC_118)*coupl(nGC_119)*coupl(nGC_4)**2d0 + 9d0*   &
                      cima*coupl(nGC_1933)*coupl(nGC_34)*coupl(nGC_551)**2d0 + &
                      4d0*cima*coupl(nGC_1933)*coupl(nGC_34)*coupl(nGC_647)**  &
                      2d0 + 9d0*cima*coupl(nGC_2481)*coupl(nGC_3)**2d0*coupl(  &
                      nGC_35) + 4d0*cima*coupl(nGC_2481)*coupl(nGC_35)*coupl(  &
                      nGC_4)**2d0 + 9d0*cima*coupl(nGC_2531)*coupl(nGC_3)**2d0*&
                      coupl(nGC_47) + 4d0*cima*coupl(nGC_2531)*coupl(nGC_4)**  &
                      2d0*coupl(nGC_47) + 24d0*cima*coupl(nGC_30)*coupl(nGC_817&
                      ) - 48d0*cima*coupl(nGC_4)**2d0*coupl(nGC_98)*coupl(     &
                      nGC_99) + 9d0*cima*coupl(nGC_427)*coupl(nGC_46)*coupl(   &
                      nGC_551)**2d0 + 4d0*cima*coupl(nGC_427)*coupl(nGC_46)*   &
                      coupl(nGC_647)**2d0 - 6d0*coupl(nGC_1933)*coupl(nGC_34)* &
                      coupl(nGC_817) - 6d0*coupl(nGC_1933)*coupl(nGC_40)*coupl(&
                      nGC_551) - 6d0*coupl(nGC_2481)*coupl(nGC_3)*coupl(nGC_40 &
                      ) - 6d0*coupl(nGC_2481)*coupl(nGC_35)*coupl(nGC_817) -   &
                      6d0*coupl(nGC_2531)*coupl(nGC_3)*coupl(nGC_48) + 6d0*    &
                      coupl(nGC_2531)*coupl(nGC_47)*coupl(nGC_6) + 36d0*coupl( &
                      nGC_3)**2d0*coupl(nGC_30) - 6d0*coupl(nGC_3)*coupl(nGC_35&
                      )*coupl(nGC_48) - 6d0*coupl(nGC_3)*coupl(nGC_40)*coupl(  &
                      nGC_47) + 36d0*coupl(nGC_30)*coupl(nGC_551)**2d0 - 6d0*  &
                      coupl(nGC_34)*coupl(nGC_48)*coupl(nGC_551) - 6d0*coupl(  &
                      nGC_40)*coupl(nGC_46)*coupl(nGC_551) + 6d0*coupl(nGC_427 &
                      )*coupl(nGC_46)*coupl(nGC_6) - 6d0*coupl(nGC_427)*coupl( &
                      nGC_48)*coupl(nGC_551))/(192d0*pi**2d0)
    coupl(nGC_7913) = coupl(nGC_121)*dZuL_QCD2/2d0 + coupl(nGC_121)*dZuR_QCD2/ &
                      2d0 + coupl(nGC_5332)
    coupl(nGC_5266) = coupl(nGC_4668)*dsw_QED2 + coupl(nGC_4669)*dcw_QED2 +    &
                      coupl(nGC_4670)*da_QED2 + coupl(nGC_4671)*dZee_QED2
    coupl(nGC_5051) = coupl(nGC_33)*(coupl(nGC_37)*coupl(nGC_56) + coupl(nGC_4 &
                      )*coupl(nGC_551) + coupl(nGC_509)*coupl(nGC_55) + coupl( &
                      nGC_55)*coupl(nGC_56))/(8d0*pi**2d0)
    coupl(nGC_7539) = coupl(nGC_36)*dZZA_QED2/2d0 + coupl(nGC_4)*dZA_QED2/2d0  &
                       + coupl(nGC_5238)
    coupl(nGC_5034) = (coupl(nGC_100)*coupl(nGC_2531)*coupl(nGC_33) - coupl(   &
                      nGC_101)**2d0*coupl(nGC_103) + coupl(nGC_101)*coupl(     &
                      nGC_421)*coupl(nGC_55) + coupl(nGC_101)*coupl(nGC_52)*   &
                      coupl(nGC_57) - coupl(nGC_103)**3d0 - coupl(nGC_103)*    &
                      coupl(nGC_104)**2d0 + 8d0*coupl(nGC_103)*coupl(nGC_4)**  &
                      2d0 + 8d0*coupl(nGC_103)*coupl(nGC_52)*coupl(nGC_55))/(  &
                      32d0*pi**2d0)
    coupl(nGC_5035) = (coupl(nGC_100)*coupl(nGC_33)*coupl(nGC_35) - coupl(     &
                      nGC_102)**2d0*coupl(nGC_103) + coupl(nGC_102)*coupl(     &
                      nGC_421)*coupl(nGC_52) + coupl(nGC_102)*coupl(nGC_55)*   &
                      coupl(nGC_57) - coupl(nGC_103)**3d0 - coupl(nGC_103)*    &
                      coupl(nGC_104)**2d0 + 8d0*coupl(nGC_103)*coupl(nGC_4)**  &
                      2d0 + 8d0*coupl(nGC_103)*coupl(nGC_52)*coupl(nGC_55))/(  &
                      32d0*pi**2d0)
    coupl(nGC_5036) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_108) - coupl(nGC_105)*  &
                      coupl(nGC_33)*coupl(nGC_427) - coupl(nGC_105)*coupl(     &
                      nGC_85)*coupl(nGC_88) - coupl(nGC_107)**2d0*coupl(nGC_108&
                      ) - coupl(nGC_107)*coupl(nGC_421)*coupl(nGC_53) - coupl( &
                      nGC_107)*coupl(nGC_50)*coupl(nGC_57) - coupl(nGC_108)**  &
                      3d0 - coupl(nGC_108)*coupl(nGC_109)**2d0 + 8d0*coupl(    &
                      nGC_108)*coupl(nGC_50)*coupl(nGC_53))/(32d0*pi**2d0)
    coupl(nGC_5037) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_108) - coupl(nGC_105)*  &
                      coupl(nGC_33)*coupl(nGC_34) - coupl(nGC_105)*coupl(nGC_85&
                      )*coupl(nGC_88) - coupl(nGC_106)**2d0*coupl(nGC_108) -   &
                      coupl(nGC_106)*coupl(nGC_421)*coupl(nGC_50) - coupl(     &
                      nGC_106)*coupl(nGC_53)*coupl(nGC_57) - coupl(nGC_108)**  &
                      3d0 - coupl(nGC_108)*coupl(nGC_109)**2d0 + 8d0*coupl(    &
                      nGC_108)*coupl(nGC_50)*coupl(nGC_53))/(32d0*pi**2d0)
    coupl(nGC_5030) = (coupl(nGC_2531)*coupl(nGC_33)*coupl(nGC_95) + 8d0*coupl(&
                      nGC_4)**2d0*coupl(nGC_98) + coupl(nGC_421)*coupl(nGC_55)*&
                      coupl(nGC_96) + 8d0*coupl(nGC_52)*coupl(nGC_55)*coupl(   &
                      nGC_98) + coupl(nGC_52)*coupl(nGC_57)*coupl(nGC_96) -    &
                      coupl(nGC_96)**2d0*coupl(nGC_98) - coupl(nGC_98)**3d0 -  &
                      coupl(nGC_98)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
    coupl(nGC_5031) = (coupl(nGC_33)*coupl(nGC_35)*coupl(nGC_95) + 8d0*coupl(  &
                      nGC_4)**2d0*coupl(nGC_98) + coupl(nGC_421)*coupl(nGC_52)*&
                      coupl(nGC_97) + 8d0*coupl(nGC_52)*coupl(nGC_55)*coupl(   &
                      nGC_98) + coupl(nGC_55)*coupl(nGC_57)*coupl(nGC_97) -    &
                      coupl(nGC_97)**2d0*coupl(nGC_98) - coupl(nGC_98)**3d0 -  &
                      coupl(nGC_98)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
    coupl(nGC_5032) = coupl(nGC_11)**2d0*sq2**2d0*(-cMB*coupl(nGC_83) - cMC*   &
                      coupl(nGC_88) - cMD*coupl(nGC_93) - cMS*coupl(nGC_108) - &
                      cMT*coupl(nGC_113) - cMU*coupl(nGC_123))/(16d0*pi**2d0)
    coupl(nGC_5033) = coupl(nGC_11)**2d0*sq2**2d0*(cMB*coupl(nGC_83) + cMC*    &
                      coupl(nGC_88) + cMD*coupl(nGC_93) + cMS*coupl(nGC_108) + &
                      cMT*coupl(nGC_113) + cMU*coupl(nGC_123))/(16d0*pi**2d0*Nc&
                      )
    coupl(nGC_5038) = coupl(nGC_108)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5039) = (-coupl(nGC_110)*coupl(nGC_2531)*coupl(nGC_33) - coupl(  &
                      nGC_110)*coupl(nGC_80)*coupl(nGC_83) - coupl(nGC_111)**  &
                      2d0*coupl(nGC_113) - coupl(nGC_111)*coupl(nGC_421)*coupl(&
                      nGC_54) - coupl(nGC_111)*coupl(nGC_51)*coupl(nGC_57) -   &
                      coupl(nGC_113)**3d0 - coupl(nGC_113)*coupl(nGC_114)**2d0 &
                       + 8d0*coupl(nGC_113)*coupl(nGC_2)**2d0 + 8d0*coupl(     &
                      nGC_113)*coupl(nGC_51)*coupl(nGC_54))/(32d0*pi**2d0)
    coupl(nGC_7302) = coupl(nGC_1)*dZdL_QED2 + coupl(nGC_53)*dZZA_QED2/2d0
    coupl(nGC_7303) = coupl(nGC_7270) + coupl(nGC_7301)
    coupl(nGC_7737) = coupl(nGC_2)*dZuL_QED2 + coupl(nGC_54)*dZZA_QED2/2d0
    coupl(nGC_8021) = coupl(nGC_107)*dZsL_QCD2/2d0 + coupl(nGC_107)*dZsR_QCD2/ &
                      2d0 + coupl(nGC_5297)
    coupl(nGC_4920) = (4d0*Nc*coupl(nGC_105)**2d0*coupl(nGC_50) - 4d0*Nc*coupl(&
                      nGC_105)**2d0*coupl(nGC_54) - 4d0*Nc*coupl(nGC_110)**2d0*&
                      coupl(nGC_51) + 4d0*Nc*coupl(nGC_110)**2d0*coupl(nGC_53  &
                      ) - 4d0*Nc*coupl(nGC_120)**2d0*coupl(nGC_51) + 4d0*Nc*   &
                      coupl(nGC_120)**2d0*coupl(nGC_53) + 4d0*Nc*coupl(nGC_50)*&
                      coupl(nGC_80)**2d0 + 4d0*Nc*coupl(nGC_50)*coupl(nGC_90)**&
                      2d0 - 4d0*Nc*coupl(nGC_51)*coupl(nGC_85)**2d0 + 4d0*Nc*  &
                      coupl(nGC_53)*coupl(nGC_85)**2d0 - 4d0*Nc*coupl(nGC_54)* &
                      coupl(nGC_80)**2d0 - 4d0*Nc*coupl(nGC_54)*coupl(nGC_90)**&
                      2d0 + 4d0*coupl(nGC_100)**2d0*coupl(nGC_52) - 4d0*coupl( &
                      nGC_100)**2d0*coupl(nGC_56) + 4d0*coupl(nGC_115)**2d0*   &
                      coupl(nGC_52) - 4d0*coupl(nGC_115)**2d0*coupl(nGC_56) +  &
                      coupl(nGC_1691)*coupl(nGC_2481)*coupl(nGC_569) - 6d0*    &
                      coupl(nGC_1933)*coupl(nGC_37)*coupl(nGC_46) + coupl(     &
                      nGC_2531)*coupl(nGC_421)*coupl(nGC_569) + coupl(nGC_32)* &
                      coupl(nGC_35)*coupl(nGC_57) - 6d0*coupl(nGC_32)*coupl(   &
                      nGC_37)*coupl(nGC_569) + coupl(nGC_32)*coupl(nGC_47)*    &
                      coupl(nGC_61) - 6d0*coupl(nGC_34)*coupl(nGC_37)*coupl(   &
                      nGC_427) + coupl(nGC_477)**2d0*coupl(nGC_55) + 4d0*coupl(&
                      nGC_52)*coupl(nGC_95)**2d0 + coupl(nGC_55)*coupl(nGC_647 &
                      )**2d0 - 4d0*coupl(nGC_56)*coupl(nGC_95)**2d0)/(96d0*pi**&
                      2d0)
    coupl(nGC_8492) = coupl(nGC_5349) + coupl(nGC_8485)
    coupl(nGC_14800) = -coupl(nGC_4955)
    coupl(nGC_5216) = coupl(nGC_4581)*dsw_QED2 + coupl(nGC_4582)*dcw_QED2 +    &
                      coupl(nGC_4583)*dZee_QED2
    coupl(nGC_5351) = coupl(nGC_4755)*dyup_QED1_QCD2
    coupl(nGC_5350) = coupl(nGC_4754)*da_QED2 + coupl(nGC_4755)*dyup_QED3
    coupl(nGC_5355) = coupl(nGC_283)*dyt_QED1_QCD2
    coupl(nGC_5354) = coupl(nGC_281)*da_QED2 + coupl(nGC_283)*dyt_QED3
    coupl(nGC_5357) = coupl(nGC_4578)*dsw_QED2 + coupl(nGC_4579)*dMW2_QED2 +   &
                      coupl(nGC_4580)*dZee_QED2
    coupl(nGC_5356) = coupl(nGC_4774)*dMW2_QED2 + coupl(nGC_4775)*dZee_QED2
    coupl(nGC_7239) = coupl(nGC_51)*dZZ_QED2/2d0 + coupl(nGC_51)*dZtR_QED2 +   &
                      coupl(nGC_5275)
    coupl(nGC_7231) = coupl(nGC_38)*dZAZ_QED2/2d0 + coupl(nGC_5263) + coupl(   &
                      nGC_7)*dZWMinus_QED2/2d0 + coupl(nGC_7)*dZZ_QED2/2d0
    coupl(nGC_5123) = (4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_105)*coupl(nGC_109)* &
                      coupl(nGC_33) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_110)*&
                      coupl(nGC_114)*coupl(nGC_33) - 16d0*Nc*cima*coupl(nGC_1)*&
                      coupl(nGC_120)*coupl(nGC_124)*coupl(nGC_33) + 4d0*Nc*cima&
                      *coupl(nGC_1)*coupl(nGC_33)*coupl(nGC_80)*coupl(nGC_84   &
                      ) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_33)*coupl(nGC_85 &
                      )*coupl(nGC_89) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_33)*&
                      coupl(nGC_90)*coupl(nGC_94) - 16d0*Nc*cima*coupl(nGC_105 &
                      )*coupl(nGC_109)*coupl(nGC_2)*coupl(nGC_33) + 4d0*Nc*cima&
                      *coupl(nGC_110)*coupl(nGC_114)*coupl(nGC_2)*coupl(nGC_33 &
                      ) + 4d0*Nc*cima*coupl(nGC_120)*coupl(nGC_124)*coupl(nGC_2&
                      )*coupl(nGC_33) - 16d0*Nc*cima*coupl(nGC_2)*coupl(nGC_33 &
                      )*coupl(nGC_80)*coupl(nGC_84) + 4d0*Nc*cima*coupl(nGC_2)*&
                      coupl(nGC_33)*coupl(nGC_85)*coupl(nGC_89) - 16d0*Nc*cima*&
                      coupl(nGC_2)*coupl(nGC_33)*coupl(nGC_90)*coupl(nGC_94) + &
                      4d0*cima*coupl(nGC_100)*coupl(nGC_104)*coupl(nGC_33)*    &
                      coupl(nGC_4) + 4d0*cima*coupl(nGC_115)*coupl(nGC_119)*   &
                      coupl(nGC_33)*coupl(nGC_4) + 4d0*cima*coupl(nGC_1691)*   &
                      coupl(nGC_55)*coupl(nGC_569)*coupl(nGC_647) + 24d0*cima* &
                      coupl(nGC_17)*coupl(nGC_443) + 4d0*cima*coupl(nGC_1933)**&
                      2d0*coupl(nGC_2481)*coupl(nGC_4) + 4d0*cima*coupl(       &
                      nGC_2481)*coupl(nGC_32)**2d0*coupl(nGC_4) + 4d0*cima*    &
                      coupl(nGC_2481)*coupl(nGC_4)*coupl(nGC_427)**2d0 + 9d0*  &
                      cima*coupl(nGC_3)*coupl(nGC_47)*coupl(nGC_477)*coupl(    &
                      nGC_509) + 9d0*cima*coupl(nGC_3)*coupl(nGC_47)*coupl(    &
                      nGC_551)*coupl(nGC_647) + 4d0*cima*coupl(nGC_33)*coupl(  &
                      nGC_4)*coupl(nGC_95)*coupl(nGC_99) + 9d0*cima*coupl(     &
                      nGC_37)*coupl(nGC_551)*coupl(nGC_569)*coupl(nGC_61) +    &
                      24d0*cima*coupl(nGC_48)*coupl(nGC_5) + 6d0*coupl(nGC_1691&
                      )*coupl(nGC_39)*coupl(nGC_55) + 36d0*coupl(nGC_17)*coupl(&
                      nGC_37)*coupl(nGC_551) + 6d0*coupl(nGC_1933)*coupl(      &
                      nGC_2481)*coupl(nGC_48) + 6d0*coupl(nGC_2481)*coupl(     &
                      nGC_32)*coupl(nGC_39) + 6d0*coupl(nGC_2481)*coupl(nGC_40 &
                      )*coupl(nGC_427) - 6d0*coupl(nGC_26)*coupl(nGC_3)*coupl( &
                      nGC_47) - 6d0*coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_48) +  &
                      36d0*coupl(nGC_3)*coupl(nGC_48)*coupl(nGC_551) - 6d0*    &
                      coupl(nGC_30)*coupl(nGC_35)*coupl(nGC_551) - 6d0*coupl(  &
                      nGC_31)*coupl(nGC_47)*coupl(nGC_551) - 6d0*coupl(nGC_37)*&
                      coupl(nGC_39)*coupl(nGC_61) - 6d0*coupl(nGC_37)*coupl(   &
                      nGC_48)*coupl(nGC_55) - 6d0*coupl(nGC_443)*coupl(nGC_47)*&
                      coupl(nGC_477) - 6d0*coupl(nGC_443)*coupl(nGC_569)*coupl(&
                      nGC_61) - 6d0*coupl(nGC_47)*coupl(nGC_5)*coupl(nGC_647   &
                      ) - 6d0*coupl(nGC_47)*coupl(nGC_509)*coupl(nGC_58) - 6d0*&
                      coupl(nGC_47)*coupl(nGC_551)*coupl(nGC_6))/(192d0*pi**2d0&
                      )
    coupl(nGC_8789) = coupl(nGC_7687) + coupl(nGC_8788)
    coupl(nGC_10253) = coupl(nGC_5302) + coupl(nGC_82)*dZbL_QED2/2d0 + coupl(  &
                       nGC_82)*dZbR_QED2/2d0
    coupl(nGC_10252) = coupl(nGC_5303) + coupl(nGC_81)*dZbL_QCD2/2d0 + coupl(  &
                       nGC_81)*dZbR_QCD2/2d0
    coupl(nGC_10251) = coupl(nGC_5301) + coupl(nGC_82)*dZbL_QCD2/2d0 + coupl(  &
                       nGC_82)*dZbR_QCD2/2d0
    coupl(nGC_10254) = coupl(nGC_5304) + coupl(nGC_81)*dZbL_QED2/2d0 + coupl(  &
                       nGC_81)*dZbR_QED2/2d0
    coupl(nGC_5183) = (-30d0*Nc*cima*coupl(nGC_33)**4d0 + 3d0*cima*coupl(      &
                      nGC_1347)**2d0 - 4d0*cima*coupl(nGC_3)**4d0 - 8d0*cima*  &
                      coupl(nGC_3)**2d0*coupl(nGC_37)**2d0 - 16d0*cima*coupl(  &
                      nGC_3)**2d0*coupl(nGC_551)**2d0 - 32d0*cima*coupl(nGC_3)*&
                      coupl(nGC_37)*coupl(nGC_509)*coupl(nGC_551) - 30d0*cima* &
                      coupl(nGC_33)**4d0 - 4d0*cima*coupl(nGC_37)**4d0 - 16d0* &
                      cima*coupl(nGC_37)**2d0*coupl(nGC_509)**2d0 - 4d0*cima*  &
                      coupl(nGC_509)**4d0 - 8d0*cima*coupl(nGC_509)**2d0*coupl(&
                      nGC_551)**2d0 - 4d0*cima*coupl(nGC_551)**4d0 + 3d0*coupl(&
                      nGC_1347)*coupl(nGC_3)**2d0 + 18d0*coupl(nGC_1347)*coupl(&
                      nGC_3)*coupl(nGC_551) + 3d0*coupl(nGC_1347)*coupl(nGC_37 &
                      )**2d0 + 18d0*coupl(nGC_1347)*coupl(nGC_37)*coupl(nGC_509&
                      ) + 3d0*coupl(nGC_1347)*coupl(nGC_509)**2d0 + 3d0*coupl( &
                      nGC_1347)*coupl(nGC_551)**2d0 + 3d0*coupl(nGC_29)*coupl( &
                      nGC_37)**2d0 + 3d0*coupl(nGC_29)*coupl(nGC_509)**2d0 +   &
                      3d0*coupl(nGC_3)**2d0*coupl(nGC_5) + 6d0*coupl(nGC_3)*   &
                      coupl(nGC_37)*coupl(nGC_443) + 6d0*coupl(nGC_443)*coupl( &
                      nGC_509)*coupl(nGC_551) + 3d0*coupl(nGC_5)*coupl(nGC_551 &
                      )**2d0)/(48d0*pi**2d0)
    coupl(nGC_4855) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_50)**2d0 + 2d0*Nc*cMB**  &
                      2d0*cima*coupl(nGC_53)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl(&
                      nGC_51)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl(nGC_54)**2d0 + &
                      2d0*Nc*cMD**2d0*cima*coupl(nGC_50)**2d0 + 2d0*Nc*cMD**2d0&
                      *cima*coupl(nGC_53)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(   &
                      nGC_50)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_53)**2d0 + &
                      2d0*Nc*cMT**2d0*cima*coupl(nGC_51)**2d0 + 2d0*Nc*cMT**2d0&
                      *cima*coupl(nGC_54)**2d0 + 2d0*Nc*cMU**2d0*cima*coupl(   &
                      nGC_51)**2d0 + 2d0*Nc*cMU**2d0*cima*coupl(nGC_54)**2d0 + &
                      2d0*cME**2d0*cima*coupl(nGC_52)**2d0 + 2d0*cME**2d0*cima*&
                      coupl(nGC_55)**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_52)**2d0&
                       + 2d0*cMM**2d0*cima*coupl(nGC_55)**2d0 + 2d0*cMTA**2d0* &
                      cima*coupl(nGC_52)**2d0 + 2d0*cMTA**2d0*cima*coupl(nGC_55&
                      )**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_37)**2d0 + 3d0*cMW**&
                      2d0*cima*coupl(nGC_509)**2d0 - 2d0*cMW**2d0*coupl(nGC_469&
                      ))/(16d0*pi**2d0)
    coupl(nGC_4854) = cima*(coupl(nGC_37)**2d0 + coupl(nGC_509)**2d0)/(48d0*pi &
                      **2d0)
    coupl(nGC_4998) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_94) - coupl(nGC_120)*   &
                      coupl(nGC_124)*coupl(nGC_90) - coupl(nGC_1691)*coupl(    &
                      nGC_53)*coupl(nGC_92) - coupl(nGC_1933)*coupl(nGC_33)*   &
                      coupl(nGC_90) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl(   &
                      nGC_94) - coupl(nGC_50)*coupl(nGC_61)*coupl(nGC_92) -    &
                      coupl(nGC_92)**2d0*coupl(nGC_94) - coupl(nGC_93)**2d0*   &
                      coupl(nGC_94) - coupl(nGC_94)**3d0)/(32d0*pi**2d0)
    coupl(nGC_4999) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_94) - coupl(nGC_120)*   &
                      coupl(nGC_124)*coupl(nGC_90) - coupl(nGC_1691)*coupl(    &
                      nGC_50)*coupl(nGC_91) - coupl(nGC_33)*coupl(nGC_46)*coupl&
                      (nGC_90) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl(nGC_94  &
                      ) - coupl(nGC_53)*coupl(nGC_61)*coupl(nGC_91) - coupl(   &
                      nGC_91)**2d0*coupl(nGC_94) - coupl(nGC_93)**2d0*coupl(   &
                      nGC_94) - coupl(nGC_94)**3d0)/(32d0*pi**2d0)
    coupl(nGC_4853) = cima*(-2d0*Nc*coupl(nGC_50)**2d0 - 2d0*Nc*coupl(nGC_51)**&
                      2d0 - 2d0*Nc*coupl(nGC_53)**2d0 - 2d0*Nc*coupl(nGC_54)** &
                      2d0 - coupl(nGC_37)**2d0 - coupl(nGC_509)**2d0 - 2d0*    &
                      coupl(nGC_52)**2d0 - 2d0*coupl(nGC_55)**2d0 - 2d0*coupl( &
                      nGC_56)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4852) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_50) + 2d0*Nc&
                      *cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_53) + 2d0*Nc*cMC** &
                      2d0*cima*coupl(nGC_2)*coupl(nGC_51) + 2d0*Nc*cMC**2d0*   &
                      cima*coupl(nGC_2)*coupl(nGC_54) + 2d0*Nc*cMD**2d0*cima*  &
                      coupl(nGC_1)*coupl(nGC_50) + 2d0*Nc*cMD**2d0*cima*coupl( &
                      nGC_1)*coupl(nGC_53) + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1)*&
                      coupl(nGC_50) + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1)*coupl( &
                      nGC_53) + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)*coupl(nGC_51 &
                      ) + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)*coupl(nGC_54) + 2d0&
                      *Nc*cMU**2d0*cima*coupl(nGC_2)*coupl(nGC_51) + 2d0*Nc*cMU&
                      **2d0*cima*coupl(nGC_2)*coupl(nGC_54) + 2d0*cME**2d0*cima&
                      *coupl(nGC_4)*coupl(nGC_52) + 2d0*cME**2d0*cima*coupl(   &
                      nGC_4)*coupl(nGC_55) + 2d0*cMM**2d0*cima*coupl(nGC_4)*   &
                      coupl(nGC_52) + 2d0*cMM**2d0*cima*coupl(nGC_4)*coupl(    &
                      nGC_55) + 2d0*cMTA**2d0*cima*coupl(nGC_4)*coupl(nGC_52   &
                      ) + 2d0*cMTA**2d0*cima*coupl(nGC_4)*coupl(nGC_55) + 3d0* &
                      cMW**2d0*cima*coupl(nGC_3)*coupl(nGC_37) + 3d0*cMW**2d0* &
                      cima*coupl(nGC_509)*coupl(nGC_551) - 2d0*cMW**2d0*coupl( &
                      nGC_41))/(16d0*pi**2d0)
    coupl(nGC_4994) = coupl(nGC_11)**2d0*coupl(nGC_84)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4995) = (-coupl(nGC_105)*coupl(nGC_109)*coupl(nGC_85) - coupl(   &
                      nGC_1691)*coupl(nGC_54)*coupl(nGC_86) + 8d0*coupl(nGC_2  &
                      )**2d0*coupl(nGC_89) - coupl(nGC_2481)*coupl(nGC_33)*    &
                      coupl(nGC_85) + 8d0*coupl(nGC_51)*coupl(nGC_54)*coupl(   &
                      nGC_89) - coupl(nGC_51)*coupl(nGC_61)*coupl(nGC_86) -    &
                      coupl(nGC_86)**2d0*coupl(nGC_89) - coupl(nGC_88)**2d0*   &
                      coupl(nGC_89) - coupl(nGC_89)**3d0)/(32d0*pi**2d0)
    coupl(nGC_4996) = (-coupl(nGC_105)*coupl(nGC_109)*coupl(nGC_85) - coupl(   &
                      nGC_1691)*coupl(nGC_51)*coupl(nGC_87) + 8d0*coupl(nGC_2  &
                      )**2d0*coupl(nGC_89) - coupl(nGC_33)*coupl(nGC_47)*coupl(&
                      nGC_85) + 8d0*coupl(nGC_51)*coupl(nGC_54)*coupl(nGC_89   &
                      ) - coupl(nGC_54)*coupl(nGC_61)*coupl(nGC_87) - coupl(   &
                      nGC_87)**2d0*coupl(nGC_89) - coupl(nGC_88)**2d0*coupl(   &
                      nGC_89) - coupl(nGC_89)**3d0)/(32d0*pi**2d0)
    coupl(nGC_4997) = coupl(nGC_11)**2d0*coupl(nGC_89)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4991) = (-8d0*Nc*cMB*coupl(nGC_50)**2d0*coupl(nGC_84) + 8d0*Nc*  &
                      cMB*coupl(nGC_50)*coupl(nGC_53)*coupl(nGC_84) - 8d0*Nc*  &
                      cMB*coupl(nGC_53)**2d0*coupl(nGC_84) - 8d0*Nc*cMC*coupl( &
                      nGC_51)**2d0*coupl(nGC_89) + 8d0*Nc*cMC*coupl(nGC_51)*   &
                      coupl(nGC_54)*coupl(nGC_89) - 8d0*Nc*cMC*coupl(nGC_54)** &
                      2d0*coupl(nGC_89) - 8d0*Nc*cMD*coupl(nGC_50)**2d0*coupl( &
                      nGC_94) + 8d0*Nc*cMD*coupl(nGC_50)*coupl(nGC_53)*coupl(  &
                      nGC_94) - 8d0*Nc*cMD*coupl(nGC_53)**2d0*coupl(nGC_94) -  &
                      8d0*Nc*cMS*coupl(nGC_109)*coupl(nGC_50)**2d0 + 8d0*Nc*cMS&
                      *coupl(nGC_109)*coupl(nGC_50)*coupl(nGC_53) - 8d0*Nc*cMS*&
                      coupl(nGC_109)*coupl(nGC_53)**2d0 - 8d0*Nc*cMT*coupl(    &
                      nGC_114)*coupl(nGC_51)**2d0 + 8d0*Nc*cMT*coupl(nGC_114)* &
                      coupl(nGC_51)*coupl(nGC_54) - 8d0*Nc*cMT*coupl(nGC_114)* &
                      coupl(nGC_54)**2d0 - 8d0*Nc*cMU*coupl(nGC_124)*coupl(    &
                      nGC_51)**2d0 + 8d0*Nc*cMU*coupl(nGC_124)*coupl(nGC_51)*  &
                      coupl(nGC_54) - 8d0*Nc*cMU*coupl(nGC_124)*coupl(nGC_54)**&
                      2d0 - 8d0*cME*coupl(nGC_52)**2d0*coupl(nGC_99) + 8d0*cME*&
                      coupl(nGC_52)*coupl(nGC_55)*coupl(nGC_99) - 8d0*cME*coupl&
                      (nGC_55)**2d0*coupl(nGC_99) - 8d0*cMM*coupl(nGC_104)*    &
                      coupl(nGC_52)**2d0 + 8d0*cMM*coupl(nGC_104)*coupl(nGC_52 &
                      )*coupl(nGC_55) - 8d0*cMM*coupl(nGC_104)*coupl(nGC_55)** &
                      2d0 - 8d0*cMTA*coupl(nGC_119)*coupl(nGC_52)**2d0 + 8d0*  &
                      cMTA*coupl(nGC_119)*coupl(nGC_52)*coupl(nGC_55) - 8d0*   &
                      cMTA*coupl(nGC_119)*coupl(nGC_55)**2d0 + 4d0*cima*coupl( &
                      nGC_469)*coupl(nGC_70) - coupl(nGC_1933)*coupl(nGC_509)* &
                      coupl(nGC_68) - coupl(nGC_2481)*coupl(nGC_37)*coupl(     &
                      nGC_68) + 6d0*coupl(nGC_37)**2d0*coupl(nGC_70) - coupl(  &
                      nGC_37)*coupl(nGC_47)*coupl(nGC_68) - coupl(nGC_46)*coupl&
                      (nGC_509)*coupl(nGC_68) + 6d0*coupl(nGC_509)**2d0*coupl( &
                      nGC_70))/(32d0*pi**2d0)
    coupl(nGC_4992) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_84) - coupl(nGC_110)*   &
                      coupl(nGC_114)*coupl(nGC_80) - coupl(nGC_1691)*coupl(    &
                      nGC_53)*coupl(nGC_82) - coupl(nGC_1933)*coupl(nGC_33)*   &
                      coupl(nGC_80) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl(   &
                      nGC_84) - coupl(nGC_50)*coupl(nGC_61)*coupl(nGC_82) -    &
                      coupl(nGC_82)**2d0*coupl(nGC_84) - coupl(nGC_83)**2d0*   &
                      coupl(nGC_84) - coupl(nGC_84)**3d0)/(32d0*pi**2d0)
    coupl(nGC_4993) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_84) - coupl(nGC_110)*   &
                      coupl(nGC_114)*coupl(nGC_80) - coupl(nGC_1691)*coupl(    &
                      nGC_50)*coupl(nGC_81) - coupl(nGC_33)*coupl(nGC_46)*coupl&
                      (nGC_80) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl(nGC_84  &
                      ) - coupl(nGC_53)*coupl(nGC_61)*coupl(nGC_81) - coupl(   &
                      nGC_81)**2d0*coupl(nGC_84) - coupl(nGC_83)**2d0*coupl(   &
                      nGC_84) - coupl(nGC_84)**3d0)/(32d0*pi**2d0)
    coupl(nGC_7124) = coupl(nGC_5237) + coupl(nGC_58)*dZZA_QED2 + coupl(nGC_6)*&
                      dZA_QED2
    coupl(nGC_5188) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_108)**2d0 +  &
                      coupl(nGC_113)**2d0 + coupl(nGC_123)**2d0 + coupl(nGC_83 &
                      )**2d0 + coupl(nGC_88)**2d0 + coupl(nGC_93)**2d0)/(16d0* &
                      pi**2d0*Nc)
    coupl(nGC_4924) = (2d0*Nc*cMB*coupl(nGC_33)*coupl(nGC_50)*coupl(nGC_80) -  &
                      2d0*Nc*cMB*coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_80) -   &
                      2d0*Nc*cMB*coupl(nGC_33)*coupl(nGC_54)*coupl(nGC_80) +   &
                      2d0*Nc*cMC*coupl(nGC_33)*coupl(nGC_51)*coupl(nGC_85) -   &
                      2d0*Nc*cMC*coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_85) -   &
                      2d0*Nc*cMC*coupl(nGC_33)*coupl(nGC_54)*coupl(nGC_85) +   &
                      2d0*Nc*cMD*coupl(nGC_33)*coupl(nGC_50)*coupl(nGC_90) -   &
                      2d0*Nc*cMD*coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_90) -   &
                      2d0*Nc*cMD*coupl(nGC_33)*coupl(nGC_54)*coupl(nGC_90) +   &
                      2d0*Nc*cMS*coupl(nGC_105)*coupl(nGC_33)*coupl(nGC_50) -  &
                      2d0*Nc*cMS*coupl(nGC_105)*coupl(nGC_33)*coupl(nGC_53) -  &
                      2d0*Nc*cMS*coupl(nGC_105)*coupl(nGC_33)*coupl(nGC_54) +  &
                      2d0*Nc*cMT*coupl(nGC_110)*coupl(nGC_33)*coupl(nGC_51) -  &
                      2d0*Nc*cMT*coupl(nGC_110)*coupl(nGC_33)*coupl(nGC_53) -  &
                      2d0*Nc*cMT*coupl(nGC_110)*coupl(nGC_33)*coupl(nGC_54) +  &
                      2d0*Nc*cMU*coupl(nGC_120)*coupl(nGC_33)*coupl(nGC_51) -  &
                      2d0*Nc*cMU*coupl(nGC_120)*coupl(nGC_33)*coupl(nGC_53) -  &
                      2d0*Nc*cMU*coupl(nGC_120)*coupl(nGC_33)*coupl(nGC_54) +  &
                      2d0*cME*coupl(nGC_33)*coupl(nGC_52)*coupl(nGC_95) - 2d0* &
                      cME*coupl(nGC_33)*coupl(nGC_55)*coupl(nGC_95) - 2d0*cME* &
                      coupl(nGC_33)*coupl(nGC_56)*coupl(nGC_95) + 2d0*cMM*coupl&
                      (nGC_100)*coupl(nGC_33)*coupl(nGC_52) - 2d0*cMM*coupl(   &
                      nGC_100)*coupl(nGC_33)*coupl(nGC_55) - 2d0*cMM*coupl(    &
                      nGC_100)*coupl(nGC_33)*coupl(nGC_56) + 2d0*cMTA*coupl(   &
                      nGC_115)*coupl(nGC_33)*coupl(nGC_52) - 2d0*cMTA*coupl(   &
                      nGC_115)*coupl(nGC_33)*coupl(nGC_55) - 2d0*cMTA*coupl(   &
                      nGC_115)*coupl(nGC_33)*coupl(nGC_56) + 4d0*cima*coupl(   &
                      nGC_29)*coupl(nGC_68) + 4d0*cima*coupl(nGC_443)*coupl(   &
                      nGC_71) - coupl(nGC_2481)*coupl(nGC_37)*coupl(nGC_73) -  &
                      coupl(nGC_2531)*coupl(nGC_37)*coupl(nGC_72) - coupl(     &
                      nGC_34)*coupl(nGC_37)*coupl(nGC_69) - coupl(nGC_37)*coupl&
                      (nGC_46)*coupl(nGC_70) + 6d0*coupl(nGC_37)*coupl(nGC_509 &
                      )*coupl(nGC_68) + 6d0*coupl(nGC_37)*coupl(nGC_551)*coupl(&
                      nGC_71) - coupl(nGC_477)*coupl(nGC_509)*coupl(nGC_68) -  &
                      coupl(nGC_551)*coupl(nGC_647)*coupl(nGC_68))/(32d0*pi**  &
                      2d0)
    coupl(nGC_7120) = coupl(nGC_5345) + coupl(nGC_7117)
    coupl(nGC_5189) = (3d0*Nc*cima*coupl(nGC_50)**4d0 + 3d0*Nc*cima*coupl(     &
                      nGC_51)**4d0 + 3d0*Nc*cima*coupl(nGC_53)**4d0 + 3d0*Nc*  &
                      cima*coupl(nGC_54)**4d0 - 10d0*cima*coupl(nGC_37)**4d0 + &
                      3d0*cima*coupl(nGC_469)**2d0 - 10d0*cima*coupl(nGC_509)**&
                      4d0 + 3d0*cima*coupl(nGC_52)**4d0 + 3d0*cima*coupl(nGC_55&
                      )**4d0 + 3d0*cima*coupl(nGC_56)**4d0 + 3d0*coupl(nGC_29)*&
                      coupl(nGC_37)**2d0 + 3d0*coupl(nGC_29)*coupl(nGC_509)**  &
                      2d0 + 9d0*coupl(nGC_37)**2d0*coupl(nGC_469) + 9d0*coupl( &
                      nGC_469)*coupl(nGC_509)**2d0)/(24d0*pi**2d0)
    coupl(nGC_7045) = coupl(nGC_103)*dZHlHh_QED2/2d0 + coupl(nGC_104)*dZHh_QED2&
                      /2d0 + coupl(nGC_5330)
    coupl(nGC_7044) = coupl(nGC_104)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
    coupl(nGC_9287) = coupl(nGC_1)*dZsR_QCD2
    coupl(nGC_9260) = coupl(nGC_2)*dZcL_QED2 + coupl(nGC_54)*dZZA_QED2/2d0
    coupl(nGC_7848) = coupl(nGC_51)*dZZ_QED2/2d0 + coupl(nGC_51)*dZuR_QED2 +   &
                      coupl(nGC_5275)
    coupl(nGC_10179) = coupl(nGC_10176) + coupl(nGC_5316)
    coupl(nGC_10177) = coupl(nGC_5315) + coupl(nGC_83)*dZHlHh_QED2/2d0 + coupl(&
                       nGC_84)*dZHh_QED2/2d0
    coupl(nGC_TS_GC_61_Hh) = -coupl(nGC_61)*dtHh_QED1/cMHH**2d0
    coupl(nGC_7513) = coupl(nGC_4)*dZWMinus_QED2/2d0 + coupl(nGC_5238)
    coupl(nGC_10495) = coupl(nGC_MS)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_10494) = coupl(nGC_MS)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_10497) = coupl(nGC_MI)*dZsR_QCD2
    coupl(nGC_10496) = coupl(nGC_MI)*dZsR_QED2
    coupl(nGC_4925) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_80) - coupl(    &
                      nGC_1)*coupl(nGC_647)*coupl(nGC_80) - coupl(nGC_110)*    &
                      coupl(nGC_111)*coupl(nGC_82) - coupl(nGC_110)*coupl(     &
                      nGC_113)*coupl(nGC_83) - coupl(nGC_110)*coupl(nGC_114)*  &
                      coupl(nGC_84) - coupl(nGC_2)*coupl(nGC_4)*coupl(nGC_80   &
                      ) - coupl(nGC_33)*coupl(nGC_34)*coupl(nGC_83) - coupl(   &
                      nGC_33)*coupl(nGC_46)*coupl(nGC_84) - coupl(nGC_33)*coupl&
                      (nGC_569)*coupl(nGC_82) - coupl(nGC_477)*coupl(nGC_50)*  &
                      coupl(nGC_80) + 8d0*coupl(nGC_50)*coupl(nGC_54)*coupl(   &
                      nGC_80) - coupl(nGC_54)*coupl(nGC_55)*coupl(nGC_80))/(   &
                      32d0*pi**2d0)
    coupl(nGC_10493) = coupl(nGC_MI)*dZsL_QCD2
    coupl(nGC_10492) = coupl(nGC_MI)*dZsL_QED2
    coupl(nGC_5122) = (4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_105)*coupl(nGC_107)* &
                      coupl(nGC_33) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_110)*&
                      coupl(nGC_112)*coupl(nGC_33) - 16d0*Nc*cima*coupl(nGC_1)*&
                      coupl(nGC_120)*coupl(nGC_122)*coupl(nGC_33) + 4d0*Nc*cima&
                      *coupl(nGC_1)*coupl(nGC_33)*coupl(nGC_80)*coupl(nGC_82   &
                      ) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_33)*coupl(nGC_85 &
                      )*coupl(nGC_87) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_33)*&
                      coupl(nGC_90)*coupl(nGC_92) - 16d0*Nc*cima*coupl(nGC_105 &
                      )*coupl(nGC_107)*coupl(nGC_2)*coupl(nGC_33) + 4d0*Nc*cima&
                      *coupl(nGC_110)*coupl(nGC_112)*coupl(nGC_2)*coupl(nGC_33 &
                      ) + 4d0*Nc*cima*coupl(nGC_120)*coupl(nGC_122)*coupl(nGC_2&
                      )*coupl(nGC_33) - 16d0*Nc*cima*coupl(nGC_2)*coupl(nGC_33 &
                      )*coupl(nGC_80)*coupl(nGC_82) + 4d0*Nc*cima*coupl(nGC_2)*&
                      coupl(nGC_33)*coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*cima*&
                      coupl(nGC_2)*coupl(nGC_33)*coupl(nGC_90)*coupl(nGC_92) + &
                      4d0*cima*coupl(nGC_100)*coupl(nGC_102)*coupl(nGC_33)*    &
                      coupl(nGC_4) + 4d0*cima*coupl(nGC_115)*coupl(nGC_117)*   &
                      coupl(nGC_33)*coupl(nGC_4) + 9d0*cima*coupl(nGC_1691)*   &
                      coupl(nGC_37)*coupl(nGC_47)*coupl(nGC_551) + 4d0*cima*   &
                      coupl(nGC_1933)**2d0*coupl(nGC_32)*coupl(nGC_4) + 9d0*   &
                      cima*coupl(nGC_3)*coupl(nGC_477)*coupl(nGC_509)*coupl(   &
                      nGC_569) + 9d0*cima*coupl(nGC_3)*coupl(nGC_551)*coupl(   &
                      nGC_569)*coupl(nGC_647) + 4d0*cima*coupl(nGC_32)**3d0*   &
                      coupl(nGC_4) + 4d0*cima*coupl(nGC_32)*coupl(nGC_4)*coupl(&
                      nGC_427)**2d0 + 4d0*cima*coupl(nGC_33)*coupl(nGC_4)*coupl&
                      (nGC_95)*coupl(nGC_97) + 9d0*cima*coupl(nGC_35)*coupl(   &
                      nGC_37)*coupl(nGC_421)*coupl(nGC_551) + 4d0*cima*coupl(  &
                      nGC_35)*coupl(nGC_55)*coupl(nGC_57)*coupl(nGC_647) + 24d0&
                      *cima*coupl(nGC_39)*coupl(nGC_5) + 24d0*cima*coupl(      &
                      nGC_443)*coupl(nGC_8) + 4d0*cima*coupl(nGC_47)*coupl(    &
                      nGC_55)*coupl(nGC_61)*coupl(nGC_647) - 6d0*coupl(nGC_1691&
                      )*coupl(nGC_37)*coupl(nGC_48) - 6d0*coupl(nGC_1691)*coupl&
                      (nGC_443)*coupl(nGC_47) + 6d0*coupl(nGC_1933)*coupl(     &
                      nGC_32)*coupl(nGC_48) - 6d0*coupl(nGC_26)*coupl(nGC_3)*  &
                      coupl(nGC_569) - 6d0*coupl(nGC_26)*coupl(nGC_551)*coupl( &
                      nGC_569) - 6d0*coupl(nGC_3)*coupl(nGC_39)*coupl(nGC_4) + &
                      36d0*coupl(nGC_3)*coupl(nGC_39)*coupl(nGC_551) + 6d0*    &
                      coupl(nGC_32)**2d0*coupl(nGC_39) + 6d0*coupl(nGC_32)*    &
                      coupl(nGC_40)*coupl(nGC_427) - 6d0*coupl(nGC_35)*coupl(  &
                      nGC_421)*coupl(nGC_443) - 6d0*coupl(nGC_37)*coupl(nGC_39 &
                      )*coupl(nGC_55) - 6d0*coupl(nGC_37)*coupl(nGC_40)*coupl( &
                      nGC_421) + 36d0*coupl(nGC_37)*coupl(nGC_551)*coupl(nGC_8 &
                      ) + 6d0*coupl(nGC_40)*coupl(nGC_55)*coupl(nGC_57) - 6d0* &
                      coupl(nGC_443)*coupl(nGC_477)*coupl(nGC_569) + 6d0*coupl(&
                      nGC_48)*coupl(nGC_55)*coupl(nGC_61) - 6d0*coupl(nGC_5)*  &
                      coupl(nGC_569)*coupl(nGC_647) - 6d0*coupl(nGC_509)*coupl(&
                      nGC_569)*coupl(nGC_58) - 6d0*coupl(nGC_551)*coupl(nGC_569&
                      )*coupl(nGC_6))/(192d0*pi**2d0)
    coupl(nGC_TS_GC_31_Hh) = -coupl(nGC_31)*dtHh_QED1/cMHH**2d0
    coupl(nGC_4929) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_85) + coupl(    &
                      nGC_1)*coupl(nGC_4)*coupl(nGC_85) - coupl(nGC_105)*coupl(&
                      nGC_106)*coupl(nGC_87) - coupl(nGC_105)*coupl(nGC_108)*  &
                      coupl(nGC_88) - coupl(nGC_105)*coupl(nGC_109)*coupl(     &
                      nGC_89) + coupl(nGC_2)*coupl(nGC_647)*coupl(nGC_85) +    &
                      coupl(nGC_33)*coupl(nGC_34)*coupl(nGC_88) + coupl(nGC_33 &
                      )*coupl(nGC_46)*coupl(nGC_89) + coupl(nGC_33)*coupl(     &
                      nGC_569)*coupl(nGC_87) + coupl(nGC_477)*coupl(nGC_51)*   &
                      coupl(nGC_85) + 8d0*coupl(nGC_51)*coupl(nGC_53)*coupl(   &
                      nGC_85) + coupl(nGC_53)*coupl(nGC_55)*coupl(nGC_85))/(   &
                      32d0*pi**2d0)
    coupl(nGC_5348) = coupl(nGC_275)*da_QED2 + coupl(nGC_277)*dyt_QED3
    coupl(nGC_7083) = coupl(nGC_41)*dZA_QED2/2d0 + coupl(nGC_41)*dZWMinus_QED2 &
                       + coupl(nGC_41)*dZZ_QED2/2d0 + coupl(nGC_5218)
    coupl(nGC_5171) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_106)*coupl(  &
                      nGC_107) + coupl(nGC_111)*coupl(nGC_112) + coupl(nGC_121 &
                      )*coupl(nGC_122) + coupl(nGC_81)*coupl(nGC_82) + coupl(  &
                      nGC_86)*coupl(nGC_87) + coupl(nGC_91)*coupl(nGC_92))/(   &
                      16d0*pi**2d0*Nc)
    coupl(nGC_5170) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_106)*coupl( &
                      nGC_107) - coupl(nGC_111)*coupl(nGC_112) - coupl(nGC_121 &
                      )*coupl(nGC_122) - coupl(nGC_81)*coupl(nGC_82) - coupl(  &
                      nGC_86)*coupl(nGC_87) - coupl(nGC_91)*coupl(nGC_92))/(   &
                      16d0*pi**2d0)
    coupl(nGC_5173) = (20d0*Nc*cima*coupl(nGC_108)**4d0 + 20d0*Nc*cima*coupl(  &
                      nGC_113)**4d0 + 20d0*Nc*cima*coupl(nGC_123)**4d0 + 20d0* &
                      Nc*cima*coupl(nGC_83)**4d0 + 20d0*Nc*cima*coupl(nGC_88)**&
                      4d0 + 20d0*Nc*cima*coupl(nGC_93)**4d0 + 20d0*cima*coupl( &
                      nGC_103)**4d0 + 20d0*cima*coupl(nGC_118)**4d0 - 5d0*cima*&
                      coupl(nGC_2531)**2d0*coupl(nGC_35)**2d0 + 6d0*cima*coupl(&
                      nGC_28)**2d0 - 5d0*cima*coupl(nGC_34)**2d0*coupl(nGC_427 &
                      )**2d0 - 5d0*cima*coupl(nGC_421)**2d0*coupl(nGC_57)**2d0 &
                       + 3d0*cima*coupl(nGC_65)**2d0 + 20d0*cima*coupl(nGC_98  &
                      )**4d0 + 3d0*coupl(nGC_20)*coupl(nGC_2531)*coupl(nGC_35  &
                      ) + 3d0*coupl(nGC_20)*coupl(nGC_34)*coupl(nGC_427) + 3d0*&
                      coupl(nGC_20)*coupl(nGC_421)*coupl(nGC_57) - 3d0*coupl(  &
                      nGC_2531)*coupl(nGC_28)*coupl(nGC_35) - 3d0*coupl(nGC_28 &
                      )*coupl(nGC_34)*coupl(nGC_427) - 3d0*coupl(nGC_421)*coupl&
                      (nGC_57)*coupl(nGC_65))/(16d0*pi**2d0)
    coupl(nGC_5172) = (-32d0*Nc*cima*coupl(nGC_108)**2d0*coupl(nGC_33)**2d0 -  &
                      32d0*Nc*cima*coupl(nGC_113)**2d0*coupl(nGC_33)**2d0 -    &
                      32d0*Nc*cima*coupl(nGC_123)**2d0*coupl(nGC_33)**2d0 -    &
                      32d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_83)**2d0 - 32d0&
                      *Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_88)**2d0 - 32d0*Nc*&
                      cima*coupl(nGC_33)**2d0*coupl(nGC_93)**2d0 - 32d0*cima*  &
                      coupl(nGC_103)**2d0*coupl(nGC_33)**2d0 - 32d0*cima*coupl(&
                      nGC_118)**2d0*coupl(nGC_33)**2d0 + 4d0*cima*coupl(       &
                      nGC_1933)*coupl(nGC_2531)*coupl(nGC_35)*coupl(nGC_46) +  &
                      4d0*cima*coupl(nGC_2481)*coupl(nGC_34)*coupl(nGC_427)*   &
                      coupl(nGC_47) + 4d0*cima*coupl(nGC_2531)*coupl(nGC_32)*  &
                      coupl(nGC_35)*coupl(nGC_569) + 8d0*cima*coupl(nGC_2531)* &
                      coupl(nGC_34)*coupl(nGC_35)*coupl(nGC_427) + 9d0*cima*   &
                      coupl(nGC_2531)*coupl(nGC_35)*coupl(nGC_509)**2d0 + 9d0* &
                      cima*coupl(nGC_2531)*coupl(nGC_35)*coupl(nGC_551)**2d0 + &
                      24d0*cima*coupl(nGC_27)*coupl(nGC_28) + 9d0*cima*coupl(  &
                      nGC_3)**2d0*coupl(nGC_34)*coupl(nGC_427) + 4d0*cima*coupl&
                      (nGC_32)*coupl(nGC_34)*coupl(nGC_427)*coupl(nGC_569) +   &
                      8d0*cima*coupl(nGC_32)*coupl(nGC_421)*coupl(nGC_569)*    &
                      coupl(nGC_57) - 32d0*cima*coupl(nGC_33)**2d0*coupl(nGC_98&
                      )**2d0 + 9d0*cima*coupl(nGC_34)*coupl(nGC_37)**2d0*coupl(&
                      nGC_427) + 9d0*cima*coupl(nGC_37)**2d0*coupl(nGC_421)*   &
                      coupl(nGC_57) + 9d0*cima*coupl(nGC_421)*coupl(nGC_509)** &
                      2d0*coupl(nGC_57) + 12d0*cima*coupl(nGC_469)*coupl(nGC_65&
                      ) + 6d0*coupl(nGC_2531)*coupl(nGC_26)*coupl(nGC_35) - 6d0&
                      *coupl(nGC_2531)*coupl(nGC_27)*coupl(nGC_35) - 6d0*coupl(&
                      nGC_2531)*coupl(nGC_40)*coupl(nGC_551) - 6d0*coupl(      &
                      nGC_2531)*coupl(nGC_509)*coupl(nGC_9) + 6d0*coupl(nGC_26 &
                      )*coupl(nGC_34)*coupl(nGC_427) + 6d0*coupl(nGC_26)*coupl(&
                      nGC_421)*coupl(nGC_57) - 6d0*coupl(nGC_27)*coupl(nGC_34)*&
                      coupl(nGC_427) + 36d0*coupl(nGC_28)*coupl(nGC_509)**2d0  &
                       + 36d0*coupl(nGC_28)*coupl(nGC_551)**2d0 - 6d0*coupl(   &
                      nGC_3)*coupl(nGC_34)*coupl(nGC_40) - 6d0*coupl(nGC_3)*   &
                      coupl(nGC_40)*coupl(nGC_427) - 6d0*coupl(nGC_34)*coupl(  &
                      nGC_37)*coupl(nGC_9) - 6d0*coupl(nGC_35)*coupl(nGC_40)*  &
                      coupl(nGC_551) - 6d0*coupl(nGC_35)*coupl(nGC_509)*coupl( &
                      nGC_9) + 36d0*coupl(nGC_37)**2d0*coupl(nGC_65) - 6d0*    &
                      coupl(nGC_37)*coupl(nGC_427)*coupl(nGC_9) - 6d0*coupl(   &
                      nGC_421)*coupl(nGC_469)*coupl(nGC_57))/(192d0*pi**2d0)
    coupl(nGC_5175) = (-32d0*Nc*cima*coupl(nGC_108)**2d0*coupl(nGC_50)**2d0 +  &
                      40d0*Nc*cima*coupl(nGC_108)**2d0*coupl(nGC_50)*coupl(    &
                      nGC_53) - 32d0*Nc*cima*coupl(nGC_108)**2d0*coupl(nGC_53  &
                      )**2d0 - 32d0*Nc*cima*coupl(nGC_113)**2d0*coupl(nGC_51)**&
                      2d0 + 40d0*Nc*cima*coupl(nGC_113)**2d0*coupl(nGC_51)*    &
                      coupl(nGC_54) - 32d0*Nc*cima*coupl(nGC_113)**2d0*coupl(  &
                      nGC_54)**2d0 - 32d0*Nc*cima*coupl(nGC_123)**2d0*coupl(   &
                      nGC_51)**2d0 + 40d0*Nc*cima*coupl(nGC_123)**2d0*coupl(   &
                      nGC_51)*coupl(nGC_54) - 32d0*Nc*cima*coupl(nGC_123)**2d0*&
                      coupl(nGC_54)**2d0 - 32d0*Nc*cima*coupl(nGC_50)**2d0*    &
                      coupl(nGC_83)**2d0 - 32d0*Nc*cima*coupl(nGC_50)**2d0*    &
                      coupl(nGC_93)**2d0 + 40d0*Nc*cima*coupl(nGC_50)*coupl(   &
                      nGC_53)*coupl(nGC_83)**2d0 + 40d0*Nc*cima*coupl(nGC_50)* &
                      coupl(nGC_53)*coupl(nGC_93)**2d0 - 32d0*Nc*cima*coupl(   &
                      nGC_51)**2d0*coupl(nGC_88)**2d0 + 40d0*Nc*cima*coupl(    &
                      nGC_51)*coupl(nGC_54)*coupl(nGC_88)**2d0 - 32d0*Nc*cima* &
                      coupl(nGC_53)**2d0*coupl(nGC_83)**2d0 - 32d0*Nc*cima*    &
                      coupl(nGC_53)**2d0*coupl(nGC_93)**2d0 - 32d0*Nc*cima*    &
                      coupl(nGC_54)**2d0*coupl(nGC_88)**2d0 - 32d0*cima*coupl( &
                      nGC_103)**2d0*coupl(nGC_52)**2d0 + 40d0*cima*coupl(      &
                      nGC_103)**2d0*coupl(nGC_52)*coupl(nGC_55) - 32d0*cima*   &
                      coupl(nGC_103)**2d0*coupl(nGC_55)**2d0 - 32d0*cima*coupl(&
                      nGC_118)**2d0*coupl(nGC_52)**2d0 + 40d0*cima*coupl(      &
                      nGC_118)**2d0*coupl(nGC_52)*coupl(nGC_55) - 32d0*cima*   &
                      coupl(nGC_118)**2d0*coupl(nGC_55)**2d0 + 4d0*cima*coupl( &
                      nGC_1691)*coupl(nGC_421)*coupl(nGC_57)*coupl(nGC_61) +   &
                      9d0*cima*coupl(nGC_2531)*coupl(nGC_35)*coupl(nGC_37)**2d0&
                       + 4d0*cima*coupl(nGC_2531)*coupl(nGC_35)*coupl(nGC_55)**&
                      2d0 + 12d0*cima*coupl(nGC_28)*coupl(nGC_469) + 4d0*cima* &
                      coupl(nGC_34)*coupl(nGC_427)*coupl(nGC_477)**2d0 + 9d0*  &
                      cima*coupl(nGC_34)*coupl(nGC_427)*coupl(nGC_509)**2d0 +  &
                      4d0*cima*coupl(nGC_421)**2d0*coupl(nGC_57)**2d0 - 32d0*  &
                      cima*coupl(nGC_52)**2d0*coupl(nGC_98)**2d0 + 40d0*cima*  &
                      coupl(nGC_52)*coupl(nGC_55)*coupl(nGC_98)**2d0 - 32d0*   &
                      cima*coupl(nGC_55)**2d0*coupl(nGC_98)**2d0 - 3d0*coupl(  &
                      nGC_2531)*coupl(nGC_35)*coupl(nGC_469) + 3d0*coupl(      &
                      nGC_2531)*coupl(nGC_35)*coupl(nGC_63) - 6d0*coupl(       &
                      nGC_2531)*coupl(nGC_37)*coupl(nGC_9) + 18d0*coupl(nGC_28 &
                      )*coupl(nGC_37)**2d0 + 18d0*coupl(nGC_28)*coupl(nGC_509  &
                      )**2d0 - 3d0*coupl(nGC_34)*coupl(nGC_427)*coupl(nGC_469  &
                      ) + 3d0*coupl(nGC_34)*coupl(nGC_427)*coupl(nGC_63) - 6d0*&
                      coupl(nGC_34)*coupl(nGC_509)*coupl(nGC_9) - 6d0*coupl(   &
                      nGC_35)*coupl(nGC_37)*coupl(nGC_9) + 3d0*coupl(nGC_421)* &
                      coupl(nGC_57)*coupl(nGC_64) - 6d0*coupl(nGC_427)*coupl(  &
                      nGC_509)*coupl(nGC_9))/(96d0*pi**2d0)
    coupl(nGC_5174) = (-32d0*Nc*cima*coupl(nGC_108)*coupl(nGC_109)*coupl(nGC_50&
                      )**2d0 + 40d0*Nc*cima*coupl(nGC_108)*coupl(nGC_109)*coupl&
                      (nGC_50)*coupl(nGC_53) - 32d0*Nc*cima*coupl(nGC_108)*    &
                      coupl(nGC_109)*coupl(nGC_53)**2d0 - 32d0*Nc*cima*coupl(  &
                      nGC_113)*coupl(nGC_114)*coupl(nGC_51)**2d0 + 40d0*Nc*cima&
                      *coupl(nGC_113)*coupl(nGC_114)*coupl(nGC_51)*coupl(nGC_54&
                      ) - 32d0*Nc*cima*coupl(nGC_113)*coupl(nGC_114)*coupl(    &
                      nGC_54)**2d0 - 32d0*Nc*cima*coupl(nGC_123)*coupl(nGC_124 &
                      )*coupl(nGC_51)**2d0 + 40d0*Nc*cima*coupl(nGC_123)*coupl(&
                      nGC_124)*coupl(nGC_51)*coupl(nGC_54) - 32d0*Nc*cima*coupl&
                      (nGC_123)*coupl(nGC_124)*coupl(nGC_54)**2d0 - 32d0*Nc*   &
                      cima*coupl(nGC_50)**2d0*coupl(nGC_83)*coupl(nGC_84) -    &
                      32d0*Nc*cima*coupl(nGC_50)**2d0*coupl(nGC_93)*coupl(     &
                      nGC_94) + 40d0*Nc*cima*coupl(nGC_50)*coupl(nGC_53)*coupl(&
                      nGC_83)*coupl(nGC_84) + 40d0*Nc*cima*coupl(nGC_50)*coupl(&
                      nGC_53)*coupl(nGC_93)*coupl(nGC_94) - 32d0*Nc*cima*coupl(&
                      nGC_51)**2d0*coupl(nGC_88)*coupl(nGC_89) + 40d0*Nc*cima* &
                      coupl(nGC_51)*coupl(nGC_54)*coupl(nGC_88)*coupl(nGC_89   &
                      ) - 32d0*Nc*cima*coupl(nGC_53)**2d0*coupl(nGC_83)*coupl( &
                      nGC_84) - 32d0*Nc*cima*coupl(nGC_53)**2d0*coupl(nGC_93)* &
                      coupl(nGC_94) - 32d0*Nc*cima*coupl(nGC_54)**2d0*coupl(   &
                      nGC_88)*coupl(nGC_89) - 32d0*cima*coupl(nGC_103)*coupl(  &
                      nGC_104)*coupl(nGC_52)**2d0 + 40d0*cima*coupl(nGC_103)*  &
                      coupl(nGC_104)*coupl(nGC_52)*coupl(nGC_55) - 32d0*cima*  &
                      coupl(nGC_103)*coupl(nGC_104)*coupl(nGC_55)**2d0 - 32d0* &
                      cima*coupl(nGC_118)*coupl(nGC_119)*coupl(nGC_52)**2d0 +  &
                      40d0*cima*coupl(nGC_118)*coupl(nGC_119)*coupl(nGC_52)*   &
                      coupl(nGC_55) - 32d0*cima*coupl(nGC_118)*coupl(nGC_119)* &
                      coupl(nGC_55)**2d0 + 4d0*cima*coupl(nGC_1691)*coupl(     &
                      nGC_421)*coupl(nGC_61)**2d0 + 9d0*cima*coupl(nGC_1933)*  &
                      coupl(nGC_34)*coupl(nGC_509)**2d0 + 9d0*cima*coupl(      &
                      nGC_2481)*coupl(nGC_35)*coupl(nGC_37)**2d0 + 4d0*cima*   &
                      coupl(nGC_2531)*coupl(nGC_47)*coupl(nGC_55)**2d0 + 12d0* &
                      cima*coupl(nGC_30)*coupl(nGC_469) + 4d0*cima*coupl(      &
                      nGC_421)**2d0*coupl(nGC_57)*coupl(nGC_61) + 4d0*cima*    &
                      coupl(nGC_427)*coupl(nGC_46)*coupl(nGC_477)**2d0 - 32d0* &
                      cima*coupl(nGC_52)**2d0*coupl(nGC_98)*coupl(nGC_99) +    &
                      40d0*cima*coupl(nGC_52)*coupl(nGC_55)*coupl(nGC_98)*coupl&
                      (nGC_99) - 32d0*cima*coupl(nGC_55)**2d0*coupl(nGC_98)*   &
                      coupl(nGC_99) - 6d0*coupl(nGC_17)*coupl(nGC_34)*coupl(   &
                      nGC_509) - 6d0*coupl(nGC_17)*coupl(nGC_35)*coupl(nGC_37  &
                      ) - 3d0*coupl(nGC_1933)*coupl(nGC_34)*coupl(nGC_469) -   &
                      6d0*coupl(nGC_1933)*coupl(nGC_509)*coupl(nGC_9) - 3d0*   &
                      coupl(nGC_2481)*coupl(nGC_35)*coupl(nGC_469) - 6d0*coupl(&
                      nGC_2481)*coupl(nGC_37)*coupl(nGC_9) + 3d0*coupl(nGC_2531&
                      )*coupl(nGC_47)*coupl(nGC_63) + 18d0*coupl(nGC_30)*coupl(&
                      nGC_37)**2d0 + 18d0*coupl(nGC_30)*coupl(nGC_509)**2d0 +  &
                      3d0*coupl(nGC_421)*coupl(nGC_61)*coupl(nGC_64) + 3d0*    &
                      coupl(nGC_427)*coupl(nGC_46)*coupl(nGC_63))/(96d0*pi**2d0&
                      )
    coupl(nGC_5177) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_109)**2d0 +  &
                      coupl(nGC_114)**2d0 + coupl(nGC_124)**2d0 + coupl(nGC_84 &
                      )**2d0 + coupl(nGC_89)**2d0 + coupl(nGC_94)**2d0)/(16d0* &
                      pi**2d0*Nc)
    coupl(nGC_5176) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_109)**2d0 - &
                      coupl(nGC_114)**2d0 - coupl(nGC_124)**2d0 - coupl(nGC_84 &
                      )**2d0 - coupl(nGC_89)**2d0 - coupl(nGC_94)**2d0)/(16d0* &
                      pi**2d0)
    coupl(nGC_5179) = -cima*coupl(nGC_11)**2d0*coupl(nGC_33)**2d0*sq2**2d0/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_5178) = cima*coupl(nGC_11)**2d0*coupl(nGC_33)**2d0*sq2**2d0/(32d0&
                      *pi**2d0)
    coupl(nGC_5072) = (coupl(nGC_111)*coupl(nGC_112)*coupl(nGC_51) + coupl(    &
                      nGC_113)**2d0*coupl(nGC_51) + coupl(nGC_114)**2d0*coupl( &
                      nGC_51) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_54) + 4d0*coupl&
                      (nGC_33)**2d0*coupl(nGC_37) + 4d0*coupl(nGC_33)**2d0*    &
                      coupl(nGC_53) + coupl(nGC_50)*coupl(nGC_80)**2d0 + 4d0*  &
                      coupl(nGC_54)**3d0)/(32d0*pi**2d0)
    coupl(nGC_5073) = (coupl(nGC_110)**2d0*coupl(nGC_53) + coupl(nGC_111)*coupl&
                      (nGC_112)*coupl(nGC_54) + coupl(nGC_113)**2d0*coupl(     &
                      nGC_54) + coupl(nGC_114)**2d0*coupl(nGC_54) + 4d0*coupl( &
                      nGC_2)**2d0*coupl(nGC_51) + 4d0*coupl(nGC_51)**3d0)/(32d0&
                      *pi**2d0)
    coupl(nGC_5074) = (coupl(nGC_115)**2d0*coupl(nGC_56) + coupl(nGC_116)*coupl&
                      (nGC_117)*coupl(nGC_55) + coupl(nGC_118)**2d0*coupl(     &
                      nGC_55) + coupl(nGC_119)**2d0*coupl(nGC_55) + 4d0*coupl( &
                      nGC_4)**2d0*coupl(nGC_52) + 4d0*coupl(nGC_52)**3d0)/(32d0&
                      *pi**2d0)
    coupl(nGC_5075) = (coupl(nGC_116)*coupl(nGC_117)*coupl(nGC_52) + coupl(    &
                      nGC_118)**2d0*coupl(nGC_52) + coupl(nGC_119)**2d0*coupl( &
                      nGC_52) - 4d0*coupl(nGC_33)**2d0*coupl(nGC_37) + 4d0*    &
                      coupl(nGC_33)**2d0*coupl(nGC_56) + 4d0*coupl(nGC_4)**2d0*&
                      coupl(nGC_55) + 4d0*coupl(nGC_55)**3d0)/(32d0*pi**2d0)
    coupl(nGC_5077) = (coupl(nGC_120)**2d0*coupl(nGC_53) + coupl(nGC_121)*coupl&
                      (nGC_122)*coupl(nGC_54) + coupl(nGC_123)**2d0*coupl(     &
                      nGC_54) + coupl(nGC_124)**2d0*coupl(nGC_54) + 4d0*coupl( &
                      nGC_2)**2d0*coupl(nGC_51) + 4d0*coupl(nGC_51)**3d0)/(32d0&
                      *pi**2d0)
    coupl(nGC_5120) = (6d0*Nc*cima*coupl(nGC_1)**4d0 + 6d0*Nc*cima*coupl(nGC_2 &
                      )**4d0 - 10d0*cima*coupl(nGC_3)**4d0 + 6d0*cima*coupl(   &
                      nGC_4)**4d0 - 10d0*cima*coupl(nGC_551)**4d0 + 3d0*cima*  &
                      coupl(nGC_817)**2d0 + 3d0*coupl(nGC_3)**2d0*coupl(nGC_5  &
                      ) + 9d0*coupl(nGC_3)**2d0*coupl(nGC_817) + 3d0*coupl(    &
                      nGC_5)*coupl(nGC_551)**2d0 + 9d0*coupl(nGC_551)**2d0*    &
                      coupl(nGC_817))/(24d0*pi**2d0)
    coupl(nGC_TS_GC_48_Hh) = -coupl(nGC_48)*dtHh_QED1/cMHH**2d0
    coupl(nGC_5264) = coupl(nGC_4659)*dsw_QED2 + coupl(nGC_4660)*dcw_QED2 +    &
                      coupl(nGC_4661)*dZee_QED2
    coupl(nGC_4967) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_91) - coupl(nGC_120)*   &
                      coupl(nGC_121)*coupl(nGC_90) - coupl(nGC_1691)*coupl(    &
                      nGC_53)*coupl(nGC_94) - coupl(nGC_33)*coupl(nGC_569)*    &
                      coupl(nGC_90) - coupl(nGC_421)*coupl(nGC_53)*coupl(nGC_93&
                      ) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl(nGC_91) - coupl&
                      (nGC_50)*coupl(nGC_57)*coupl(nGC_93) - coupl(nGC_50)*    &
                      coupl(nGC_61)*coupl(nGC_94) - coupl(nGC_91)**2d0*coupl(  &
                      nGC_92) - coupl(nGC_92)*coupl(nGC_93)**2d0 - coupl(nGC_92&
                      )*coupl(nGC_94)**2d0)/(32d0*pi**2d0)
    coupl(nGC_10857) = coupl(nGC_I)*dZHl_QED2
    coupl(nGC_4966) = coupl(nGC_11)**2d0*coupl(nGC_92)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_7821) = coupl(nGC_124)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_8338) = coupl(nGC_117)*dZtauMinusL_QED2/2d0 + coupl(nGC_117)*    &
                      dZtauMinusR_QED2/2d0 + coupl(nGC_5325)
    coupl(nGC_7823) = coupl(nGC_123)*dZHlHh_QED2/2d0 + coupl(nGC_124)*dZHh_QED2&
                      /2d0 + coupl(nGC_5350)
    coupl(nGC_7822) = coupl(nGC_124)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_7825) = coupl(nGC_5351) + coupl(nGC_7822)
    coupl(nGC_7824) = coupl(nGC_7821) + coupl(nGC_7823)
    coupl(nGC_7827) = coupl(nGC_11)*dZsL_QCD2
    coupl(nGC_7826) = coupl(nGC_11)*dZsL_QED2
    coupl(nGC_8460) = coupl(nGC_118)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
    coupl(nGC_8461) = coupl(nGC_118)*dZHl_QED2/2d0 + coupl(nGC_119)*dZHhHl_QED2&
                      /2d0 + coupl(nGC_5328)
    coupl(nGC_8462) = coupl(nGC_8460) + coupl(nGC_8461)
    coupl(nGC_7318) = coupl(nGC_33)*dZWMinus_QED2/2d0 + coupl(nGC_33)*dZdL_QED2&
                      /2d0 + coupl(nGC_33)*dZuL_QED2/2d0 + coupl(nGC_5274)
    coupl(nGC_4839) = (4d0*Nc*cMB**2d0*cima*coupl(nGC_1)**2d0 + 4d0*Nc*cMC**2d0&
                      *cima*coupl(nGC_2)**2d0 + 4d0*Nc*cMD**2d0*cima*coupl(    &
                      nGC_1)**2d0 + 4d0*Nc*cMS**2d0*cima*coupl(nGC_1)**2d0 +   &
                      4d0*Nc*cMT**2d0*cima*coupl(nGC_2)**2d0 + 4d0*Nc*cMU**2d0*&
                      cima*coupl(nGC_2)**2d0 + 4d0*cME**2d0*cima*coupl(nGC_4)**&
                      2d0 + 4d0*cMM**2d0*cima*coupl(nGC_4)**2d0 + 4d0*cMTA**2d0&
                      *cima*coupl(nGC_4)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_3  &
                      )**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_551)**2d0 - 2d0*cMW &
                      **2d0*coupl(nGC_817))/(16d0*pi**2d0)
    coupl(nGC_4838) = cima*(coupl(nGC_3)**2d0 + coupl(nGC_551)**2d0)/(48d0*pi**&
                      2d0)
    coupl(nGC_8337) = coupl(nGC_116)*dZtauMinusL_QED2/2d0 + coupl(nGC_116)*    &
                      dZtauMinusR_QED2/2d0 + coupl(nGC_5324)
    coupl(nGC_TS_GC_18_Hl) = -coupl(nGC_18)*dtHl_QED1/cMHL**2d0
    coupl(nGC_7736) = coupl(nGC_2)*dZuR_QED2 + coupl(nGC_51)*dZZA_QED2/2d0
    coupl(nGC_TS_GC_18_Hh) = -coupl(nGC_18)*dtHh_QED1/cMHH**2d0
    coupl(nGC_7732) = coupl(nGC_2)*dZuL_QCD2
    coupl(nGC_10155) = coupl(nGC_5446) + coupl(nGC_MW)*dZWMinus_QED2 + coupl(  &
                       nGC_TS_GC_69_Hl) + coupl(nGC_TS_GC_70_Hh)
    coupl(nGC_4899) = (coupl(nGC_1)*coupl(nGC_85)**2d0 + 4d0*coupl(nGC_2)**3d0 &
                       + 4d0*coupl(nGC_2)*coupl(nGC_51)**2d0 + coupl(nGC_2)*   &
                      coupl(nGC_86)*coupl(nGC_87) + coupl(nGC_2)*coupl(nGC_88  &
                      )**2d0 + coupl(nGC_2)*coupl(nGC_89)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4898) = (coupl(nGC_1)*coupl(nGC_105)**2d0 + 4d0*coupl(nGC_1)*    &
                      coupl(nGC_33)**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(  &
                      nGC_2)*coupl(nGC_54)**2d0 + coupl(nGC_2)*coupl(nGC_86)*  &
                      coupl(nGC_87) + coupl(nGC_2)*coupl(nGC_88)**2d0 + coupl( &
                      nGC_2)*coupl(nGC_89)**2d0 + 4d0*coupl(nGC_3)*coupl(nGC_33&
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_8121) = coupl(nGC_7687) + coupl(nGC_8118)
    coupl(nGC_8120) = coupl(nGC_7687) + coupl(nGC_8119)
    coupl(nGC_7088) = coupl(nGC_5317) + coupl(nGC_95)*dZeMinusR_QED2/2d0 +     &
                      coupl(nGC_95)*dZnu_eL_QED2/2d0
    coupl(nGC_4891) = (-4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_50)*coupl(nGC_84) -  &
                      4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_53)*coupl(nGC_84) - 4d0&
                      *Nc*cMC*coupl(nGC_2)*coupl(nGC_51)*coupl(nGC_89) - 4d0*Nc&
                      *cMC*coupl(nGC_2)*coupl(nGC_54)*coupl(nGC_89) - 4d0*Nc*  &
                      cMD*coupl(nGC_1)*coupl(nGC_50)*coupl(nGC_94) - 4d0*Nc*cMD&
                      *coupl(nGC_1)*coupl(nGC_53)*coupl(nGC_94) - 4d0*Nc*cMS*  &
                      coupl(nGC_1)*coupl(nGC_109)*coupl(nGC_50) - 4d0*Nc*cMS*  &
                      coupl(nGC_1)*coupl(nGC_109)*coupl(nGC_53) - 4d0*Nc*cMT*  &
                      coupl(nGC_114)*coupl(nGC_2)*coupl(nGC_51) - 4d0*Nc*cMT*  &
                      coupl(nGC_114)*coupl(nGC_2)*coupl(nGC_54) - 4d0*Nc*cMU*  &
                      coupl(nGC_124)*coupl(nGC_2)*coupl(nGC_51) - 4d0*Nc*cMU*  &
                      coupl(nGC_124)*coupl(nGC_2)*coupl(nGC_54) - 4d0*cME*coupl&
                      (nGC_4)*coupl(nGC_52)*coupl(nGC_99) - 4d0*cME*coupl(nGC_4&
                      )*coupl(nGC_55)*coupl(nGC_99) - 4d0*cMM*coupl(nGC_104)*  &
                      coupl(nGC_4)*coupl(nGC_52) - 4d0*cMM*coupl(nGC_104)*coupl&
                      (nGC_4)*coupl(nGC_55) - 4d0*cMTA*coupl(nGC_119)*coupl(   &
                      nGC_4)*coupl(nGC_52) - 4d0*cMTA*coupl(nGC_119)*coupl(    &
                      nGC_4)*coupl(nGC_55) + 4d0*cima*coupl(nGC_41)*coupl(     &
                      nGC_70) - coupl(nGC_1933)*coupl(nGC_551)*coupl(nGC_68) - &
                      coupl(nGC_2481)*coupl(nGC_3)*coupl(nGC_68) + 6d0*coupl(  &
                      nGC_3)*coupl(nGC_37)*coupl(nGC_70) - coupl(nGC_37)*coupl(&
                      nGC_47)*coupl(nGC_71) - coupl(nGC_46)*coupl(nGC_509)*    &
                      coupl(nGC_71) + 6d0*coupl(nGC_509)*coupl(nGC_551)*coupl( &
                      nGC_70))/(32d0*pi**2d0)
    coupl(nGC_4890) = (coupl(nGC_1933)*coupl(nGC_569)*coupl(nGC_647) + coupl(  &
                      nGC_2481)*coupl(nGC_4)*coupl(nGC_569) - 6d0*coupl(nGC_3)*&
                      coupl(nGC_32)*coupl(nGC_47) - 6d0*coupl(nGC_32)*coupl(   &
                      nGC_46)*coupl(nGC_551))/(96d0*pi**2d0)
    coupl(nGC_4893) = (-4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_50)*coupl(nGC_83) -  &
                      4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_53)*coupl(nGC_83) - 4d0&
                      *Nc*cMC*coupl(nGC_2)*coupl(nGC_51)*coupl(nGC_88) - 4d0*Nc&
                      *cMC*coupl(nGC_2)*coupl(nGC_54)*coupl(nGC_88) - 4d0*Nc*  &
                      cMD*coupl(nGC_1)*coupl(nGC_50)*coupl(nGC_93) - 4d0*Nc*cMD&
                      *coupl(nGC_1)*coupl(nGC_53)*coupl(nGC_93) - 4d0*Nc*cMS*  &
                      coupl(nGC_1)*coupl(nGC_108)*coupl(nGC_50) - 4d0*Nc*cMS*  &
                      coupl(nGC_1)*coupl(nGC_108)*coupl(nGC_53) - 4d0*Nc*cMT*  &
                      coupl(nGC_113)*coupl(nGC_2)*coupl(nGC_51) - 4d0*Nc*cMT*  &
                      coupl(nGC_113)*coupl(nGC_2)*coupl(nGC_54) - 4d0*Nc*cMU*  &
                      coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_51) - 4d0*Nc*cMU*  &
                      coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_54) - 4d0*cME*coupl&
                      (nGC_4)*coupl(nGC_52)*coupl(nGC_98) - 4d0*cME*coupl(nGC_4&
                      )*coupl(nGC_55)*coupl(nGC_98) - 4d0*cMM*coupl(nGC_103)*  &
                      coupl(nGC_4)*coupl(nGC_52) - 4d0*cMM*coupl(nGC_103)*coupl&
                      (nGC_4)*coupl(nGC_55) - 4d0*cMTA*coupl(nGC_118)*coupl(   &
                      nGC_4)*coupl(nGC_52) - 4d0*cMTA*coupl(nGC_118)*coupl(    &
                      nGC_4)*coupl(nGC_55) + 4d0*cima*coupl(nGC_41)*coupl(     &
                      nGC_69) - coupl(nGC_2531)*coupl(nGC_3)*coupl(nGC_68) +   &
                      6d0*coupl(nGC_3)*coupl(nGC_37)*coupl(nGC_69) - coupl(    &
                      nGC_34)*coupl(nGC_509)*coupl(nGC_71) - coupl(nGC_35)*    &
                      coupl(nGC_37)*coupl(nGC_71) - coupl(nGC_427)*coupl(      &
                      nGC_551)*coupl(nGC_68) + 6d0*coupl(nGC_509)*coupl(nGC_551&
                      )*coupl(nGC_69))/(32d0*pi**2d0)
    coupl(nGC_4892) = (-8d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_83) - 8d0*Nc*cMC&
                      *coupl(nGC_2)**2d0*coupl(nGC_88) - 8d0*Nc*cMD*coupl(nGC_1&
                      )**2d0*coupl(nGC_93) - 8d0*Nc*cMS*coupl(nGC_1)**2d0*coupl&
                      (nGC_108) - 8d0*Nc*cMT*coupl(nGC_113)*coupl(nGC_2)**2d0  &
                       - 8d0*Nc*cMU*coupl(nGC_123)*coupl(nGC_2)**2d0 - 8d0*cME*&
                      coupl(nGC_4)**2d0*coupl(nGC_98) - 8d0*cMM*coupl(nGC_103)*&
                      coupl(nGC_4)**2d0 - 8d0*cMTA*coupl(nGC_118)*coupl(nGC_4  &
                      )**2d0 + 4d0*cima*coupl(nGC_69)*coupl(nGC_817) - coupl(  &
                      nGC_2531)*coupl(nGC_3)*coupl(nGC_71) + 6d0*coupl(nGC_3)**&
                      2d0*coupl(nGC_69) - coupl(nGC_3)*coupl(nGC_35)*coupl(    &
                      nGC_71) - coupl(nGC_34)*coupl(nGC_551)*coupl(nGC_71) -   &
                      coupl(nGC_427)*coupl(nGC_551)*coupl(nGC_71) + 6d0*coupl( &
                      nGC_551)**2d0*coupl(nGC_69))/(32d0*pi**2d0)
    coupl(nGC_4895) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_53)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_81)*coupl(nGC_82) + coupl(  &
                      nGC_1)*coupl(nGC_83)**2d0 + coupl(nGC_1)*coupl(nGC_84)** &
                      2d0 + coupl(nGC_110)**2d0*coupl(nGC_2) + 4d0*coupl(nGC_2 &
                      )*coupl(nGC_33)**2d0 + 4d0*coupl(nGC_33)**2d0*coupl(     &
                      nGC_551))/(32d0*pi**2d0)
    coupl(nGC_4894) = (12d0*Nc*coupl(nGC_1)*coupl(nGC_33)**2d0 - 12d0*Nc*coupl(&
                      nGC_2)*coupl(nGC_33)**2d0 - 11d0*coupl(nGC_3)*coupl(     &
                      nGC_509)**2d0 - 11d0*coupl(nGC_3)*coupl(nGC_551)**2d0 +  &
                      12d0*coupl(nGC_33)**2d0*coupl(nGC_4))/(96d0*pi**2d0)
    coupl(nGC_4897) = coupl(nGC_1)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0  &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4896) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_50)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_81)*coupl(nGC_82) + coupl(  &
                      nGC_1)*coupl(nGC_83)**2d0 + coupl(nGC_1)*coupl(nGC_84)** &
                      2d0 + coupl(nGC_2)*coupl(nGC_80)**2d0)/(32d0*pi**2d0)
    coupl(nGC_7241) = coupl(nGC_7054) + coupl(nGC_7239)
    coupl(nGC_7240) = coupl(nGC_5276) + coupl(nGC_54)*dZZ_QED2/2d0 + coupl(    &
                      nGC_54)*dZtL_QED2
    coupl(nGC_8900) = coupl(nGC_8895) + coupl(nGC_8899)
    coupl(nGC_5180) = (-4d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_53)**2d0 +    &
                      12d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_53)*coupl(     &
                      nGC_54) - 4d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_54)** &
                      2d0 + 4d0*cima*coupl(nGC_29)**2d0 - 4d0*cima*coupl(nGC_33&
                      )**2d0*coupl(nGC_55)**2d0 + 12d0*cima*coupl(nGC_33)**2d0*&
                      coupl(nGC_55)*coupl(nGC_56) - 4d0*cima*coupl(nGC_33)**2d0&
                      *coupl(nGC_56)**2d0 - 8d0*cima*coupl(nGC_37)**2d0*coupl( &
                      nGC_509)**2d0 - 8d0*cima*coupl(nGC_37)**2d0*coupl(nGC_551&
                      )**2d0 + 4d0*cima*coupl(nGC_443)**2d0 + coupl(nGC_1347)* &
                      coupl(nGC_509)**2d0 + coupl(nGC_27)*coupl(nGC_37)**2d0 + &
                      12d0*coupl(nGC_29)*coupl(nGC_37)*coupl(nGC_509) + coupl( &
                      nGC_29)*coupl(nGC_509)**2d0 + coupl(nGC_29)*coupl(nGC_551&
                      )**2d0 + 2d0*coupl(nGC_37)*coupl(nGC_41)*coupl(nGC_551   &
                      ) + 12d0*coupl(nGC_37)*coupl(nGC_443)*coupl(nGC_551) +   &
                      2d0*coupl(nGC_37)*coupl(nGC_469)*coupl(nGC_509))/(32d0*pi&
                      **2d0)
    coupl(nGC_5181) = (18d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_53)**2d0 -    &
                      30d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_53)*coupl(     &
                      nGC_54) + 18d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_54)**&
                      2d0 + 6d0*cima*coupl(nGC_27)*coupl(nGC_469) + 18d0*cima* &
                      coupl(nGC_33)**2d0*coupl(nGC_55)**2d0 - 30d0*cima*coupl( &
                      nGC_33)**2d0*coupl(nGC_55)*coupl(nGC_56) + 18d0*cima*    &
                      coupl(nGC_33)**2d0*coupl(nGC_56)**2d0 - 16d0*cima*coupl( &
                      nGC_37)**2d0*coupl(nGC_509)**2d0 - 16d0*cima*coupl(nGC_37&
                      )**2d0*coupl(nGC_551)**2d0 + 9d0*coupl(nGC_27)*coupl(    &
                      nGC_37)**2d0 + 9d0*coupl(nGC_27)*coupl(nGC_509)**2d0 +   &
                      6d0*coupl(nGC_29)*coupl(nGC_37)*coupl(nGC_509) + 6d0*    &
                      coupl(nGC_37)*coupl(nGC_443)*coupl(nGC_551) + 9d0*coupl( &
                      nGC_469)*coupl(nGC_509)**2d0 + 9d0*coupl(nGC_469)*coupl( &
                      nGC_551)**2d0)/(48d0*pi**2d0)
    coupl(nGC_5182) = (-4d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_53)**2d0 +    &
                      12d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_53)*coupl(     &
                      nGC_54) - 4d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_54)** &
                      2d0 + 4d0*cima*coupl(nGC_29)**2d0 - 4d0*cima*coupl(nGC_33&
                      )**2d0*coupl(nGC_55)**2d0 + 12d0*cima*coupl(nGC_33)**2d0*&
                      coupl(nGC_55)*coupl(nGC_56) - 4d0*cima*coupl(nGC_33)**2d0&
                      *coupl(nGC_56)**2d0 - 8d0*cima*coupl(nGC_37)**2d0*coupl( &
                      nGC_509)**2d0 - 8d0*cima*coupl(nGC_37)**2d0*coupl(nGC_551&
                      )**2d0 + 4d0*cima*coupl(nGC_443)**2d0 + coupl(nGC_1347)* &
                      coupl(nGC_37)**2d0 + coupl(nGC_27)*coupl(nGC_509)**2d0 + &
                      12d0*coupl(nGC_29)*coupl(nGC_37)*coupl(nGC_509) + coupl( &
                      nGC_29)*coupl(nGC_509)**2d0 + coupl(nGC_29)*coupl(nGC_551&
                      )**2d0 + 2d0*coupl(nGC_37)*coupl(nGC_41)*coupl(nGC_551   &
                      ) + 12d0*coupl(nGC_37)*coupl(nGC_443)*coupl(nGC_551) +   &
                      2d0*coupl(nGC_37)*coupl(nGC_469)*coupl(nGC_509))/(32d0*pi&
                      **2d0)
    coupl(nGC_10500) = coupl(nGC_10495) + coupl(nGC_5442)
    coupl(nGC_5184) = (36d0*Nc*cima*coupl(nGC_33)**4d0 + 12d0*cima*coupl(nGC_27&
                      )**2d0 - 16d0*cima*coupl(nGC_3)**4d0 - 32d0*cima*coupl(  &
                      nGC_3)**2d0*coupl(nGC_37)**2d0 - 24d0*cima*coupl(nGC_3)**&
                      2d0*coupl(nGC_551)**2d0 - 48d0*cima*coupl(nGC_3)*coupl(  &
                      nGC_37)*coupl(nGC_509)*coupl(nGC_551) + 36d0*cima*coupl( &
                      nGC_33)**4d0 - 16d0*cima*coupl(nGC_37)**4d0 - 24d0*cima* &
                      coupl(nGC_37)**2d0*coupl(nGC_509)**2d0 + 12d0*cima*coupl(&
                      nGC_41)**2d0 + 6d0*cima*coupl(nGC_469)**2d0 - 16d0*cima* &
                      coupl(nGC_509)**4d0 - 32d0*cima*coupl(nGC_509)**2d0*coupl&
                      (nGC_551)**2d0 - 16d0*cima*coupl(nGC_551)**4d0 + 6d0*cima&
                      *coupl(nGC_817)**2d0 + 21d0*coupl(nGC_27)*coupl(nGC_3)** &
                      2d0 + 6d0*coupl(nGC_27)*coupl(nGC_3)*coupl(nGC_551) +    &
                      21d0*coupl(nGC_27)*coupl(nGC_37)**2d0 + 6d0*coupl(nGC_27 &
                      )*coupl(nGC_37)*coupl(nGC_509) + 21d0*coupl(nGC_27)*coupl&
                      (nGC_509)**2d0 + 21d0*coupl(nGC_27)*coupl(nGC_551)**2d0  &
                       + 3d0*coupl(nGC_29)*coupl(nGC_37)**2d0 + 3d0*coupl(     &
                      nGC_29)*coupl(nGC_509)**2d0 + 3d0*coupl(nGC_3)**2d0*coupl&
                      (nGC_5) + 18d0*coupl(nGC_3)**2d0*coupl(nGC_817) + 36d0*  &
                      coupl(nGC_3)*coupl(nGC_37)*coupl(nGC_41) + 6d0*coupl(    &
                      nGC_3)*coupl(nGC_37)*coupl(nGC_443) + 18d0*coupl(nGC_37  &
                      )**2d0*coupl(nGC_469) + 36d0*coupl(nGC_41)*coupl(nGC_509 &
                      )*coupl(nGC_551) + 6d0*coupl(nGC_443)*coupl(nGC_509)*    &
                      coupl(nGC_551) + 18d0*coupl(nGC_469)*coupl(nGC_509)**2d0 &
                       + 3d0*coupl(nGC_5)*coupl(nGC_551)**2d0 + 18d0*coupl(    &
                      nGC_551)**2d0*coupl(nGC_817))/(96d0*pi**2d0)
    coupl(nGC_5185) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_108)*coupl( &
                      nGC_109) - coupl(nGC_113)*coupl(nGC_114) - coupl(nGC_123 &
                      )*coupl(nGC_124) - coupl(nGC_83)*coupl(nGC_84) - coupl(  &
                      nGC_88)*coupl(nGC_89) - coupl(nGC_93)*coupl(nGC_94))/(   &
                      16d0*pi**2d0)
    coupl(nGC_5186) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_108)*coupl(  &
                      nGC_109) + coupl(nGC_113)*coupl(nGC_114) + coupl(nGC_123 &
                      )*coupl(nGC_124) + coupl(nGC_83)*coupl(nGC_84) + coupl(  &
                      nGC_88)*coupl(nGC_89) + coupl(nGC_93)*coupl(nGC_94))/(   &
                      16d0*pi**2d0*Nc)
    coupl(nGC_5187) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_108)**2d0 - &
                      coupl(nGC_113)**2d0 - coupl(nGC_123)**2d0 - coupl(nGC_83 &
                      )**2d0 - coupl(nGC_88)**2d0 - coupl(nGC_93)**2d0)/(16d0* &
                      pi**2d0)
    coupl(nGC_TS_GC_103_Hl) = -coupl(nGC_103)*dtHl_QED1/cMHL**2d0
    coupl(nGC_7082) = coupl(nGC_29)*dZZA_QED2/2d0 + coupl(nGC_5)*dZAZ_QED2/2d0
    coupl(nGC_4851) = cima*(coupl(nGC_3)*coupl(nGC_37) + coupl(nGC_509)*coupl( &
                      nGC_551))/(48d0*pi**2d0)
    coupl(nGC_4850) = cima*(-2d0*Nc*coupl(nGC_1)*coupl(nGC_50) - 2d0*Nc*coupl( &
                      nGC_1)*coupl(nGC_53) - 2d0*Nc*coupl(nGC_2)*coupl(nGC_51  &
                      ) - 2d0*Nc*coupl(nGC_2)*coupl(nGC_54) - coupl(nGC_3)*    &
                      coupl(nGC_37) - 2d0*coupl(nGC_4)*coupl(nGC_52) - 2d0*    &
                      coupl(nGC_4)*coupl(nGC_55) - coupl(nGC_509)*coupl(nGC_551&
                      ))/(32d0*pi**2d0)
    coupl(nGC_4965) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_92) - coupl(nGC_120)*   &
                      coupl(nGC_122)*coupl(nGC_90) - coupl(nGC_1691)*coupl(    &
                      nGC_50)*coupl(nGC_94) - coupl(nGC_32)*coupl(nGC_33)*coupl&
                      (nGC_90) - coupl(nGC_421)*coupl(nGC_50)*coupl(nGC_93) +  &
                      8d0*coupl(nGC_50)*coupl(nGC_53)*coupl(nGC_92) - coupl(   &
                      nGC_53)*coupl(nGC_57)*coupl(nGC_93) - coupl(nGC_53)*coupl&
                      (nGC_61)*coupl(nGC_94) - coupl(nGC_91)*coupl(nGC_92)**2d0&
                       - coupl(nGC_91)*coupl(nGC_93)**2d0 - coupl(nGC_91)*coupl&
                      (nGC_94)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4964) = coupl(nGC_11)**2d0*coupl(nGC_87)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_7602) = coupl(nGC_34)*dZHlHh_QED2/2d0 + coupl(nGC_46)*dZHh_QED2/ &
                      2d0 + coupl(nGC_46)*dZWMinus_QED2/2d0 + coupl(nGC_5248)
    coupl(nGC_4961) = (-coupl(nGC_105)*coupl(nGC_106)*coupl(nGC_85) - coupl(   &
                      nGC_1691)*coupl(nGC_51)*coupl(nGC_89) + 8d0*coupl(nGC_2  &
                      )**2d0*coupl(nGC_86) - coupl(nGC_32)*coupl(nGC_33)*coupl(&
                      nGC_85) - coupl(nGC_421)*coupl(nGC_51)*coupl(nGC_88) +   &
                      8d0*coupl(nGC_51)*coupl(nGC_54)*coupl(nGC_86) - coupl(   &
                      nGC_54)*coupl(nGC_57)*coupl(nGC_88) - coupl(nGC_54)*coupl&
                      (nGC_61)*coupl(nGC_89) - coupl(nGC_86)**2d0*coupl(nGC_87 &
                      ) - coupl(nGC_87)*coupl(nGC_88)**2d0 - coupl(nGC_87)*    &
                      coupl(nGC_89)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4960) = coupl(nGC_11)**2d0*coupl(nGC_81)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4963) = (-coupl(nGC_105)*coupl(nGC_107)*coupl(nGC_85) - coupl(   &
                      nGC_1691)*coupl(nGC_54)*coupl(nGC_89) + 8d0*coupl(nGC_2  &
                      )**2d0*coupl(nGC_87) - coupl(nGC_33)*coupl(nGC_569)*coupl&
                      (nGC_85) - coupl(nGC_421)*coupl(nGC_54)*coupl(nGC_88) +  &
                      8d0*coupl(nGC_51)*coupl(nGC_54)*coupl(nGC_87) - coupl(   &
                      nGC_51)*coupl(nGC_57)*coupl(nGC_88) - coupl(nGC_51)*coupl&
                      (nGC_61)*coupl(nGC_89) - coupl(nGC_86)*coupl(nGC_87)**2d0&
                       - coupl(nGC_86)*coupl(nGC_88)**2d0 - coupl(nGC_86)*coupl&
                      (nGC_89)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4962) = coupl(nGC_11)**2d0*coupl(nGC_86)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_7609) = coupl(nGC_5258) + coupl(nGC_55)*dZZ_QED2/2d0 + coupl(    &
                      nGC_55)*dZmuMinusL_QED2
    coupl(nGC_TS_GC_109_Hh) = -coupl(nGC_109)*dtHh_QED1/cMHH**2d0
    coupl(nGC_5019) = (-4d0*Nc*cMB*coupl(nGC_33)**2d0*coupl(nGC_83) - 4d0*Nc*  &
                      cMC*coupl(nGC_33)**2d0*coupl(nGC_88) - 4d0*Nc*cMD*coupl( &
                      nGC_33)**2d0*coupl(nGC_93) - 4d0*Nc*cMS*coupl(nGC_108)*  &
                      coupl(nGC_33)**2d0 - 4d0*Nc*cMT*coupl(nGC_113)*coupl(    &
                      nGC_33)**2d0 - 4d0*Nc*cMU*coupl(nGC_123)*coupl(nGC_33)** &
                      2d0 - 4d0*cME*coupl(nGC_33)**2d0*coupl(nGC_98) - 4d0*cMM*&
                      coupl(nGC_103)*coupl(nGC_33)**2d0 - 4d0*cMTA*coupl(      &
                      nGC_118)*coupl(nGC_33)**2d0 + 4d0*cima*coupl(nGC_27)*    &
                      coupl(nGC_69) + 2d0*cima*coupl(nGC_469)*coupl(nGC_72) -  &
                      coupl(nGC_2531)*coupl(nGC_509)*coupl(nGC_68) - coupl(    &
                      nGC_2531)*coupl(nGC_551)*coupl(nGC_71) - coupl(nGC_35)*  &
                      coupl(nGC_509)*coupl(nGC_68) - coupl(nGC_35)*coupl(      &
                      nGC_551)*coupl(nGC_71) + 6d0*coupl(nGC_37)**2d0*coupl(   &
                      nGC_72) + 6d0*coupl(nGC_509)**2d0*coupl(nGC_69) + 6d0*   &
                      coupl(nGC_551)**2d0*coupl(nGC_69))/(32d0*pi**2d0)
    coupl(nGC_4969) = (coupl(nGC_1691)*coupl(nGC_52)*coupl(nGC_99) + coupl(    &
                      nGC_32)*coupl(nGC_33)*coupl(nGC_95) + 8d0*coupl(nGC_4)** &
                      2d0*coupl(nGC_96) + coupl(nGC_421)*coupl(nGC_52)*coupl(  &
                      nGC_98) + 8d0*coupl(nGC_52)*coupl(nGC_55)*coupl(nGC_96   &
                      ) + coupl(nGC_55)*coupl(nGC_57)*coupl(nGC_98) + coupl(   &
                      nGC_55)*coupl(nGC_61)*coupl(nGC_99) - coupl(nGC_96)**2d0*&
                      coupl(nGC_97) - coupl(nGC_97)*coupl(nGC_98)**2d0 - coupl(&
                      nGC_97)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4968) = coupl(nGC_11)**2d0*coupl(nGC_91)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8245) = coupl(nGC_5439) + coupl(nGC_TS_GC_93_Hl) + coupl(        &
                      nGC_TS_GC_94_Hh)
    coupl(nGC_8217) = coupl(nGC_109)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_7493) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_5271)
    coupl(nGC_5014) = (coupl(nGC_115)*coupl(nGC_33)*coupl(nGC_47) - coupl(     &
                      nGC_117)**2d0*coupl(nGC_119) + coupl(nGC_117)*coupl(     &
                      nGC_1691)*coupl(nGC_52) + coupl(nGC_117)*coupl(nGC_55)*  &
                      coupl(nGC_61) - coupl(nGC_118)**2d0*coupl(nGC_119) -     &
                      coupl(nGC_119)**3d0 + 8d0*coupl(nGC_119)*coupl(nGC_4)**  &
                      2d0 + 8d0*coupl(nGC_119)*coupl(nGC_52)*coupl(nGC_55))/(  &
                      32d0*pi**2d0)
    coupl(nGC_7473) = coupl(nGC_11)*dZbR_QCD2
    coupl(nGC_7084) = -2d0*coupl(nGC_7082) + coupl(nGC_7083)
    coupl(nGC_7690) = coupl(nGC_7687) + coupl(nGC_7688)
    coupl(nGC_9261) = coupl(nGC_7493) + coupl(nGC_9259)
    coupl(nGC_7546) = coupl(nGC_5242) + coupl(nGC_68)*dZZA_QED2/2d0 + coupl(   &
                      nGC_71)*dZA_QED2/2d0 + coupl(nGC_71)*dZWMinus_QED2/2d0 + &
                      coupl(nGC_TS_GC_40_Hl) + coupl(nGC_TS_GC_48_Hh)
    coupl(nGC_5134) = (20d0*Nc*cima*coupl(nGC_105)**4d0 + 20d0*Nc*cima*coupl(  &
                      nGC_110)**4d0 + 20d0*Nc*cima*coupl(nGC_120)**4d0 + 20d0* &
                      Nc*cima*coupl(nGC_80)**4d0 + 20d0*Nc*cima*coupl(nGC_85)**&
                      4d0 + 20d0*Nc*cima*coupl(nGC_90)**4d0 + 20d0*cima*coupl( &
                      nGC_100)**4d0 + 20d0*cima*coupl(nGC_115)**4d0 - 5d0*cima*&
                      coupl(nGC_1933)**2d0*coupl(nGC_46)**2d0 - 10d0*cima*coupl&
                      (nGC_1933)*coupl(nGC_2481)*coupl(nGC_46)*coupl(nGC_47) - &
                      10d0*cima*coupl(nGC_1933)*coupl(nGC_2531)*coupl(nGC_34)* &
                      coupl(nGC_47) - 10d0*cima*coupl(nGC_1933)*coupl(nGC_32)* &
                      coupl(nGC_46)*coupl(nGC_569) - 10d0*cima*coupl(nGC_1933)*&
                      coupl(nGC_32)*coupl(nGC_47)*coupl(nGC_569) - 10d0*cima*  &
                      coupl(nGC_1933)*coupl(nGC_34)*coupl(nGC_427)*coupl(nGC_46&
                      ) - 5d0*cima*coupl(nGC_2481)**2d0*coupl(nGC_47)**2d0 -   &
                      10d0*cima*coupl(nGC_2481)*coupl(nGC_2531)*coupl(nGC_35)* &
                      coupl(nGC_47) - 10d0*cima*coupl(nGC_2481)*coupl(nGC_32)* &
                      coupl(nGC_46)*coupl(nGC_569) - 10d0*cima*coupl(nGC_2481)*&
                      coupl(nGC_32)*coupl(nGC_47)*coupl(nGC_569) - 10d0*cima*  &
                      coupl(nGC_2481)*coupl(nGC_35)*coupl(nGC_427)*coupl(nGC_46&
                      ) - 5d0*cima*coupl(nGC_2531)**2d0*coupl(nGC_35)**2d0 -   &
                      10d0*cima*coupl(nGC_2531)*coupl(nGC_32)*coupl(nGC_34)*   &
                      coupl(nGC_569) - 10d0*cima*coupl(nGC_2531)*coupl(nGC_32)*&
                      coupl(nGC_35)*coupl(nGC_569) - 10d0*cima*coupl(nGC_2531)*&
                      coupl(nGC_34)*coupl(nGC_35)*coupl(nGC_427) + 24d0*cima*  &
                      coupl(nGC_26)**2d0 - 20d0*cima*coupl(nGC_32)**2d0*coupl( &
                      nGC_569)**2d0 - 10d0*cima*coupl(nGC_32)*coupl(nGC_34)*   &
                      coupl(nGC_427)*coupl(nGC_569) - 10d0*cima*coupl(nGC_32)* &
                      coupl(nGC_35)*coupl(nGC_427)*coupl(nGC_569) - 5d0*cima*  &
                      coupl(nGC_34)**2d0*coupl(nGC_427)**2d0 - 5d0*cima*coupl( &
                      nGC_4)**4d0 - 10d0*cima*coupl(nGC_4)**2d0*coupl(nGC_55)**&
                      2d0 - 10d0*cima*coupl(nGC_4)**2d0*coupl(nGC_647)**2d0 -  &
                      20d0*cima*coupl(nGC_4)*coupl(nGC_477)*coupl(nGC_55)*coupl&
                      (nGC_647) - 5d0*cima*coupl(nGC_477)**4d0 - 10d0*cima*    &
                      coupl(nGC_477)**2d0*coupl(nGC_55)**2d0 - 10d0*cima*coupl(&
                      nGC_477)**2d0*coupl(nGC_647)**2d0 - 5d0*cima*coupl(nGC_55&
                      )**4d0 + 24d0*cima*coupl(nGC_58)**2d0 + 12d0*cima*coupl( &
                      nGC_6)**2d0 + 12d0*cima*coupl(nGC_63)**2d0 - 5d0*cima*   &
                      coupl(nGC_647)**4d0 + 20d0*cima*coupl(nGC_95)**4d0 + 12d0&
                      *coupl(nGC_13)*coupl(nGC_32)*coupl(nGC_569) + 6d0*coupl( &
                      nGC_14)*coupl(nGC_4)**2d0 + 6d0*coupl(nGC_14)*coupl(nGC_4&
                      )*coupl(nGC_647) + 6d0*coupl(nGC_14)*coupl(nGC_477)**2d0 &
                       + 6d0*coupl(nGC_14)*coupl(nGC_477)*coupl(nGC_55) + 6d0* &
                      coupl(nGC_14)*coupl(nGC_55)**2d0 + 6d0*coupl(nGC_14)*    &
                      coupl(nGC_647)**2d0 + 6d0*coupl(nGC_18)*coupl(nGC_1933)* &
                      coupl(nGC_34) + 6d0*coupl(nGC_18)*coupl(nGC_2481)*coupl( &
                      nGC_35) + 6d0*coupl(nGC_18)*coupl(nGC_2531)*coupl(nGC_47 &
                      ) + 6d0*coupl(nGC_18)*coupl(nGC_427)*coupl(nGC_46) + 6d0*&
                      coupl(nGC_19)*coupl(nGC_1933)*coupl(nGC_46) + 6d0*coupl( &
                      nGC_19)*coupl(nGC_2481)*coupl(nGC_47) - 6d0*coupl(       &
                      nGC_1933)*coupl(nGC_26)*coupl(nGC_46) + 6d0*coupl(nGC_20 &
                      )*coupl(nGC_2531)*coupl(nGC_35) + 6d0*coupl(nGC_20)*coupl&
                      (nGC_34)*coupl(nGC_427) - 6d0*coupl(nGC_2481)*coupl(     &
                      nGC_26)*coupl(nGC_47) - 6d0*coupl(nGC_2531)*coupl(nGC_26 &
                      )*coupl(nGC_35) - 12d0*coupl(nGC_26)*coupl(nGC_32)*coupl(&
                      nGC_569) - 6d0*coupl(nGC_26)*coupl(nGC_34)*coupl(nGC_427 &
                      ) - 6d0*coupl(nGC_4)**2d0*coupl(nGC_6) - 12d0*coupl(nGC_4&
                      )*coupl(nGC_55)*coupl(nGC_58) - 6d0*coupl(nGC_477)**2d0* &
                      coupl(nGC_63) - 12d0*coupl(nGC_477)*coupl(nGC_58)*coupl( &
                      nGC_647) - 6d0*coupl(nGC_55)**2d0*coupl(nGC_63) - 6d0*   &
                      coupl(nGC_6)*coupl(nGC_647)**2d0)/(96d0*pi**2d0)
    coupl(nGC_5137) = (20d0*Nc*cima*coupl(nGC_105)**2d0*coupl(nGC_106)*coupl(  &
                      nGC_107) + 20d0*Nc*cima*coupl(nGC_105)**2d0*coupl(nGC_86 &
                      )*coupl(nGC_87) + 20d0*Nc*cima*coupl(nGC_105)*coupl(     &
                      nGC_106)*coupl(nGC_85)*coupl(nGC_87) + 20d0*Nc*cima*coupl&
                      (nGC_105)*coupl(nGC_107)*coupl(nGC_85)*coupl(nGC_86) +   &
                      20d0*Nc*cima*coupl(nGC_106)*coupl(nGC_107)*coupl(nGC_85  &
                      )**2d0 + 20d0*Nc*cima*coupl(nGC_110)**2d0*coupl(nGC_111)*&
                      coupl(nGC_112) + 20d0*Nc*cima*coupl(nGC_110)**2d0*coupl( &
                      nGC_81)*coupl(nGC_82) + 20d0*Nc*cima*coupl(nGC_110)*coupl&
                      (nGC_111)*coupl(nGC_80)*coupl(nGC_82) + 20d0*Nc*cima*    &
                      coupl(nGC_110)*coupl(nGC_112)*coupl(nGC_80)*coupl(nGC_81 &
                      ) + 20d0*Nc*cima*coupl(nGC_111)*coupl(nGC_112)*coupl(    &
                      nGC_80)**2d0 + 20d0*Nc*cima*coupl(nGC_120)**2d0*coupl(   &
                      nGC_121)*coupl(nGC_122) + 20d0*Nc*cima*coupl(nGC_120)**  &
                      2d0*coupl(nGC_91)*coupl(nGC_92) + 20d0*Nc*cima*coupl(    &
                      nGC_120)*coupl(nGC_121)*coupl(nGC_90)*coupl(nGC_92) +    &
                      20d0*Nc*cima*coupl(nGC_120)*coupl(nGC_122)*coupl(nGC_90)*&
                      coupl(nGC_91) + 20d0*Nc*cima*coupl(nGC_121)*coupl(nGC_122&
                      )*coupl(nGC_90)**2d0 + 20d0*Nc*cima*coupl(nGC_80)**2d0*  &
                      coupl(nGC_81)*coupl(nGC_82) + 20d0*Nc*cima*coupl(nGC_85  &
                      )**2d0*coupl(nGC_86)*coupl(nGC_87) + 20d0*Nc*cima*coupl( &
                      nGC_90)**2d0*coupl(nGC_91)*coupl(nGC_92) + 20d0*cima*    &
                      coupl(nGC_100)**2d0*coupl(nGC_101)*coupl(nGC_102) + 20d0*&
                      cima*coupl(nGC_115)**2d0*coupl(nGC_116)*coupl(nGC_117) - &
                      10d0*cima*coupl(nGC_1691)*coupl(nGC_2481)*coupl(nGC_47)* &
                      coupl(nGC_61) - 10d0*cima*coupl(nGC_1691)*coupl(nGC_2531 &
                      )*coupl(nGC_47)*coupl(nGC_57) - 5d0*cima*coupl(nGC_1691)*&
                      coupl(nGC_46)*coupl(nGC_477)*coupl(nGC_569) - 5d0*cima*  &
                      coupl(nGC_1691)*coupl(nGC_47)*coupl(nGC_55)*coupl(nGC_569&
                      ) - 10d0*cima*coupl(nGC_1691)*coupl(nGC_55)**2d0*coupl(  &
                      nGC_61) - 10d0*cima*coupl(nGC_1933)*coupl(nGC_32)*coupl( &
                      nGC_46)*coupl(nGC_569) - 5d0*cima*coupl(nGC_1933)*coupl( &
                      nGC_32)*coupl(nGC_477)*coupl(nGC_61) - 5d0*cima*coupl(   &
                      nGC_2481)*coupl(nGC_32)*coupl(nGC_55)*coupl(nGC_61) -    &
                      10d0*cima*coupl(nGC_2481)*coupl(nGC_35)*coupl(nGC_421)*  &
                      coupl(nGC_61) - 5d0*cima*coupl(nGC_2531)*coupl(nGC_32)*  &
                      coupl(nGC_55)*coupl(nGC_57) - 10d0*cima*coupl(nGC_2531)* &
                      coupl(nGC_35)*coupl(nGC_421)*coupl(nGC_57) + 12d0*cima*  &
                      coupl(nGC_26)**2d0 - 10d0*cima*coupl(nGC_32)**2d0*coupl( &
                      nGC_569)**2d0 - 10d0*cima*coupl(nGC_32)*coupl(nGC_34)*   &
                      coupl(nGC_427)*coupl(nGC_569) - 5d0*cima*coupl(nGC_32)*  &
                      coupl(nGC_427)*coupl(nGC_477)*coupl(nGC_57) - 10d0*cima* &
                      coupl(nGC_32)*coupl(nGC_477)**2d0*coupl(nGC_569) - 10d0* &
                      cima*coupl(nGC_32)*coupl(nGC_569)*coupl(nGC_647)**2d0 -  &
                      5d0*cima*coupl(nGC_34)*coupl(nGC_421)*coupl(nGC_477)*    &
                      coupl(nGC_569) - 5d0*cima*coupl(nGC_35)*coupl(nGC_421)*  &
                      coupl(nGC_55)*coupl(nGC_569) + 24d0*cima*coupl(nGC_38)*  &
                      coupl(nGC_39) - 10d0*cima*coupl(nGC_421)*coupl(nGC_55)** &
                      2d0*coupl(nGC_57) + 6d0*cima*coupl(nGC_63)*coupl(nGC_64  &
                      ) + 24d0*cima*coupl(nGC_7)*coupl(nGC_8) + 20d0*cima*coupl&
                      (nGC_95)**2d0*coupl(nGC_96)*coupl(nGC_97) + 6d0*coupl(   &
                      nGC_13)*coupl(nGC_32)**2d0 + 3d0*coupl(nGC_13)*coupl(    &
                      nGC_477)**2d0 + 6d0*coupl(nGC_13)*coupl(nGC_569)**2d0 +  &
                      3d0*coupl(nGC_13)*coupl(nGC_647)**2d0 + 6d0*coupl(nGC_14 &
                      )*coupl(nGC_32)*coupl(nGC_569) + 3d0*coupl(nGC_15)*coupl(&
                      nGC_32)*coupl(nGC_569) + 3d0*coupl(nGC_1691)*coupl(nGC_18&
                      )*coupl(nGC_57) + 3d0*coupl(nGC_1691)*coupl(nGC_19)*coupl&
                      (nGC_61) - 6d0*coupl(nGC_1691)*coupl(nGC_47)*coupl(nGC_7 &
                      ) - 3d0*coupl(nGC_1691)*coupl(nGC_61)*coupl(nGC_63) + 3d0&
                      *coupl(nGC_18)*coupl(nGC_2481)*coupl(nGC_35) + 3d0*coupl(&
                      nGC_18)*coupl(nGC_2531)*coupl(nGC_47) + 3d0*coupl(nGC_18 &
                      )*coupl(nGC_421)*coupl(nGC_61) + 3d0*coupl(nGC_19)*coupl(&
                      nGC_2481)*coupl(nGC_47) - 3d0*coupl(nGC_1933)*coupl(     &
                      nGC_26)*coupl(nGC_46) + 3d0*coupl(nGC_20)*coupl(nGC_2531 &
                      )*coupl(nGC_35) + 3d0*coupl(nGC_20)*coupl(nGC_421)*coupl(&
                      nGC_57) - 6d0*coupl(nGC_2481)*coupl(nGC_61)*coupl(nGC_8  &
                      ) - 6d0*coupl(nGC_2531)*coupl(nGC_57)*coupl(nGC_8) - 9d0*&
                      coupl(nGC_26)*coupl(nGC_32)*coupl(nGC_569) - 3d0*coupl(  &
                      nGC_26)*coupl(nGC_34)*coupl(nGC_427) - 6d0*coupl(nGC_32)*&
                      coupl(nGC_39)*coupl(nGC_647) - 6d0*coupl(nGC_32)*coupl(  &
                      nGC_477)*coupl(nGC_8) - 6d0*coupl(nGC_35)*coupl(nGC_421)*&
                      coupl(nGC_7) - 6d0*coupl(nGC_38)*coupl(nGC_569)*coupl(   &
                      nGC_647) - 3d0*coupl(nGC_421)*coupl(nGC_57)*coupl(nGC_63 &
                      ) - 6d0*coupl(nGC_477)*coupl(nGC_569)*coupl(nGC_7) - 3d0*&
                      coupl(nGC_55)**2d0*coupl(nGC_64))/(96d0*pi**2d0)
    coupl(nGC_5131) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_33)**2d0*coupl(     &
                      nGC_53) + 6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_33)**2d0*   &
                      coupl(nGC_54) + 6d0*Nc*cima*coupl(nGC_2)*coupl(nGC_33)** &
                      2d0*coupl(nGC_53) - 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_33&
                      )**2d0*coupl(nGC_54) + 4d0*cima*coupl(nGC_29)*coupl(     &
                      nGC_443) - 8d0*cima*coupl(nGC_3)*coupl(nGC_37)*coupl(    &
                      nGC_509)**2d0 - 8d0*cima*coupl(nGC_3)*coupl(nGC_37)*coupl&
                      (nGC_551)**2d0 - 4d0*cima*coupl(nGC_33)**2d0*coupl(nGC_4 &
                      )*coupl(nGC_55) + 6d0*cima*coupl(nGC_33)**2d0*coupl(nGC_4&
                      )*coupl(nGC_56) + 4d0*cima*coupl(nGC_443)*coupl(nGC_5) + &
                      coupl(nGC_1347)*coupl(nGC_509)*coupl(nGC_551) + coupl(   &
                      nGC_27)*coupl(nGC_3)*coupl(nGC_37) + 6d0*coupl(nGC_29)*  &
                      coupl(nGC_3)*coupl(nGC_509) + coupl(nGC_3)*coupl(nGC_41)*&
                      coupl(nGC_551) + 6d0*coupl(nGC_3)*coupl(nGC_443)*coupl(  &
                      nGC_551) + coupl(nGC_3)*coupl(nGC_469)*coupl(nGC_509) +  &
                      coupl(nGC_3)*coupl(nGC_509)*coupl(nGC_817) + coupl(nGC_37&
                      )*coupl(nGC_41)*coupl(nGC_509) + 6d0*coupl(nGC_37)*coupl(&
                      nGC_443)*coupl(nGC_509) + 6d0*coupl(nGC_37)*coupl(nGC_5)*&
                      coupl(nGC_551) + coupl(nGC_443)*coupl(nGC_509)**2d0 +    &
                      coupl(nGC_443)*coupl(nGC_551)**2d0)/(32d0*pi**2d0)
    coupl(nGC_5130) = (36d0*Nc*cima*coupl(nGC_1)*coupl(nGC_33)**2d0*coupl(     &
                      nGC_53) - 30d0*Nc*cima*coupl(nGC_1)*coupl(nGC_33)**2d0*  &
                      coupl(nGC_54) - 30d0*Nc*cima*coupl(nGC_2)*coupl(nGC_33)**&
                      2d0*coupl(nGC_53) + 36d0*Nc*cima*coupl(nGC_2)*coupl(     &
                      nGC_33)**2d0*coupl(nGC_54) + 12d0*cima*coupl(nGC_27)*    &
                      coupl(nGC_41) - 32d0*cima*coupl(nGC_3)*coupl(nGC_37)*    &
                      coupl(nGC_509)**2d0 - 32d0*cima*coupl(nGC_3)*coupl(nGC_37&
                      )*coupl(nGC_551)**2d0 + 36d0*cima*coupl(nGC_33)**2d0*    &
                      coupl(nGC_4)*coupl(nGC_55) - 30d0*cima*coupl(nGC_33)**2d0&
                      *coupl(nGC_4)*coupl(nGC_56) + 18d0*coupl(nGC_27)*coupl(  &
                      nGC_3)*coupl(nGC_37) + 18d0*coupl(nGC_27)*coupl(nGC_509)*&
                      coupl(nGC_551) + 6d0*coupl(nGC_29)*coupl(nGC_3)*coupl(   &
                      nGC_509) + 6d0*coupl(nGC_3)*coupl(nGC_443)*coupl(nGC_551 &
                      ) + 3d0*coupl(nGC_3)*coupl(nGC_5)*coupl(nGC_509) + 6d0*  &
                      coupl(nGC_37)*coupl(nGC_443)*coupl(nGC_509) + 3d0*coupl( &
                      nGC_37)*coupl(nGC_5)*coupl(nGC_551) + 18d0*coupl(nGC_41)*&
                      coupl(nGC_509)**2d0 + 18d0*coupl(nGC_41)*coupl(nGC_551)**&
                      2d0)/(96d0*pi**2d0)
    coupl(nGC_7540) = -coupl(nGC_7539)
    coupl(nGC_10636) = coupl(nGC_5431) + coupl(nGC_TS_GC_103_Hl) + coupl(      &
                       nGC_TS_GC_104_Hh)
    coupl(nGC_7912) = coupl(nGC_122)*dZuL_QCD2/2d0 + coupl(nGC_122)*dZuR_QCD2/ &
                      2d0 + coupl(nGC_5334)
    coupl(nGC_5139) = (6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_50)**3d0 + 6d0*Nc*   &
                      cima*coupl(nGC_1)*coupl(nGC_53)**3d0 + 6d0*Nc*cima*coupl(&
                      nGC_2)*coupl(nGC_51)**3d0 + 6d0*Nc*cima*coupl(nGC_2)*    &
                      coupl(nGC_54)**3d0 - 20d0*cima*coupl(nGC_3)*coupl(nGC_37 &
                      )**3d0 + 6d0*cima*coupl(nGC_4)*coupl(nGC_52)**3d0 + 6d0* &
                      cima*coupl(nGC_4)*coupl(nGC_55)**3d0 + 6d0*cima*coupl(   &
                      nGC_41)*coupl(nGC_469) - 20d0*cima*coupl(nGC_509)**3d0*  &
                      coupl(nGC_551) + 3d0*coupl(nGC_29)*coupl(nGC_3)*coupl(   &
                      nGC_37) + 3d0*coupl(nGC_29)*coupl(nGC_509)*coupl(nGC_551 &
                      ) + 9d0*coupl(nGC_3)*coupl(nGC_37)*coupl(nGC_469) + 9d0* &
                      coupl(nGC_37)**2d0*coupl(nGC_41) + 3d0*coupl(nGC_37)**2d0&
                      *coupl(nGC_443) + 9d0*coupl(nGC_41)*coupl(nGC_509)**2d0  &
                       + 3d0*coupl(nGC_443)*coupl(nGC_509)**2d0 + 9d0*coupl(   &
                      nGC_469)*coupl(nGC_509)*coupl(nGC_551))/(48d0*pi**2d0)
    coupl(nGC_5138) = (20d0*Nc*cima*coupl(nGC_105)**2d0*coupl(nGC_109)**2d0 +  &
                      20d0*Nc*cima*coupl(nGC_105)**2d0*coupl(nGC_89)**2d0 +    &
                      40d0*Nc*cima*coupl(nGC_105)*coupl(nGC_109)*coupl(nGC_85)*&
                      coupl(nGC_89) + 20d0*Nc*cima*coupl(nGC_109)**2d0*coupl(  &
                      nGC_85)**2d0 + 20d0*Nc*cima*coupl(nGC_110)**2d0*coupl(   &
                      nGC_114)**2d0 + 20d0*Nc*cima*coupl(nGC_110)**2d0*coupl(  &
                      nGC_84)**2d0 + 40d0*Nc*cima*coupl(nGC_110)*coupl(nGC_114 &
                      )*coupl(nGC_80)*coupl(nGC_84) + 20d0*Nc*cima*coupl(      &
                      nGC_114)**2d0*coupl(nGC_80)**2d0 + 20d0*Nc*cima*coupl(   &
                      nGC_120)**2d0*coupl(nGC_124)**2d0 + 20d0*Nc*cima*coupl(  &
                      nGC_120)**2d0*coupl(nGC_94)**2d0 + 40d0*Nc*cima*coupl(   &
                      nGC_120)*coupl(nGC_124)*coupl(nGC_90)*coupl(nGC_94) +    &
                      20d0*Nc*cima*coupl(nGC_124)**2d0*coupl(nGC_90)**2d0 +    &
                      20d0*Nc*cima*coupl(nGC_80)**2d0*coupl(nGC_84)**2d0 + 20d0&
                      *Nc*cima*coupl(nGC_85)**2d0*coupl(nGC_89)**2d0 + 20d0*Nc*&
                      cima*coupl(nGC_90)**2d0*coupl(nGC_94)**2d0 + 20d0*cima*  &
                      coupl(nGC_100)**2d0*coupl(nGC_104)**2d0 + 20d0*cima*coupl&
                      (nGC_115)**2d0*coupl(nGC_119)**2d0 - 5d0*cima*coupl(     &
                      nGC_1691)*coupl(nGC_1933)*coupl(nGC_32)*coupl(nGC_55) -  &
                      5d0*cima*coupl(nGC_1691)*coupl(nGC_2481)*coupl(nGC_32)*  &
                      coupl(nGC_477) - 10d0*cima*coupl(nGC_1691)*coupl(nGC_32)*&
                      coupl(nGC_569)*coupl(nGC_61) - 10d0*cima*coupl(nGC_1691)*&
                      coupl(nGC_55)**2d0*coupl(nGC_61) + 24d0*cima*coupl(nGC_17&
                      )**2d0 - 10d0*cima*coupl(nGC_1933)*coupl(nGC_2481)*coupl(&
                      nGC_46)*coupl(nGC_47) - 10d0*cima*coupl(nGC_2481)*coupl( &
                      nGC_32)*coupl(nGC_47)*coupl(nGC_569) - 10d0*cima*coupl(  &
                      nGC_2481)*coupl(nGC_34)*coupl(nGC_427)*coupl(nGC_47) -   &
                      10d0*cima*coupl(nGC_2481)*coupl(nGC_47)*coupl(nGC_477)** &
                      2d0 - 10d0*cima*coupl(nGC_2481)*coupl(nGC_47)*coupl(     &
                      nGC_647)**2d0 + 12d0*cima*coupl(nGC_26)*coupl(nGC_31) -  &
                      5d0*cima*coupl(nGC_46)*coupl(nGC_55)*coupl(nGC_569)*coupl&
                      (nGC_61) - 5d0*cima*coupl(nGC_47)*coupl(nGC_477)*coupl(  &
                      nGC_569)*coupl(nGC_61) + 24d0*cima*coupl(nGC_48)**2d0 +  &
                      6d0*cima*coupl(nGC_63)*coupl(nGC_67) + 20d0*cima*coupl(  &
                      nGC_95)**2d0*coupl(nGC_99)**2d0 + 3d0*coupl(nGC_13)*coupl&
                      (nGC_1691)*coupl(nGC_61) + 3d0*coupl(nGC_14)*coupl(      &
                      nGC_1933)*coupl(nGC_46) + 3d0*coupl(nGC_14)*coupl(       &
                      nGC_2481)*coupl(nGC_47) - 6d0*coupl(nGC_1691)*coupl(     &
                      nGC_17)*coupl(nGC_32) - 3d0*coupl(nGC_1691)*coupl(nGC_61 &
                      )*coupl(nGC_63) - 6d0*coupl(nGC_17)*coupl(nGC_2481)*coupl&
                      (nGC_477) - 6d0*coupl(nGC_17)*coupl(nGC_47)*coupl(nGC_477&
                      ) - 6d0*coupl(nGC_17)*coupl(nGC_569)*coupl(nGC_61) + 6d0*&
                      coupl(nGC_18)*coupl(nGC_2481)*coupl(nGC_427) + 6d0*coupl(&
                      nGC_18)*coupl(nGC_34)*coupl(nGC_47) + 6d0*coupl(nGC_19)* &
                      coupl(nGC_1933)*coupl(nGC_2481) + 3d0*coupl(nGC_19)*coupl&
                      (nGC_32)*coupl(nGC_569) + 6d0*coupl(nGC_19)*coupl(nGC_46 &
                      )*coupl(nGC_47) + 3d0*coupl(nGC_19)*coupl(nGC_477)**2d0  &
                       + 3d0*coupl(nGC_19)*coupl(nGC_647)**2d0 - 3d0*coupl(    &
                      nGC_1933)*coupl(nGC_26)*coupl(nGC_46) - 3d0*coupl(       &
                      nGC_1933)*coupl(nGC_31)*coupl(nGC_46) + 3d0*coupl(nGC_22 &
                      )*coupl(nGC_2481)*coupl(nGC_35) + 3d0*coupl(nGC_22)*coupl&
                      (nGC_2531)*coupl(nGC_47) + 3d0*coupl(nGC_24)*coupl(      &
                      nGC_2481)*coupl(nGC_47) - 3d0*coupl(nGC_2481)*coupl(     &
                      nGC_26)*coupl(nGC_47) - 6d0*coupl(nGC_2481)*coupl(nGC_48 &
                      )*coupl(nGC_647) + 3d0*coupl(nGC_25)*coupl(nGC_2531)*    &
                      coupl(nGC_35) - 3d0*coupl(nGC_31)*coupl(nGC_32)*coupl(   &
                      nGC_569) - 3d0*coupl(nGC_31)*coupl(nGC_34)*coupl(nGC_427 &
                      ) - 6d0*coupl(nGC_47)*coupl(nGC_48)*coupl(nGC_647) - 3d0*&
                      coupl(nGC_55)**2d0*coupl(nGC_67))/(96d0*pi**2d0)
    coupl(nGC_8224) = coupl(nGC_8217) + coupl(nGC_8223)
    coupl(nGC_8225) = coupl(nGC_5314) + coupl(nGC_8218)
    coupl(nGC_8535) = coupl(nGC_5432) + coupl(nGC_TS_GC_118_Hl) + coupl(       &
                      nGC_TS_GC_119_Hh)
    coupl(nGC_7751) = -coupl(nGC_7451)
    coupl(nGC_7304) = coupl(nGC_7270) + coupl(nGC_7302)
    coupl(nGC_7612) = coupl(nGC_7414) + coupl(nGC_7609)
    coupl(nGC_7611) = coupl(nGC_7414) + coupl(nGC_7610)
    coupl(nGC_8020) = coupl(nGC_106)*dZsL_QCD2/2d0 + coupl(nGC_106)*dZsR_QCD2/ &
                      2d0 + coupl(nGC_5299)
    coupl(nGC_8023) = coupl(nGC_107)*dZsL_QED2/2d0 + coupl(nGC_107)*dZsR_QED2/ &
                      2d0 + coupl(nGC_5298)
    coupl(nGC_7227) = coupl(nGC_5308) + coupl(nGC_7224)
    coupl(nGC_7226) = coupl(nGC_7223) + coupl(nGC_7225)
    coupl(nGC_8490) = coupl(nGC_113)*dZHl_QED2/2d0 + coupl(nGC_114)*dZHhHl_QED2&
                      /2d0 + coupl(nGC_5348)
    coupl(nGC_9816) = coupl(nGC_9807) + coupl(nGC_9815)
    coupl(nGC_7865) = coupl(nGC_28)*dZHl_QED2 + coupl(nGC_28)*dZWMinus_QED2 +  &
                      coupl(nGC_30)*dZHhHl_QED2 + coupl(nGC_5250)
    coupl(nGC_7861) = coupl(nGC_5262) + coupl(nGC_68)*dZWMinus_QED2/2d0 + coupl&
                      (nGC_68)*dZZ_QED2/2d0 + coupl(nGC_71)*dZAZ_QED2/2d0 +    &
                      coupl(nGC_TS_GC_17_Hh) + coupl(nGC_TS_GC_9_Hl)
    coupl(nGC_7531) = coupl(nGC_7163) + coupl(nGC_7529)
    coupl(nGC_5128) = (-12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_109)**2d0*coupl(   &
                      nGC_50) - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_109)**2d0* &
                      coupl(nGC_53) - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_50)* &
                      coupl(nGC_84)**2d0 - 12d0*Nc*cima*coupl(nGC_1)*coupl(    &
                      nGC_50)*coupl(nGC_94)**2d0 - 12d0*Nc*cima*coupl(nGC_1)*  &
                      coupl(nGC_53)*coupl(nGC_84)**2d0 - 12d0*Nc*cima*coupl(   &
                      nGC_1)*coupl(nGC_53)*coupl(nGC_94)**2d0 - 12d0*Nc*cima*  &
                      coupl(nGC_114)**2d0*coupl(nGC_2)*coupl(nGC_51) - 12d0*Nc*&
                      cima*coupl(nGC_114)**2d0*coupl(nGC_2)*coupl(nGC_54) -    &
                      12d0*Nc*cima*coupl(nGC_124)**2d0*coupl(nGC_2)*coupl(     &
                      nGC_51) - 12d0*Nc*cima*coupl(nGC_124)**2d0*coupl(nGC_2)* &
                      coupl(nGC_54) - 12d0*Nc*cima*coupl(nGC_2)*coupl(nGC_51)* &
                      coupl(nGC_89)**2d0 - 12d0*Nc*cima*coupl(nGC_2)*coupl(    &
                      nGC_54)*coupl(nGC_89)**2d0 - 12d0*cima*coupl(nGC_104)**  &
                      2d0*coupl(nGC_4)*coupl(nGC_52) - 12d0*cima*coupl(nGC_104 &
                      )**2d0*coupl(nGC_4)*coupl(nGC_55) - 12d0*cima*coupl(     &
                      nGC_119)**2d0*coupl(nGC_4)*coupl(nGC_52) - 12d0*cima*    &
                      coupl(nGC_119)**2d0*coupl(nGC_4)*coupl(nGC_55) + 4d0*cima&
                      *coupl(nGC_1933)*coupl(nGC_46)*coupl(nGC_477)*coupl(     &
                      nGC_647) + 9d0*cima*coupl(nGC_1933)*coupl(nGC_46)*coupl( &
                      nGC_509)*coupl(nGC_551) + 9d0*cima*coupl(nGC_2481)*coupl(&
                      nGC_3)*coupl(nGC_37)*coupl(nGC_47) + 4d0*cima*coupl(     &
                      nGC_2481)*coupl(nGC_4)*coupl(nGC_47)*coupl(nGC_55) + 12d0&
                      *cima*coupl(nGC_31)*coupl(nGC_41) - 12d0*cima*coupl(nGC_4&
                      )*coupl(nGC_52)*coupl(nGC_99)**2d0 - 12d0*cima*coupl(    &
                      nGC_4)*coupl(nGC_55)*coupl(nGC_99)**2d0 - 3d0*coupl(     &
                      nGC_17)*coupl(nGC_1933)*coupl(nGC_551) - 3d0*coupl(nGC_17&
                      )*coupl(nGC_2481)*coupl(nGC_3) - 3d0*coupl(nGC_17)*coupl(&
                      nGC_3)*coupl(nGC_47) - 3d0*coupl(nGC_17)*coupl(nGC_46)*  &
                      coupl(nGC_551) - 3d0*coupl(nGC_1933)*coupl(nGC_41)*coupl(&
                      nGC_46) + 3d0*coupl(nGC_1933)*coupl(nGC_46)*coupl(nGC_58 &
                      ) - 3d0*coupl(nGC_2481)*coupl(nGC_41)*coupl(nGC_47) + 3d0&
                      *coupl(nGC_2481)*coupl(nGC_47)*coupl(nGC_58) + 18d0*coupl&
                      (nGC_3)*coupl(nGC_31)*coupl(nGC_37) + 18d0*coupl(nGC_31)*&
                      coupl(nGC_509)*coupl(nGC_551) - 6d0*coupl(nGC_37)*coupl( &
                      nGC_47)*coupl(nGC_48) - 6d0*coupl(nGC_46)*coupl(nGC_48)* &
                      coupl(nGC_509))/(96d0*pi**2d0)
    coupl(nGC_5129) = (-12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_108)*coupl(nGC_109 &
                      )*coupl(nGC_50) - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_108&
                      )*coupl(nGC_109)*coupl(nGC_53) - 12d0*Nc*cima*coupl(nGC_1&
                      )*coupl(nGC_50)*coupl(nGC_83)*coupl(nGC_84) - 12d0*Nc*   &
                      cima*coupl(nGC_1)*coupl(nGC_50)*coupl(nGC_93)*coupl(     &
                      nGC_94) - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_53)*coupl( &
                      nGC_83)*coupl(nGC_84) - 12d0*Nc*cima*coupl(nGC_1)*coupl( &
                      nGC_53)*coupl(nGC_93)*coupl(nGC_94) - 12d0*Nc*cima*coupl(&
                      nGC_113)*coupl(nGC_114)*coupl(nGC_2)*coupl(nGC_51) - 12d0&
                      *Nc*cima*coupl(nGC_113)*coupl(nGC_114)*coupl(nGC_2)*coupl&
                      (nGC_54) - 12d0*Nc*cima*coupl(nGC_123)*coupl(nGC_124)*   &
                      coupl(nGC_2)*coupl(nGC_51) - 12d0*Nc*cima*coupl(nGC_123)*&
                      coupl(nGC_124)*coupl(nGC_2)*coupl(nGC_54) - 12d0*Nc*cima*&
                      coupl(nGC_2)*coupl(nGC_51)*coupl(nGC_88)*coupl(nGC_89) - &
                      12d0*Nc*cima*coupl(nGC_2)*coupl(nGC_54)*coupl(nGC_88)*   &
                      coupl(nGC_89) - 12d0*cima*coupl(nGC_103)*coupl(nGC_104)* &
                      coupl(nGC_4)*coupl(nGC_52) - 12d0*cima*coupl(nGC_103)*   &
                      coupl(nGC_104)*coupl(nGC_4)*coupl(nGC_55) - 12d0*cima*   &
                      coupl(nGC_118)*coupl(nGC_119)*coupl(nGC_4)*coupl(nGC_52  &
                      ) - 12d0*cima*coupl(nGC_118)*coupl(nGC_119)*coupl(nGC_4)*&
                      coupl(nGC_55) + 9d0*cima*coupl(nGC_1933)*coupl(nGC_34)*  &
                      coupl(nGC_509)*coupl(nGC_551) + 9d0*cima*coupl(nGC_2481)*&
                      coupl(nGC_3)*coupl(nGC_35)*coupl(nGC_37) + 4d0*cima*coupl&
                      (nGC_2531)*coupl(nGC_4)*coupl(nGC_47)*coupl(nGC_55) +    &
                      12d0*cima*coupl(nGC_30)*coupl(nGC_41) - 12d0*cima*coupl( &
                      nGC_4)*coupl(nGC_52)*coupl(nGC_98)*coupl(nGC_99) - 12d0* &
                      cima*coupl(nGC_4)*coupl(nGC_55)*coupl(nGC_98)*coupl(     &
                      nGC_99) + 4d0*cima*coupl(nGC_427)*coupl(nGC_46)*coupl(   &
                      nGC_477)*coupl(nGC_647) - 3d0*coupl(nGC_17)*coupl(nGC_3)*&
                      coupl(nGC_35) - 3d0*coupl(nGC_17)*coupl(nGC_34)*coupl(   &
                      nGC_551) - 3d0*coupl(nGC_1933)*coupl(nGC_34)*coupl(nGC_41&
                      ) - 3d0*coupl(nGC_1933)*coupl(nGC_551)*coupl(nGC_9) - 3d0&
                      *coupl(nGC_2481)*coupl(nGC_3)*coupl(nGC_9) - 3d0*coupl(  &
                      nGC_2481)*coupl(nGC_35)*coupl(nGC_41) + 3d0*coupl(       &
                      nGC_2531)*coupl(nGC_47)*coupl(nGC_58) + 18d0*coupl(nGC_3 &
                      )*coupl(nGC_30)*coupl(nGC_37) + 18d0*coupl(nGC_30)*coupl(&
                      nGC_509)*coupl(nGC_551) - 3d0*coupl(nGC_34)*coupl(nGC_48 &
                      )*coupl(nGC_509) - 3d0*coupl(nGC_35)*coupl(nGC_37)*coupl(&
                      nGC_48) - 3d0*coupl(nGC_37)*coupl(nGC_40)*coupl(nGC_47   &
                      ) - 3d0*coupl(nGC_40)*coupl(nGC_46)*coupl(nGC_509) + 3d0*&
                      coupl(nGC_427)*coupl(nGC_46)*coupl(nGC_58))/(96d0*pi**2d0&
                      )
    coupl(nGC_5001) = (coupl(nGC_1691)*coupl(nGC_55)*coupl(nGC_96) + coupl(    &
                      nGC_2481)*coupl(nGC_33)*coupl(nGC_95) + 8d0*coupl(nGC_4  &
                      )**2d0*coupl(nGC_99) + 8d0*coupl(nGC_52)*coupl(nGC_55)*  &
                      coupl(nGC_99) + coupl(nGC_52)*coupl(nGC_61)*coupl(nGC_96 &
                      ) - coupl(nGC_96)**2d0*coupl(nGC_99) - coupl(nGC_98)**2d0&
                      *coupl(nGC_99) - coupl(nGC_99)**3d0)/(32d0*pi**2d0)
    coupl(nGC_5005) = (coupl(nGC_100)*coupl(nGC_2481)*coupl(nGC_33) - coupl(   &
                      nGC_101)**2d0*coupl(nGC_104) + coupl(nGC_101)*coupl(     &
                      nGC_1691)*coupl(nGC_55) + coupl(nGC_101)*coupl(nGC_52)*  &
                      coupl(nGC_61) - coupl(nGC_103)**2d0*coupl(nGC_104) -     &
                      coupl(nGC_104)**3d0 + 8d0*coupl(nGC_104)*coupl(nGC_4)**  &
                      2d0 + 8d0*coupl(nGC_104)*coupl(nGC_52)*coupl(nGC_55))/(  &
                      32d0*pi**2d0)
    coupl(nGC_9429) = coupl(nGC_5436) + coupl(nGC_9424)
    coupl(nGC_9428) = coupl(nGC_9423) + coupl(nGC_9427)
    coupl(nGC_9099) = coupl(nGC_5253) + coupl(nGC_69)*dZHl_QED2/2d0 + coupl(   &
                      nGC_69)*dZWMinus_QED2 + coupl(nGC_70)*dZHhHl_QED2/2d0 +  &
                      coupl(nGC_TS_GC_28_Hl) + coupl(nGC_TS_GC_30_Hh)
    coupl(nGC_5164) = (-32d0*Nc*cima*coupl(nGC_108)*coupl(nGC_109)*coupl(nGC_33&
                      )**2d0 - 32d0*Nc*cima*coupl(nGC_113)*coupl(nGC_114)*coupl&
                      (nGC_33)**2d0 - 32d0*Nc*cima*coupl(nGC_123)*coupl(nGC_124&
                      )*coupl(nGC_33)**2d0 - 32d0*Nc*cima*coupl(nGC_33)**2d0*  &
                      coupl(nGC_83)*coupl(nGC_84) - 32d0*Nc*cima*coupl(nGC_33  &
                      )**2d0*coupl(nGC_88)*coupl(nGC_89) - 32d0*Nc*cima*coupl( &
                      nGC_33)**2d0*coupl(nGC_93)*coupl(nGC_94) - 32d0*cima*    &
                      coupl(nGC_103)*coupl(nGC_104)*coupl(nGC_33)**2d0 - 32d0* &
                      cima*coupl(nGC_118)*coupl(nGC_119)*coupl(nGC_33)**2d0 +  &
                      9d0*cima*coupl(nGC_1691)*coupl(nGC_37)**2d0*coupl(nGC_57 &
                      ) + 9d0*cima*coupl(nGC_1691)*coupl(nGC_509)**2d0*coupl(  &
                      nGC_57) + 4d0*cima*coupl(nGC_1933)*coupl(nGC_2531)*coupl(&
                      nGC_46)*coupl(nGC_47) + 9d0*cima*coupl(nGC_1933)*coupl(  &
                      nGC_3)**2d0*coupl(nGC_34) + 9d0*cima*coupl(nGC_1933)*    &
                      coupl(nGC_34)*coupl(nGC_37)**2d0 + 9d0*cima*coupl(       &
                      nGC_2481)*coupl(nGC_35)*coupl(nGC_509)**2d0 + 9d0*cima*  &
                      coupl(nGC_2481)*coupl(nGC_35)*coupl(nGC_551)**2d0 + 4d0* &
                      cima*coupl(nGC_2481)*coupl(nGC_427)*coupl(nGC_46)*coupl( &
                      nGC_47) + 4d0*cima*coupl(nGC_2531)*coupl(nGC_32)*coupl(  &
                      nGC_47)*coupl(nGC_569) + 4d0*cima*coupl(nGC_2531)*coupl( &
                      nGC_34)*coupl(nGC_427)*coupl(nGC_47) + 4d0*cima*coupl(   &
                      nGC_2531)*coupl(nGC_35)*coupl(nGC_427)*coupl(nGC_46) +   &
                      24d0*cima*coupl(nGC_27)*coupl(nGC_30) + 8d0*cima*coupl(  &
                      nGC_32)*coupl(nGC_421)*coupl(nGC_569)*coupl(nGC_61) + 4d0&
                      *cima*coupl(nGC_32)*coupl(nGC_427)*coupl(nGC_46)*coupl(  &
                      nGC_569) - 32d0*cima*coupl(nGC_33)**2d0*coupl(nGC_98)*   &
                      coupl(nGC_99) + 12d0*cima*coupl(nGC_469)*coupl(nGC_66) - &
                      6d0*coupl(nGC_1691)*coupl(nGC_469)*coupl(nGC_57) - 6d0*  &
                      coupl(nGC_17)*coupl(nGC_34)*coupl(nGC_37) - 6d0*coupl(   &
                      nGC_17)*coupl(nGC_35)*coupl(nGC_509) - 6d0*coupl(nGC_1933&
                      )*coupl(nGC_27)*coupl(nGC_34) - 6d0*coupl(nGC_1933)*coupl&
                      (nGC_3)*coupl(nGC_40) - 6d0*coupl(nGC_1933)*coupl(nGC_37 &
                      )*coupl(nGC_9) - 6d0*coupl(nGC_2481)*coupl(nGC_27)*coupl(&
                      nGC_35) - 6d0*coupl(nGC_2481)*coupl(nGC_40)*coupl(nGC_551&
                      ) - 6d0*coupl(nGC_2481)*coupl(nGC_509)*coupl(nGC_9) + 6d0&
                      *coupl(nGC_2531)*coupl(nGC_26)*coupl(nGC_47) + 6d0*coupl(&
                      nGC_26)*coupl(nGC_421)*coupl(nGC_61) + 6d0*coupl(nGC_26)*&
                      coupl(nGC_427)*coupl(nGC_46) - 6d0*coupl(nGC_3)*coupl(   &
                      nGC_34)*coupl(nGC_48) + 36d0*coupl(nGC_30)*coupl(nGC_509 &
                      )**2d0 + 36d0*coupl(nGC_30)*coupl(nGC_551)**2d0 - 6d0*   &
                      coupl(nGC_35)*coupl(nGC_48)*coupl(nGC_551) + 36d0*coupl( &
                      nGC_37)**2d0*coupl(nGC_66))/(192d0*pi**2d0)
    coupl(nGC_7985) = coupl(nGC_5254) + coupl(nGC_69)*dZHlHh_QED2/2d0 + coupl( &
                      nGC_70)*dZHh_QED2/2d0 + coupl(nGC_70)*dZWMinus_QED2 +    &
                      coupl(nGC_TS_GC_30_Hl) + coupl(nGC_TS_GC_31_Hh)
    coupl(nGC_8890) = coupl(nGC_5256) + coupl(nGC_57)*dZHl_QED2/2d0 + coupl(   &
                      nGC_57)*dZZ_QED2/2d0 + coupl(nGC_61)*dZHhHl_QED2/2d0
    coupl(nGC_14251) = -coupl(nGC_4941)
    coupl(nGC_10712) = coupl(nGC_10706) + coupl(nGC_10711)
    coupl(nGC_14083) = -coupl(nGC_5107)
    coupl(nGC_8007) = coupl(nGC_3)*dZAZ_QED2/2d0 + coupl(nGC_37)*dZWMinus_QED2 &
                       + coupl(nGC_37)*dZZ_QED2/2d0 + coupl(nGC_5216)
    coupl(nGC_14085) = -coupl(nGC_5106)
    coupl(nGC_7421) = coupl(nGC_7414) + coupl(nGC_7419)
    coupl(nGC_8008) = -coupl(nGC_8007)
    coupl(nGC_4990) = (-4d0*Nc*cMB*coupl(nGC_33)**2d0*coupl(nGC_84) - 4d0*Nc*  &
                      cMC*coupl(nGC_33)**2d0*coupl(nGC_89) - 4d0*Nc*cMD*coupl( &
                      nGC_33)**2d0*coupl(nGC_94) - 4d0*Nc*cMS*coupl(nGC_109)*  &
                      coupl(nGC_33)**2d0 - 4d0*Nc*cMT*coupl(nGC_114)*coupl(    &
                      nGC_33)**2d0 - 4d0*Nc*cMU*coupl(nGC_124)*coupl(nGC_33)** &
                      2d0 - 4d0*cME*coupl(nGC_33)**2d0*coupl(nGC_99) - 4d0*cMM*&
                      coupl(nGC_104)*coupl(nGC_33)**2d0 - 4d0*cMTA*coupl(      &
                      nGC_119)*coupl(nGC_33)**2d0 + 4d0*cima*coupl(nGC_27)*    &
                      coupl(nGC_70) + 2d0*cima*coupl(nGC_469)*coupl(nGC_73) -  &
                      coupl(nGC_2481)*coupl(nGC_509)*coupl(nGC_68) - coupl(    &
                      nGC_2481)*coupl(nGC_551)*coupl(nGC_71) + 6d0*coupl(nGC_37&
                      )**2d0*coupl(nGC_73) - coupl(nGC_47)*coupl(nGC_509)*coupl&
                      (nGC_68) - coupl(nGC_47)*coupl(nGC_551)*coupl(nGC_71) +  &
                      6d0*coupl(nGC_509)**2d0*coupl(nGC_70) + 6d0*coupl(nGC_551&
                      )**2d0*coupl(nGC_70))/(32d0*pi**2d0)
    coupl(nGC_12971) = -coupl(nGC_12967)
    coupl(nGC_9262) = coupl(nGC_7493) + coupl(nGC_9260)
  end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
